/* expr.YY:  Y-file for a simple expression language */
%left '+'
%left '*'
%token CONST  

@attributes {long val;} s e CONST 

%{ 
#if defined (__cplusplus)
#include <cstdio>
#else
#include <stdio.h>
#endif

#if YYBTYACC && !YYBYACC
/* the `btyacc' 3.0 skeleton omits the following */
#include "parser.hh"
#endif

long sVal; 

extern int yylex(void);

#if YYBTYACC && !YYBYACC
void yyerror(const char *, ...);
#else
void yyerror(const char *);
#endif
%} 

%%
s       :       e
        @{ @i sVal = @s.val@ = @e.val@;            @}
        ;
e       :       e       '+'     e       
        @{ @i @e.0.val@ = @e.1.val@ + @e.2.val@;   @}
        ;
e       :       e       '*'     e       
        @{ @i @e.0.val@ = @e.1.val@ * @e.2.val@;   @}
        ;
e       :       '('     e       ')'     
        @{ @i @e.val@ = @e.1.val@;                 @}
        ;
e       :       CONST           
        @{ @i @e.val@ = @CONST.val@;               @}   
        ;
%% 
#if YYBTYACC && !YYBYACC
void yyerror(const char *s, ...)
{extern int yylineno;
 fprintf(stderr,"Near line %d: %s\n",yylineno,s); 
 yyyabort(); 
}
#else  
void yyerror(const char *s)
{fprintf(stderr,"%s\n",s);
 yyyabort(); 
}
#endif

#ifndef YYMSTA
int yyparse(void);
#endif

int main() 
{yyparse(); 
 printf("%ld\n",sVal);     
} 
