/* $Id: sem.h 2379 2022-01-07 22:41:51Z teshields $ */ 
  
/* This file is part of Ox, an Attribute Grammar Compiling System
   that augments the specification functionality of Lex and Yacc, and
   input specification compatible lexer and parser generators.

   Copyright (C) 1992-1993  Kurt M. Bischoff
   Copyright (C) 2017-2022  Thomas E. Shields
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

#define FIRSTREGNUM 0

extern void semSetup(void);
extern struct dim *consDimList(long,struct dim *,lineNumType); 
extern struct sym *concatLocs(struct sym *,struct sym *); 
extern struct dim *cdrDimList(struct dim *,struct sym *,lineNumType); 
extern struct dim *adjustDimList(struct sym *,struct sym *,lineNumType); 
extern struct sym *cdrParamList(struct sym *,struct sym *,lineNumType);
extern void paramMatchCheck(struct sym *,
			    enum symType,
			    enum pred,
			    enum pred,
			    struct sym *,
			    lineNumType);
extern struct sym *newStgSym(char *,
			     lineNumType,
			     enum symType,
			     enum stgClass,
			     struct dim *);
extern struct sym *newFuncSym(char *,
			      lineNumType,
			      enum symType,
			      labelType,
			      struct sym *);
extern struct env *newEnv(struct env *,
			  struct sym *,
			  struct sym *,
			  struct sym *,
			  regNumType); 
extern struct sym *stgRefLookup(struct env *,char *,lineNumType);
extern struct sym *funcInvocLookup(struct env *,char *,lineNumType);
extern enum symType binOpTypeCheck(enum symType,
				   enum symType,
				   int,
				   lineNumType); 
extern enum symType unrOpTypeCheck(enum symType,int,lineNumType); 
extern enum symType assignmentTypeCheck(enum symType,
					enum symType,
					lineNumType); 

