#line 1 "flex/agc-Lfile-lexer.cc"
#include <fstream>

#include "agc-Lfile.hh"
#include "mac.hh"
#include "macutil.hh"
#include "messages.hh"
#include "opts.hh"
#include "outMgr.hh"
#include "scan.hh"

#define YY_DECL \
  int AGC::LFILE::Lexer::yylex (AGC::lexer::value_type& yylval, \
                                AGC::location& yylloc)

// inhibit the 'flex' builtin definition of 'struct yy_buffer_state'
#define YY_STRUCT_YY_BUFFER_STATE

#line 19 "flex/agc-Lfile-lexer.cc"

#define  YY_INT_ALIGNED short int

/* A lexical scanner generated by flex */

/* %not-for-header */
/* %if-c-only */
/* %if-not-reentrant */
/* %endif */
/* %endif */
/* %ok-for-header */

#define FLEX_SCANNER
#define YY_FLEX_MAJOR_VERSION 2
#define YY_FLEX_MINOR_VERSION 6
#define YY_FLEX_SUBMINOR_VERSION 4
#if YY_FLEX_SUBMINOR_VERSION > 0
#define FLEX_BETA
#endif

/* %if-c++-only */
    /* The c++ scanner is a mess. The FlexLexer.h header file relies on the
     * following macro. This is required in order to pass the c++-multiple-scanners
     * test in the regression suite. We get reports that it breaks inheritance.
     * We will address this in a future release of flex, or omit the C++ scanner
     * altogether.
     */
    #define yyFlexLexer Lfile_FlexLexer
/* %endif */

/* %if-c-only */
/* %endif */

#ifdef yyalloc
#define Lfile_alloc_ALREADY_DEFINED
#else
#define yyalloc Lfile_alloc
#endif

#ifdef yyrealloc
#define Lfile_realloc_ALREADY_DEFINED
#else
#define yyrealloc Lfile_realloc
#endif

#ifdef yyfree
#define Lfile_free_ALREADY_DEFINED
#else
#define yyfree Lfile_free
#endif

/* %if-c-only */
/* %endif */

/* First, we deal with  platform-specific or compiler-specific issues. */

/* begin standard C headers. */
/* %if-c-only */
/* %endif */

/* %if-tables-serialization */
/* %endif */
/* end standard C headers. */

/* %if-c-or-c++ */
/* flex integer type definitions */

#ifndef FLEXINT_H
#define FLEXINT_H

/* C99 systems have <inttypes.h>. Non-C99 systems may or may not. */

#if defined (__STDC_VERSION__) && __STDC_VERSION__ >= 199901L

/* C99 says to define __STDC_LIMIT_MACROS before including stdint.h,
 * if you want the limit (max/min) macros for int types. 
 */
#ifndef __STDC_LIMIT_MACROS
#define __STDC_LIMIT_MACROS 1
#endif

#include <inttypes.h>
typedef int8_t flex_int8_t;
typedef uint8_t flex_uint8_t;
typedef int16_t flex_int16_t;
typedef uint16_t flex_uint16_t;
typedef int32_t flex_int32_t;
typedef uint32_t flex_uint32_t;
#else
typedef signed char flex_int8_t;
typedef short int flex_int16_t;
typedef int flex_int32_t;
typedef unsigned char flex_uint8_t; 
typedef unsigned short int flex_uint16_t;
typedef unsigned int flex_uint32_t;

/* Limits of integral types. */
#ifndef INT8_MIN
#define INT8_MIN               (-128)
#endif
#ifndef INT16_MIN
#define INT16_MIN              (-32767-1)
#endif
#ifndef INT32_MIN
#define INT32_MIN              (-2147483647-1)
#endif
#ifndef INT8_MAX
#define INT8_MAX               (127)
#endif
#ifndef INT16_MAX
#define INT16_MAX              (32767)
#endif
#ifndef INT32_MAX
#define INT32_MAX              (2147483647)
#endif
#ifndef UINT8_MAX
#define UINT8_MAX              (255U)
#endif
#ifndef UINT16_MAX
#define UINT16_MAX             (65535U)
#endif
#ifndef UINT32_MAX
#define UINT32_MAX             (4294967295U)
#endif

#ifndef SIZE_MAX
#define SIZE_MAX               (~(size_t)0)
#endif

#endif /* ! C99 */

#endif /* ! FLEXINT_H */

/* %endif */

/* begin standard C++ headers. */
/* %if-c++-only */
#include <iostream>
#include <errno.h>
#include <cstdlib>
#include <cstdio>
#include <cstring>
/* end standard C++ headers. */
/* %endif */

/* TODO: this is always defined, so inline it */
#define yyconst const

#if defined(__GNUC__) && __GNUC__ >= 3
#define yynoreturn __attribute__((__noreturn__))
#else
#define yynoreturn
#endif

/* %not-for-header */
/* Returned upon end-of-file. */
#define YY_NULL 0
/* %ok-for-header */

/* %not-for-header */
/* Promotes a possibly negative, possibly signed char to an
 *   integer in range [0..255] for use as an array index.
 */
#define YY_SC_TO_UI(c) ((YY_CHAR) (c))
/* %ok-for-header */

/* %if-reentrant */
/* %endif */

/* %if-not-reentrant */

/* %endif */

/* Enter a start condition.  This macro really ought to take a parameter,
 * but we do it the disgusting crufty way forced on us by the ()-less
 * definition of BEGIN.
 */
#define BEGIN (yy_start) = 1 + 2 *
/* Translate the current start state into a value that can be later handed
 * to BEGIN to return to the state.  The YYSTATE alias is for lex
 * compatibility.
 */
#define YY_START (((yy_start) - 1) / 2)
#define YYSTATE YY_START
/* Action number for EOF rule of a given start state. */
#define YY_STATE_EOF(state) (YY_END_OF_BUFFER + state + 1)
/* Special action meaning "start processing a new file". */
#define YY_NEW_FILE yyrestart( yyin  )
#define YY_END_OF_BUFFER_CHAR 0

/* Size of default input buffer. */
#ifndef YY_BUF_SIZE
#ifdef __ia64__
/* On IA-64, the buffer size is 16k, not 8k.
 * Moreover, YY_BUF_SIZE is 2*YY_READ_BUF_SIZE in the general case.
 * Ditto for the __ia64__ case accordingly.
 */
#define YY_BUF_SIZE 32768
#else
#define YY_BUF_SIZE 16384
#endif /* __ia64__ */
#endif

/* The state buf must be large enough to hold one state per character in the main buffer.
 */
#define YY_STATE_BUF_SIZE   ((YY_BUF_SIZE + 2) * sizeof(yy_state_type))

#ifndef YY_TYPEDEF_YY_BUFFER_STATE
#define YY_TYPEDEF_YY_BUFFER_STATE
typedef struct yy_buffer_state *YY_BUFFER_STATE;
#endif

#ifndef YY_TYPEDEF_YY_SIZE_T
#define YY_TYPEDEF_YY_SIZE_T
typedef size_t yy_size_t;
#endif

/* %if-not-reentrant */
extern int yyleng;
/* %endif */

/* %if-c-only */
/* %if-not-reentrant */
/* %endif */
/* %endif */

#define EOB_ACT_CONTINUE_SCAN 0
#define EOB_ACT_END_OF_FILE 1
#define EOB_ACT_LAST_MATCH 2
    
    #define YY_LESS_LINENO(n)
    #define YY_LINENO_REWIND_TO(ptr)
    
/* Return all but the first "n" matched characters back to the input stream. */
#define yyless(n) \
	do \
		{ \
		/* Undo effects of setting up yytext. */ \
        int yyless_macro_arg = (n); \
        YY_LESS_LINENO(yyless_macro_arg);\
		*yy_cp = (yy_hold_char); \
		YY_RESTORE_YY_MORE_OFFSET \
		(yy_c_buf_p) = yy_cp = yy_bp + yyless_macro_arg - YY_MORE_ADJ; \
		YY_DO_BEFORE_ACTION; /* set up yytext again */ \
		} \
	while ( 0 )
#define unput(c) yyunput( c, (yytext_ptr)  )

#ifndef YY_STRUCT_YY_BUFFER_STATE
#define YY_STRUCT_YY_BUFFER_STATE
struct yy_buffer_state
	{
/* %if-c-only */
/* %endif */

/* %if-c++-only */
	std::streambuf* yy_input_file;
/* %endif */

	char *yy_ch_buf;		/* input buffer */
	char *yy_buf_pos;		/* current position in input buffer */

	/* Size of input buffer in bytes, not including room for EOB
	 * characters.
	 */
	int yy_buf_size;

	/* Number of characters read into yy_ch_buf, not including EOB
	 * characters.
	 */
	int yy_n_chars;

	/* Whether we "own" the buffer - i.e., we know we created it,
	 * and can realloc() it to grow it, and should free() it to
	 * delete it.
	 */
	int yy_is_our_buffer;

	/* Whether this is an "interactive" input source; if so, and
	 * if we're using stdio for input, then we want to use getc()
	 * instead of fread(), to make sure we stop fetching input after
	 * each newline.
	 */
	int yy_is_interactive;

	/* Whether we're considered to be at the beginning of a line.
	 * If so, '^' rules will be active on the next match, otherwise
	 * not.
	 */
	int yy_at_bol;

    int yy_bs_lineno; /**< The line count. */
    int yy_bs_column; /**< The column count. */

	/* Whether to try to fill the input buffer when we reach the
	 * end of it.
	 */
	int yy_fill_buffer;

	int yy_buffer_status;

#define YY_BUFFER_NEW 0
#define YY_BUFFER_NORMAL 1
	/* When an EOF's been seen but there's still some text to process
	 * then we mark the buffer as YY_EOF_PENDING, to indicate that we
	 * shouldn't try reading from the input source any more.  We might
	 * still have a bunch of tokens to match, though, because of
	 * possible backing-up.
	 *
	 * When we actually see the EOF, we change the status to "new"
	 * (via yyrestart()), so that the user can continue scanning by
	 * just pointing yyin at a new input file.
	 */
#define YY_BUFFER_EOF_PENDING 2

	};
#endif /* !YY_STRUCT_YY_BUFFER_STATE */

/* %if-c-only Standard (non-C++) definition */
/* %not-for-header */
/* %if-not-reentrant */
/* %endif */
/* %ok-for-header */

/* %endif */

/* We provide macros for accessing buffer states in case in the
 * future we want to put the buffer states in a more general
 * "scanner state".
 *
 * Returns the top of the stack, or NULL.
 */
#define YY_CURRENT_BUFFER ( (yy_buffer_stack) \
                          ? (yy_buffer_stack)[(yy_buffer_stack_top)] \
                          : NULL)
/* Same as previous macro, but useful when we know that the buffer stack is not
 * NULL or when we need an lvalue. For internal use only.
 */
#define YY_CURRENT_BUFFER_LVALUE (yy_buffer_stack)[(yy_buffer_stack_top)]

/* %if-c-only Standard (non-C++) definition */
/* %if-not-reentrant */
/* %not-for-header */
/* %ok-for-header */

/* %endif */
/* %endif */

void *yyalloc ( yy_size_t  );
void *yyrealloc ( void *, yy_size_t  );
void yyfree ( void *  );

#define yy_new_buffer yy_create_buffer
#define yy_set_interactive(is_interactive) \
	{ \
	if ( ! YY_CURRENT_BUFFER ){ \
        yyensure_buffer_stack (); \
		YY_CURRENT_BUFFER_LVALUE =    \
            yy_create_buffer( yyin, YY_BUF_SIZE ); \
	} \
	YY_CURRENT_BUFFER_LVALUE->yy_is_interactive = is_interactive; \
	}
#define yy_set_bol(at_bol) \
	{ \
	if ( ! YY_CURRENT_BUFFER ){\
        yyensure_buffer_stack (); \
		YY_CURRENT_BUFFER_LVALUE =    \
            yy_create_buffer( yyin, YY_BUF_SIZE ); \
	} \
	YY_CURRENT_BUFFER_LVALUE->yy_at_bol = at_bol; \
	}
#define YY_AT_BOL() (YY_CURRENT_BUFFER_LVALUE->yy_at_bol)

/* %% [1.0] yytext/yyin/yyout/yy_state_type/yylineno etc. def's & init go here */
/* Begin user sect3 */
#define YY_SKIP_YYWRAP

#define FLEX_DEBUG
typedef flex_uint8_t YY_CHAR;

#define yytext_ptr yytext

#include <FlexLexer.h>

int yyFlexLexer::yywrap() { return 1; }

/* %% [1.5] DFA */

/* %if-c-only Standard (non-C++) definition */
/* %endif */

/* Done after the current pattern has been matched and before the
 * corresponding action - sets up yytext.
 */
#define YY_DO_BEFORE_ACTION \
	(yytext_ptr) = yy_bp; \
/* %% [2.0] code to fiddle yytext and yyleng for yymore() goes here \ */\
	yyleng = (int) (yy_cp - yy_bp); \
	(yy_hold_char) = *yy_cp; \
	*yy_cp = '\0'; \
/* %% [3.0] code to copy yytext_ptr to yytext[] goes here, if %array \ */\
	(yy_c_buf_p) = yy_cp;
/* %% [4.0] data tables for the DFA and the user's section 1 definitions go here */
#define YY_NUM_RULES 129
#define YY_END_OF_BUFFER 130
/* This struct is not used in this scanner,
   but its presence is necessary. */
struct yy_trans_info
	{
	flex_int32_t yy_verify;
	flex_int32_t yy_nxt;
	};
static const flex_int16_t yy_accept[615] =
    {   0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,  130,  129,   16,   16,   16,   16,
       16,   29,   28,   37,   33,   33,   37,   37,   47,   46,
       45,   39,   47,   47,   47,   46,   46,   46,   46,   46,
       42,   43,   21,   20,   18,   21,   21,   20,   20,   20,
       20,   21,   27,   26,   23,   27,   27,   26,   26,   26,
       26,   24,   25,  114,  118,  117,  116,  118,  118,  117,

      117,  117,  117,    2,    1,   54,   53,   49,   54,   54,
       53,   53,   53,   53,   53,   50,   51,  120,  121,  121,
      123,  124,  122,  125,  128,  127,  128,  101,  100,   96,
      101,   97,   98,   99,  101,  100,  100,  100,  100,  113,
      112,  103,  113,  104,  105,  106,  113,  112,  112,  112,
      112,  111,   67,   55,   60,   67,   61,   62,   67,   67,
       56,   64,   64,   64,   57,   58,   74,   72,   73,   74,
       74,   80,   79,   79,   80,   80,   94,   94,   87,   94,
       94,   91,   92,   88,   88,   94,   94,   92,    0,    0,
        0,    0,    0,    0,   12,    0,    0,    0,    0,    0,

       33,   36,    0,   33,    0,    0,    0,    0,   30,    0,
       46,   40,   41,    0,    0,   38,    0,   46,   46,   46,
       46,    0,   46,   39,    0,   46,   20,    0,    0,   17,
        0,   20,   20,   20,   20,    0,   20,   18,    0,    0,
       26,    0,    0,   22,    0,   26,   26,   26,   26,    0,
       26,   23,    0,  117,    0,    0,  115,    0,  117,  117,
      117,  117,    0,  117,  116,    0,   53,    0,    0,   48,
        0,   53,   53,   53,   53,    0,   53,   49,    0,   53,
      120,  119,  123,  123,  126,  100,    0,    0,   95,    0,
      100,  100,  100,  100,    0,  100,   96,    0,  112,    0,

        0,  102,    0,  112,  112,  112,  112,    0,  112,  103,
        0,  109,  110,  108,  107,    0,    0,    0,   65,   59,
        0,   65,   64,   60,    0,   64,   64,   64,   72,   69,
        0,   70,    0,   71,   79,   76,    0,   77,    0,   78,
        0,   85,    0,    0,    0,   86,    0,    0,    0,    0,
        0,   89,   81,   88,   87,    0,    0,    0,    0,    0,
        0,    0,   82,    0,    0,    0,    0,    0,    0,    0,
        0,   15,    0,   13,    0,    3,    0,   35,    0,   31,
        0,   32,    0,   34,   46,    0,    0,    0,   46,   46,
       46,   46,   46,   46,   20,    0,    0,    0,   20,   20,

       20,   20,   20,    0,   19,   26,    0,    0,    0,   26,
       26,   26,   26,   26,  117,    0,    0,    0,  117,  117,
      117,  117,  117,   53,    0,    0,    0,   53,   53,   53,
       53,   53,   53,  100,    0,    0,    0,  100,  100,  100,
      100,  100,  112,    0,    0,    0,  112,  112,  112,  112,
      112,   63,    0,    0,    0,   66,   68,    0,   72,   75,
        0,   79,   84,   93,    0,    0,    0,   93,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,   14,    0,    0,   11,    0,    0,   46,   46,
        0,    0,   20,    0,    0,   26,    0,    0,  117,    0,

        0,   53,   53,    0,    0,  100,    0,    0,  112,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,   90,
        0,    0,    0,    0,    0,   83,    0,    0,    0,    0,
        9,    0,    0,    0,   46,    0,    0,    0,    0,   53,
        0,    0,    0,    0,    0,    0,    0,    0,   90,    0,
        0,   90,   90,    0,    0,    0,    0,    0,    0,    8,
        0,    0,   44,   52,    0,    0,    0,   90,    0,    0,
        0,    0,    0,    0,    7,    0,    0,    0,    0,    0,
        0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
        0,    0,    0,    0,   10,    0,    0,    0,    0,    0,

        0,    0,    0,    0,    0,    4,    0,    0,    0,    0,
        5,    0,    6,    0
    } ;

static const YY_CHAR yy_ec[256] =
    {   0,
        1,    1,    1,    1,    1,    1,    1,    1,    2,    3,
        2,    2,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    2,    1,    4,    5,    6,    7,    1,    8,    9,
       10,   11,    1,   12,   13,   14,   15,   16,   17,   17,
       17,   17,   17,   17,   17,   18,   18,    1,   19,    1,
       20,    1,    1,   21,   22,   22,   22,   22,   22,   22,
       23,   23,   23,   23,   23,   24,   23,   23,   25,   26,
       23,   23,   27,   28,   29,   23,   30,   31,   23,   23,
        1,   32,    1,    1,   33,    1,   34,   35,   36,   37,

       38,   39,   40,   23,   41,   23,   23,   42,   43,   44,
       45,   46,   23,   47,   48,   49,   50,   23,   23,   51,
       23,   23,   52,   53,   54,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,

        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1
    } ;

static const YY_CHAR yy_meta[55] =
    {   0,
        1,    2,    3,    4,    1,    1,    1,    5,    1,    1,
        6,    1,    7,    8,    1,    9,    9,    9,    1,    1,
       10,   11,   12,   13,   12,   12,   12,   12,   13,   12,
       12,    4,   12,   11,   11,   11,   11,   11,   11,   12,
       12,   13,   12,   12,   12,   12,   12,   12,   12,   13,
       12,   14,    1,   14
    } ;

static const flex_int16_t yy_base[761] =
    {   0,
        0,    0,    0,    1,    0,    2, 2693,    4,   19,    0,
       73, 2686,  127,    0,    0,    0,  181,    0, 2689, 2688,
      235,    0,    6,    7,  287,  289,  291,  292,  324,    0,
      378,    0,  432,    0,  293,  294,  296,  299,  301,  485,
      506,  303, 2667,  559, 2686, 2775, 2775,  454,  295,  489,
      555, 2775, 2775, 2775,  563,  566,  556,  482, 2775, 2683,
     2775, 2775,  255, 2652,  483,  604,  559,    0,  563, 2643,
     2775, 2775, 2775, 2677, 2775, 2646,  559,  640,  568,    0,
      574, 2623, 2775, 2672, 2775, 2640,  578,  676,  620,    0,
      590, 2775, 2775, 2775, 2775, 2669, 2775, 2638,  584,  712,

      623,    0,  607, 2775, 2775, 2775, 2665, 2775, 2633,  602,
      748,  659,    0,  619, 2626, 2775, 2775,    0, 2775, 2648,
        0, 2775, 2775,    0, 2775, 2775, 2627, 2775, 2624, 2775,
     2593, 2775, 2775, 2775,  614,  784,  695,    0,  622, 2775,
     2622, 2775, 2591, 2775, 2775, 2775,  648,  820,  731,    0,
      664,  759, 2775, 2775, 2775, 2586, 2775, 2775,  573,  663,
     2775,    0,  702,  681, 2775, 2775, 2775,  629, 2775,  669,
     2562, 2775,  640, 2775,  670, 2561, 2775,  700, 2775, 2580,
      693, 2775,  742,    0,  727,  737,  751,  809, 2570, 2556,
     2540,  643, 2542, 2533, 2775, 2574,  646, 2569, 2560, 2546,

      664, 2775, 2528,  731, 2522,  746, 2525, 2524, 2775, 2521,
     2520, 2775, 2775, 2501,  735, 2775, 2499,  803,  823,  780,
      276,    0,    0, 2775,  571, 2454, 2500, 2493,  808, 2775,
     2492,  840,  850,  804,  743,    0,    0, 2775,  688, 2493,
     2481, 2471,  859, 2775, 2471,  867,  870,  869,  763,    0,
        0, 2775,  751, 2474, 2467,  864, 2775, 2464,  889,  905,
      901,  836,    0,    0, 2775,  774, 2465, 2457,  885, 2775,
     2446,  924,  928,  908,  853,    0,    0, 2775,  799, 2399,
        0, 2775,    0, 2775, 2775, 2444, 2437,  887, 2775, 2438,
      943,  947,  944,  884,    0,    0, 2775,  840, 2439, 2431,

      911, 2775, 2420,  963,  966,  967,  964,    0,    0, 2775,
      967, 2775, 2775, 2775, 2775, 2414,  984,  591,    0, 2775,
     2417,    0,  491, 2775,  990,    0,  673, 1007, 1008, 2775,
     2367, 2775, 2412, 2775, 1012, 2775, 2363, 2775, 2407, 2775,
     1016, 2775, 2346, 2388,  987, 2775, 2388, 1018, 2361, 1028,
      841, 2775, 2775,    0, 2775,  999, 1041, 1026, 1032, 2354,
      570, 2336, 2775, 2325, 2326, 2315,  720, 2305, 2315, 2306,
     2344, 2775, 2341, 2775, 2339, 2775, 2326, 2775, 2322, 2775,
     2320, 2775, 2319, 2775, 2775, 1031, 2313, 2198, 2193,  745,
     2775, 1003, 1026, 2145, 2775, 1041, 2186, 2187, 2186,  747,

     2775, 1017, 1036, 2178, 2775, 2775, 1058, 2171, 2167, 2166,
      764, 2775, 1029, 1048, 2775, 1071, 2162, 2163, 2161,  800,
     2775, 1057, 1060, 2775, 1075, 2158, 2147, 2133,  885, 2775,
     1058, 1072, 2075, 2775, 1077, 2103, 2099, 2093,  904, 2775,
     1071, 1079, 2775, 1089, 2086, 2067, 2060,  927, 2775, 1083,
     1088, 2775, 1103, 2057, 2049, 2775, 2775, 2040, 2027, 2775,
     2013, 2007, 2775, 2775, 1107, 1992, 1980, 1967, 1964, 1110,
     1102, 1126, 1129, 1922,  684, 1921, 1115, 1907, 1891, 1876,
     1916, 1130, 2775, 1865, 1848, 2775, 1133, 1878, 2775, 1826,
     1140, 1851, 2775, 1146, 1831, 2775, 1150, 1818, 2775, 1152,

     1804, 2775, 1759, 1156, 1785, 2775, 1162, 1771, 2775, 1166,
     1667, 1168, 1661, 1137, 1172, 1660, 1175, 1184, 1192, 1201,
     1625, 1626, 1625, 1621, 1648, 2775,  886,  775, 1605, 1595,
     2775, 1592, 1581, 1621, 1574, 1608, 1602, 1591, 1589, 1547,
     1572, 1570, 1543, 1542, 1179, 1531, 1195, 1119,  658, 1202,
     1205, 1216, 2775, 1492, 1527, 1480,  777, 1152, 1504, 1151,
     1467, 1453,    0,    0, 1490, 1466,  895, 1203, 1218, 1443,
     1476, 1196, 1198, 1219, 2775, 1471, 1420, 1239, 1229, 1219,
     1217, 1206, 1183, 1151, 1234, 1134, 1122, 1098, 1060, 1053,
     1236, 1019,  966,  968, 2775,  955, 1239,  909,  776,  761,

     1247,  765,  732,  610, 1252, 2775,  585,  527,  464,  448,
     2775,  267, 2775, 2775, 1270, 1284, 1298, 1312, 1326, 1340,
     1354, 1368, 1382, 1396, 1410, 1424, 1438, 1444, 1457, 1463,
     1476, 1482, 1495, 1501, 1514, 1520, 1533, 1547, 1561, 1575,
     1581, 1594, 1600, 1613, 1620, 1627, 1633, 1646, 1659, 1665,
     1678, 1692, 1706, 1720, 1734, 1748, 1762, 1776, 1790, 1043,
     1796, 1809, 1823, 1214, 1829, 1842, 1856, 1870, 1233, 1876,
     1889, 1903, 1236, 1909, 1922, 1936, 1249, 1942, 1955, 1969,
     1983, 1997, 1432, 2003, 2016, 2030, 1451, 2036, 2049, 2056,
     2063, 2076, 2084, 2089, 2095, 2108, 2122, 2136, 2150, 2163,

     2176, 2189, 2194, 2207, 2221, 2235, 2249, 2263, 2277, 2291,
     2305, 2315, 2326, 2332, 2337, 2346, 2357, 2363, 2376, 2386,
     2397, 2403, 2412, 2423, 2429, 2438, 2449, 2455, 2460, 2469,
     2480, 2486, 2495, 2506, 2512, 2521, 2532, 2546, 2560, 2570,
     2581, 2595, 2608, 2620, 2633, 2647, 2657, 2664, 2671, 2678,
     2685, 2692, 2699, 2706, 2713, 2720, 2730, 2742, 2751, 2761
    } ;

static const flex_int16_t yy_def[761] =
    {   0,
      615,  615,  616,  616,  617,  618,  619,  619,  614,    9,
      614,   11,  614,   13,  620,  620,  614,   17,  621,  621,
      614,   21,  622,  622,  623,  623,  624,  624,  614,   29,
      614,   31,  614,   33,   33,   33,  625,  625,  626,  626,
      614,   41,   41,   41,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  627,  614,  614,  614,  628,  628,  628,
      614,  614,  614,  614,  614,  629,  614,  614,  614,  630,
      630,  614,  614,  614,  614,  631,  614,  614,  614,  632,
      632,  614,  614,  614,  614,  614,  614,  633,  614,  614,

      614,  634,  634,  614,  614,  614,  614,  614,  635,  614,
      614,  614,  636,  636,  636,  614,  614,  637,  614,  614,
      638,  614,  614,  639,  614,  614,  614,  614,  614,  614,
      640,  614,  614,  614,  614,  614,  614,  641,  641,  614,
      614,  614,  642,  614,  614,  614,  614,  614,  614,  643,
      643,  614,  614,  614,  614,  644,  614,  614,  645,  614,
      614,  646,  646,  647,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  648,
      614,  614,  649,  650,  650,  614,  614,  649,  614,  614,
      614,  614,  614,  614,  614,  651,  614,  614,  652,  653,

      614,  614,  654,  614,  614,  614,  655,  656,  614,  657,
      614,  614,  614,  614,  658,  614,  659,  614,  614,  614,
      614,  660,  661,  614,  658,  661,  614,  614,  662,  614,
      663,  614,  614,  614,  614,  664,  665,  614,  662,  666,
      614,  614,  667,  614,  668,  614,  614,  614,  614,  669,
      670,  614,  667,  614,  614,  671,  614,  672,  614,  614,
      614,  614,  673,  674,  614,  671,  614,  614,  675,  614,
      676,  614,  614,  614,  614,  677,  678,  614,  675,  678,
      679,  614,  680,  614,  614,  614,  614,  681,  614,  682,
      614,  614,  614,  614,  683,  684,  614,  681,  614,  614,

      685,  614,  686,  614,  614,  614,  614,  687,  688,  614,
      685,  614,  614,  614,  614,  614,  689,  690,  691,  614,
      692,  691,  693,  614,  689,  694,  693,  695,  614,  614,
      614,  614,  696,  614,  614,  614,  614,  614,  697,  614,
      614,  614,  614,  614,  698,  614,  699,  700,  701,  700,
      702,  614,  614,  703,  614,  698,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  704,  614,  614,  614,
      705,  614,  706,  614,  707,  614,  708,  614,  709,  614,
      710,  614,  711,  614,  614,  614,  712,  713,  713,  614,
      614,  614,  714,  715,  614,  614,  716,  717,  717,  614,

      614,  614,  718,  719,  614,  614,  614,  720,  721,  721,
      614,  614,  614,  722,  614,  614,  723,  724,  724,  614,
      614,  614,  725,  614,  614,  726,  727,  727,  614,  614,
      614,  728,  729,  614,  614,  730,  731,  731,  614,  614,
      614,  732,  614,  614,  733,  734,  734,  614,  614,  614,
      735,  614,  614,  736,  737,  614,  614,  738,  738,  614,
      739,  739,  614,  614,  614,  740,  741,  741,  614,  742,
      614,  743,  744,  614,  614,  614,  745,  614,  614,  614,
      746,  746,  614,  614,  614,  614,  614,  747,  614,  715,
      614,  748,  614,  614,  749,  614,  614,  750,  614,  614,

      751,  614,  729,  614,  752,  614,  614,  753,  614,  614,
      754,  614,  755,  614,  614,  756,  757,  757,  743,  758,
      614,  614,  614,  614,  745,  614,  745,  745,  614,  614,
      614,  614,  614,  614,  715,  614,  614,  614,  614,  729,
      614,  614,  614,  614,  614,  759,  757,  614,  760,  743,
      614,  758,  614,  614,  745,  614,  745,  745,  614,  614,
      614,  614,  715,  729,  614,  614,  614,  760,  743,  614,
      745,  745,  614,  614,  614,  614,  614,  614,  743,  614,
      614,  614,  614,  614,  743,  614,  614,  614,  614,  614,
      743,  614,  614,  614,  614,  614,  744,  614,  614,  614,

      757,  614,  614,  614,  757,  614,  614,  614,  614,  614,
      614,  614,  614,    0,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,

      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614
    } ;

static const flex_int16_t yy_nxt[2830] =
    {   0,
      614,  614,   50,   52,   52,   56,   48,   51,  119,  119,
       57,  614,  322,  322,   49,   49,  120,  120,   58,   59,
       60,   61,   62,   59,   59,   63,   64,   59,   59,   59,
       59,   59,   59,   65,   66,   67,   67,   59,   59,   59,
       68,   68,   69,   68,   68,   68,   68,   68,   68,   68,
       59,   68,   68,   68,   68,   68,   68,   68,   68,   68,
       68,   68,   68,   68,   68,   70,   68,   68,   68,   68,
       71,   59,   72,   73,   74,   73,   75,   73,   73,   73,
       76,   73,   73,   73,   73,   73,   73,   77,   78,   79,
       79,   73,   73,   73,   80,   80,   81,   80,   80,   80,

       80,   80,   80,   80,   73,   80,   80,   80,   80,   80,
       80,   80,   80,   80,   80,   80,   80,   80,   80,   80,
       80,   80,   80,   80,   73,   73,   73,   83,   84,   83,
       85,   83,   83,   83,   86,   83,   83,   83,   83,   83,
       83,   87,   88,   89,   89,   83,   83,   83,   90,   90,
       91,   90,   90,   90,   90,   90,   90,   90,   83,   90,
       90,   90,   90,   90,   90,   90,   90,   90,   90,   90,
       90,   90,   90,   90,   90,   90,   90,   90,   92,   83,
       93,   95,   96,   95,   97,   95,   95,   95,   98,   95,
       95,   95,   95,   95,   95,   99,  100,  101,  101,   95,

       95,   95,  102,  102,  103,  102,  102,  102,  102,  102,
      102,  102,   95,  102,  102,  102,  102,  102,  102,  102,
      102,  102,  102,  102,  102,  102,  102,  102,  102,  102,
      102,  102,   95,   95,   95,  106,  107,  106,  108,  106,
      106,  106,  109,  106,  106,  106,  106,  106,  106,  110,
      111,  112,  112,  106,  106,  106,  113,  113,  114,  113,
      113,  113,  113,  113,  113,  113,  106,  113,  113,  113,
      113,  113,  113,  113,  113,  113,  113,  113,  113,  113,
      113,  115,  113,  113,  113,  113,  116,  106,  117,  122,
      123,  122,  123,  126,  126,  165,  165,  168,  169,  392,

      168,  169,  173,  174,  186,  195,  212,  187,  213,  196,
      170,  166,  166,  170,  613,  175,  171,  392,  124,  171,
      124,  176,  127,  127,  128,  129,  128,  130,  128,  128,
      128,  131,  132,  133,  128,  134,  128,  128,  135,  136,
      137,  137,  128,  128,  128,  138,  138,  139,  138,  138,
      138,  138,  138,  138,  138,  128,  138,  138,  138,  138,
      138,  138,  138,  138,  138,  138,  138,  138,  138,  138,
      138,  138,  138,  138,  138,  128,  128,  128,  140,  141,
      140,  142,  140,  140,  140,  143,  144,  145,  140,  146,
      140,  140,  147,  148,  149,  149,  140,  140,  140,  150,

      150,  151,  150,  150,  150,  150,  150,  150,  150,  152,
      150,  150,  150,  150,  150,  150,  150,  150,  150,  150,
      150,  150,  150,  150,  150,  150,  150,  150,  150,  140,
      140,  140,  153,  153,  154,  155,  153,  153,  153,  156,
      157,  158,  153,  153,  153,  159,  160,  153,  153,  153,
      161,  153,  153,  162,  162,  163,  162,  162,  162,  162,
      162,  162,  162,  153,  164,  162,  162,  162,  162,  162,
      162,  162,  162,  162,  162,  162,  162,  162,  162,  162,
      162,  162,  162,  153,  153,  153,  173,  174,  189,  190,
      197,  612,  209,  216,  191,  198,  210,  217,  192,  175,

      193,  611,  194,  322,  322,  176,  177,  178,  177,  179,
      177,  177,  177,  180,  177,  177,  177,  177,  177,  177,
      181,  177,  177,  177,  182,  177,  183,  184,  184,  185,
      184,  184,  184,  184,  184,  184,  184,  177,  184,  184,
      184,  184,  184,  184,  184,  184,  184,  184,  184,  184,
      184,  184,  184,  184,  184,  184,  184,  177,  177,  177,
      186,  199,  207,  187,  201,  202,  224,  204,  202,  230,
      225,  610,  205,  231,  219,  219,  219,  238,  614,  188,
      206,  239,  220,  233,  233,  233,  318,  221,  244,  189,
      190,  234,  245,  252,  257,  191,  235,  253,  258,  192,

      220,  193,  215,  194,  318,  318,  200,  208,  221,  234,
      265,  475,  270,  476,  266,  203,  271,  235,  203,  218,
      218,  219,  278,  318,  289,  297,  279,  220,  290,  298,
      329,  330,  221,  609,  222,  247,  247,  247,  260,  260,
      260,  335,  336,  248,  367,  220,  261,  197,  249,  331,
      608,  262,  198,  221,  222,  232,  232,  233,  302,  567,
      337,  248,  303,  234,  261,  201,  202,  310,  235,  249,
      236,  311,  262,  320,  273,  273,  273,  321,  553,  332,
      338,  234,  274,  333,  339,  322,  322,  275,  368,  235,
      236,  246,  246,  247,  318,  614,  326,  326,  326,  248,

      274,  341,  342,  346,  249,  324,  250,  347,  275,  325,
      292,  292,  292,  328,  322,  322,  203,  248,  293,  229,
      343,  482,  483,  294,  522,  249,  250,  259,  259,  260,
      355,  523,  204,  202,  356,  261,  293,  205,  357,  342,
      262,  358,  263,  348,  294,  206,  305,  305,  305,  349,
      386,  386,  359,  261,  306,  350,  209,  343,  614,  307,
      210,  262,  263,  272,  272,  273,  402,  312,  313,  607,
      314,  274,  306,  391,  350,  401,  275,  526,  276,  526,
      307,  614,  243,  203,  402,  387,  413,  360,  361,  274,
      315,  362,  412,  352,  391,  353,  401,  275,  276,  291,

      291,  292,  606,  390,  413,  256,  614,  293,  391,  604,
      348,  558,  294,  412,  295,  571,  349,  603,  218,  218,
      219,  390,  350,  396,  396,  293,  220,  400,  421,  391,
      269,  221,  401,  294,  295,  304,  304,  305,  219,  219,
      219,  350,  471,  306,  220,  400,  220,  614,  307,  421,
      308,  221,  221,  401,  473,  232,  232,  233,  397,  422,
      352,  306,  363,  234,  220,  233,  233,  233,  235,  307,
      308,  288,  221,  234,  407,  407,  431,  422,  235,  416,
      416,  234,  246,  246,  247,  247,  247,  247,  526,  235,
      248,  234,  411,  248,  431,  249,  567,  412,  249,  235,

      425,  425,  435,  435,  259,  259,  260,  441,  248,  408,
      411,  248,  261,  430,  417,  553,  249,  262,  412,  249,
      260,  260,  260,  557,  420,  441,  444,  444,  261,  421,
      261,  429,  440,  262,  430,  426,  430,  436,  262,  272,
      272,  273,  420,  273,  273,  273,  261,  274,  602,  429,
      421,  274,  275,  440,  262,  449,  275,  430,  291,  291,
      292,  445,  292,  292,  292,  274,  293,  439,  601,  274,
      293,  294,  440,  275,  614,  294,  449,  275,  304,  304,
      305,  305,  305,  305,  293,  439,  306,  450,  293,  306,
      448,  307,  294,  440,  307,  449,  294,  614,  301,  453,

      453,  600,  465,  465,  306,  450,  614,  306,  448,  329,
      330,  599,  307,  335,  336,  307,  449,  341,  342,  348,
      318,  317,  326,  326,  326,  349,  489,  359,  331,  614,
      345,  350,  337,  359,  454,  614,  343,  466,  385,  328,
      493,  350,  357,  342,  489,  358,  487,  487,  395,  220,
      350,  393,  496,  393,  221,  598,  491,  491,  493,  234,
      350,  343,  360,  361,  235,  406,  362,  220,  360,  361,
      496,  248,  362,  494,  494,  221,  249,  234,  415,  596,
      499,  502,  424,  261,  434,  235,  497,  497,  262,  248,
      500,  500,  504,  504,  506,  274,  443,  249,  499,  502,

      275,  261,  293,  471,  507,  507,  509,  294,  595,  262,
      452,  306,  506,  274,  464,  517,  307,  526,  510,  510,
      293,  275,  512,  512,  509,  515,  515,  471,  294,  306,
      518,  482,  483,  594,  548,  548,  548,  307,  471,  473,
      385,  472,  473,  566,  519,  519,  519,  395,  214,  214,
      517,  527,  574,  406,  526,  228,  228,  415,  528,  424,
      516,  242,  242,  434,  593,  255,  255,  268,  268,  443,
      575,  287,  287,  452,  592,  464,  547,  300,  300,  514,
      590,  316,  316,  344,  344,  518,  514,  545,  545,  572,
      548,  548,  548,  471,  469,  469,  547,  517,  526,  548,

      548,  548,  551,  471,  567,  473,  551,  519,  519,  519,
      548,  548,  548,  472,  473,  473,  550,  551,  517,  471,
      574,  553,  403,  553,  403,  553,  589,  569,  472,  473,
      471,  473,  580,  581,  571,  471,  553,  471,  575,  582,
      518,  414,  473,  414,  423,  579,  423,  473,  605,  597,
      588,  472,  473,  605,  519,  519,  519,  432,  585,  432,
      591,  587,  614,  614,  614,  586,  584,  614,  614,  614,
       46,   46,   46,   46,   46,   46,   46,   46,   46,   46,
       46,   46,   46,   46,   47,   47,   47,   47,   47,   47,
       47,   47,   47,   47,   47,   47,   47,   47,   52,   52,

       52,   52,   52,   52,   52,   52,   52,   52,   52,   52,
       52,   52,   53,   53,   53,   53,   53,   53,   53,   53,
       53,   53,   53,   53,   53,   53,   54,   54,   54,   54,
       54,   54,   54,   54,   54,   54,   54,   54,   54,   54,
       94,   94,   94,   94,   94,   94,   94,   94,   94,   94,
       94,   94,   94,   94,  104,  104,  104,  104,  104,  104,
      104,  104,  104,  104,  104,  104,  104,  104,  118,  118,
      118,  118,  118,  118,  118,  118,  118,  118,  118,  118,
      118,  118,  121,  121,  121,  121,  121,  121,  121,  121,
      121,  121,  121,  121,  121,  121,  125,  125,  125,  125,

      125,  125,  125,  125,  125,  125,  125,  125,  125,  125,
      167,  167,  167,  167,  167,  167,  167,  167,  167,  167,
      167,  167,  167,  167,  172,  172,  172,  172,  172,  172,
      172,  172,  172,  172,  172,  172,  172,  172,  214,  214,
      442,  214,  442,  214,  214,  214,  214,  214,  214,  214,
      214,  214,  223,  583,  223,  223,  223,  228,  228,  451,
      228,  451,  228,  228,  228,  228,  228,  228,  228,  228,
      228,  237,  367,  237,  237,  237,  242,  242,  526,  242,
      555,  242,  242,  242,  242,  242,  242,  242,  242,  242,
      251,  578,  251,  251,  251,  255,  255,  514,  255,  577,

      255,  255,  255,  255,  255,  255,  255,  255,  255,  264,
      576,  264,  264,  264,  268,  268,  573,  268,  555,  268,
      268,  268,  268,  268,  268,  268,  268,  268,  277,  526,
      277,  277,  277,  281,  281,  570,  281,  281,  514,  281,
      281,  281,  281,  281,  281,  281,  281,  283,  283,  464,
      452,  283,  283,  283,  283,  283,  283,  283,  283,  283,
      283,  284,  284,  284,  284,  284,  284,  284,  284,  284,
      284,  284,  284,  284,  284,  287,  287,  443,  287,  434,
      287,  287,  287,  287,  287,  287,  287,  287,  287,  296,
      564,  296,  296,  296,  300,  300,  424,  300,  415,  300,

      300,  300,  300,  300,  300,  300,  300,  300,  309,  406,
      309,  309,  309,  316,  316,  395,  316,  563,  316,  316,
      316,  316,  316,  316,  316,  316,  316,  319,  385,  562,
      319,  319,  319,  323,  323,  323,  561,  323,  323,  323,
      327,  327,  560,  327,  327,  327,  344,  344,  559,  344,
      526,  344,  344,  344,  344,  344,  344,  344,  344,  344,
      351,  556,  555,  351,  555,  554,  351,  514,  464,  351,
      351,  351,  351,  354,  452,  354,  354,  354,  371,  371,
      371,  371,  371,  371,  371,  371,  371,  371,  371,  371,
      371,  371,  373,  373,  373,  373,  373,  373,  373,  373,

      373,  373,  373,  373,  373,  373,  375,  375,  375,  375,
      375,  375,  375,  375,  375,  375,  375,  375,  375,  375,
      377,  377,  377,  377,  377,  377,  377,  377,  377,  377,
      377,  377,  377,  377,  379,  379,  379,  379,  379,  379,
      379,  379,  379,  379,  379,  379,  379,  379,  381,  381,
      381,  381,  381,  381,  381,  381,  381,  381,  381,  381,
      381,  381,  383,  383,  383,  383,  383,  383,  383,  383,
      383,  383,  383,  383,  383,  383,  214,  214,  443,  214,
      214,  214,  214,  214,  214,  214,  214,  214,  214,  214,
      388,  388,  434,  388,  388,  388,  388,  388,  388,  388,

      388,  388,  388,  388,  223,  540,  223,  223,  223,  228,
      228,  424,  228,  228,  228,  228,  228,  228,  228,  228,
      228,  228,  228,  398,  398,  415,  398,  398,  398,  398,
      398,  398,  398,  398,  398,  398,  398,  237,  406,  237,
      237,  237,  404,  404,  404,  404,  404,  404,  404,  404,
      404,  404,  404,  404,  404,  404,  242,  242,  395,  242,
      242,  242,  242,  242,  242,  242,  242,  242,  242,  242,
      409,  409,  535,  409,  409,  409,  409,  409,  409,  409,
      409,  409,  409,  409,  251,  385,  251,  251,  251,  255,
      255,  533,  255,  255,  255,  255,  255,  255,  255,  255,

      255,  255,  255,  418,  418,  532,  418,  418,  418,  418,
      418,  418,  418,  418,  418,  418,  418,  264,  483,  264,
      264,  264,  268,  268,  531,  268,  268,  268,  268,  268,
      268,  268,  268,  268,  268,  268,  427,  427,  530,  427,
      427,  427,  427,  427,  427,  427,  427,  427,  427,  427,
      277,  529,  277,  277,  277,  281,  281,  524,  281,  281,
      521,  281,  281,  281,  281,  281,  281,  281,  281,  283,
      283,  514,  468,  283,  283,  283,  283,  283,  283,  283,
      283,  283,  283,  287,  287,  468,  287,  287,  287,  287,
      287,  287,  287,  287,  287,  287,  287,  437,  437,  464,

      437,  437,  437,  437,  437,  437,  437,  437,  437,  437,
      437,  296,  462,  296,  296,  296,  300,  300,  462,  300,
      300,  300,  300,  300,  300,  300,  300,  300,  300,  300,
      446,  446,  459,  446,  446,  446,  446,  446,  446,  446,
      446,  446,  446,  446,  309,  459,  309,  309,  309,  316,
      316,  456,  316,  316,  316,  316,  316,  316,  316,  316,
      316,  316,  316,  319,  452,  447,  319,  319,  319,  322,
      322,  322,  447,  322,  322,  322,  455,  455,  455,  455,
      455,  455,  455,  455,  455,  455,  455,  455,  455,  455,
      323,  323,  323,  443,  323,  323,  323,  326,  438,  326,

      326,  326,  327,  327,  438,  327,  327,  327,  458,  458,
      434,  458,  458,  458,  458,  458,  458,  458,  458,  458,
      458,  458,  461,  461,  503,  461,  461,  461,  461,  461,
      461,  461,  461,  461,  461,  461,  344,  344,  428,  344,
      344,  344,  344,  344,  344,  344,  344,  344,  344,  344,
      467,  467,  428,  467,  467,  467,  467,  467,  467,  467,
      467,  467,  467,  467,  351,  424,  419,  351,  419,  415,
      351,  410,  410,  351,  351,  351,  469,  469,  406,  469,
      405,  469,  469,  469,  469,  469,  469,  469,  469,  469,
      472,  399,  399,  395,  490,  472,  472,  472,  389,  472,

      472,  472,  354,  389,  354,  354,  354,  481,  481,  481,
      481,  481,  481,  481,  481,  481,  481,  481,  481,  481,
      481,  371,  371,  371,  371,  371,  371,  371,  371,  371,
      371,  371,  371,  371,  371,  373,  373,  373,  373,  373,
      373,  373,  373,  373,  373,  373,  373,  373,  373,  375,
      375,  375,  375,  375,  375,  375,  375,  375,  375,  375,
      375,  375,  375,  377,  377,  377,  377,  377,  377,  377,
      377,  377,  377,  377,  377,  377,  377,  379,  379,  379,
      379,  379,  379,  379,  379,  379,  379,  379,  379,  379,
      379,  381,  381,  381,  381,  381,  381,  381,  381,  381,

      381,  381,  381,  381,  381,  383,  383,  383,  383,  383,
      383,  383,  383,  383,  383,  383,  383,  383,  383,  488,
      385,  384,  382,  488,  380,  488,  388,  388,  378,  388,
      388,  388,  388,  388,  388,  388,  388,  388,  388,  388,
      393,  376,  393,  374,  393,  223,  372,  223,  223,  223,
      492,  486,  485,  484,  492,  480,  492,  398,  398,  479,
      398,  398,  398,  398,  398,  398,  398,  398,  398,  398,
      398,  403,  478,  403,  477,  403,  404,  404,  404,  404,
      404,  404,  404,  404,  404,  404,  404,  404,  404,  404,
      495,  474,  470,  468,  495,  464,  495,  409,  409,  463,

      409,  409,  409,  409,  409,  409,  409,  409,  409,  409,
      409,  414,  462,  414,  460,  414,  498,  459,  457,  456,
      498,  452,  498,  418,  418,  447,  418,  418,  418,  418,
      418,  418,  418,  418,  418,  418,  418,  423,  443,  423,
      299,  423,  501,  438,  434,  286,  501,  433,  501,  427,
      427,  428,  427,  427,  427,  427,  427,  427,  427,  427,
      427,  427,  427,  432,  424,  432,  267,  432,  277,  419,
      277,  277,  277,  505,  415,  254,  410,  505,  406,  505,
      437,  437,  241,  437,  437,  437,  437,  437,  437,  437,
      437,  437,  437,  437,  442,  405,  442,  399,  442,  508,

      395,  227,  394,  508,  389,  508,  446,  446,  385,  446,
      446,  446,  446,  446,  446,  446,  446,  446,  446,  446,
      451,  211,  451,  384,  451,  511,  382,  380,  207,  511,
      378,  511,  455,  455,  455,  455,  455,  455,  455,  455,
      455,  455,  455,  455,  455,  455,  458,  458,  376,  458,
      458,  458,  458,  458,  458,  458,  458,  458,  458,  458,
      461,  461,  374,  461,  461,  461,  461,  461,  461,  461,
      461,  461,  461,  461,  513,  199,  372,  370,  513,  369,
      513,  467,  467,  366,  467,  467,  467,  467,  467,  467,
      467,  467,  467,  467,  467,  469,  469,  365,  469,  469,

      469,  469,  469,  469,  469,  469,  469,  469,  469,  472,
      364,  345,  340,  334,  472,  472,  472,  317,  472,  472,
      472,  520,  301,  299,  288,  286,  520,  520,  520,  285,
      520,  520,  520,  525,  525,  525,  525,  525,  525,  525,
      525,  525,  525,  525,  525,  525,  525,  481,  481,  481,
      481,  481,  481,  481,  481,  481,  481,  481,  481,  481,
      481,  534,  282,  280,  269,  534,  267,  534,  536,  256,
      254,  243,  536,  241,  536,  537,  240,  229,  227,  537,
      226,  537,  538,  215,  211,  614,  538,  188,  538,  539,
      105,  105,   82,  539,   55,  539,  541,  614,  614,  614,

      541,  614,  541,  542,  614,  614,  614,  542,  614,  542,
      543,  614,  614,  614,  543,  614,  543,  544,  614,  614,
      614,  544,  614,  544,  546,  614,  614,  614,  546,  614,
      546,  549,  614,  614,  614,  614,  614,  614,  549,  614,
      549,  549,  549,  552,  614,  614,  614,  614,  552,  552,
      552,  552,  552,  552,  552,  565,  614,  614,  614,  565,
      614,  565,  568,  614,  614,  614,  614,  614,  614,  568,
      568,  568,  568,  568,   45,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,

      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614
    } ;

static const flex_int16_t yy_chk[2830] =
    {   0,
        0,    0,    4,    6,    6,    8,    3,    4,   23,   24,
        8,    0,  162,  162,    3,    4,   23,   24,    8,    9,
        9,    9,    9,    9,    9,    9,    9,    9,    9,    9,
        9,    9,    9,    9,    9,    9,    9,    9,    9,    9,
        9,    9,    9,    9,    9,    9,    9,    9,    9,    9,
        9,    9,    9,    9,    9,    9,    9,    9,    9,    9,
        9,    9,    9,    9,    9,    9,    9,    9,    9,    9,
        9,    9,    9,   11,   11,   11,   11,   11,   11,   11,
       11,   11,   11,   11,   11,   11,   11,   11,   11,   11,
       11,   11,   11,   11,   11,   11,   11,   11,   11,   11,

       11,   11,   11,   11,   11,   11,   11,   11,   11,   11,
       11,   11,   11,   11,   11,   11,   11,   11,   11,   11,
       11,   11,   11,   11,   11,   11,   11,   13,   13,   13,
       13,   13,   13,   13,   13,   13,   13,   13,   13,   13,
       13,   13,   13,   13,   13,   13,   13,   13,   13,   13,
       13,   13,   13,   13,   13,   13,   13,   13,   13,   13,
       13,   13,   13,   13,   13,   13,   13,   13,   13,   13,
       13,   13,   13,   13,   13,   13,   13,   13,   13,   13,
       13,   17,   17,   17,   17,   17,   17,   17,   17,   17,
       17,   17,   17,   17,   17,   17,   17,   17,   17,   17,

       17,   17,   17,   17,   17,   17,   17,   17,   17,   17,
       17,   17,   17,   17,   17,   17,   17,   17,   17,   17,
       17,   17,   17,   17,   17,   17,   17,   17,   17,   17,
       17,   17,   17,   17,   17,   21,   21,   21,   21,   21,
       21,   21,   21,   21,   21,   21,   21,   21,   21,   21,
       21,   21,   21,   21,   21,   21,   21,   21,   21,   21,
       21,   21,   21,   21,   21,   21,   21,   21,   21,   21,
       21,   21,   21,   21,   21,   21,   21,   21,   21,   21,
       21,   21,   21,   21,   21,   21,   21,   21,   21,   25,
       25,   26,   26,   27,   28,   35,   36,   37,   37,  221,

       38,   38,   39,   39,   42,   49,   63,   42,   63,   49,
       37,   35,   36,   38,  612,   39,   37,  221,   25,   38,
       26,   39,   27,   28,   29,   29,   29,   29,   29,   29,
       29,   29,   29,   29,   29,   29,   29,   29,   29,   29,
       29,   29,   29,   29,   29,   29,   29,   29,   29,   29,
       29,   29,   29,   29,   29,   29,   29,   29,   29,   29,
       29,   29,   29,   29,   29,   29,   29,   29,   29,   29,
       29,   29,   29,   29,   29,   29,   29,   29,   31,   31,
       31,   31,   31,   31,   31,   31,   31,   31,   31,   31,
       31,   31,   31,   31,   31,   31,   31,   31,   31,   31,

       31,   31,   31,   31,   31,   31,   31,   31,   31,   31,
       31,   31,   31,   31,   31,   31,   31,   31,   31,   31,
       31,   31,   31,   31,   31,   31,   31,   31,   31,   31,
       31,   31,   33,   33,   33,   33,   33,   33,   33,   33,
       33,   33,   33,   33,   33,   33,   33,   33,   33,   33,
       33,   33,   33,   33,   33,   33,   33,   33,   33,   33,
       33,   33,   33,   33,   33,   33,   33,   33,   33,   33,
       33,   33,   33,   33,   33,   33,   33,   33,   33,   33,
       33,   33,   33,   33,   33,   33,   40,   40,   48,   48,
       50,  610,   58,   65,   48,   50,   58,   65,   48,   40,

       48,  609,   48,  323,  323,   40,   41,   41,   41,   41,
       41,   41,   41,   41,   41,   41,   41,   41,   41,   41,
       41,   41,   41,   41,   41,   41,   41,   41,   41,   41,
       41,   41,   41,   41,   41,   41,   41,   41,   41,   41,
       41,   41,   41,   41,   41,   41,   41,   41,   41,   41,
       41,   41,   41,   41,   41,   41,   41,   41,   41,   41,
       44,   51,   57,   44,   55,   55,   69,   56,   56,   77,
       69,  608,   56,   77,   67,   67,   67,   81,  225,   44,
       56,   81,   67,   79,   79,   79,  159,   67,   87,   51,
       51,   79,   87,   91,   99,   51,   79,   91,   99,   51,

       67,   51,  225,   51,  318,  159,   51,   57,   67,   79,
      103,  361,  110,  361,  103,   55,  110,   79,   56,   66,
       66,   66,  114,  318,  135,  139,  114,   66,  135,  139,
      168,  168,   66,  607,   66,   89,   89,   89,  101,  101,
      101,  173,  173,   89,  192,   66,  101,  197,   89,  168,
      604,  101,  197,   66,   66,   78,   78,   78,  147,  549,
      173,   89,  147,   78,  101,  201,  201,  151,   78,   89,
       78,  151,  101,  160,  112,  112,  112,  160,  549,  170,
      175,   78,  112,  170,  175,  327,  327,  112,  192,   78,
       78,   88,   88,   88,  164,  239,  164,  164,  164,   88,

      112,  178,  178,  181,   88,  163,   88,  181,  112,  163,
      137,  137,  137,  164,  163,  163,  201,   88,  137,  239,
      178,  367,  367,  137,  475,   88,   88,  100,  100,  100,
      185,  475,  204,  204,  185,  100,  137,  204,  186,  186,
      100,  186,  100,  183,  137,  204,  149,  149,  149,  183,
      215,  215,  187,  100,  149,  183,  206,  186,  253,  149,
      206,  100,  100,  111,  111,  111,  235,  152,  152,  603,
      152,  111,  149,  390,  183,  400,  111,  528,  111,  557,
      149,  266,  253,  204,  235,  215,  249,  187,  187,  111,
      152,  187,  411,  183,  390,  183,  400,  111,  111,  136,

      136,  136,  602,  220,  249,  266,  279,  136,  220,  600,
      188,  528,  136,  411,  136,  557,  188,  599,  218,  218,
      218,  220,  188,  229,  229,  136,  218,  234,  420,  220,
      279,  218,  234,  136,  136,  148,  148,  148,  219,  219,
      219,  188,  351,  148,  218,  234,  219,  298,  148,  420,
      148,  219,  218,  234,  351,  232,  232,  232,  229,  262,
      188,  148,  188,  232,  219,  233,  233,  233,  232,  148,
      148,  298,  219,  233,  243,  243,  275,  262,  233,  256,
      256,  232,  246,  246,  246,  247,  247,  247,  527,  232,
      246,  233,  248,  247,  275,  246,  567,  248,  247,  233,

      269,  269,  288,  288,  259,  259,  259,  294,  246,  243,
      248,  247,  259,  429,  256,  567,  246,  259,  248,  247,
      260,  260,  260,  527,  261,  294,  301,  301,  260,  261,
      259,  274,  439,  260,  429,  269,  274,  288,  259,  272,
      272,  272,  261,  273,  273,  273,  260,  272,  598,  274,
      261,  273,  272,  439,  260,  448,  273,  274,  291,  291,
      291,  301,  292,  292,  292,  272,  291,  293,  596,  273,
      292,  291,  293,  272,  311,  292,  448,  273,  304,  304,
      304,  305,  305,  305,  291,  293,  304,  307,  292,  305,
      306,  304,  291,  293,  305,  306,  292,  325,  311,  317,

      317,  594,  345,  345,  304,  307,  356,  305,  306,  329,
      329,  593,  304,  335,  335,  305,  306,  341,  341,  348,
      328,  325,  328,  328,  328,  348,  392,  358,  329,  350,
      356,  348,  335,  359,  317,  350,  341,  345,  386,  328,
      402,  350,  357,  357,  392,  357,  386,  386,  396,  393,
      348,  660,  413,  660,  393,  592,  396,  396,  402,  403,
      350,  357,  358,  358,  403,  407,  358,  393,  359,  359,
      413,  414,  359,  407,  407,  393,  414,  403,  416,  590,
      422,  431,  425,  423,  435,  403,  416,  416,  423,  414,
      425,  425,  435,  435,  441,  432,  444,  414,  422,  431,

      432,  423,  442,  471,  444,  444,  450,  442,  589,  423,
      453,  451,  441,  432,  465,  471,  451,  477,  453,  453,
      442,  432,  465,  465,  450,  470,  470,  472,  442,  451,
      473,  482,  482,  588,  548,  548,  548,  451,  514,  472,
      487,  473,  473,  548,  473,  473,  473,  491,  487,  487,
      514,  477,  560,  494,  558,  491,  491,  497,  477,  500,
      470,  494,  494,  504,  587,  497,  497,  500,  500,  507,
      560,  504,  504,  510,  586,  512,  517,  507,  507,  515,
      584,  510,  510,  512,  512,  518,  545,  515,  515,  558,
      517,  517,  517,  519,  545,  545,  547,  518,  572,  518,

      518,  518,  520,  550,  568,  519,  551,  519,  519,  519,
      547,  547,  547,  520,  520,  550,  519,  552,  551,  569,
      574,  520,  664,  568,  664,  551,  583,  550,  552,  552,
      579,  569,  573,  573,  572,  585,  552,  591,  574,  573,
      597,  669,  579,  669,  673,  569,  673,  585,  601,  591,
      582,  597,  597,  605,  597,  597,  597,  677,  579,  677,
      585,  581,  601,  601,  601,  580,  578,  605,  605,  605,
      615,  615,  615,  615,  615,  615,  615,  615,  615,  615,
      615,  615,  615,  615,  616,  616,  616,  616,  616,  616,
      616,  616,  616,  616,  616,  616,  616,  616,  617,  617,

      617,  617,  617,  617,  617,  617,  617,  617,  617,  617,
      617,  617,  618,  618,  618,  618,  618,  618,  618,  618,
      618,  618,  618,  618,  618,  618,  619,  619,  619,  619,
      619,  619,  619,  619,  619,  619,  619,  619,  619,  619,
      620,  620,  620,  620,  620,  620,  620,  620,  620,  620,
      620,  620,  620,  620,  621,  621,  621,  621,  621,  621,
      621,  621,  621,  621,  621,  621,  621,  621,  622,  622,
      622,  622,  622,  622,  622,  622,  622,  622,  622,  622,
      622,  622,  623,  623,  623,  623,  623,  623,  623,  623,
      623,  623,  623,  623,  623,  623,  624,  624,  624,  624,

      624,  624,  624,  624,  624,  624,  624,  624,  624,  624,
      625,  625,  625,  625,  625,  625,  625,  625,  625,  625,
      625,  625,  625,  625,  626,  626,  626,  626,  626,  626,
      626,  626,  626,  626,  626,  626,  626,  626,  627,  627,
      683,  627,  683,  627,  627,  627,  627,  627,  627,  627,
      627,  627,  628,  577,  628,  628,  628,  629,  629,  687,
      629,  687,  629,  629,  629,  629,  629,  629,  629,  629,
      629,  630,  576,  630,  630,  630,  631,  631,  571,  631,
      570,  631,  631,  631,  631,  631,  631,  631,  631,  631,
      632,  566,  632,  632,  632,  633,  633,  565,  633,  562,

      633,  633,  633,  633,  633,  633,  633,  633,  633,  634,
      561,  634,  634,  634,  635,  635,  559,  635,  556,  635,
      635,  635,  635,  635,  635,  635,  635,  635,  636,  555,
      636,  636,  636,  637,  637,  554,  637,  637,  546,  637,
      637,  637,  637,  637,  637,  637,  637,  638,  638,  544,
      543,  638,  638,  638,  638,  638,  638,  638,  638,  638,
      638,  639,  639,  639,  639,  639,  639,  639,  639,  639,
      639,  639,  639,  639,  639,  640,  640,  542,  640,  541,
      640,  640,  640,  640,  640,  640,  640,  640,  640,  641,
      540,  641,  641,  641,  642,  642,  539,  642,  538,  642,

      642,  642,  642,  642,  642,  642,  642,  642,  643,  537,
      643,  643,  643,  644,  644,  536,  644,  535,  644,  644,
      644,  644,  644,  644,  644,  644,  644,  645,  534,  533,
      645,  645,  645,  646,  646,  646,  532,  646,  646,  646,
      647,  647,  530,  647,  647,  647,  648,  648,  529,  648,
      525,  648,  648,  648,  648,  648,  648,  648,  648,  648,
      649,  524,  523,  649,  522,  521,  649,  516,  513,  649,
      649,  649,  649,  650,  511,  650,  650,  650,  651,  651,
      651,  651,  651,  651,  651,  651,  651,  651,  651,  651,
      651,  651,  652,  652,  652,  652,  652,  652,  652,  652,

      652,  652,  652,  652,  652,  652,  653,  653,  653,  653,
      653,  653,  653,  653,  653,  653,  653,  653,  653,  653,
      654,  654,  654,  654,  654,  654,  654,  654,  654,  654,
      654,  654,  654,  654,  655,  655,  655,  655,  655,  655,
      655,  655,  655,  655,  655,  655,  655,  655,  656,  656,
      656,  656,  656,  656,  656,  656,  656,  656,  656,  656,
      656,  656,  657,  657,  657,  657,  657,  657,  657,  657,
      657,  657,  657,  657,  657,  657,  658,  658,  508,  658,
      658,  658,  658,  658,  658,  658,  658,  658,  658,  658,
      659,  659,  505,  659,  659,  659,  659,  659,  659,  659,

      659,  659,  659,  659,  661,  503,  661,  661,  661,  662,
      662,  501,  662,  662,  662,  662,  662,  662,  662,  662,
      662,  662,  662,  663,  663,  498,  663,  663,  663,  663,
      663,  663,  663,  663,  663,  663,  663,  665,  495,  665,
      665,  665,  666,  666,  666,  666,  666,  666,  666,  666,
      666,  666,  666,  666,  666,  666,  667,  667,  492,  667,
      667,  667,  667,  667,  667,  667,  667,  667,  667,  667,
      668,  668,  490,  668,  668,  668,  668,  668,  668,  668,
      668,  668,  668,  668,  670,  488,  670,  670,  670,  671,
      671,  485,  671,  671,  671,  671,  671,  671,  671,  671,

      671,  671,  671,  672,  672,  484,  672,  672,  672,  672,
      672,  672,  672,  672,  672,  672,  672,  674,  481,  674,
      674,  674,  675,  675,  480,  675,  675,  675,  675,  675,
      675,  675,  675,  675,  675,  675,  676,  676,  479,  676,
      676,  676,  676,  676,  676,  676,  676,  676,  676,  676,
      678,  478,  678,  678,  678,  679,  679,  476,  679,  679,
      474,  679,  679,  679,  679,  679,  679,  679,  679,  680,
      680,  469,  468,  680,  680,  680,  680,  680,  680,  680,
      680,  680,  680,  681,  681,  467,  681,  681,  681,  681,
      681,  681,  681,  681,  681,  681,  681,  682,  682,  466,

      682,  682,  682,  682,  682,  682,  682,  682,  682,  682,
      682,  684,  462,  684,  684,  684,  685,  685,  461,  685,
      685,  685,  685,  685,  685,  685,  685,  685,  685,  685,
      686,  686,  459,  686,  686,  686,  686,  686,  686,  686,
      686,  686,  686,  686,  688,  458,  688,  688,  688,  689,
      689,  455,  689,  689,  689,  689,  689,  689,  689,  689,
      689,  689,  689,  690,  454,  447,  690,  690,  690,  691,
      691,  691,  446,  691,  691,  691,  692,  692,  692,  692,
      692,  692,  692,  692,  692,  692,  692,  692,  692,  692,
      693,  693,  693,  445,  693,  693,  693,  694,  438,  694,

      694,  694,  695,  695,  437,  695,  695,  695,  696,  696,
      436,  696,  696,  696,  696,  696,  696,  696,  696,  696,
      696,  696,  697,  697,  433,  697,  697,  697,  697,  697,
      697,  697,  697,  697,  697,  697,  698,  698,  428,  698,
      698,  698,  698,  698,  698,  698,  698,  698,  698,  698,
      699,  699,  427,  699,  699,  699,  699,  699,  699,  699,
      699,  699,  699,  699,  700,  426,  419,  700,  418,  417,
      700,  410,  409,  700,  700,  700,  701,  701,  408,  701,
      404,  701,  701,  701,  701,  701,  701,  701,  701,  701,
      702,  399,  398,  397,  394,  702,  702,  702,  389,  702,

      702,  702,  703,  388,  703,  703,  703,  704,  704,  704,
      704,  704,  704,  704,  704,  704,  704,  704,  704,  704,
      704,  705,  705,  705,  705,  705,  705,  705,  705,  705,
      705,  705,  705,  705,  705,  706,  706,  706,  706,  706,
      706,  706,  706,  706,  706,  706,  706,  706,  706,  707,
      707,  707,  707,  707,  707,  707,  707,  707,  707,  707,
      707,  707,  707,  708,  708,  708,  708,  708,  708,  708,
      708,  708,  708,  708,  708,  708,  708,  709,  709,  709,
      709,  709,  709,  709,  709,  709,  709,  709,  709,  709,
      709,  710,  710,  710,  710,  710,  710,  710,  710,  710,

      710,  710,  710,  710,  710,  711,  711,  711,  711,  711,
      711,  711,  711,  711,  711,  711,  711,  711,  711,  712,
      387,  383,  381,  712,  379,  712,  713,  713,  377,  713,
      713,  713,  713,  713,  713,  713,  713,  713,  713,  713,
      714,  375,  714,  373,  714,  715,  371,  715,  715,  715,
      716,  370,  369,  368,  716,  366,  716,  717,  717,  365,
      717,  717,  717,  717,  717,  717,  717,  717,  717,  717,
      717,  718,  364,  718,  362,  718,  719,  719,  719,  719,
      719,  719,  719,  719,  719,  719,  719,  719,  719,  719,
      720,  360,  349,  347,  720,  344,  720,  721,  721,  343,

      721,  721,  721,  721,  721,  721,  721,  721,  721,  721,
      721,  722,  339,  722,  337,  722,  723,  333,  331,  321,
      723,  316,  723,  724,  724,  303,  724,  724,  724,  724,
      724,  724,  724,  724,  724,  724,  724,  725,  300,  725,
      299,  725,  726,  290,  287,  286,  726,  280,  726,  727,
      727,  271,  727,  727,  727,  727,  727,  727,  727,  727,
      727,  727,  727,  728,  268,  728,  267,  728,  729,  258,
      729,  729,  729,  730,  255,  254,  245,  730,  242,  730,
      731,  731,  241,  731,  731,  731,  731,  731,  731,  731,
      731,  731,  731,  731,  732,  240,  732,  231,  732,  733,

      228,  227,  226,  733,  217,  733,  734,  734,  214,  734,
      734,  734,  734,  734,  734,  734,  734,  734,  734,  734,
      735,  211,  735,  210,  735,  736,  208,  207,  205,  736,
      203,  736,  737,  737,  737,  737,  737,  737,  737,  737,
      737,  737,  737,  737,  737,  737,  738,  738,  200,  738,
      738,  738,  738,  738,  738,  738,  738,  738,  738,  738,
      739,  739,  199,  739,  739,  739,  739,  739,  739,  739,
      739,  739,  739,  739,  740,  198,  196,  194,  740,  193,
      740,  741,  741,  191,  741,  741,  741,  741,  741,  741,
      741,  741,  741,  741,  741,  742,  742,  190,  742,  742,

      742,  742,  742,  742,  742,  742,  742,  742,  742,  743,
      189,  180,  176,  171,  743,  743,  743,  156,  743,  743,
      743,  744,  143,  141,  131,  129,  744,  744,  744,  127,
      744,  744,  744,  745,  745,  745,  745,  745,  745,  745,
      745,  745,  745,  745,  745,  745,  745,  746,  746,  746,
      746,  746,  746,  746,  746,  746,  746,  746,  746,  746,
      746,  747,  120,  115,  109,  747,  107,  747,  748,   98,
       96,   86,  748,   84,  748,  749,   82,   76,   74,  749,
       70,  749,  750,   64,   60,   45,  750,   43,  750,  751,
       20,   19,   12,  751,    7,  751,  752,    0,    0,    0,

      752,    0,  752,  753,    0,    0,    0,  753,    0,  753,
      754,    0,    0,    0,  754,    0,  754,  755,    0,    0,
        0,  755,    0,  755,  756,    0,    0,    0,  756,    0,
      756,  757,    0,    0,    0,    0,    0,    0,  757,    0,
      757,  757,  757,  758,    0,    0,    0,    0,  758,  758,
      758,  758,  758,  758,  758,  759,    0,    0,    0,  759,
        0,  759,  760,    0,    0,    0,    0,    0,    0,  760,
      760,  760,  760,  760,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,

      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614,  614,
      614,  614,  614,  614,  614,  614,  614,  614,  614
    } ;

static const flex_int16_t yy_rule_linenum[129] =
    {   0,
      125,  132,  147,  152,  157,  165,  169,  174,  181,  188,
      192,  198,  203,  211,  238,  242,  259,  264,  269,  274,
      278,  295,  300,  305,  310,  316,  320,  336,  343,  355,
      360,  368,  373,  378,  382,  386,  390,  404,  409,  414,
      420,  426,  432,  438,  445,  455,  459,  475,  480,  485,
      490,  495,  502,  506,  520,  529,  545,  549,  561,  566,
      571,  576,  582,  614,  652,  692,  696,  710,  715,  720,
      725,  730,  734,  744,  762,  767,  772,  777,  782,  786,
      802,  816,  828,  839,  844,  849,  854,  859,  896,  900,
      916,  921,  925,  929,  958,  963,  968,  982, 1001, 1011,

     1015, 1027, 1032, 1037, 1047, 1059, 1071, 1075, 1079, 1083,
     1087, 1091, 1095, 1108, 1121, 1126, 1131, 1135, 1147, 1152,
     1156, 1172, 1179, 1183, 1188, 1204, 1209, 1214
    } ;

/* The intent behind this definition is that it'll catch
 * any uses of REJECT which flex missed.
 */
#define REJECT reject_used_but_not_detected
#define yymore() yymore_used_but_not_detected
#define YY_MORE_ADJ 0
#define YY_RESTORE_YY_MORE_OFFSET
#line 1 "flex/agc-Lfile-lexer.ll"












#line 24 "flex/agc-Lfile-lexer.ll"
/* $Id: agc-Lfile-lexer.cc 2845 2022-12-13 01:24:39Z teshields $ */

/* This file is part of Ox, an Attribute Grammar Compiling System
   that augments the specification functionality of Lex and Yacc, and
   input specification compatible lexer and parser generators.

   Copyright (C) 1992-1994  Kurt M. Bischoff
   Copyright (C) 2004-2022  Thomas E. Shields

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

#include "config.h"

#include <string>

#include "codegen.hh"
#include "lextypes.hh"
#include "symTrans.hh"

#include "YY_LOCATIONS.hh"
#line 1420 "flex/agc-Lfile-lexer.cc"

#line 77 "flex/agc-Lfile-lexer.ll"
#include "agc-Lfile-lexer.hh"
#line 1424 "flex/agc-Lfile-lexer.cc"
#line 1425 "flex/agc-Lfile-lexer.cc"

#define INITIAL 0
#define LEX_DEFS 1
#define RULES_PROLOG 2
#define LEX_REGEXP 3
#define LEX_ACT 4
#define LEX_CCODE 5
#define CCODE_BLOCK 6
#define LEX_USER 7
#define LEX_TRAILER 8
#define GEN_INITIAL 9
#define GEN_ACT 10
#define COMMENT 11
#define STRING 12
#define CPP_DIRECTIVE 13
#define EXPAND_MACRO 14
#define MACRO_ARG 15
#define LEX_RTN_OBJS 16
#define GEN_RTN_OBJS 17
#define LEX_IS_ATTR_REF 18
#define GEN_IS_ATTR_REF 19
#define LEX_ATTR_REF 20
#define GEN_ATTR_REF 21

#ifndef YY_NO_UNISTD_H
/* Special case for "unistd.h", since it is non-ANSI. We include it way
 * down here because we want the user's section 1 to have been scanned first.
 * The user has a chance to override it with an option.
 */
/* %if-c-only */
/* %endif */
/* %if-c++-only */
#include <unistd.h>
/* %endif */
#endif

#ifndef YY_EXTRA_TYPE
#define YY_EXTRA_TYPE void *
#endif

/* %if-c-only Reentrant structure and macros (non-C++). */
/* %if-reentrant */
/* %if-c-only */
/* %endif */
/* %if-reentrant */
/* %endif */
/* %endif End reentrant structures and macros. */
/* %if-bison-bridge */
/* %endif */
/* %not-for-header */
/* %ok-for-header */

/* %endif */

#ifndef yytext_ptr
static void yy_flex_strncpy ( char *, const char *, int );
#endif

#ifdef YY_NEED_STRLEN
static int yy_flex_strlen ( const char * );
#endif

#ifndef YY_NO_INPUT
/* %if-c-only Standard (non-C++) definition */
/* %not-for-header */
/* %ok-for-header */

/* %endif */
#endif

/* %if-c-only */
/* %endif */

/* Amount of stuff to slurp up with each read. */
#ifndef YY_READ_BUF_SIZE
#ifdef __ia64__
/* On IA-64, the buffer size is 16k, not 8k */
#define YY_READ_BUF_SIZE 16384
#else
#define YY_READ_BUF_SIZE 8192
#endif /* __ia64__ */
#endif

/* Copy whatever the last rule matched to the standard output. */
#ifndef ECHO
/* %if-c-only Standard (non-C++) definition */
/* %endif */
/* %if-c++-only C++ definition */
#define ECHO LexerOutput( yytext, yyleng )
/* %endif */
#endif

/* Gets input and stuffs it into "buf".  number of characters read, or YY_NULL,
 * is returned in "result".
 */
#ifndef YY_INPUT
#define YY_INPUT(buf,result,max_size) \
/* %% [5.0] fread()/read() definition of YY_INPUT goes here unless we're doing C++ \ */\
\
/* %if-c++-only C++ definition \ */\
	if ( (int)(result = LexerInput( (char *) buf, max_size )) < 0 ) \
		YY_FATAL_ERROR( "input in flex scanner failed" );
/* %endif */

#endif

/* No semi-colon after return; correct usage is to write "yyterminate();" -
 * we don't want an extra ';' after the "return" because that will cause
 * some compilers to complain about unreachable statements.
 */
#ifndef yyterminate
#define yyterminate() return YY_NULL
#endif

/* Number of entries by which start-condition stack grows. */
#ifndef YY_START_STACK_INCR
#define YY_START_STACK_INCR 25
#endif

/* Report a fatal error. */
#ifndef YY_FATAL_ERROR
/* %if-c-only */
/* %endif */
/* %if-c++-only */
#define YY_FATAL_ERROR(msg) LexerError( msg )
/* %endif */
#endif

/* %if-tables-serialization structures and prototypes */
/* %not-for-header */
/* %ok-for-header */

/* %not-for-header */
/* %tables-yydmap generated elements */
/* %endif */
/* end tables serialization structures and prototypes */

/* %ok-for-header */

/* Default declaration of generated scanner - a define so the user can
 * easily add parameters.
 */
#ifndef YY_DECL
#define YY_DECL_IS_OURS 1
/* %if-c-only Standard (non-C++) definition */
/* %endif */
/* %if-c++-only C++ definition */
#define YY_DECL int yyFlexLexer::yylex()
/* %endif */
#endif /* !YY_DECL */

/* Code executed at the beginning of each rule, after yytext and yyleng
 * have been set up.
 */
#ifndef YY_USER_ACTION
#define YY_USER_ACTION
#endif

/* Code executed at the end of each rule. */
#ifndef YY_BREAK
#define YY_BREAK /*LINTED*/break;
#endif

/* %% [6.0] YY_RULE_SETUP definition goes here */
#define YY_RULE_SETUP \
	if ( yyleng > 0 ) \
		YY_CURRENT_BUFFER_LVALUE->yy_at_bol = \
				(yytext[yyleng - 1] == '\n'); \
	YY_USER_ACTION

/* %not-for-header */
/** The main scanner function which does all the work.
 */
YY_DECL
{
	yy_state_type yy_current_state;
	char *yy_cp, *yy_bp;
	int yy_act;
    
	if ( !(yy_init) )
		{
		(yy_init) = 1;

#ifdef YY_USER_INIT
		YY_USER_INIT;
#endif

		if ( ! (yy_start) )
			(yy_start) = 1;	/* first start state */

		if ( ! yyin )
/* %if-c-only */
/* %endif */
/* %if-c++-only */
			yyin.rdbuf(std::cin.rdbuf());
/* %endif */

		if ( ! yyout )
/* %if-c-only */
/* %endif */
/* %if-c++-only */
			yyout.rdbuf(std::cout.rdbuf());
/* %endif */

		if ( ! YY_CURRENT_BUFFER ) {
			yyensure_buffer_stack ();
			YY_CURRENT_BUFFER_LVALUE =
				yy_create_buffer( yyin, YY_BUF_SIZE );
		}

		yy_load_buffer_state(  );
		}

	{
/* %% [7.0] user's declarations go here */
#line 121 "flex/agc-Lfile-lexer.ll"


#line 1644 "flex/agc-Lfile-lexer.cc"

	while ( /*CONSTCOND*/1 )		/* loops until end-of-file is reached */
		{
/* %% [8.0] yymore()-related code goes here */
		yy_cp = (yy_c_buf_p);

		/* Support of yytext. */
		*yy_cp = (yy_hold_char);

		/* yy_bp points to the position in yy_ch_buf of the start of
		 * the current run.
		 */
		yy_bp = yy_cp;

/* %% [9.0] code to set up and find next match goes here */
		yy_current_state = (yy_start);
		yy_current_state += YY_AT_BOL();
yy_match:
		do
			{
			YY_CHAR yy_c = yy_ec[YY_SC_TO_UI(*yy_cp)] ;
			if ( yy_accept[yy_current_state] )
				{
				(yy_last_accepting_state) = yy_current_state;
				(yy_last_accepting_cpos) = yy_cp;
				}
			while ( yy_chk[yy_base[yy_current_state] + yy_c] != yy_current_state )
				{
				yy_current_state = (int) yy_def[yy_current_state];
				if ( yy_current_state >= 615 )
					yy_c = yy_meta[yy_c];
				}
			yy_current_state = yy_nxt[yy_base[yy_current_state] + yy_c];
			++yy_cp;
			}
		while ( yy_current_state != 614 );
		yy_cp = (yy_last_accepting_cpos);
		yy_current_state = (yy_last_accepting_state);

yy_find_action:
/* %% [10.0] code to find the action number goes here */
		yy_act = yy_accept[yy_current_state];

		YY_DO_BEFORE_ACTION;

/* %% [11.0] code for yylineno update goes here */

do_action:	/* This label is used only to access EOF actions. */

/* %% [12.0] debug code goes here */
		if ( yy_flex_debug )
			{
			if ( yy_act == 0 )
				std::cerr << "--scanner backing up\n";
			else if ( yy_act < 129 )
				std::cerr << "--accepting rule at line " << yy_rule_linenum[yy_act] <<
				         "(\"" << yytext << "\")\n";
			else if ( yy_act == 129 )
				std::cerr << "--accepting default rule (\"" << yytext << "\")\n";
			else if ( yy_act == 130 )
				std::cerr << "--(end of buffer or a NUL)\n";
			else
				std::cerr << "--EOF (start condition " << YY_START << ")\n";
			}

		switch ( yy_act )
	{ /* beginning of action switch */
/* %% [13.0] actions go here */
			case 0: /* must back up */
			/* undo the effects of YY_DO_BEFORE_ACTION */
			*yy_cp = (yy_hold_char);
			yy_cp = (yy_last_accepting_cpos);
			yy_current_state = (yy_last_accepting_state);
			goto yy_find_action;

case 1:
/* rule 1 can match eol */
YY_RULE_SETUP
#line 125 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put ((char)chr ()); // avoid 'yyless (0)' if EOL
  start (GEN_ACT);
  // hook for Yacc action at start of a generic scanner file
  return (lexer::token::SOSF);
}
	YY_BREAK
case 2:
YY_RULE_SETUP
#line 132 "flex/agc-Lfile-lexer.ll"
{
  yyless (0);
  start (GEN_ACT);
  // hook for Yacc action at start of a generic scanner file
  return (lexer::token::SOSF);
}
	YY_BREAK


/* L-file Definitions Section */
case 3:
*yy_cp = (yy_hold_char); /* undo effects of setting up yytext */
(yy_c_buf_p) = yy_cp -= 1;
YY_DO_BEFORE_ACTION; /* set up yytext again */
YY_RULE_SETUP
#line 147 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
  push_state (yylloc, LEX_CCODE);
}
	YY_BREAK
case 4:
YY_RULE_SETUP
#line 152 "flex/agc-Lfile-lexer.ll"
{
  reflexDirective (); // RE/flex unique option = Flex option
                      // "%option bison-bridge"
}
	YY_BREAK
case 5:
YY_RULE_SETUP
#line 157 "flex/agc-Lfile-lexer.ll"
{
  reflexDirective (); // RE/flex unique option requires Bison directives
                      // "%define api.value.type variant" and
                      // "%define api.token.constructor", which
                      // are not supported
  notSupported (yylloc, "\"%bison-complete\"");
}
	YY_BREAK
case 6:
YY_RULE_SETUP
#line 165 "flex/agc-Lfile-lexer.ll"
{
  reflexDirective (); // RE/flex unique option = Flex "%option bison-locations"
}
	YY_BREAK
case 7:
YY_RULE_SETUP
#line 169 "flex/agc-Lfile-lexer.ll"
{
  // disambiguate with "%class{ ... }"
  reflexDirective (); // RE/flex unique option
}
	YY_BREAK
case 8:
YY_RULE_SETUP
#line 174 "flex/agc-Lfile-lexer.ll"
{
  reflexDirective (); // RE/flex unique option
  yoxOutL.lex ().put (text ());
  push_state (yylloc, CCODE_BLOCK);
  nLbraces = 0;
}
	YY_BREAK
case 9:
YY_RULE_SETUP
#line 181 "flex/agc-Lfile-lexer.ll"
{
  reflexDirective (); // RE/flex unique option
  yoxOutL.lex ().put (text ());
  push_state (yylloc, CCODE_BLOCK);
  nLbraces = 0;
}
	YY_BREAK
case 10:
YY_RULE_SETUP
#line 188 "flex/agc-Lfile-lexer.ll"
{
  reflexDirective (); // RE/flex unique option = Flex "%option reentrant"
}
	YY_BREAK
case 11:
YY_RULE_SETUP
#line 192 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
  push_state (yylloc, CCODE_BLOCK);
  nLbraces = 0;
}
	YY_BREAK
case 12:
YY_RULE_SETUP
#line 198 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
  yox_push_state (COMMENT, yoxOutL);
}
	YY_BREAK
case 13:
*yy_cp = (yy_hold_char); /* undo effects of setting up yytext */
(yy_c_buf_p) = yy_cp -= 1;
YY_DO_BEFORE_ACTION; /* set up yytext again */
YY_RULE_SETUP
#line 203 "flex/agc-Lfile-lexer.ll"
{
  yylloc.begin.column += std::strcspn (text (), "%");
  yylloc.end = yylloc.begin + 2;
  separatorMARK.put (text ());
  start (RULES_PROLOG);
  return (lexer::token::MARK);
}
	YY_BREAK
case 14:
*yy_cp = (yy_hold_char); /* undo effects of setting up yytext */
(yy_c_buf_p) = yy_cp -= 1;
YY_DO_BEFORE_ACTION; /* set up yytext again */
YY_RULE_SETUP
#line 211 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
  // check the '%option' list for any of interest to Ox
  // '%o' is a short-form (RE/flex)
  const std::string& lexeme (text ());
  const int optLeng = (int)strlen ("%option");
  if (lexeme.substr (0, optLeng) == "%option")
    {
      // Flex or RE/flex '%option' directive
      checkLexGenOptionDirective (yylloc, lexeme.substr (optLeng));
    }
  else
    {
      try
        {
          // Lex 'output slots' option, if '%o' followed by an integer
          std::stoi (lexeme.substr (2));
        }
      catch (std::invalid_argument const&)
        {
          // RE/flex unique short form of '%option'
          reflexDirective ();
          checkLexGenOptionDirective (yylloc, lexeme.substr (2));
        }
    }
}
	YY_BREAK
case 15:
*yy_cp = (yy_hold_char); /* undo effects of setting up yytext */
(yy_c_buf_p) = yy_cp -= 1;
YY_DO_BEFORE_ACTION; /* set up yytext again */
YY_RULE_SETUP
#line 238 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
}
	YY_BREAK
case 16:
/* rule 16 can match eol */
YY_RULE_SETUP
#line 242 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put ((char)chr ());
}
	YY_BREAK
case YY_STATE_EOF(LEX_DEFS):
#line 246 "flex/agc-Lfile-lexer.ll"
{
  // EOF w/o finding the first "%%": the L-file is corrupt, so just quit
  unexpectedEOF (yylloc);
}
	YY_BREAK


/* LEX_DEFS, LEX_REGEXP 'subroutine': echo C code between "%{" and "%}" */
case 17:
YY_RULE_SETUP
#line 259 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
  yox_push_state (COMMENT, yoxOutL);
}
	YY_BREAK
case 18:
YY_RULE_SETUP
#line 264 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
  yox_push_state (STRING, yoxOutL);
}
	YY_BREAK
case 19:
*yy_cp = (yy_hold_char); /* undo effects of setting up yytext */
(yy_c_buf_p) = yy_cp -= 1;
YY_DO_BEFORE_ACTION; /* set up yytext again */
YY_RULE_SETUP
#line 269 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
  pop_state ();
}
	YY_BREAK
case 20:
YY_RULE_SETUP
#line 274 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
}
	YY_BREAK
case 21:
/* rule 21 can match eol */
YY_RULE_SETUP
#line 278 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put ((char)chr ());
}
	YY_BREAK
case YY_STATE_EOF(LEX_CCODE):
#line 282 "flex/agc-Lfile-lexer.ll"
{
  unterminatedCode (yylloc, startPos.top ());
}
	YY_BREAK


/* LEX_DEFS 'subroutine': echo C/C++ code "{ ... }" for Flex extension "%top" and
     for RE/flex extensions "%class" and "%init" */
case 22:
YY_RULE_SETUP
#line 295 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
  yox_push_state (COMMENT, yoxOutL);
}
	YY_BREAK
case 23:
YY_RULE_SETUP
#line 300 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
  yox_push_state (STRING, yoxOutL);
}
	YY_BREAK
case 24:
YY_RULE_SETUP
#line 305 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put ((char)chr ());
  nLbraces++;
}
	YY_BREAK
case 25:
YY_RULE_SETUP
#line 310 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put ((char)chr ());
  if (--nLbraces == 0)
    pop_state (); // -> LEX_DEFS
}
	YY_BREAK
case 26:
YY_RULE_SETUP
#line 316 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
}
	YY_BREAK
case 27:
/* rule 27 can match eol */
YY_RULE_SETUP
#line 320 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put ((char)chr ());
}
	YY_BREAK
case YY_STATE_EOF(CCODE_BLOCK):
#line 324 "flex/agc-Lfile-lexer.ll"
{
  unterminatedCode (yylloc, startPos.top ());
}
	YY_BREAK


/* echo the prolog of the Lex Rules Section */
case 28:
YY_RULE_SETUP
#line 336 "flex/agc-Lfile-lexer.ll"
{
  yyless (0);
  start (LEX_REGEXP);
  nLcurls = 0;
  nLbraces = 0;
}
	YY_BREAK
case 29:
/* rule 29 can match eol */
YY_RULE_SETUP
#line 343 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put ((char)chr ());
}
	YY_BREAK


/* echo Lex regular expressions, terminated by whitespace */
case 30:
YY_RULE_SETUP
#line 355 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
  yox_push_state (COMMENT, yoxOutL);
}
	YY_BREAK
case 31:
*yy_cp = (yy_hold_char); /* undo effects of setting up yytext */
(yy_c_buf_p) = yy_cp -= 1;
YY_DO_BEFORE_ACTION; /* set up yytext again */
YY_RULE_SETUP
#line 360 "flex/agc-Lfile-lexer.ll"
{
  yylloc.begin.column += std::strcspn (text (), "%");
  yylloc.end = yylloc.begin + 2;
  yoxOutL.lex ().put (text ());
  start (LEX_USER);
  return (lexer::token::MARK);
}
	YY_BREAK
case 32:
*yy_cp = (yy_hold_char); /* undo effects of setting up yytext */
(yy_c_buf_p) = yy_cp -= 1;
YY_DO_BEFORE_ACTION; /* set up yytext again */
YY_RULE_SETUP
#line 368 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
  push_state (yylloc, LEX_CCODE);
}
	YY_BREAK
case 33:
YY_RULE_SETUP
#line 373 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
  push_state (yylloc.end, LEX_ACT); // starting position if EOF in lexer action
}
	YY_BREAK
case 34:
*yy_cp = (yy_hold_char); /* undo effects of setting up yytext */
(yy_c_buf_p) = yy_cp -= 1;
YY_DO_BEFORE_ACTION; /* set up yytext again */
YY_RULE_SETUP
#line 378 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
}
	YY_BREAK
case 35:
*yy_cp = (yy_hold_char); /* undo effects of setting up yytext */
(yy_c_buf_p) = yy_cp -= 1;
YY_DO_BEFORE_ACTION; /* set up yytext again */
YY_RULE_SETUP
#line 382 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
}
	YY_BREAK
case 36:
*yy_cp = (yy_hold_char); /* undo effects of setting up yytext */
(yy_c_buf_p) = yy_cp -= 1;
YY_DO_BEFORE_ACTION; /* set up yytext again */
YY_RULE_SETUP
#line 386 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
}
	YY_BREAK
case 37:
/* rule 37 can match eol */
YY_RULE_SETUP
#line 390 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put ((char)chr ());
}
	YY_BREAK


/* look for the "return" reserved word in a Lex action (-> LEX_RTN_OBJS), and
     look for the end of a Lex action after an attribute reference section; a
     Lex action is terminated by the first newline outside of paired braces */
case 38:
YY_RULE_SETUP
#line 404 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
  yox_push_state (COMMENT, yoxOutL);
}
	YY_BREAK
case 39:
YY_RULE_SETUP
#line 409 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
  yox_push_state (STRING, yoxOutL);
}
	YY_BREAK
case 40:
YY_RULE_SETUP
#line 414 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
  ++nLcurls;
  return (lexer::token::LCURL);
}
	YY_BREAK
case 41:
YY_RULE_SETUP
#line 420 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
  --nLcurls;
  return (lexer::token::RCURL);
}
	YY_BREAK
case 42:
YY_RULE_SETUP
#line 426 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put ((char)chr ());
  ++nLbraces;
  return (lexer::token::LBRACE);
}
	YY_BREAK
case 43:
YY_RULE_SETUP
#line 432 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put ((char)chr ());
  --nLbraces;
  return (lexer::token::RBRACE);
}
	YY_BREAK
case 44:
YY_RULE_SETUP
#line 438 "flex/agc-Lfile-lexer.ll"
{
  returnSTMT.lex ().put (text ());
  nLparens = 0;
  start (LEX_RTN_OBJS);
  return (lexer::token::RETURN);
}
	YY_BREAK
case 45:
/* rule 45 can match eol */
YY_RULE_SETUP
#line 445 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put ((char)chr ());
  if (nLbraces == 0 && nLcurls == 0)
    {
      pop_state (); // -> LEX_REGEXP, use the EOL position if syntax error
      yylloc.end = yylloc.begin;
      return (lexer::token::NEWLINE);
    }
}
	YY_BREAK
case 46:
YY_RULE_SETUP
#line 455 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
}
	YY_BREAK
case 47:
YY_RULE_SETUP
#line 459 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.put ((char)chr ());
}
	YY_BREAK
case YY_STATE_EOF(LEX_ACT):
#line 463 "flex/agc-Lfile-lexer.ll"
{
  unterminatedAction (yylloc, startPos.top ());
}
	YY_BREAK


/* look for the "return" reserved word in C/C++ source (-> GEN_RTN_OBJS) */
case 48:
YY_RULE_SETUP
#line 475 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
  yox_push_state (COMMENT, yoxOutL);
}
	YY_BREAK
case 49:
YY_RULE_SETUP
#line 480 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
  yox_push_state (STRING, yoxOutL);
}
	YY_BREAK
case 50:
YY_RULE_SETUP
#line 485 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put ((char)chr ());
  return (lexer::token::LBRACE);
}
	YY_BREAK
case 51:
YY_RULE_SETUP
#line 490 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put ((char)chr ());
  return (lexer::token::RBRACE);
}
	YY_BREAK
case 52:
YY_RULE_SETUP
#line 495 "flex/agc-Lfile-lexer.ll"
{
  returnSTMT.lex ().put (text ());
  nLparens = 0;
  start (GEN_RTN_OBJS);
  return (lexer::token::RETURN);
}
	YY_BREAK
case 53:
YY_RULE_SETUP
#line 502 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
}
	YY_BREAK
case 54:
/* rule 54 can match eol */
YY_RULE_SETUP
#line 506 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put ((char)chr ());
}
	YY_BREAK


/* token(s) (name, character literal) following the "return" in a Lex action
     up to the terminating ';' are put in a lookahead buffer, until the
     attribute reference section (if any) is processed */
case 55:
/* rule 55 can match eol */
YY_RULE_SETUP
#line 520 "flex/agc-Lfile-lexer.ll"
{
  // return action statement broken by line feed

  returnSTMT.lex ().put ((char)chr ());
  if (nLbraces == 0 && nLcurls == 0)
    yylloc.end = yylloc.begin;
  return (lexer::token::NEWLINE); // force a syntax error @ the EOL position
}
	YY_BREAK
case 56:
YY_RULE_SETUP
#line 529 "flex/agc-Lfile-lexer.ll"
{
  returnSTMT.lex ().put ((char)chr ());
  start (LEX_IS_ATTR_REF);
  return (lexer::token::SEMICOLON);
}
	YY_BREAK


/* token(s) (name, character literal) following the "return" up to the
     terminating ';' are put in a lookahead buffer, until the attribute
     reference section (if any) is processed */
case 57:
/* rule 57 can match eol */
YY_RULE_SETUP
#line 545 "flex/agc-Lfile-lexer.ll"
{
  returnSTMT.lex ().put ((char)chr ());
}
	YY_BREAK
case 58:
YY_RULE_SETUP
#line 549 "flex/agc-Lfile-lexer.ll"
{
  returnSTMT.lex ().put ((char)chr ());
  start (GEN_IS_ATTR_REF);
  return (lexer::token::SEMICOLON);
}
	YY_BREAK


case 59:
YY_RULE_SETUP
#line 561 "flex/agc-Lfile-lexer.ll"
{
  returnSTMT.lex ().put (text ());
  yox_push_state (COMMENT, returnSTMT);
}
	YY_BREAK
case 60:
YY_RULE_SETUP
#line 566 "flex/agc-Lfile-lexer.ll"
{
  returnSTMT.lex ().put (text ());
  yox_push_state (STRING, returnSTMT);
}
	YY_BREAK
case 61:
YY_RULE_SETUP
#line 571 "flex/agc-Lfile-lexer.ll"
{
  returnSTMT.lex ().put ((char)chr ());
  nLparens++;
}
	YY_BREAK
case 62:
YY_RULE_SETUP
#line 576 "flex/agc-Lfile-lexer.ll"
{
  returnSTMT.lex ().put ((char)chr ());
  if (--nLparens < 0)
    unmatchedRPAREN (yylloc);
}
	YY_BREAK
case 63:
YY_RULE_SETUP
#line 582 "flex/agc-Lfile-lexer.ll"
{
  returnSTMT.lex ().put (text ());

  const std::string& lexeme (text ());
  const std::string& Name (stringLookup (lexeme, false));

  if (!Name.empty ())
    {
      if (!gSymLookup (Name).empty ())
        {
          if (retObjectSeen && atLeastOneSymHasAttrbs && !multipleReturnsIssued)
            {
              multipleReturnTokens (yylloc);
              multipleReturnsIssued = true;
            }
          retObjectSeen = true;
          yylval.emplace<char_literal> (Name);
          return (lexer::token::TERM_LITERAL);
        }
      else
        {
          yylval.emplace<char_literal> (Name);
          return (lexer::token::LITERAL_CHAR);
        }
    }
  else
    {
      yylval.emplace<char_literal> (stringLookup (lexeme, true));
      return (lexer::token::LITERAL_CHAR);
    }
}
	YY_BREAK
case 64:
YY_RULE_SETUP
#line 614 "flex/agc-Lfile-lexer.ll"
{
  returnSTMT.lex ().put (text ());

  // skip the "api.token.prefix" if found, since the
  // token does not have the prefix in the gSymTable
  std::string lexeme (text ());
  lexeme = stripTokenPrefix (lexeme);

  const std::string& Name (stringLookup (lexeme, false));

  if (!Name.empty ())
    {
      if (!gSymLookup (Name).empty ())
        {
          if (gSymTable[Name].symNum < 0)
            returnNonterminalAsToken (yylloc, Name);
          if (retObjectSeen && atLeastOneSymHasAttrbs && !multipleReturnsIssued)
            {
              multipleReturnTokens (yylloc);
              multipleReturnsIssued = true;
            }
          retObjectSeen = true;
          yylval.emplace<name_literal> (Name);
          return (lexer::token::TERM_ID);
        }
      else
        {
          yylval.emplace<name_literal> (Name);
          return (lexer::token::ID);
        }
    }
  else
    {
      yylval.emplace<name_literal> (stringLookup (lexeme, true));
      return (lexer::token::ID);
    }
}
	YY_BREAK
case 65:
YY_RULE_SETUP
#line 652 "flex/agc-Lfile-lexer.ll"
{
  // not a legal terminal symbol: either a nonterminal or undefined

  returnSTMT.lex ().put (text ());

  // skip the "api.token.prefix" if found, since the token does not have the
  // prefix in the gSymTable
  std::string lexeme (text ());
  lexeme = stripTokenPrefix (lexeme);

  const std::string& Name (stringLookup (lexeme, false));

  if (!Name.empty ())
    {
      if (!gSymLookup (Name).empty ())
        {
          if (gSymTable[Name].symNum < 0)
            returnNonterminalAsToken (yylloc, Name);
          if (retObjectSeen && atLeastOneSymHasAttrbs && !multipleReturnsIssued)
            {
              multipleReturnTokens (yylloc);
              multipleReturnsIssued = true;
            }
          retObjectSeen = true;
          yylval.emplace<name_literal> (Name);
          return (lexer::token::TERM_ID);
        }
      else
        {
          yylval.emplace<name_literal> (Name);
          return (lexer::token::ID);
        }
    }
  else
    {
      yylval.emplace<name_literal> (stringLookup (lexeme, true));
      return (lexer::token::ID);
    }
}
	YY_BREAK
case 66:
*yy_cp = (yy_hold_char); /* undo effects of setting up yytext */
(yy_c_buf_p) = yy_cp -= 1;
YY_DO_BEFORE_ACTION; /* set up yytext again */
YY_RULE_SETUP
#line 692 "flex/agc-Lfile-lexer.ll"
{
  returnSTMT.lex ().put (text ());
}
	YY_BREAK
case 67:
YY_RULE_SETUP
#line 696 "flex/agc-Lfile-lexer.ll"
{
  returnSTMT.put ((char)chr ());
}
	YY_BREAK


/* look for a "@{" starting an attribute reference section; a '\n' outside
     of paired braces, or anything else except whitespace and comments, means
     that there is no attribute reference section */
case 68:
YY_RULE_SETUP
#line 710 "flex/agc-Lfile-lexer.ll"
{
  // throw away whitespace preceding "@{" "}"<-balance lbrace
  yyless (size () - 2); // rescan "@{"
}
	YY_BREAK
case 69:
*yy_cp = (yy_hold_char); /* undo effects of setting up yytext */
(yy_c_buf_p) = yy_cp -= 1;
YY_DO_BEFORE_ACTION; /* set up yytext again */
YY_RULE_SETUP
#line 715 "flex/agc-Lfile-lexer.ll"
{
  // throw away whitespace preceding '\n'
  ; // no-op
}
	YY_BREAK
case 70:
YY_RULE_SETUP
#line 720 "flex/agc-Lfile-lexer.ll"
{
  returnSTMTtrailer.lex ().put (text ());
  yox_push_state (COMMENT, returnSTMTtrailer);
}
	YY_BREAK
case 71:
YY_RULE_SETUP
#line 725 "flex/agc-Lfile-lexer.ll"
{
  push_state (yylloc, LEX_ATTR_REF);
  return (lexer::token::OX_LBRACE);
}
	YY_BREAK
case 72:
YY_RULE_SETUP
#line 730 "flex/agc-Lfile-lexer.ll"
{
  returnSTMTtrailer.lex ().put (text ());
}
	YY_BREAK
case 73:
/* rule 73 can match eol */
YY_RULE_SETUP
#line 734 "flex/agc-Lfile-lexer.ll"
{
  returnSTMTtrailer.lex ().put ((char)chr ());
  if (nLbraces == 0 && nLcurls == 0)
    {
      pop_state (); // -> LEX_REGEXP, use the EOL position if syntax error
      yylloc.end = yylloc.begin;
      return (lexer::token::NEWLINE);
    }
}
	YY_BREAK
case 74:
YY_RULE_SETUP
#line 744 "flex/agc-Lfile-lexer.ll"
{
  yyless (0);
  start (LEX_ACT);
  // hack: hook for a Yacc action at end of a 'return'
  // statement with no attribute reference section
  return (lexer::token::NO_ATTRBREFSEC);
}
	YY_BREAK


/* look for a "@{" starting an attribute reference section; anything other
     than '\n', "@{", whitespace or comments means that there is no attribute
     reference section */
case 75:
YY_RULE_SETUP
#line 762 "flex/agc-Lfile-lexer.ll"
{
  // throw away whitespace preceding "@{" "}"<-balance lbrace
  yyless (size () - 2); // rescan "@{"
}
	YY_BREAK
case 76:
*yy_cp = (yy_hold_char); /* undo effects of setting up yytext */
(yy_c_buf_p) = yy_cp -= 1;
YY_DO_BEFORE_ACTION; /* set up yytext again */
YY_RULE_SETUP
#line 767 "flex/agc-Lfile-lexer.ll"
{
  // throw away whitespace preceding '\n'
  ; // no-op
}
	YY_BREAK
case 77:
YY_RULE_SETUP
#line 772 "flex/agc-Lfile-lexer.ll"
{
  returnSTMTtrailer.lex ().put (text ());
  yox_push_state (COMMENT, returnSTMTtrailer);
}
	YY_BREAK
case 78:
YY_RULE_SETUP
#line 777 "flex/agc-Lfile-lexer.ll"
{
  push_state (yylloc, GEN_ATTR_REF);
  return (lexer::token::OX_LBRACE);
}
	YY_BREAK
case 79:
/* rule 79 can match eol */
YY_RULE_SETUP
#line 782 "flex/agc-Lfile-lexer.ll"
{
  returnSTMTtrailer.lex ().put ((char)chr ());
}
	YY_BREAK
case 80:
YY_RULE_SETUP
#line 786 "flex/agc-Lfile-lexer.ll"
{
  yyless (0);
  start (GEN_ACT);
  // hack: hook for a Yacc action at end of a 'return'
  // statement with no attribute reference section
  return (lexer::token::NO_ATTRBREFSEC);
}
	YY_BREAK


/* Ox L-file attribute reference section */
case 81:
YY_RULE_SETUP
#line 802 "flex/agc-Lfile-lexer.ll"
{
  pop_state (); // -> LEX_IS_ATTR_REF
  start (LEX_ACT);
  return (lexer::token::OX_RBRACE);
}
	YY_BREAK


/* Ox Generic L-file attribute reference section */
case 82:
YY_RULE_SETUP
#line 816 "flex/agc-Lfile-lexer.ll"
{
  pop_state (); // -> GEN_IS_ATTR_REF
  start (GEN_ACT);
  return (lexer::token::OX_RBRACE);
}
	YY_BREAK


case 83:
*yy_cp = (yy_hold_char); /* undo effects of setting up yytext */
(yy_c_buf_p) = yy_cp -= 1;
YY_DO_BEFORE_ACTION; /* set up yytext again */
YY_RULE_SETUP
#line 828 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());

  if (text ()[(int)size () - 1] == '\\') // multi-line directive
    {
      // pass thru the following '\n'
      yoxOutL.lex ().put ((char)yyinput ());
      yox_push_state (CPP_DIRECTIVE, yoxOutL);
    }
}
	YY_BREAK
case 84:
YY_RULE_SETUP
#line 839 "flex/agc-Lfile-lexer.ll"
{
  // throw away whitespace preceding "@}"
  yyless (size () - 2); // rescan "@}"
}
	YY_BREAK
case 85:
*yy_cp = (yy_hold_char); /* undo effects of setting up yytext */
(yy_c_buf_p) = yy_cp -= 1;
YY_DO_BEFORE_ACTION; /* set up yytext again */
YY_RULE_SETUP
#line 844 "flex/agc-Lfile-lexer.ll"
{
  // throw away whitespace preceding '\n'
  ; // no-op
}
	YY_BREAK
case 86:
YY_RULE_SETUP
#line 849 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
  yox_push_state (COMMENT, yoxOutL);
}
	YY_BREAK
case 87:
YY_RULE_SETUP
#line 854 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
  yox_push_state (STRING, yoxOutL);
}
	YY_BREAK
case 88:
YY_RULE_SETUP
#line 859 "flex/agc-Lfile-lexer.ll"
{
  const std::string& lexeme (text ());
  const std::string& Name (stringLookup (lexeme, true));

  do
    {
      if (expandingMacro ())
        {
          // check to see if 'Name' is a macro formal parameter name
          int argIndex = getCurMacro ().macroFormalLookup (Name);
          if (argIndex != -1)
            {
              std::string substValue (substFormal (argIndex));
              position arg_origin (yylloc.begin);

              // setup new input buffer for macro argument
              YY_BUFFER_STATE newbuf =
                  yy_create_buffer (new std::istringstream (substValue),
                                    YY_BUF_SIZE);
              pushbuffer (newbuf, arg_origin); // make it current
              setupFormalExpansion (yylloc);
              break;
            }
        }

      if (macroLookup (Name))
        {
          nLparensM = 0;
          push_state (yylloc, EXPAND_MACRO);
          expandMacro (Name, yylloc.begin);
        }
      else
        yoxOutL.lex ().put (Name);
    }
  while (false);
}
	YY_BREAK
case 89:
YY_RULE_SETUP
#line 896 "flex/agc-Lfile-lexer.ll"
{
  unexpectedATLBRACE (yylloc);
}
	YY_BREAK
case 90:
YY_RULE_SETUP
#line 900 "flex/agc-Lfile-lexer.ll"
{
  int nAt = 1; // # of '@'
  if (text ()[(int)size () - 1] == '@')
    ++nAt;
  else
    yox_warning (yylloc, "missing final '@': \"" + str () + "\".\n");

  std::string attrb_occur (text (), 1, size () - nAt);

  if (expandingMacro ())
    expandFormalsInAttrOccr (attrb_occur);

  yylval.emplace<attrbTriple> (scanAttrbName (yylloc, attrb_occur));
  return (lexer::token::OX_ATTRB_REF);
}
	YY_BREAK
case 91:
YY_RULE_SETUP
#line 916 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put ((char)chr ());
  return (lexer::token::SEMICOLON);
}
	YY_BREAK
case 92:
YY_RULE_SETUP
#line 921 "flex/agc-Lfile-lexer.ll"
{
  unexpectedChar (yylloc, '@', "in attribute reference section");
}
	YY_BREAK
case 93:
YY_RULE_SETUP
#line 925 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
}
	YY_BREAK
case 94:
/* rule 94 can match eol */
YY_RULE_SETUP
#line 929 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put ((char)chr ());
}
	YY_BREAK
case YY_STATE_EOF(LEX_ATTR_REF):
case YY_STATE_EOF(GEN_ATTR_REF):
#line 933 "flex/agc-Lfile-lexer.ll"
{
  if (replacingFormal ())
    {
      // current macro argument complete
      popbuffer; // revert to previous input buffer
      macroFormalDone ();
    }
  else if (expandingMacro ())
    {
      // current macro expansion complete
      popbuffer; // revert to previous input buffer
      macroDone ();
    }
  else
    unterminatedAttrRefSection (yylloc, startPos.top ());
}
	YY_BREAK


/* LEX_ATTR_REF, GEN_ATTR_REF 'subroutine': expand a macro */
case 95:
YY_RULE_SETUP
#line 958 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
  yox_push_state (COMMENT, yoxOutL);
}
	YY_BREAK
case 96:
YY_RULE_SETUP
#line 963 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
  yox_push_state (STRING, yoxOutL);
}
	YY_BREAK
case 97:
YY_RULE_SETUP
#line 968 "flex/agc-Lfile-lexer.ll"
{
  if (++nLparensM == 1)
    {
      // start of a new argument
      if (theFiles.scanner == LEX_SPEC_LEXER)
        macroARG = macroArg (yylloc.end, true); // -> Lex lexer output
      else
        macroARG = macroArg (yylloc.end, false); // -> Gen lexer output
      push_state (yylloc, MACRO_ARG);
    }
  else
    unbalancedParensInMacro (yylloc);
}
	YY_BREAK
case 98:
YY_RULE_SETUP
#line 982 "flex/agc-Lfile-lexer.ll"
{
  if (nLparensM == 0)
    {
      macroARG.terminate ();

      std::string macroBody;
      position body_origin;
      setupMacroExpansion (yylloc, macroBody, body_origin);

      // setup new input buffer for macro expansion
      YY_BUFFER_STATE newbuf =
          yy_create_buffer (new std::istringstream (macroBody), YY_BUF_SIZE);
      pushbuffer (newbuf, body_origin); // make it current
      pop_state ();
    }
  else
    unbalancedParensInMacro (yylloc);
}
	YY_BREAK
case 99:
YY_RULE_SETUP
#line 1001 "flex/agc-Lfile-lexer.ll"
{
  macroARG.terminate ();
  // start of a new argument
  if (theFiles.scanner == LEX_SPEC_LEXER)
    macroARG = macroArg (yylloc.end, true); // -> Lex lexer output
  else
    macroARG = macroArg (yylloc.end, false); // -> Gen lexer output
  push_state (yylloc, MACRO_ARG);
}
	YY_BREAK
case 100:
YY_RULE_SETUP
#line 1011 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put (text ());
}
	YY_BREAK
case 101:
/* rule 101 can match eol */
YY_RULE_SETUP
#line 1015 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.put ((char)chr ());
}
	YY_BREAK


/* EXPAND_MACRO 'subroutine': process a macro argument */
case 102:
YY_RULE_SETUP
#line 1027 "flex/agc-Lfile-lexer.ll"
{
  macroARG.put (text ());
  yox_push_state (COMMENT, macroARG);
}
	YY_BREAK
case 103:
YY_RULE_SETUP
#line 1032 "flex/agc-Lfile-lexer.ll"
{
  macroARG.put (text ());
  yox_push_state (STRING, macroARG);
}
	YY_BREAK
case 104:
YY_RULE_SETUP
#line 1037 "flex/agc-Lfile-lexer.ll"
{
  if (++nLparensM > 1)
    {
      // nested expression in the argument
      macroARG.put ((char)chr ());
    }
  else
    unbalancedParensInMacro (yylloc);
}
	YY_BREAK
case 105:
YY_RULE_SETUP
#line 1047 "flex/agc-Lfile-lexer.ll"
{
  if (--nLparensM > 0)
    macroARG.put ((char)chr ());
  else if (nLparensM == 0)
    {
      yyless (0);
      pop_state (); // -> EXPAND_MACRO
    }
  else
    unbalancedParensInMacro (yylloc);
}
	YY_BREAK
case 106:
YY_RULE_SETUP
#line 1059 "flex/agc-Lfile-lexer.ll"
{
  if (nLparensM > 1)
    macroARG.put ((char)chr ());
  else if (nLparensM == 1)
    {
      yyless (0);
      pop_state (); // -> EXPAND_MACRO
    }
  else
    unbalancedParensInMacro (yylloc);
}
	YY_BREAK
case 107:
YY_RULE_SETUP
#line 1071 "flex/agc-Lfile-lexer.ll"
{
  macroARG.put ('\\');
}
	YY_BREAK
case 108:
YY_RULE_SETUP
#line 1075 "flex/agc-Lfile-lexer.ll"
{
  macroARG.put (',');
}
	YY_BREAK
case 109:
YY_RULE_SETUP
#line 1079 "flex/agc-Lfile-lexer.ll"
{
  macroARG.put ('(');
}
	YY_BREAK
case 110:
YY_RULE_SETUP
#line 1083 "flex/agc-Lfile-lexer.ll"
{
  macroARG.put (')');
}
	YY_BREAK
case 111:
YY_RULE_SETUP
#line 1087 "flex/agc-Lfile-lexer.ll"
{
  escapeCharMisuse (yylloc);
}
	YY_BREAK
case 112:
YY_RULE_SETUP
#line 1091 "flex/agc-Lfile-lexer.ll"
{
  macroARG.put (text ());
}
	YY_BREAK
case 113:
/* rule 113 can match eol */
YY_RULE_SETUP
#line 1095 "flex/agc-Lfile-lexer.ll"
{
  macroARG.put ((char)chr ());
}
	YY_BREAK


/* start of the optional user section following the second "%%" in the L-file,
     if present */
case 114:
/* rule 114 can match eol */
YY_RULE_SETUP
#line 1108 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.lex ().put ((char)chr ());
  start (LEX_TRAILER);
}
	YY_BREAK


/* echo the optional user section */
case 115:
YY_RULE_SETUP
#line 1121 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.put (text ());
  yox_push_state (COMMENT, yoxOutL);
}
	YY_BREAK
case 116:
YY_RULE_SETUP
#line 1126 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.put (text ());
  yox_push_state (STRING, yoxOutL);
}
	YY_BREAK
case 117:
YY_RULE_SETUP
#line 1131 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.put (text ());
}
	YY_BREAK
case 118:
/* rule 118 can match eol */
YY_RULE_SETUP
#line 1135 "flex/agc-Lfile-lexer.ll"
{
  yoxOutL.put ((char)chr ());
}
	YY_BREAK


/* 'subroutine': handle multi-line C comments */
case 119:
YY_RULE_SETUP
#line 1147 "flex/agc-Lfile-lexer.ll"
{
  whereTo->put (text ());
  pop_state ();
}
	YY_BREAK
case 120:
YY_RULE_SETUP
#line 1152 "flex/agc-Lfile-lexer.ll"
{
  whereTo->put (text ());
}
	YY_BREAK
case 121:
/* rule 121 can match eol */
YY_RULE_SETUP
#line 1156 "flex/agc-Lfile-lexer.ll"
{
  whereTo->put ((char)chr ());
}
	YY_BREAK
case YY_STATE_EOF(COMMENT):
#line 1160 "flex/agc-Lfile-lexer.ll"
{
  unterminatedComment (yylloc, startPos.top ());
}
	YY_BREAK


/* 'subroutine': handle multi-line C/C++ string literals */
case 122:
YY_RULE_SETUP
#line 1172 "flex/agc-Lfile-lexer.ll"
{
  whereTo->put ((char)chr ());
  if (stringHasBareNewline)
    stringContainsNewline (yylloc, startPos.top ());
  pop_state ();
}
	YY_BREAK
case 123:
/* rule 123 can match eol */
YY_RULE_SETUP
#line 1179 "flex/agc-Lfile-lexer.ll"
{
  whereTo->put (text ());
}
	YY_BREAK
case 124:
/* rule 124 can match eol */
YY_RULE_SETUP
#line 1183 "flex/agc-Lfile-lexer.ll"
{
  stringHasBareNewline = true;
  whereTo->put ((char)chr ());
}
	YY_BREAK
case 125:
YY_RULE_SETUP
#line 1188 "flex/agc-Lfile-lexer.ll"
{
  whereTo->put ((char)chr ());
}
	YY_BREAK
case YY_STATE_EOF(STRING):
#line 1192 "flex/agc-Lfile-lexer.ll"
{
  unterminatedString (yylloc, startPos.top ());
}
	YY_BREAK


/* 'subroutine': handle C/C++ directives */
case 126:
/* rule 126 can match eol */
YY_RULE_SETUP
#line 1204 "flex/agc-Lfile-lexer.ll"
{
  // C/C++ directive spans multiple source lines
  whereTo->put (text ());
}
	YY_BREAK
case 127:
/* rule 127 can match eol */
YY_RULE_SETUP
#line 1209 "flex/agc-Lfile-lexer.ll"
{
  whereTo->put ((char)chr ());
  pop_state ();
}
	YY_BREAK
case 128:
YY_RULE_SETUP
#line 1214 "flex/agc-Lfile-lexer.ll"
{
  whereTo->put ((char)chr ());
}
	YY_BREAK
case YY_STATE_EOF(CPP_DIRECTIVE):
#line 1218 "flex/agc-Lfile-lexer.ll"
{
  unterminatedCPPdirective (yylloc, startPos.top ());
}
	YY_BREAK

case YY_STATE_EOF(INITIAL):
case YY_STATE_EOF(RULES_PROLOG):
case YY_STATE_EOF(LEX_REGEXP):
case YY_STATE_EOF(LEX_USER):
case YY_STATE_EOF(LEX_TRAILER):
case YY_STATE_EOF(GEN_INITIAL):
case YY_STATE_EOF(GEN_ACT):
case YY_STATE_EOF(EXPAND_MACRO):
case YY_STATE_EOF(MACRO_ARG):
case YY_STATE_EOF(LEX_RTN_OBJS):
case YY_STATE_EOF(GEN_RTN_OBJS):
case YY_STATE_EOF(LEX_IS_ATTR_REF):
case YY_STATE_EOF(GEN_IS_ATTR_REF):
#line 1226 "flex/agc-Lfile-lexer.ll"
{
  return lexer::token::END;
}
	YY_BREAK
case 129:
YY_RULE_SETUP
#line 1230 "flex/agc-Lfile-lexer.ll"
ECHO;
	YY_BREAK
#line 3201 "flex/agc-Lfile-lexer.cc"

	case YY_END_OF_BUFFER:
		{
		/* Amount of text matched not including the EOB char. */
		int yy_amount_of_matched_text = (int) (yy_cp - (yytext_ptr)) - 1;

		/* Undo the effects of YY_DO_BEFORE_ACTION. */
		*yy_cp = (yy_hold_char);
		YY_RESTORE_YY_MORE_OFFSET

		if ( YY_CURRENT_BUFFER_LVALUE->yy_buffer_status == YY_BUFFER_NEW )
			{
			/* We're scanning a new file or input source.  It's
			 * possible that this happened because the user
			 * just pointed yyin at a new source and called
			 * yylex().  If so, then we have to assure
			 * consistency between YY_CURRENT_BUFFER and our
			 * globals.  Here is the right place to do so, because
			 * this is the first action (other than possibly a
			 * back-up) that will match for the new input source.
			 */
			(yy_n_chars) = YY_CURRENT_BUFFER_LVALUE->yy_n_chars;
/* %if-c-only */
/* %endif */
/* %if-c++-only */
			YY_CURRENT_BUFFER_LVALUE->yy_input_file = yyin.rdbuf();
/* %endif */
			YY_CURRENT_BUFFER_LVALUE->yy_buffer_status = YY_BUFFER_NORMAL;
			}

		/* Note that here we test for yy_c_buf_p "<=" to the position
		 * of the first EOB in the buffer, since yy_c_buf_p will
		 * already have been incremented past the NUL character
		 * (since all states make transitions on EOB to the
		 * end-of-buffer state).  Contrast this with the test
		 * in input().
		 */
		if ( (yy_c_buf_p) <= &YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars)] )
			{ /* This was really a NUL. */
			yy_state_type yy_next_state;

			(yy_c_buf_p) = (yytext_ptr) + yy_amount_of_matched_text;

			yy_current_state = yy_get_previous_state(  );

			/* Okay, we're now positioned to make the NUL
			 * transition.  We couldn't have
			 * yy_get_previous_state() go ahead and do it
			 * for us because it doesn't know how to deal
			 * with the possibility of jamming (and we don't
			 * want to build jamming into it because then it
			 * will run more slowly).
			 */

			yy_next_state = yy_try_NUL_trans( yy_current_state );

			yy_bp = (yytext_ptr) + YY_MORE_ADJ;

			if ( yy_next_state )
				{
				/* Consume the NUL. */
				yy_cp = ++(yy_c_buf_p);
				yy_current_state = yy_next_state;
				goto yy_match;
				}

			else
				{
/* %% [14.0] code to do back-up for compressed tables and set up yy_cp goes here */
				yy_cp = (yy_last_accepting_cpos);
				yy_current_state = (yy_last_accepting_state);
				goto yy_find_action;
				}
			}

		else switch ( yy_get_next_buffer(  ) )
			{
			case EOB_ACT_END_OF_FILE:
				{
				(yy_did_buffer_switch_on_eof) = 0;

				if ( yywrap(  ) )
					{
					/* Note: because we've taken care in
					 * yy_get_next_buffer() to have set up
					 * yytext, we can now set up
					 * yy_c_buf_p so that if some total
					 * hoser (like flex itself) wants to
					 * call the scanner after we return the
					 * YY_NULL, it'll still work - another
					 * YY_NULL will get returned.
					 */
					(yy_c_buf_p) = (yytext_ptr) + YY_MORE_ADJ;

					yy_act = YY_STATE_EOF(YY_START);
					goto do_action;
					}

				else
					{
					if ( ! (yy_did_buffer_switch_on_eof) )
						YY_NEW_FILE;
					}
				break;
				}

			case EOB_ACT_CONTINUE_SCAN:
				(yy_c_buf_p) =
					(yytext_ptr) + yy_amount_of_matched_text;

				yy_current_state = yy_get_previous_state(  );

				yy_cp = (yy_c_buf_p);
				yy_bp = (yytext_ptr) + YY_MORE_ADJ;
				goto yy_match;

			case EOB_ACT_LAST_MATCH:
				(yy_c_buf_p) =
				&YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars)];

				yy_current_state = yy_get_previous_state(  );

				yy_cp = (yy_c_buf_p);
				yy_bp = (yytext_ptr) + YY_MORE_ADJ;
				goto yy_find_action;
			}
		break;
		}

	default:
		YY_FATAL_ERROR(
			"fatal flex scanner internal error--no action found" );
	} /* end of action switch */
		} /* end of scanning one token */
	} /* end of user's declarations */
} /* end of yylex */
/* %ok-for-header */

/* %if-c++-only */
/* %not-for-header */
/* The contents of this function are C++ specific, so the () macro is not used.
 * This constructor simply maintains backward compatibility.
 * DEPRECATED
 */
yyFlexLexer::yyFlexLexer( std::istream* arg_yyin, std::ostream* arg_yyout ):
	yyin(arg_yyin ? arg_yyin->rdbuf() : std::cin.rdbuf()),
	yyout(arg_yyout ? arg_yyout->rdbuf() : std::cout.rdbuf())
{
	ctor_common();
}

/* The contents of this function are C++ specific, so the () macro is not used.
 */
yyFlexLexer::yyFlexLexer( std::istream& arg_yyin, std::ostream& arg_yyout ):
	yyin(arg_yyin.rdbuf()),
	yyout(arg_yyout.rdbuf())
{
	ctor_common();
}

/* The contents of this function are C++ specific, so the () macro is not used.
 */
void yyFlexLexer::ctor_common()
{
	yy_c_buf_p = 0;
	yy_init = 0;
	yy_start = 0;
	yy_flex_debug = 0;
	yylineno = 1;	// this will only get updated if %option yylineno

	yy_did_buffer_switch_on_eof = 0;

	yy_looking_for_trail_begin = 0;
	yy_more_flag = 0;
	yy_more_len = 0;
	yy_more_offset = yy_prev_more_offset = 0;

	yy_start_stack_ptr = yy_start_stack_depth = 0;
	yy_start_stack = NULL;

	yy_buffer_stack = NULL;
	yy_buffer_stack_top = 0;
	yy_buffer_stack_max = 0;

	yy_state_buf = 0;

}

/* The contents of this function are C++ specific, so the () macro is not used.
 */
yyFlexLexer::~yyFlexLexer()
{
	delete [] yy_state_buf;
	yyfree( yy_start_stack  );
	yy_delete_buffer( YY_CURRENT_BUFFER );
	yyfree( yy_buffer_stack  );
}

/* The contents of this function are C++ specific, so the () macro is not used.
 */
void yyFlexLexer::switch_streams( std::istream& new_in, std::ostream& new_out )
{
	// was if( new_in )
	yy_delete_buffer( YY_CURRENT_BUFFER );
	yy_switch_to_buffer( yy_create_buffer( new_in, YY_BUF_SIZE  ) );

	// was if( new_out )
	yyout.rdbuf(new_out.rdbuf());
}

/* The contents of this function are C++ specific, so the () macro is not used.
 */
void yyFlexLexer::switch_streams( std::istream* new_in, std::ostream* new_out )
{
	if( ! new_in ) {
		new_in = &yyin;
	}

	if ( ! new_out ) {
		new_out = &yyout;
	}

	switch_streams(*new_in, *new_out);
}

#ifdef YY_INTERACTIVE
int yyFlexLexer::LexerInput( char* buf, int /* max_size */ )
#else
int yyFlexLexer::LexerInput( char* buf, int max_size )
#endif
{
	if ( yyin.eof() || yyin.fail() )
		return 0;

#ifdef YY_INTERACTIVE
	yyin.get( buf[0] );

	if ( yyin.eof() )
		return 0;

	if ( yyin.bad() )
		return -1;

	return 1;

#else
	(void) yyin.read( buf, max_size );

	if ( yyin.bad() )
		return -1;
	else
		return yyin.gcount();
#endif
}

void yyFlexLexer::LexerOutput( const char* buf, int size )
{
	(void) yyout.write( buf, size );
}
/* %ok-for-header */

/* %endif */

/* yy_get_next_buffer - try to read in a new buffer
 *
 * Returns a code representing an action:
 *	EOB_ACT_LAST_MATCH -
 *	EOB_ACT_CONTINUE_SCAN - continue scanning from current position
 *	EOB_ACT_END_OF_FILE - end of file
 */
/* %if-c-only */
/* %endif */
/* %if-c++-only */
int yyFlexLexer::yy_get_next_buffer()
/* %endif */
{
    	char *dest = YY_CURRENT_BUFFER_LVALUE->yy_ch_buf;
	char *source = (yytext_ptr);
	int number_to_move, i;
	int ret_val;

	if ( (yy_c_buf_p) > &YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars) + 1] )
		YY_FATAL_ERROR(
		"fatal flex scanner internal error--end of buffer missed" );

	if ( YY_CURRENT_BUFFER_LVALUE->yy_fill_buffer == 0 )
		{ /* Don't try to fill the buffer, so this is an EOF. */
		if ( (yy_c_buf_p) - (yytext_ptr) - YY_MORE_ADJ == 1 )
			{
			/* We matched a single character, the EOB, so
			 * treat this as a final EOF.
			 */
			return EOB_ACT_END_OF_FILE;
			}

		else
			{
			/* We matched some text prior to the EOB, first
			 * process it.
			 */
			return EOB_ACT_LAST_MATCH;
			}
		}

	/* Try to read more data. */

	/* First move last chars to start of buffer. */
	number_to_move = (int) ((yy_c_buf_p) - (yytext_ptr) - 1);

	for ( i = 0; i < number_to_move; ++i )
		*(dest++) = *(source++);

	if ( YY_CURRENT_BUFFER_LVALUE->yy_buffer_status == YY_BUFFER_EOF_PENDING )
		/* don't do the read, it's not guaranteed to return an EOF,
		 * just force an EOF
		 */
		YY_CURRENT_BUFFER_LVALUE->yy_n_chars = (yy_n_chars) = 0;

	else
		{
			int num_to_read =
			YY_CURRENT_BUFFER_LVALUE->yy_buf_size - number_to_move - 1;

		while ( num_to_read <= 0 )
			{ /* Not enough room in the buffer - grow it. */

			/* just a shorter name for the current buffer */
			YY_BUFFER_STATE b = YY_CURRENT_BUFFER_LVALUE;

			int yy_c_buf_p_offset =
				(int) ((yy_c_buf_p) - b->yy_ch_buf);

			if ( b->yy_is_our_buffer )
				{
				int new_size = b->yy_buf_size * 2;

				if ( new_size <= 0 )
					b->yy_buf_size += b->yy_buf_size / 8;
				else
					b->yy_buf_size *= 2;

				b->yy_ch_buf = (char *)
					/* Include room in for 2 EOB chars. */
					yyrealloc( (void *) b->yy_ch_buf,
							 (yy_size_t) (b->yy_buf_size + 2)  );
				}
			else
				/* Can't grow it, we don't own it. */
				b->yy_ch_buf = NULL;

			if ( ! b->yy_ch_buf )
				YY_FATAL_ERROR(
				"fatal error - scanner input buffer overflow" );

			(yy_c_buf_p) = &b->yy_ch_buf[yy_c_buf_p_offset];

			num_to_read = YY_CURRENT_BUFFER_LVALUE->yy_buf_size -
						number_to_move - 1;

			}

		if ( num_to_read > YY_READ_BUF_SIZE )
			num_to_read = YY_READ_BUF_SIZE;

		/* Read in more data. */
		YY_INPUT( (&YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[number_to_move]),
			(yy_n_chars), num_to_read );

		YY_CURRENT_BUFFER_LVALUE->yy_n_chars = (yy_n_chars);
		}

	if ( (yy_n_chars) == 0 )
		{
		if ( number_to_move == YY_MORE_ADJ )
			{
			ret_val = EOB_ACT_END_OF_FILE;
			yyrestart( yyin  );
			}

		else
			{
			ret_val = EOB_ACT_LAST_MATCH;
			YY_CURRENT_BUFFER_LVALUE->yy_buffer_status =
				YY_BUFFER_EOF_PENDING;
			}
		}

	else
		ret_val = EOB_ACT_CONTINUE_SCAN;

	if (((yy_n_chars) + number_to_move) > YY_CURRENT_BUFFER_LVALUE->yy_buf_size) {
		/* Extend the array by 50%, plus the number we really need. */
		int new_size = (yy_n_chars) + number_to_move + ((yy_n_chars) >> 1);
		YY_CURRENT_BUFFER_LVALUE->yy_ch_buf = (char *) yyrealloc(
			(void *) YY_CURRENT_BUFFER_LVALUE->yy_ch_buf, (yy_size_t) new_size  );
		if ( ! YY_CURRENT_BUFFER_LVALUE->yy_ch_buf )
			YY_FATAL_ERROR( "out of dynamic memory in yy_get_next_buffer()" );
		/* "- 2" to take care of EOB's */
		YY_CURRENT_BUFFER_LVALUE->yy_buf_size = (int) (new_size - 2);
	}

	(yy_n_chars) += number_to_move;
	YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars)] = YY_END_OF_BUFFER_CHAR;
	YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars) + 1] = YY_END_OF_BUFFER_CHAR;

	(yytext_ptr) = &YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[0];

	return ret_val;
}

/* yy_get_previous_state - get the state just before the EOB char was reached */

/* %if-c-only */
/* %not-for-header */
/* %endif */
/* %if-c++-only */
    yy_state_type yyFlexLexer::yy_get_previous_state()
/* %endif */
{
	yy_state_type yy_current_state;
	char *yy_cp;
    
/* %% [15.0] code to get the start state into yy_current_state goes here */
	yy_current_state = (yy_start);
	yy_current_state += YY_AT_BOL();

	for ( yy_cp = (yytext_ptr) + YY_MORE_ADJ; yy_cp < (yy_c_buf_p); ++yy_cp )
		{
/* %% [16.0] code to find the next state goes here */
		YY_CHAR yy_c = (*yy_cp ? yy_ec[YY_SC_TO_UI(*yy_cp)] : 1);
		if ( yy_accept[yy_current_state] )
			{
			(yy_last_accepting_state) = yy_current_state;
			(yy_last_accepting_cpos) = yy_cp;
			}
		while ( yy_chk[yy_base[yy_current_state] + yy_c] != yy_current_state )
			{
			yy_current_state = (int) yy_def[yy_current_state];
			if ( yy_current_state >= 615 )
				yy_c = yy_meta[yy_c];
			}
		yy_current_state = yy_nxt[yy_base[yy_current_state] + yy_c];
		}

	return yy_current_state;
}

/* yy_try_NUL_trans - try to make a transition on the NUL character
 *
 * synopsis
 *	next_state = yy_try_NUL_trans( current_state );
 */
/* %if-c-only */
/* %endif */
/* %if-c++-only */
    yy_state_type yyFlexLexer::yy_try_NUL_trans( yy_state_type yy_current_state )
/* %endif */
{
	int yy_is_jam;
    /* %% [17.0] code to find the next state, and perhaps do backing up, goes here */
	char *yy_cp = (yy_c_buf_p);

	YY_CHAR yy_c = 1;
	if ( yy_accept[yy_current_state] )
		{
		(yy_last_accepting_state) = yy_current_state;
		(yy_last_accepting_cpos) = yy_cp;
		}
	while ( yy_chk[yy_base[yy_current_state] + yy_c] != yy_current_state )
		{
		yy_current_state = (int) yy_def[yy_current_state];
		if ( yy_current_state >= 615 )
			yy_c = yy_meta[yy_c];
		}
	yy_current_state = yy_nxt[yy_base[yy_current_state] + yy_c];
	yy_is_jam = (yy_current_state == 614);

		return yy_is_jam ? 0 : yy_current_state;
}

#ifndef YY_NO_UNPUT
/* %if-c-only */
/* %endif */
/* %if-c++-only */
    void yyFlexLexer::yyunput( int c, char* yy_bp)
/* %endif */
{
	char *yy_cp;
    
    yy_cp = (yy_c_buf_p);

	/* undo effects of setting up yytext */
	*yy_cp = (yy_hold_char);

	if ( yy_cp < YY_CURRENT_BUFFER_LVALUE->yy_ch_buf + 2 )
		{ /* need to shift things up to make room */
		/* +2 for EOB chars. */
		int number_to_move = (yy_n_chars) + 2;
		char *dest = &YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[
					YY_CURRENT_BUFFER_LVALUE->yy_buf_size + 2];
		char *source =
				&YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[number_to_move];

		while ( source > YY_CURRENT_BUFFER_LVALUE->yy_ch_buf )
			*--dest = *--source;

		yy_cp += (int) (dest - source);
		yy_bp += (int) (dest - source);
		YY_CURRENT_BUFFER_LVALUE->yy_n_chars =
			(yy_n_chars) = (int) YY_CURRENT_BUFFER_LVALUE->yy_buf_size;

		if ( yy_cp < YY_CURRENT_BUFFER_LVALUE->yy_ch_buf + 2 )
			YY_FATAL_ERROR( "flex scanner push-back overflow" );
		}

	*--yy_cp = (char) c;

/* %% [18.0] update yylineno here */

	(yytext_ptr) = yy_bp;
	(yy_hold_char) = *yy_cp;
	(yy_c_buf_p) = yy_cp;
}
/* %if-c-only */
/* %endif */
#endif

/* %if-c-only */
/* %endif */
/* %if-c++-only */
    int yyFlexLexer::yyinput()
/* %endif */
{
	int c;
    
	*(yy_c_buf_p) = (yy_hold_char);

	if ( *(yy_c_buf_p) == YY_END_OF_BUFFER_CHAR )
		{
		/* yy_c_buf_p now points to the character we want to return.
		 * If this occurs *before* the EOB characters, then it's a
		 * valid NUL; if not, then we've hit the end of the buffer.
		 */
		if ( (yy_c_buf_p) < &YY_CURRENT_BUFFER_LVALUE->yy_ch_buf[(yy_n_chars)] )
			/* This was really a NUL. */
			*(yy_c_buf_p) = '\0';

		else
			{ /* need more input */
			int offset = (int) ((yy_c_buf_p) - (yytext_ptr));
			++(yy_c_buf_p);

			switch ( yy_get_next_buffer(  ) )
				{
				case EOB_ACT_LAST_MATCH:
					/* This happens because yy_g_n_b()
					 * sees that we've accumulated a
					 * token and flags that we need to
					 * try matching the token before
					 * proceeding.  But for input(),
					 * there's no matching to consider.
					 * So convert the EOB_ACT_LAST_MATCH
					 * to EOB_ACT_END_OF_FILE.
					 */

					/* Reset buffer status. */
					yyrestart( yyin );

					/*FALLTHROUGH*/

				case EOB_ACT_END_OF_FILE:
					{
					if ( yywrap(  ) )
						return 0;

					if ( ! (yy_did_buffer_switch_on_eof) )
						YY_NEW_FILE;
#ifdef __cplusplus
					return yyinput();
#else
					return input();
#endif
					}

				case EOB_ACT_CONTINUE_SCAN:
					(yy_c_buf_p) = (yytext_ptr) + offset;
					break;
				}
			}
		}

	c = *(unsigned char *) (yy_c_buf_p);	/* cast for 8-bit char's */
	*(yy_c_buf_p) = '\0';	/* preserve yytext */
	(yy_hold_char) = *++(yy_c_buf_p);

/* %% [19.0] update BOL and yylineno */
	YY_CURRENT_BUFFER_LVALUE->yy_at_bol = (c == '\n');

	return c;
}
/* %if-c-only */
/* %endif */

/** Immediately switch to a different input stream.
 * @param input_file A readable stream.
 * 
 * @note This function does not reset the start condition to @c INITIAL .
 */
/* %if-c-only */
/* %endif */
/* %if-c++-only */
    void yyFlexLexer::yyrestart( std::istream& input_file )
/* %endif */
{
    
	if ( ! YY_CURRENT_BUFFER ){
        yyensure_buffer_stack ();
		YY_CURRENT_BUFFER_LVALUE =
            yy_create_buffer( yyin, YY_BUF_SIZE );
	}

	yy_init_buffer( YY_CURRENT_BUFFER, input_file );
	yy_load_buffer_state(  );
}

/* %if-c++-only */
/** Delegate to the new version that takes an istream reference.
 * @param input_file A readable stream.
 * 
 * @note This function does not reset the start condition to @c INITIAL .
 */
void yyFlexLexer::yyrestart( std::istream* input_file )
{
	if( ! input_file ) {
		input_file = &yyin;
	}
	yyrestart( *input_file );
}
/* %endif */

/** Switch to a different input buffer.
 * @param new_buffer The new input buffer.
 * 
 */
/* %if-c-only */
/* %endif */
/* %if-c++-only */
    void yyFlexLexer::yy_switch_to_buffer( YY_BUFFER_STATE new_buffer )
/* %endif */
{
    
	/* TODO. We should be able to replace this entire function body
	 * with
	 *		yypop_buffer_state();
	 *		yypush_buffer_state(new_buffer);
     */
	yyensure_buffer_stack ();
	if ( YY_CURRENT_BUFFER == new_buffer )
		return;

	if ( YY_CURRENT_BUFFER )
		{
		/* Flush out information for old buffer. */
		*(yy_c_buf_p) = (yy_hold_char);
		YY_CURRENT_BUFFER_LVALUE->yy_buf_pos = (yy_c_buf_p);
		YY_CURRENT_BUFFER_LVALUE->yy_n_chars = (yy_n_chars);
		}

	YY_CURRENT_BUFFER_LVALUE = new_buffer;
	yy_load_buffer_state(  );

	/* We don't actually know whether we did this switch during
	 * EOF (yywrap()) processing, but the only time this flag
	 * is looked at is after yywrap() is called, so it's safe
	 * to go ahead and always set it.
	 */
	(yy_did_buffer_switch_on_eof) = 1;
}

/* %if-c-only */
/* %endif */
/* %if-c++-only */
    void yyFlexLexer::yy_load_buffer_state()
/* %endif */
{
    	(yy_n_chars) = YY_CURRENT_BUFFER_LVALUE->yy_n_chars;
	(yytext_ptr) = (yy_c_buf_p) = YY_CURRENT_BUFFER_LVALUE->yy_buf_pos;
/* %if-c-only */
/* %endif */
/* %if-c++-only */
	yyin.rdbuf(YY_CURRENT_BUFFER_LVALUE->yy_input_file);
/* %endif */
	(yy_hold_char) = *(yy_c_buf_p);
}

/** Allocate and initialize an input buffer state.
 * @param file A readable stream.
 * @param size The character buffer size in bytes. When in doubt, use @c YY_BUF_SIZE.
 * 
 * @return the allocated buffer state.
 */
/* %if-c-only */
/* %endif */
/* %if-c++-only */
    YY_BUFFER_STATE yyFlexLexer::yy_create_buffer( std::istream& file, int size )
/* %endif */
{
	YY_BUFFER_STATE b;
    
	b = (YY_BUFFER_STATE) yyalloc( sizeof( struct yy_buffer_state )  );
	if ( ! b )
		YY_FATAL_ERROR( "out of dynamic memory in yy_create_buffer()" );

	b->yy_buf_size = size;

	/* yy_ch_buf has to be 2 characters longer than the size given because
	 * we need to put in 2 end-of-buffer characters.
	 */
	b->yy_ch_buf = (char *) yyalloc( (yy_size_t) (b->yy_buf_size + 2)  );
	if ( ! b->yy_ch_buf )
		YY_FATAL_ERROR( "out of dynamic memory in yy_create_buffer()" );

	b->yy_is_our_buffer = 1;

	yy_init_buffer( b, file );

	return b;
}

/* %if-c++-only */
/** Delegate creation of buffers to the new version that takes an istream reference.
 * @param file A readable stream.
 * @param size The character buffer size in bytes. When in doubt, use @c YY_BUF_SIZE.
 * 
 * @return the allocated buffer state.
 */
	YY_BUFFER_STATE yyFlexLexer::yy_create_buffer( std::istream* file, int size )
{
	return yy_create_buffer( *file, size );
}
/* %endif */

/** Destroy the buffer.
 * @param b a buffer created with yy_create_buffer()
 * 
 */
/* %if-c-only */
/* %endif */
/* %if-c++-only */
    void yyFlexLexer::yy_delete_buffer( YY_BUFFER_STATE b )
/* %endif */
{
    
	if ( ! b )
		return;

	if ( b == YY_CURRENT_BUFFER ) /* Not sure if we should pop here. */
		YY_CURRENT_BUFFER_LVALUE = (YY_BUFFER_STATE) 0;

	if ( b->yy_is_our_buffer )
		yyfree( (void *) b->yy_ch_buf  );

	yyfree( (void *) b  );
}

/* Initializes or reinitializes a buffer.
 * This function is sometimes called more than once on the same buffer,
 * such as during a yyrestart() or at EOF.
 */
/* %if-c-only */
/* %endif */
/* %if-c++-only */
    void yyFlexLexer::yy_init_buffer( YY_BUFFER_STATE b, std::istream& file )
/* %endif */

{
	int oerrno = errno;
    
	yy_flush_buffer( b );

/* %if-c-only */
/* %endif */
/* %if-c++-only */
	b->yy_input_file = file.rdbuf();
/* %endif */
	b->yy_fill_buffer = 1;

    /* If b is the current buffer, then yy_init_buffer was _probably_
     * called from yyrestart() or through yy_get_next_buffer.
     * In that case, we don't want to reset the lineno or column.
     */
    if (b != YY_CURRENT_BUFFER){
        b->yy_bs_lineno = 1;
        b->yy_bs_column = 0;
    }

/* %if-c-only */
/* %endif */
/* %if-c++-only */
	b->yy_is_interactive = 0;
/* %endif */
	errno = oerrno;
}

/** Discard all buffered characters. On the next scan, YY_INPUT will be called.
 * @param b the buffer state to be flushed, usually @c YY_CURRENT_BUFFER.
 * 
 */
/* %if-c-only */
/* %endif */
/* %if-c++-only */
    void yyFlexLexer::yy_flush_buffer( YY_BUFFER_STATE b )
/* %endif */
{
    	if ( ! b )
		return;

	b->yy_n_chars = 0;

	/* We always need two end-of-buffer characters.  The first causes
	 * a transition to the end-of-buffer state.  The second causes
	 * a jam in that state.
	 */
	b->yy_ch_buf[0] = YY_END_OF_BUFFER_CHAR;
	b->yy_ch_buf[1] = YY_END_OF_BUFFER_CHAR;

	b->yy_buf_pos = &b->yy_ch_buf[0];

	b->yy_at_bol = 1;
	b->yy_buffer_status = YY_BUFFER_NEW;

	if ( b == YY_CURRENT_BUFFER )
		yy_load_buffer_state(  );
}

/* %if-c-or-c++ */
/** Pushes the new state onto the stack. The new state becomes
 *  the current state. This function will allocate the stack
 *  if necessary.
 *  @param new_buffer The new state.
 *  
 */
/* %if-c-only */
/* %endif */
/* %if-c++-only */
void yyFlexLexer::yypush_buffer_state (YY_BUFFER_STATE new_buffer)
/* %endif */
{
    	if (new_buffer == NULL)
		return;

	yyensure_buffer_stack();

	/* This block is copied from yy_switch_to_buffer. */
	if ( YY_CURRENT_BUFFER )
		{
		/* Flush out information for old buffer. */
		*(yy_c_buf_p) = (yy_hold_char);
		YY_CURRENT_BUFFER_LVALUE->yy_buf_pos = (yy_c_buf_p);
		YY_CURRENT_BUFFER_LVALUE->yy_n_chars = (yy_n_chars);
		}

	/* Only push if top exists. Otherwise, replace top. */
	if (YY_CURRENT_BUFFER)
		(yy_buffer_stack_top)++;
	YY_CURRENT_BUFFER_LVALUE = new_buffer;

	/* copied from yy_switch_to_buffer. */
	yy_load_buffer_state(  );
	(yy_did_buffer_switch_on_eof) = 1;
}
/* %endif */

/* %if-c-or-c++ */
/** Removes and deletes the top of the stack, if present.
 *  The next element becomes the new top.
 *  
 */
/* %if-c-only */
/* %endif */
/* %if-c++-only */
void yyFlexLexer::yypop_buffer_state (void)
/* %endif */
{
    	if (!YY_CURRENT_BUFFER)
		return;

	yy_delete_buffer(YY_CURRENT_BUFFER );
	YY_CURRENT_BUFFER_LVALUE = NULL;
	if ((yy_buffer_stack_top) > 0)
		--(yy_buffer_stack_top);

	if (YY_CURRENT_BUFFER) {
		yy_load_buffer_state(  );
		(yy_did_buffer_switch_on_eof) = 1;
	}
}
/* %endif */

/* %if-c-or-c++ */
/* Allocates the stack if it does not exist.
 *  Guarantees space for at least one push.
 */
/* %if-c-only */
/* %endif */
/* %if-c++-only */
void yyFlexLexer::yyensure_buffer_stack(void)
/* %endif */
{
	yy_size_t num_to_alloc;
    
	if (!(yy_buffer_stack)) {

		/* First allocation is just for 2 elements, since we don't know if this
		 * scanner will even need a stack. We use 2 instead of 1 to avoid an
		 * immediate realloc on the next call.
         */
      num_to_alloc = 1; /* After all that talk, this was set to 1 anyways... */
		(yy_buffer_stack) = (struct yy_buffer_state**)yyalloc
								(num_to_alloc * sizeof(struct yy_buffer_state*)
								);
		if ( ! (yy_buffer_stack) )
			YY_FATAL_ERROR( "out of dynamic memory in yyensure_buffer_stack()" );

		memset((yy_buffer_stack), 0, num_to_alloc * sizeof(struct yy_buffer_state*));

		(yy_buffer_stack_max) = num_to_alloc;
		(yy_buffer_stack_top) = 0;
		return;
	}

	if ((yy_buffer_stack_top) >= ((yy_buffer_stack_max)) - 1){

		/* Increase the buffer to prepare for a possible push. */
		yy_size_t grow_size = 8 /* arbitrary grow size */;

		num_to_alloc = (yy_buffer_stack_max) + grow_size;
		(yy_buffer_stack) = (struct yy_buffer_state**)yyrealloc
								((yy_buffer_stack),
								num_to_alloc * sizeof(struct yy_buffer_state*)
								);
		if ( ! (yy_buffer_stack) )
			YY_FATAL_ERROR( "out of dynamic memory in yyensure_buffer_stack()" );

		/* zero only the new slots.*/
		memset((yy_buffer_stack) + (yy_buffer_stack_max), 0, grow_size * sizeof(struct yy_buffer_state*));
		(yy_buffer_stack_max) = num_to_alloc;
	}
}
/* %endif */

/* %if-c-only */
/* %endif */

/* %if-c-only */
/* %endif */

/* %if-c-only */
/* %endif */

/* %if-c-only */
/* %endif */
/* %if-c++-only */
    void yyFlexLexer::yy_push_state( int _new_state )
/* %endif */
{
    	if ( (yy_start_stack_ptr) >= (yy_start_stack_depth) )
		{
		yy_size_t new_size;

		(yy_start_stack_depth) += YY_START_STACK_INCR;
		new_size = (yy_size_t) (yy_start_stack_depth) * sizeof( int );

		if ( ! (yy_start_stack) )
			(yy_start_stack) = (int *) yyalloc( new_size  );

		else
			(yy_start_stack) = (int *) yyrealloc(
					(void *) (yy_start_stack), new_size  );

		if ( ! (yy_start_stack) )
			YY_FATAL_ERROR( "out of memory expanding start-condition stack" );
		}

	(yy_start_stack)[(yy_start_stack_ptr)++] = YY_START;

	BEGIN(_new_state);
}

/* %if-c-only */
/* %endif */
/* %if-c++-only */
    void yyFlexLexer::yy_pop_state()
/* %endif */
{
    	if ( --(yy_start_stack_ptr) < 0 )
		YY_FATAL_ERROR( "start-condition stack underflow" );

	BEGIN((yy_start_stack)[(yy_start_stack_ptr)]);
}

#ifndef YY_EXIT_FAILURE
#define YY_EXIT_FAILURE 2
#endif

/* %if-c-only */
/* %endif */
/* %if-c++-only */
void yyFlexLexer::LexerError( const char* msg )
{
    	std::cerr << msg << std::endl;
	exit( YY_EXIT_FAILURE );
}
/* %endif */

/* Redefine yyless() so it works in section 3 code. */

#undef yyless
#define yyless(n) \
	do \
		{ \
		/* Undo effects of setting up yytext. */ \
        int yyless_macro_arg = (n); \
        YY_LESS_LINENO(yyless_macro_arg);\
		yytext[yyleng] = (yy_hold_char); \
		(yy_c_buf_p) = yytext + yyless_macro_arg; \
		(yy_hold_char) = *(yy_c_buf_p); \
		*(yy_c_buf_p) = '\0'; \
		yyleng = yyless_macro_arg; \
		} \
	while ( 0 )

/* Accessor  methods (get/set functions) to struct members. */

/* %if-c-only */
/* %if-reentrant */
/* %endif */
/* %if-reentrant */
/* %endif */
/* %endif */

/* %if-reentrant */
/* %if-bison-bridge */
/* %endif */
/* %endif if-c-only */

/* %if-c-only */
/* %endif */

/* %if-c-only SNIP! this currently causes conflicts with the c++ scanner */
/* %if-reentrant */
/* %endif */
/* %endif */

/*
 * Internal utility routines.
 */

#ifndef yytext_ptr
static void yy_flex_strncpy (char* s1, const char * s2, int n )
{
		
	int i;
	for ( i = 0; i < n; ++i )
		s1[i] = s2[i];
}
#endif

#ifdef YY_NEED_STRLEN
static int yy_flex_strlen (const char * s )
{
	int n;
	for ( n = 0; s[n]; ++n )
		;

	return n;
}
#endif

void *yyalloc (yy_size_t  size )
{
			return malloc(size);
}

void *yyrealloc  (void * ptr, yy_size_t  size )
{
		
	/* The cast to (char *) in the following accommodates both
	 * implementations that use char* generic pointers, and those
	 * that use void* generic pointers.  It works with the latter
	 * because both ANSI C and C++ allow castless assignment from
	 * any pointer type to void*, and deal with argument conversions
	 * as though doing an assignment.
	 */
	return realloc(ptr, size);
}

void yyfree (void * ptr )
{
			free( (char *) ptr );	/* see yyrealloc() for (char *) cast */
}

/* %if-tables-serialization definitions */
/* %define-yytables   The name for this specific scanner's tables. */
#define YYTABLES_NAME "yytables"
/* %endif */

/* %ok-for-header */

#line 1230 "flex/agc-Lfile-lexer.ll"


// L-file lexer constructor
AGC::LFILE::Lexer::Lexer (Lfile_specIO& fR, std::ifstream& yoxInL)
    : theFiles (fR),
      EOLstate (EOLctx (position (&fR.inName, 0, 0)))
{
  yycolumn = 1;

  nLcurls = 0;
  nLbraces = 0;
  nLparens = 0;
  nLparensM = 0;

  yyrestart (yoxInL);

  switch (theFiles.scanner)
    {
    case LEX_SPEC_LEXER:
      start (LEX_DEFS);
      break;
    case GEN_SPEC_LEXER:
      start (GEN_INITIAL);
      break;
    default:
      break;
    }
}

namespace AGC
{
namespace LFILE
{
#if defined(_WIN32)
#include "YY_INPUT.hh"
#endif

void
Lexer::yox_push_state (int lexState, outMgr& whTo)
{
  whereTo = &whTo;
  if (lexState == STRING)
    stringHasBareNewline = false;
  push_state (*whereTo->getCurPos (), lexState);
}

}
}



// The main problem is for this lexer to know when it is looking at a Lex
// action, to look for '@'s inside such actions, and to ignore '@'s elsewhere.

// Lexemes suitable for grammar symbols are 1) identifiers previously declared
// as tokens, or 2) character constants.

// If exactly one lexeme suitable for a grammar symbol appears between return
// and ';', a node of that type will be put on the tree just before each time
// said return is executed.

// If no such lexeme appears there, a warning is issued.  If there is not a
// non-empty attribute definition section, the type of the dummy node symbol is
// used and another warning is issued.

// If more than one suitable lexeme appears, the first such is assumed for the
// node type, and subsequent ones generate a warning.

