/* $Id: joinTabs.hh 2834 2022-12-10 21:33:22Z teshields $ */

/* This file is part of Ox, an Attribute Grammar Compiling System
   that augments the specification functionality of Lex and Yacc, and
   input specification compatible lexer and parser generators.

   Copyright (C) 1992-1994  Kurt M. Bischoff
   Copyright (C) 2016-2022  Thomas E. Shields

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

#ifndef JOINTABS_HH_INCLUDED
#define JOINTABS_HH_INCLUDED

#include "codegen.hh"
#include "outMgr.hh"

extern fileMgr temp1Out;
extern fileMgr temp2Out;
extern fileMgr temp3Out;
extern fileMgr temp4Out;
extern fileMgr temp5Out;
// extern fileMgr temp6Out; -- unused
extern fileMgr temp7Out;
// extern fileMgr temp8Out; -- unused

extern fileMgr tempSortIndFile;
extern fileMgr tempSortNumsFile;

extern fileMgr tempProdsIndFile;
extern fileMgr tempProdsNumsFile;

extern fileMgr tempTravOut;

extern fileMgr tempStringTabFile;


extern void openTempFiles (void);
extern void rmTempFiles (void);


extern void organizeTables (void);

#endif // !JOINTABS_HH_INCLUDED
