// reflex/agc-strip-lexer.cc generated by reflex 3.2.11 from reflex/agc-strip-lexer.ll

#define REFLEX_VERSION "3.2.11"

////////////////////////////////////////////////////////////////////////////////
//                                                                            //
//  OPTIONS USED                                                              //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////

#undef REFLEX_OPTION_YYLTYPE
#undef REFLEX_OPTION_YYSTYPE
#undef REFLEX_OPTION_bison_cc
#undef REFLEX_OPTION_bison_cc_namespace
#undef REFLEX_OPTION_bison_cc_parser
#undef REFLEX_OPTION_bison_locations
#undef REFLEX_OPTION_ctorarg
#undef REFLEX_OPTION_ctorinit
#undef REFLEX_OPTION_debug
#undef REFLEX_OPTION_full
#undef REFLEX_OPTION_header_file
#undef REFLEX_OPTION_lex
#undef REFLEX_OPTION_lexer
#undef REFLEX_OPTION_namespace
#undef REFLEX_OPTION_outfile

#define REFLEX_OPTION_YYLTYPE             AGC::location
#define REFLEX_OPTION_YYSTYPE             AGC::lexer::value_type
#define REFLEX_OPTION_bison_cc            true
#define REFLEX_OPTION_bison_cc_namespace  AGC
#define REFLEX_OPTION_bison_cc_parser     lexer
#define REFLEX_OPTION_bison_locations     true
#define REFLEX_OPTION_ctorarg             specIO& fR
#define REFLEX_OPTION_ctorinit            theFiles (fR), EOLstate (EOLctx (position (&fR.inName, 0, 0)))
#define REFLEX_OPTION_debug               true
#define REFLEX_OPTION_full                true
#define REFLEX_OPTION_header_file         "reflex/agc-strip-internal.hh"
#define REFLEX_OPTION_lex                 yylex
#define REFLEX_OPTION_lexer               strip_Lexer
#define REFLEX_OPTION_namespace           AGC::STRIP
#define REFLEX_OPTION_outfile             "reflex/agc-strip-lexer.cc"

// --debug option enables ASSERT:
#define ASSERT(c) assert(c)

////////////////////////////////////////////////////////////////////////////////
//                                                                            //
//  SECTION 1: %top user code                                                 //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////

#line 47 "reflex/agc-strip-lexer.ll"

#if CAN_SET_WITH_REALLOC
#define WITH_REALLOC 0
#endif

#include <fstream>
#include <stack>

#include "agc-Lfile.hh"
#include "messages.hh"
#include "opts.hh"
#include "outMgr.hh"
#include "scan.hh"


////////////////////////////////////////////////////////////////////////////////
//                                                                            //
//  REGEX MATCHER                                                             //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////

#include <reflex/matcher.h>

////////////////////////////////////////////////////////////////////////////////
//                                                                            //
//  ABSTRACT LEXER CLASS                                                      //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////

#include <reflex/abslexer.h>

////////////////////////////////////////////////////////////////////////////////
//                                                                            //
//  LEXER CLASS                                                               //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////

namespace AGC {
namespace STRIP {

class strip_Lexer : public reflex::AbstractLexer<reflex::Matcher> {
#line 62 "reflex/agc-strip-lexer.ll"

protected:

  inline void
  push_state (const position& pos, int new_state)
  {
    AbstractLexer::push_state (new_state);
    startPos.push (pos); // starting position if EOF in 'new_state'
  }

  inline void
  push_state (const location& loc, int new_state)
  {
    AbstractLexer::push_state (new_state);
    startPos.push (loc.begin); // starting position if EOF in 'new_state'
  }

  inline void
  pop_state (void)
  {
    AbstractLexer::pop_state ();
    startPos.pop ();
  }

  specIO& theFiles;

  EOLctx EOLstate;

private:

  int nLbraces; // '{' ... '}' nesting

  int yfileMarkSeen; // count of "%%" in the Y-file

  outMgr* whereTo;
  void yox_push_state (int, outMgr&);

  std::stack<position> startPos;

  bool stringHasBareNewline;

 public:
  typedef reflex::AbstractLexer<reflex::Matcher> AbstractBaseLexer;
  strip_Lexer(
      specIO& fR,
      // a persistent source of input, empty by default
      const reflex::Input& input = reflex::Input(),
      // optional output stream, std::cout by default
      std::ostream& os = std::cout)
    :
      AbstractBaseLexer(input, os),
      theFiles (fR), EOLstate (EOLctx (position (&fR.inName, 0, 0)))
  {
#line 107 "reflex/agc-strip-lexer.ll"

    nLbraces = 0;

    yfileMarkSeen = 0;

    if (theFiles.scanner == YACC_SPEC_LEXER)
      {
        start (GEN);
        return;
      }

    switch (theFiles.scanner)
      {
      case LEX_SPEC_LEXER:
        start (LEX_DEFS);
        break;
      case GEN_SPEC_LEXER:
        start (GEN_ACT);
        break;
      default:
        break;
      }

    set_debug(true);
  }
  static const int INITIAL = 0;
  static const int GEN = 1;
  static const int YACC_TRAILER = 2;
  static const int LEX_DEFS = 3;
  static const int RULES_PROLOG = 4;
  static const int LEX_REGEXP = 5;
  static const int LEX_ACT = 6;
  static const int GEN_ACT = 7;
  static const int LEX_CCODE = 8;
  static const int CCODE_BLOCK = 9;
  static const int LEX_TRAILER = 10;
  static const int COMMENT = 11;
  static const int SKIP_COMMENT = 12;
  static const int STRING = 13;
  static const int SKIP_STRING = 14;
  static const int MACRO_DEF = 15;
  static const int ATTR_DECL = 16;
  static const int ATTR_DECL_SYMS = 17;
  static const int TRAV_DECL = 18;
  static const int YATTR_REF = 19;
  static const int LATTR_REF = 20;
  // bison-cc bison-locations: yylloc_update() tracks lexeme locations
  virtual void yylloc_update(AGC::location& yylloc)
  {
    yylloc.begin.line = static_cast<unsigned int>(matcher().lineno());
    yylloc.begin.column = static_cast<unsigned int>(matcher().columno());
    yylloc.end.line = static_cast<unsigned int>(matcher().lineno_end());
    yylloc.end.column = static_cast<unsigned int>(matcher().columno_end());
  }
  virtual int yylex(AGC::lexer::value_type *lvalp, AGC::location *llocp)
  {
    return yylex(*lvalp, *llocp);
  }
  // the bison-cc bison-locations lexer function defined by SECTION 2
  virtual int yylex(AGC::lexer::value_type& yylval, AGC::location& yylloc);
};

} // namespace AGC
} // namespace STRIP

////////////////////////////////////////////////////////////////////////////////
//                                                                            //
//  SECTION 1: %{ user code %}                                                //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////

#line 19 "reflex/agc-strip-lexer.ll"

/* $Id: agc-strip-lexer.cc 2845 2022-12-13 01:24:39Z teshields $ */

/* This file is part of Ox, an Attribute Grammar Compiling System
   that augments the specification functionality of Lex and Yacc, and
   input specification compatible lexer and parser generators.

   Copyright (C) 1992-1994  Kurt M. Bischoff
   Copyright (C) 2004-2022  Thomas E. Shields

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

#include "config.h"

#include <string>

#line 104 "reflex/agc-strip-lexer.ll"
// strip lexer constructor specification
#line 131 "reflex/agc-strip-lexer.ll"

#define yyless matcher ().less


////////////////////////////////////////////////////////////////////////////////
//                                                                            //
//  BISON C++                                                                 //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////
//                                                                            //
//  SECTION 2: rules                                                          //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////

namespace AGC {
namespace STRIP {
extern const reflex::Pattern::Opcode reflex_code_INITIAL[];
} // namespace AGC
} // namespace STRIP
namespace AGC {
namespace STRIP {
extern const reflex::Pattern::Opcode reflex_code_GEN[];
} // namespace AGC
} // namespace STRIP
namespace AGC {
namespace STRIP {
extern const reflex::Pattern::Opcode reflex_code_YACC_TRAILER[];
} // namespace AGC
} // namespace STRIP
namespace AGC {
namespace STRIP {
extern const reflex::Pattern::Opcode reflex_code_LEX_DEFS[];
} // namespace AGC
} // namespace STRIP
namespace AGC {
namespace STRIP {
extern const reflex::Pattern::Opcode reflex_code_RULES_PROLOG[];
} // namespace AGC
} // namespace STRIP
namespace AGC {
namespace STRIP {
extern const reflex::Pattern::Opcode reflex_code_LEX_REGEXP[];
} // namespace AGC
} // namespace STRIP
namespace AGC {
namespace STRIP {
extern const reflex::Pattern::Opcode reflex_code_LEX_ACT[];
} // namespace AGC
} // namespace STRIP
namespace AGC {
namespace STRIP {
extern const reflex::Pattern::Opcode reflex_code_GEN_ACT[];
} // namespace AGC
} // namespace STRIP
namespace AGC {
namespace STRIP {
extern const reflex::Pattern::Opcode reflex_code_LEX_CCODE[];
} // namespace AGC
} // namespace STRIP
namespace AGC {
namespace STRIP {
extern const reflex::Pattern::Opcode reflex_code_CCODE_BLOCK[];
} // namespace AGC
} // namespace STRIP
namespace AGC {
namespace STRIP {
extern const reflex::Pattern::Opcode reflex_code_LEX_TRAILER[];
} // namespace AGC
} // namespace STRIP
namespace AGC {
namespace STRIP {
extern const reflex::Pattern::Opcode reflex_code_COMMENT[];
} // namespace AGC
} // namespace STRIP
namespace AGC {
namespace STRIP {
extern const reflex::Pattern::Opcode reflex_code_SKIP_COMMENT[];
} // namespace AGC
} // namespace STRIP
namespace AGC {
namespace STRIP {
extern const reflex::Pattern::Opcode reflex_code_STRING[];
} // namespace AGC
} // namespace STRIP
namespace AGC {
namespace STRIP {
extern const reflex::Pattern::Opcode reflex_code_SKIP_STRING[];
} // namespace AGC
} // namespace STRIP
namespace AGC {
namespace STRIP {
extern const reflex::Pattern::Opcode reflex_code_MACRO_DEF[];
} // namespace AGC
} // namespace STRIP
namespace AGC {
namespace STRIP {
extern const reflex::Pattern::Opcode reflex_code_ATTR_DECL[];
} // namespace AGC
} // namespace STRIP
namespace AGC {
namespace STRIP {
extern const reflex::Pattern::Opcode reflex_code_ATTR_DECL_SYMS[];
} // namespace AGC
} // namespace STRIP
namespace AGC {
namespace STRIP {
extern const reflex::Pattern::Opcode reflex_code_TRAV_DECL[];
} // namespace AGC
} // namespace STRIP
namespace AGC {
namespace STRIP {
extern const reflex::Pattern::Opcode reflex_code_YATTR_REF[];
} // namespace AGC
} // namespace STRIP
namespace AGC {
namespace STRIP {
extern const reflex::Pattern::Opcode reflex_code_LATTR_REF[];
} // namespace AGC
} // namespace STRIP

int AGC::STRIP::strip_Lexer::yylex(AGC::lexer::value_type& yylval, AGC::location& yylloc)
{
  static const reflex::Pattern PATTERN_INITIAL(reflex_code_INITIAL);
  static const reflex::Pattern PATTERN_GEN(reflex_code_GEN);
  static const reflex::Pattern PATTERN_YACC_TRAILER(reflex_code_YACC_TRAILER);
  static const reflex::Pattern PATTERN_LEX_DEFS(reflex_code_LEX_DEFS);
  static const reflex::Pattern PATTERN_RULES_PROLOG(reflex_code_RULES_PROLOG);
  static const reflex::Pattern PATTERN_LEX_REGEXP(reflex_code_LEX_REGEXP);
  static const reflex::Pattern PATTERN_LEX_ACT(reflex_code_LEX_ACT);
  static const reflex::Pattern PATTERN_GEN_ACT(reflex_code_GEN_ACT);
  static const reflex::Pattern PATTERN_LEX_CCODE(reflex_code_LEX_CCODE);
  static const reflex::Pattern PATTERN_CCODE_BLOCK(reflex_code_CCODE_BLOCK);
  static const reflex::Pattern PATTERN_LEX_TRAILER(reflex_code_LEX_TRAILER);
  static const reflex::Pattern PATTERN_COMMENT(reflex_code_COMMENT);
  static const reflex::Pattern PATTERN_SKIP_COMMENT(reflex_code_SKIP_COMMENT);
  static const reflex::Pattern PATTERN_STRING(reflex_code_STRING);
  static const reflex::Pattern PATTERN_SKIP_STRING(reflex_code_SKIP_STRING);
  static const reflex::Pattern PATTERN_MACRO_DEF(reflex_code_MACRO_DEF);
  static const reflex::Pattern PATTERN_ATTR_DECL(reflex_code_ATTR_DECL);
  static const reflex::Pattern PATTERN_ATTR_DECL_SYMS(reflex_code_ATTR_DECL_SYMS);
  static const reflex::Pattern PATTERN_TRAV_DECL(reflex_code_TRAV_DECL);
  static const reflex::Pattern PATTERN_YATTR_REF(reflex_code_YATTR_REF);
  static const reflex::Pattern PATTERN_LATTR_REF(reflex_code_LATTR_REF);
  if (!has_matcher())
  {
    matcher(new Matcher(PATTERN_INITIAL, stdinit(), this));
  }
  switch (start())
  {
    case GEN:
#line 178 "reflex/agc-strip-lexer.ll"
/* skip Ox-specific content in the Y-file */

    break;
    case YACC_TRAILER:
#line 653 "reflex/agc-strip-lexer.ll"
/* echo the optional user section following the second "%%" in the Y-file,
     if present */

    break;
    case LEX_DEFS:
#line 378 "reflex/agc-strip-lexer.ll"
/* L-file Definitions Section */

    break;
    case RULES_PROLOG:
#line 495 "reflex/agc-strip-lexer.ll"
/* echo the prolog of the Lex Rules Section */

    break;
    case LEX_REGEXP:
#line 513 "reflex/agc-strip-lexer.ll"
/* echo Lex regular expressions, terminated by whitespace */

    break;
    case LEX_ACT:
#line 563 "reflex/agc-strip-lexer.ll"
/* GEN_ACT: initial start condition if "theFiles.scanner == GEN_SPEC_LEXER" */

  /* LEX_ACT: LEX_REGEXP 'subroutine' */
  /* look for the start of an L-file attribute reference section (which sends
     this lexer to LATTR_REF), and look for the end of a Lex action after an
     attribute reference section; a Lex action is terminated by the first
     newline outside of paired braces */

    break;
    case GEN_ACT:
#line 563 "reflex/agc-strip-lexer.ll"
/* GEN_ACT: initial start condition if "theFiles.scanner == GEN_SPEC_LEXER" */

  /* LEX_ACT: LEX_REGEXP 'subroutine' */
  /* look for the start of an L-file attribute reference section (which sends
     this lexer to LATTR_REF), and look for the end of a Lex action after an
     attribute reference section; a Lex action is terminated by the first
     newline outside of paired braces */

    break;
    case LEX_CCODE:
#line 419 "reflex/agc-strip-lexer.ll"
/* LEX_DEFS, LEX_REGEXP 'subroutine': echo C code between "%{" and "%}" */

    break;
    case CCODE_BLOCK:
#line 454 "reflex/agc-strip-lexer.ll"
/* LEX_DEFS 'subroutine': echo C code "{ ... }" for 'flex' extension "%top" */

    break;
    case LEX_TRAILER:
#line 680 "reflex/agc-strip-lexer.ll"
/* echo the optional user section following the second "%%" in the L-file,
     if present */

    break;
    case COMMENT:
#line 706 "reflex/agc-strip-lexer.ll"
/* 'subroutine': handle multi-line C comments */

    break;
    case SKIP_COMMENT:
#line 731 "reflex/agc-strip-lexer.ll"
/* 'subroutine': skip multi-line C comments */

    break;
    case STRING:
#line 751 "reflex/agc-strip-lexer.ll"
/* 'subroutine': handle multi-lint C/C++ string literals */

    break;
    case SKIP_STRING:
#line 783 "reflex/agc-strip-lexer.ll"
/* 'subroutine': skip multi-lint C/C++ string literals */

    break;
    case MACRO_DEF:
#line 226 "reflex/agc-strip-lexer.ll"
/* GEN 'subroutine': skip Ox macro definition */

    break;
    case ATTR_DECL:
#line 287 "reflex/agc-strip-lexer.ll"
/* GEN 'subroutine': skip '@attributes' declaration; the closing brace
     transitions to ATTR_DECL_SYMS, which returns */

    break;
    case ATTR_DECL_SYMS:
#line 316 "reflex/agc-strip-lexer.ll"
/* GEN 'subroutine': skip grammar symbols in an attribute declaration
     symbol list */

    break;
    case TRAV_DECL:
#line 345 "reflex/agc-strip-lexer.ll"
/* GEN 'subroutine': skip Ox traversal declaration */

    break;
    case YATTR_REF:
#line 254 "reflex/agc-strip-lexer.ll"
/* GEN 'subroutine': Ox Y-file attribute reference section */

    break;
    case LATTR_REF:
#line 616 "reflex/agc-strip-lexer.ll"
/* LEX_ACT 'subroutine': skip Ox L-file attribute reference section */

    break;
  }
  while (true)
  {
    switch (start())
    {
      case INITIAL:
        matcher().pattern(PATTERN_INITIAL);
        matcher().scan();
        yylloc_update(yylloc);
        switch (matcher().accept())
        {
          case 0:
            if (matcher().at_end())
            {
              if (debug()) std::cerr << "--\033[1;35mEOF rule reflex/agc-strip-lexer.ll:805\033[0m start(" << start() << ")\n";
#line 805 "reflex/agc-strip-lexer.ll"
{
  return lexer::token::END;
}

            }
            else
            {
              if (debug()) std::cerr << "--\033[1;31mdefault rule\033[0m\n";
              out().put(matcher().input());
            }
            break;
        }
        break;
      case GEN:
        matcher().pattern(PATTERN_GEN);
        matcher().scan();
        yylloc_update(yylloc);
        switch (matcher().accept())
        {
          case 0:
            if (matcher().at_end())
            {
              if (debug()) std::cerr << "--\033[1;35mEOF rule reflex/agc-strip-lexer.ll:805\033[0m start(" << start() << ")\n";
#line 805 "reflex/agc-strip-lexer.ll"
{
  return lexer::token::END;
}

            }
            else
            {
              if (debug()) std::cerr << "--\033[1;31mdefault rule\033[0m\n";
              out().put(matcher().input());
            }
            break;
          case 1: // rule reflex/agc-strip-lexer.ll:178: "/*" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:178\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 178 "reflex/agc-strip-lexer.ll"
{
  yoxOutG.put (text ());
  yox_push_state (COMMENT, yoxOutG);
}

            break;
          case 2: // rule reflex/agc-strip-lexer.ll:183: "L"?"\"" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:183\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 183 "reflex/agc-strip-lexer.ll"
{
  yoxOutG.put (text ());
  yox_push_state (STRING, yoxOutG);
}

            break;
          case 3: // rule reflex/agc-strip-lexer.ll:188: "@attributes" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:188\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 188 "reflex/agc-strip-lexer.ll"
{
  push_state (yylloc, ATTR_DECL);
}

            break;
          case 4: // rule reflex/agc-strip-lexer.ll:192: "@macro" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:192\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 192 "reflex/agc-strip-lexer.ll"
{
  push_state (yylloc, MACRO_DEF);
}

            break;
          case 5: // rule reflex/agc-strip-lexer.ll:196: "@autoinh"|"@autosyn"|"@traversal" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:196\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 196 "reflex/agc-strip-lexer.ll"
{
  push_state (yylloc, TRAV_DECL);
}

            break;
          case 6: // rule reflex/agc-strip-lexer.ll:200: "@{" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:200\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 200 "reflex/agc-strip-lexer.ll"
{
  push_state (yylloc, YATTR_REF);
}

            break;
          case 7: // rule reflex/agc-strip-lexer.ll:204: ^{OPTWS}"%%".*$ :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:204\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 204 "reflex/agc-strip-lexer.ll"
{
  if (++yfileMarkSeen == 2)
    start (YACC_TRAILER);
  yoxOutG.put (text ());
}

            break;
          case 8: // rule reflex/agc-strip-lexer.ll:210: "//".*$ :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:210\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 210 "reflex/agc-strip-lexer.ll"
{
  yoxOutG.put (text ());
}

            break;
          case 9: // rule reflex/agc-strip-lexer.ll:214: \n|. :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:214\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 214 "reflex/agc-strip-lexer.ll"
{
  yoxOutG.put ((char)chr ());
}

            break;
        }
        break;
      case YACC_TRAILER:
        matcher().pattern(PATTERN_YACC_TRAILER);
        matcher().scan();
        yylloc_update(yylloc);
        switch (matcher().accept())
        {
          case 0:
            if (matcher().at_end())
            {
              if (debug()) std::cerr << "--\033[1;35mEOF rule reflex/agc-strip-lexer.ll:805\033[0m start(" << start() << ")\n";
#line 805 "reflex/agc-strip-lexer.ll"
{
  return lexer::token::END;
}

            }
            else
            {
              if (debug()) std::cerr << "--\033[1;31mdefault rule\033[0m\n";
              out().put(matcher().input());
            }
            break;
          case 1: // rule reflex/agc-strip-lexer.ll:653: "/*" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:653\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 653 "reflex/agc-strip-lexer.ll"
{
  yoxOutG.put (text ());
  yox_push_state (COMMENT, yoxOutG);
}

            break;
          case 2: // rule reflex/agc-strip-lexer.ll:658: "L"?"\"" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:658\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 658 "reflex/agc-strip-lexer.ll"
{
  yoxOutG.put (text ());
  yox_push_state (STRING, yoxOutG);
}

            break;
          case 3: // rule reflex/agc-strip-lexer.ll:663: "//".*$|{WS}|{NUMBER}|{ID}|{CHAR_CONST} :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:663\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 663 "reflex/agc-strip-lexer.ll"
{
  yoxOutG.put (text ());
}

            break;
          case 4: // rule reflex/agc-strip-lexer.ll:667: \n|. :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:667\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 667 "reflex/agc-strip-lexer.ll"
{
  yoxOutG.put ((char)chr ());
}

            break;
        }
        break;
      case LEX_DEFS:
        matcher().pattern(PATTERN_LEX_DEFS);
        matcher().scan();
        yylloc_update(yylloc);
        switch (matcher().accept())
        {
          case 0:
            if (matcher().at_end())
            {
              if (debug()) std::cerr << "--\033[1;35mEOF rule reflex/agc-strip-lexer.ll:805\033[0m start(" << start() << ")\n";
#line 805 "reflex/agc-strip-lexer.ll"
{
  return lexer::token::END;
}

            }
            else
            {
              if (debug()) std::cerr << "--\033[1;31mdefault rule\033[0m\n";
              out().put(matcher().input());
            }
            break;
          case 1: // rule reflex/agc-strip-lexer.ll:378: ^"%{".*$ :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:378\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 378 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put (text ());
  push_state (yylloc, LEX_CCODE);
}

            break;
          case 2: // rule reflex/agc-strip-lexer.ll:383: "%top" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:383\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 383 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put (text ());
  push_state (yylloc, CCODE_BLOCK);
  nLbraces = 0;
}

            break;
          case 3: // rule reflex/agc-strip-lexer.ll:389: "/*" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:389\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 389 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put (text ());
  yox_push_state (COMMENT, yoxOutL);
}

            break;
          case 4: // rule reflex/agc-strip-lexer.ll:394: ^{OPTWS}"%%".*$ :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:394\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 394 "reflex/agc-strip-lexer.ll"
{
  start (RULES_PROLOG);
  yoxOutL.put (text ());
}

            break;
          case 5: // rule reflex/agc-strip-lexer.ll:399: "%option".*$ :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:399\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 399 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put (text ());
}

            break;
          case 6: // rule reflex/agc-strip-lexer.ll:403: "//".*$ :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:403\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 403 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put (text ());
}

            break;
          case 7: // rule reflex/agc-strip-lexer.ll:407: \n|. :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:407\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 407 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put ((char)chr ());
}

            break;
        }
        break;
      case RULES_PROLOG:
        matcher().pattern(PATTERN_RULES_PROLOG);
        matcher().scan();
        yylloc_update(yylloc);
        switch (matcher().accept())
        {
          case 0:
            if (matcher().at_end())
            {
              if (debug()) std::cerr << "--\033[1;35mEOF rule reflex/agc-strip-lexer.ll:805\033[0m start(" << start() << ")\n";
#line 805 "reflex/agc-strip-lexer.ll"
{
  return lexer::token::END;
}

            }
            else
            {
              if (debug()) std::cerr << "--\033[1;31mdefault rule\033[0m\n";
              out().put(matcher().input());
            }
            break;
          case 1: // rule reflex/agc-strip-lexer.ll:495: ^{NON_WS} :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:495\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 495 "reflex/agc-strip-lexer.ll"
{
  yyless (0);
  start (LEX_REGEXP);
  nLbraces = 0;
}

            break;
          case 2: // rule reflex/agc-strip-lexer.ll:501: \n|. :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:501\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 501 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put ((char)chr ());
}

            break;
        }
        break;
      case LEX_REGEXP:
        matcher().pattern(PATTERN_LEX_REGEXP);
        matcher().scan();
        yylloc_update(yylloc);
        switch (matcher().accept())
        {
          case 0:
            if (matcher().at_end())
            {
              if (debug()) std::cerr << "--\033[1;35mEOF rule reflex/agc-strip-lexer.ll:805\033[0m start(" << start() << ")\n";
#line 805 "reflex/agc-strip-lexer.ll"
{
  return lexer::token::END;
}

            }
            else
            {
              if (debug()) std::cerr << "--\033[1;31mdefault rule\033[0m\n";
              out().put(matcher().input());
            }
            break;
          case 1: // rule reflex/agc-strip-lexer.ll:513: ^{OPTWS}"%%".*$ :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:513\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 513 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put (text ());
  start (LEX_TRAILER);
}

            break;
          case 2: // rule reflex/agc-strip-lexer.ll:518: ^"%{".*$ :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:518\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 518 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put (text ());
  push_state (yylloc, LEX_CCODE);
}

            break;
          case 3: // rule reflex/agc-strip-lexer.ll:523: ^{OPTWS}"/*" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:523\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 523 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put (text ());
  yox_push_state (COMMENT, yoxOutL);
}

            break;
          case 4: // rule reflex/agc-strip-lexer.ll:528: {WS} :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:528\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 528 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put (text ());
  push_state (yylloc, LEX_ACT);
}

            break;
          case 5: // rule reflex/agc-strip-lexer.ll:533: ^{OPTWS}"//".*$ :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:533\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 533 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put (text ());
}

            break;
          case 6: // rule reflex/agc-strip-lexer.ll:537: {WS}"|".*$ :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:537\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 537 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put (text ());
}

            break;
          case 7: // rule reflex/agc-strip-lexer.ll:541: {WS}$ :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:541\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 541 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put (text ());
}

            break;
          case 8: // rule reflex/agc-strip-lexer.ll:545: \n|. :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:545\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 545 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put ((char)chr ());
}

            break;
        }
        break;
      case LEX_ACT:
        matcher().pattern(PATTERN_LEX_ACT);
        matcher().scan();
        yylloc_update(yylloc);
        switch (matcher().accept())
        {
          case 0:
            if (matcher().at_end())
            {
              if (debug()) std::cerr << "--\033[1;35mEOF rule reflex/agc-strip-lexer.ll:601\033[0m start(" << start() << ")\n";
#line 601 "reflex/agc-strip-lexer.ll"
{
  if (start () == LEX_ACT)
    unterminatedAction (yylloc, startPos.top ());

  return lexer::token::END;
}

            }
            else
            {
              if (debug()) std::cerr << "--\033[1;31mdefault rule\033[0m\n";
              out().put(matcher().input());
            }
            break;
          case 1: // rule reflex/agc-strip-lexer.ll:563: "/*" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:563\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 563 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put (text ());
  yox_push_state (COMMENT, yoxOutL);
}

            break;
          case 2: // rule reflex/agc-strip-lexer.ll:568: "L"?"\"" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:568\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 568 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put (text ());
  yox_push_state (STRING, yoxOutL);
}

            break;
          case 3: // rule reflex/agc-strip-lexer.ll:573: "@{" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:573\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 573 "reflex/agc-strip-lexer.ll"
{
  push_state (yylloc, LATTR_REF);
}

            break;
          case 4: // rule reflex/agc-strip-lexer.ll:577: "{" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:577\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 577 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put ((char)chr ());
  nLbraces++;
}

            break;
          case 5: // rule reflex/agc-strip-lexer.ll:582: "}" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:582\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 582 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put ((char)chr ());
  nLbraces--;
}

            break;
          case 6: // rule reflex/agc-strip-lexer.ll:587: "//".*$|{CHAR_CONST} :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:587\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 587 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put (text ());
}

            break;
          case 7: // rule reflex/agc-strip-lexer.ll:591: \n :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:591\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 591 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put ((char)chr ());
  if ((start () == LEX_ACT) && (nLbraces == 0))
    pop_state ();
}

            break;
          case 8: // rule reflex/agc-strip-lexer.ll:597: . :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:597\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 597 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put ((char)chr ());
}

            break;
        }
        break;
      case GEN_ACT:
        matcher().pattern(PATTERN_GEN_ACT);
        matcher().scan();
        yylloc_update(yylloc);
        switch (matcher().accept())
        {
          case 0:
            if (matcher().at_end())
            {
              if (debug()) std::cerr << "--\033[1;35mEOF rule reflex/agc-strip-lexer.ll:601\033[0m start(" << start() << ")\n";
#line 601 "reflex/agc-strip-lexer.ll"
{
  if (start () == LEX_ACT)
    unterminatedAction (yylloc, startPos.top ());

  return lexer::token::END;
}

            }
            else
            {
              if (debug()) std::cerr << "--\033[1;31mdefault rule\033[0m\n";
              out().put(matcher().input());
            }
            break;
          case 1: // rule reflex/agc-strip-lexer.ll:563: "/*" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:563\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 563 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put (text ());
  yox_push_state (COMMENT, yoxOutL);
}

            break;
          case 2: // rule reflex/agc-strip-lexer.ll:568: "L"?"\"" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:568\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 568 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put (text ());
  yox_push_state (STRING, yoxOutL);
}

            break;
          case 3: // rule reflex/agc-strip-lexer.ll:573: "@{" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:573\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 573 "reflex/agc-strip-lexer.ll"
{
  push_state (yylloc, LATTR_REF);
}

            break;
          case 4: // rule reflex/agc-strip-lexer.ll:577: "{" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:577\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 577 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put ((char)chr ());
  nLbraces++;
}

            break;
          case 5: // rule reflex/agc-strip-lexer.ll:582: "}" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:582\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 582 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put ((char)chr ());
  nLbraces--;
}

            break;
          case 6: // rule reflex/agc-strip-lexer.ll:587: "//".*$|{CHAR_CONST} :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:587\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 587 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put (text ());
}

            break;
          case 7: // rule reflex/agc-strip-lexer.ll:591: \n :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:591\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 591 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put ((char)chr ());
  if ((start () == LEX_ACT) && (nLbraces == 0))
    pop_state ();
}

            break;
          case 8: // rule reflex/agc-strip-lexer.ll:597: . :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:597\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 597 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put ((char)chr ());
}

            break;
        }
        break;
      case LEX_CCODE:
        matcher().pattern(PATTERN_LEX_CCODE);
        matcher().scan();
        yylloc_update(yylloc);
        switch (matcher().accept())
        {
          case 0:
            if (matcher().at_end())
            {
              if (debug()) std::cerr << "--\033[1;35mEOF rule reflex/agc-strip-lexer.ll:442\033[0m start(" << start() << ")\n";
#line 442 "reflex/agc-strip-lexer.ll"
{
  unterminatedCode (yylloc, startPos.top ());
}

            }
            else
            {
              if (debug()) std::cerr << "--\033[1;31mdefault rule\033[0m\n";
              out().put(matcher().input());
            }
            break;
          case 1: // rule reflex/agc-strip-lexer.ll:419: "/*" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:419\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 419 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put (text ());
  yox_push_state (COMMENT, yoxOutL);
}

            break;
          case 2: // rule reflex/agc-strip-lexer.ll:424: "L"?"\"" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:424\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 424 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put (text ());
  yox_push_state (STRING, yoxOutL);
}

            break;
          case 3: // rule reflex/agc-strip-lexer.ll:429: ^"%}".*$ :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:429\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 429 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put (text ());
  pop_state ();
}

            break;
          case 4: // rule reflex/agc-strip-lexer.ll:434: "//".*$ :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:434\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 434 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put (text ());
}

            break;
          case 5: // rule reflex/agc-strip-lexer.ll:438: \n|. :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:438\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 438 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put ((char)chr ());
}

            break;
        }
        break;
      case CCODE_BLOCK:
        matcher().pattern(PATTERN_CCODE_BLOCK);
        matcher().scan();
        yylloc_update(yylloc);
        switch (matcher().accept())
        {
          case 0:
            if (matcher().at_end())
            {
              if (debug()) std::cerr << "--\033[1;35mEOF rule reflex/agc-strip-lexer.ll:483\033[0m start(" << start() << ")\n";
#line 483 "reflex/agc-strip-lexer.ll"
{
  unterminatedCode (yylloc, startPos.top ());
}

            }
            else
            {
              if (debug()) std::cerr << "--\033[1;31mdefault rule\033[0m\n";
              out().put(matcher().input());
            }
            break;
          case 1: // rule reflex/agc-strip-lexer.ll:454: "/*" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:454\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 454 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put (text ());
  yox_push_state (COMMENT, yoxOutL);
}

            break;
          case 2: // rule reflex/agc-strip-lexer.ll:459: "L"?"\"" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:459\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 459 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put (text ());
  yox_push_state (STRING, yoxOutL);
}

            break;
          case 3: // rule reflex/agc-strip-lexer.ll:464: "{" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:464\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 464 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put ((char)chr ());
  nLbraces++;
}

            break;
          case 4: // rule reflex/agc-strip-lexer.ll:469: "}" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:469\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 469 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put ((char)chr ());
  if (--nLbraces == 0)
    pop_state ();
}

            break;
          case 5: // rule reflex/agc-strip-lexer.ll:475: "//".*$|{CHAR_CONST} :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:475\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 475 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put (text ());
}

            break;
          case 6: // rule reflex/agc-strip-lexer.ll:479: \n|. :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:479\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 479 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put ((char)chr ());
}

            break;
        }
        break;
      case LEX_TRAILER:
        matcher().pattern(PATTERN_LEX_TRAILER);
        matcher().scan();
        yylloc_update(yylloc);
        switch (matcher().accept())
        {
          case 0:
            if (matcher().at_end())
            {
              if (debug()) std::cerr << "--\033[1;35mEOF rule reflex/agc-strip-lexer.ll:805\033[0m start(" << start() << ")\n";
#line 805 "reflex/agc-strip-lexer.ll"
{
  return lexer::token::END;
}

            }
            else
            {
              if (debug()) std::cerr << "--\033[1;31mdefault rule\033[0m\n";
              out().put(matcher().input());
            }
            break;
          case 1: // rule reflex/agc-strip-lexer.ll:680: "/*" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:680\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 680 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put (text ());
  yox_push_state (COMMENT, yoxOutL);
}

            break;
          case 2: // rule reflex/agc-strip-lexer.ll:685: "L"?"\"" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:685\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 685 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put (text ());
  yox_push_state (STRING, yoxOutL);
}

            break;
          case 3: // rule reflex/agc-strip-lexer.ll:690: "//".*$|{WS}|{NUMBER}|{ID}|{CHAR_CONST} :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:690\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 690 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put (text ());
}

            break;
          case 4: // rule reflex/agc-strip-lexer.ll:694: \n|. :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:694\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 694 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put ((char)chr ());
}

            break;
        }
        break;
      case COMMENT:
        matcher().pattern(PATTERN_COMMENT);
        matcher().scan();
        yylloc_update(yylloc);
        switch (matcher().accept())
        {
          case 0:
            if (matcher().at_end())
            {
              if (debug()) std::cerr << "--\033[1;35mEOF rule reflex/agc-strip-lexer.ll:719\033[0m start(" << start() << ")\n";
#line 719 "reflex/agc-strip-lexer.ll"
{
  unterminatedComment (yylloc, startPos.top ());
}

            }
            else
            {
              if (debug()) std::cerr << "--\033[1;31mdefault rule\033[0m\n";
              out().put(matcher().input());
            }
            break;
          case 1: // rule reflex/agc-strip-lexer.ll:706: "*/" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:706\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 706 "reflex/agc-strip-lexer.ll"
{
  whereTo->put (text ());
  pop_state ();
}

            break;
          case 2: // rule reflex/agc-strip-lexer.ll:711: [^\*\n]+ :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:711\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 711 "reflex/agc-strip-lexer.ll"
{
  whereTo->put (text ());
}

            break;
          case 3: // rule reflex/agc-strip-lexer.ll:715: \n|. :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:715\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 715 "reflex/agc-strip-lexer.ll"
{
  whereTo->put ((char)chr ());
}

            break;
        }
        break;
      case SKIP_COMMENT:
        matcher().pattern(PATTERN_SKIP_COMMENT);
        matcher().scan();
        yylloc_update(yylloc);
        switch (matcher().accept())
        {
          case 0:
            if (matcher().at_end())
            {
              if (debug()) std::cerr << "--\033[1;35mEOF rule reflex/agc-strip-lexer.ll:739\033[0m start(" << start() << ")\n";
#line 739 "reflex/agc-strip-lexer.ll"
{
  unterminatedComment (yylloc, startPos.top ());
}

            }
            else
            {
              if (debug()) std::cerr << "--\033[1;31mdefault rule\033[0m\n";
              out().put(matcher().input());
            }
            break;
          case 1: // rule reflex/agc-strip-lexer.ll:731: "*/" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:731\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 731 "reflex/agc-strip-lexer.ll"
{
  pop_state ();
}

            break;
          case 2: // rule reflex/agc-strip-lexer.ll:735: [^\*\n]+|\n|. :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:735\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 735 "reflex/agc-strip-lexer.ll"
{
  ; // no-op
}

            break;
        }
        break;
      case STRING:
        matcher().pattern(PATTERN_STRING);
        matcher().scan();
        yylloc_update(yylloc);
        switch (matcher().accept())
        {
          case 0:
            if (matcher().at_end())
            {
              if (debug()) std::cerr << "--\033[1;35mEOF rule reflex/agc-strip-lexer.ll:771\033[0m start(" << start() << ")\n";
#line 771 "reflex/agc-strip-lexer.ll"
{
  unterminatedString (yylloc, startPos.top ());
}

            }
            else
            {
              if (debug()) std::cerr << "--\033[1;31mdefault rule\033[0m\n";
              out().put(matcher().input());
            }
            break;
          case 1: // rule reflex/agc-strip-lexer.ll:751: "\"" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:751\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 751 "reflex/agc-strip-lexer.ll"
{
  whereTo->put ((char)chr ());
  if (stringHasBareNewline)
    stringContainsNewline (yylloc, startPos.top ());
  pop_state ();
}

            break;
          case 2: // rule reflex/agc-strip-lexer.ll:758: [^"\\\n]+|\\(.|\n) :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:758\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 758 "reflex/agc-strip-lexer.ll"
{
  whereTo->put (text ());
}

            break;
          case 3: // rule reflex/agc-strip-lexer.ll:762: \n :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:762\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 762 "reflex/agc-strip-lexer.ll"
{
  stringHasBareNewline = true;
  whereTo->put ((char)chr ());
}

            break;
          case 4: // rule reflex/agc-strip-lexer.ll:767: . :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:767\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 767 "reflex/agc-strip-lexer.ll"
{
  whereTo->put ((char)chr ());
}

            break;
        }
        break;
      case SKIP_STRING:
        matcher().pattern(PATTERN_SKIP_STRING);
        matcher().scan();
        yylloc_update(yylloc);
        switch (matcher().accept())
        {
          case 0:
            if (matcher().at_end())
            {
              if (debug()) std::cerr << "--\033[1;35mEOF rule reflex/agc-strip-lexer.ll:797\033[0m start(" << start() << ")\n";
#line 797 "reflex/agc-strip-lexer.ll"
{
  unterminatedString (yylloc, startPos.top ());
}

            }
            else
            {
              if (debug()) std::cerr << "--\033[1;31mdefault rule\033[0m\n";
              out().put(matcher().input());
            }
            break;
          case 1: // rule reflex/agc-strip-lexer.ll:783: "\"" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:783\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 783 "reflex/agc-strip-lexer.ll"
{
  if (stringHasBareNewline)
    stringContainsNewline (yylloc, startPos.top ());
  pop_state ();
}

            break;
          case 2: // rule reflex/agc-strip-lexer.ll:789: \n :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:789\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 789 "reflex/agc-strip-lexer.ll"
{
  stringHasBareNewline = true;
}

            break;
          case 3: // rule reflex/agc-strip-lexer.ll:793: [^"\\\n]+|\\(.|\n)|. :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:793\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 793 "reflex/agc-strip-lexer.ll"
{
  ; // no-op
}

            break;
        }
        break;
      case MACRO_DEF:
        matcher().pattern(PATTERN_MACRO_DEF);
        matcher().scan();
        yylloc_update(yylloc);
        switch (matcher().accept())
        {
          case 0:
            if (matcher().at_end())
            {
              if (debug()) std::cerr << "--\033[1;35mEOF rule reflex/agc-strip-lexer.ll:805\033[0m start(" << start() << ")\n";
#line 805 "reflex/agc-strip-lexer.ll"
{
  return lexer::token::END;
}

            }
            else
            {
              if (debug()) std::cerr << "--\033[1;31mdefault rule\033[0m\n";
              out().put(matcher().input());
            }
            break;
          case 1: // rule reflex/agc-strip-lexer.ll:226: "/*" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:226\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 226 "reflex/agc-strip-lexer.ll"
{
  yox_push_state (SKIP_COMMENT, yoxOutG);
}

            break;
          case 2: // rule reflex/agc-strip-lexer.ll:230: "L"?"\"" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:230\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 230 "reflex/agc-strip-lexer.ll"
{
  yox_push_state (SKIP_STRING, yoxOutG);
}

            break;
          case 3: // rule reflex/agc-strip-lexer.ll:234: "@end" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:234\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 234 "reflex/agc-strip-lexer.ll"
{
  pop_state ();
}

            break;
          case 4: // rule reflex/agc-strip-lexer.ll:238: \n :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:238\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 238 "reflex/agc-strip-lexer.ll"
{
  yoxOutG.put ((char)chr ());
}

            break;
          case 5: // rule reflex/agc-strip-lexer.ll:242: "//".*$|. :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:242\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 242 "reflex/agc-strip-lexer.ll"
{
  ; // no-op
}

            break;
        }
        break;
      case ATTR_DECL:
        matcher().pattern(PATTERN_ATTR_DECL);
        matcher().scan();
        yylloc_update(yylloc);
        switch (matcher().accept())
        {
          case 0:
            if (matcher().at_end())
            {
              if (debug()) std::cerr << "--\033[1;35mEOF rule reflex/agc-strip-lexer.ll:303\033[0m start(" << start() << ")\n";
#line 303 "reflex/agc-strip-lexer.ll"
{
  unterminatedAttrDeclaration (yylloc, startPos.top ());
}

            }
            else
            {
              if (debug()) std::cerr << "--\033[1;31mdefault rule\033[0m\n";
              out().put(matcher().input());
            }
            break;
          case 1: // rule reflex/agc-strip-lexer.ll:287: "/*" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:287\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 287 "reflex/agc-strip-lexer.ll"
{
  yox_push_state (SKIP_COMMENT, yoxOutG);
}

            break;
          case 2: // rule reflex/agc-strip-lexer.ll:291: "}" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:291\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 291 "reflex/agc-strip-lexer.ll"
{
  start (ATTR_DECL_SYMS);
}

            break;
          case 3: // rule reflex/agc-strip-lexer.ll:295: \n :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:295\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 295 "reflex/agc-strip-lexer.ll"
{
  yoxOutG.put ((char)chr ());
}

            break;
          case 4: // rule reflex/agc-strip-lexer.ll:299: "//".*$|{CHAR_CONST}|. :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:299\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 299 "reflex/agc-strip-lexer.ll"
{
  ; // no-op
}

            break;
        }
        break;
      case ATTR_DECL_SYMS:
        matcher().pattern(PATTERN_ATTR_DECL_SYMS);
        matcher().scan();
        yylloc_update(yylloc);
        switch (matcher().accept())
        {
          case 0:
            if (matcher().at_end())
            {
              if (debug()) std::cerr << "--\033[1;35mEOF rule reflex/agc-strip-lexer.ll:805\033[0m start(" << start() << ")\n";
#line 805 "reflex/agc-strip-lexer.ll"
{
  return lexer::token::END;
}

            }
            else
            {
              if (debug()) std::cerr << "--\033[1;31mdefault rule\033[0m\n";
              out().put(matcher().input());
            }
            break;
          case 1: // rule reflex/agc-strip-lexer.ll:316: "/*" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:316\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 316 "reflex/agc-strip-lexer.ll"
{
  yox_push_state (SKIP_COMMENT, yoxOutG);
}

            break;
          case 2: // rule reflex/agc-strip-lexer.ll:320: "//".*$ :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:320\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 320 "reflex/agc-strip-lexer.ll"
{
  yoxOutG.put (text ());
}

            break;
          case 3: // rule reflex/agc-strip-lexer.ll:324: {SYMBOL}|{WS} :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:324\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 324 "reflex/agc-strip-lexer.ll"
{
  ; // no-op
}

            break;
          case 4: // rule reflex/agc-strip-lexer.ll:328: \n :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:328\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 328 "reflex/agc-strip-lexer.ll"
{
  yoxOutG.put ((char)chr ());
}

            break;
          case 5: // rule reflex/agc-strip-lexer.ll:332: . :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:332\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 332 "reflex/agc-strip-lexer.ll"
{
  yyless (0);
  pop_state ();
}

            break;
        }
        break;
      case TRAV_DECL:
        matcher().pattern(PATTERN_TRAV_DECL);
        matcher().scan();
        yylloc_update(yylloc);
        switch (matcher().accept())
        {
          case 0:
            if (matcher().at_end())
            {
              if (debug()) std::cerr << "--\033[1;35mEOF rule reflex/agc-strip-lexer.ll:805\033[0m start(" << start() << ")\n";
#line 805 "reflex/agc-strip-lexer.ll"
{
  return lexer::token::END;
}

            }
            else
            {
              if (debug()) std::cerr << "--\033[1;31mdefault rule\033[0m\n";
              out().put(matcher().input());
            }
            break;
          case 1: // rule reflex/agc-strip-lexer.ll:345: "/*" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:345\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 345 "reflex/agc-strip-lexer.ll"
{
  yox_push_state (SKIP_COMMENT, yoxOutG);
}

            break;
          case 2: // rule reflex/agc-strip-lexer.ll:349: "//".*$ :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:349\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 349 "reflex/agc-strip-lexer.ll"
{
  yoxOutG.put (text ());
}

            break;
          case 3: // rule reflex/agc-strip-lexer.ll:353: "@postorder"|"@preorder" :
          case 4: // rule reflex/agc-strip-lexer.ll:354: "@lefttoright"|"@righttoleft" :
          case 5: // rule reflex/agc-strip-lexer.ll:355: "@disable" :
          case 6: // rule reflex/agc-strip-lexer.ll:356: "@warn" :
          case 7: // rule reflex/agc-strip-lexer.ll:357: {ID}|{WS} :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:357\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 357 "reflex/agc-strip-lexer.ll"
{
  ; // no-op
}

            break;
          case 8: // rule reflex/agc-strip-lexer.ll:361: \n :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:361\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 361 "reflex/agc-strip-lexer.ll"
{
  yoxOutG.put ((char)chr ());
}

            break;
          case 9: // rule reflex/agc-strip-lexer.ll:365: . :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:365\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 365 "reflex/agc-strip-lexer.ll"
{
  yyless (0);
  pop_state ();
}

            break;
        }
        break;
      case YATTR_REF:
        matcher().pattern(PATTERN_YATTR_REF);
        matcher().scan();
        yylloc_update(yylloc);
        switch (matcher().accept())
        {
          case 0:
            if (matcher().at_end())
            {
              if (debug()) std::cerr << "--\033[1;35mEOF rule reflex/agc-strip-lexer.ll:805\033[0m start(" << start() << ")\n";
#line 805 "reflex/agc-strip-lexer.ll"
{
  return lexer::token::END;
}

            }
            else
            {
              if (debug()) std::cerr << "--\033[1;31mdefault rule\033[0m\n";
              out().put(matcher().input());
            }
            break;
          case 1: // rule reflex/agc-strip-lexer.ll:254: "/*" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:254\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 254 "reflex/agc-strip-lexer.ll"
{
  yox_push_state (SKIP_COMMENT, yoxOutG);
}

            break;
          case 2: // rule reflex/agc-strip-lexer.ll:258: "L"?"\"" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:258\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 258 "reflex/agc-strip-lexer.ll"
{
  yox_push_state (SKIP_STRING, yoxOutG);
}

            break;
          case 3: // rule reflex/agc-strip-lexer.ll:262: "@}" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:262\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 262 "reflex/agc-strip-lexer.ll"
{
  pop_state ();
}

            break;
          case 4: // rule reflex/agc-strip-lexer.ll:266: "@{" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:266\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 266 "reflex/agc-strip-lexer.ll"
{
  unexpectedATLBRACE (yylloc);
}

            break;
          case 5: // rule reflex/agc-strip-lexer.ll:270: \n :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:270\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 270 "reflex/agc-strip-lexer.ll"
{
  yoxOutG.put ((char)chr ());
}

            break;
          case 6: // rule reflex/agc-strip-lexer.ll:274: "//".*$|. :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:274\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 274 "reflex/agc-strip-lexer.ll"
{
  ; // no-op
}

            break;
        }
        break;
      case LATTR_REF:
        matcher().pattern(PATTERN_LATTR_REF);
        matcher().scan();
        yylloc_update(yylloc);
        switch (matcher().accept())
        {
          case 0:
            if (matcher().at_end())
            {
              if (debug()) std::cerr << "--\033[1;35mEOF rule reflex/agc-strip-lexer.ll:640\033[0m start(" << start() << ")\n";
#line 640 "reflex/agc-strip-lexer.ll"
{
  unterminatedAttrRefSection (yylloc, startPos.top ());
}

            }
            else
            {
              if (debug()) std::cerr << "--\033[1;31mdefault rule\033[0m\n";
              out().put(matcher().input());
            }
            break;
          case 1: // rule reflex/agc-strip-lexer.ll:616: "/*" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:616\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 616 "reflex/agc-strip-lexer.ll"
{
  yox_push_state (SKIP_COMMENT, yoxOutL);
}

            break;
          case 2: // rule reflex/agc-strip-lexer.ll:620: "L"?"\"" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:620\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 620 "reflex/agc-strip-lexer.ll"
{
  yox_push_state (SKIP_STRING, yoxOutL);
}

            break;
          case 3: // rule reflex/agc-strip-lexer.ll:624: "@}" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:624\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 624 "reflex/agc-strip-lexer.ll"
{
  pop_state ();
}

            break;
          case 4: // rule reflex/agc-strip-lexer.ll:628: "@{" :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:628\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 628 "reflex/agc-strip-lexer.ll"
{
  unexpectedATLBRACE (yylloc);
}

            break;
          case 5: // rule reflex/agc-strip-lexer.ll:632: \n :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:632\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 632 "reflex/agc-strip-lexer.ll"
{
  yoxOutL.put ((char)chr ());
}

            break;
          case 6: // rule reflex/agc-strip-lexer.ll:636: "//".*$|. :
            if (debug()) std::cerr << "--\033[1;35mrule reflex/agc-strip-lexer.ll:636\033[0m start(" << start() << ") " << matcher().lineno() << "," << matcher().columno() << ":\"\033[1m" << matcher().text() << "\033[0m\"\n";
#line 636 "reflex/agc-strip-lexer.ll"
{
  ; // no-op
}

            break;
        }
        break;
      default:
        start(0);
    }
  }
}

////////////////////////////////////////////////////////////////////////////////
//                                                                            //
//  SECTION 3: user code                                                      //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////

#line 810 "reflex/agc-strip-lexer.ll"

void
REFLEX_OPTION_namespace::REFLEX_OPTION_lexer::yox_push_state (int lexState,
                                                              outMgr& whTo)
{
  whereTo = &whTo;
  if (lexState == STRING || lexState == SKIP_STRING)
    stringHasBareNewline = false;
  push_state (*whereTo->getCurPos (), lexState);
}

////////////////////////////////////////////////////////////////////////////////
//                                                                            //
//  TABLES                                                                    //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////

#ifndef REFLEX_CODE_DECL
#include <reflex/pattern.h>
#define REFLEX_CODE_DECL const reflex::Pattern::Opcode
#endif

namespace AGC {
namespace STRIP {

extern REFLEX_CODE_DECL reflex_code_INITIAL[2] =
{
  0xFE000001, // 0: TAKE 1
  0x00FFFFFF, // 1: HALT
};

} // namespace AGC

} // namespace STRIP

#ifndef REFLEX_CODE_DECL
#include <reflex/pattern.h>
#define REFLEX_CODE_DECL const reflex::Pattern::Opcode
#endif

namespace AGC {
namespace STRIP {

extern REFLEX_CODE_DECL reflex_code_GEN[126] =
{
  0x4C4C001A, // 0: GOTO 26 ON 'L'
  0x4040000F, // 1: GOTO 15 ON '@'
  0x2F2F0009, // 2: GOTO 9 ON '/'
  0x25250015, // 3: GOTO 21 ON '%'
  0x2222000D, // 4: GOTO 13 ON '"'
  0x2020001D, // 5: GOTO 29 ON ' '
  0x0B0C001D, // 6: GOTO 29 ON '\v'-'\f'
  0x0909001D, // 7: GOTO 29 ON '\t'
  0x00FF0018, // 8: GOTO 24 ON 00-ff
  0xFE000009, // 9: TAKE 9
  0x2F2F0025, // 10: GOTO 37 ON '/'
  0x2A2A0023, // 11: GOTO 35 ON '*'
  0x00FFFFFF, // 12: HALT
  0xFE000002, // 13: TAKE 2
  0x00FFFFFF, // 14: HALT
  0xFE000009, // 15: TAKE 9
  0x7B7B0030, // 16: GOTO 48 ON '{'
  0x7474002E, // 17: GOTO 46 ON 't'
  0x6D6D002C, // 18: GOTO 44 ON 'm'
  0x61610029, // 19: GOTO 41 ON 'a'
  0x00FFFFFF, // 20: HALT
  0xFE000009, // 21: TAKE 9
  0x25250032, // 22: GOTO 50 ON '%'
  0x00FFFFFF, // 23: HALT
  0xFE000009, // 24: TAKE 9
  0x00FFFFFF, // 25: HALT
  0xFE000009, // 26: TAKE 9
  0x22220036, // 27: GOTO 54 ON '"'
  0x00FFFFFF, // 28: HALT
  0xFE000009, // 29: TAKE 9
  0x25250038, // 30: GOTO 56 ON '%'
  0x2020003A, // 31: GOTO 58 ON ' '
  0x0B0C003A, // 32: GOTO 58 ON '\v'-'\f'
  0x0909003A, // 33: GOTO 58 ON '\t'
  0x00FFFFFF, // 34: HALT
  0xFE000001, // 35: TAKE 1
  0x00FFFFFF, // 36: HALT
  0x0800003F, // 37: GOTO 63 ON EOL
  0x0BFF0025, // 38: GOTO 37 ON '\v'-ff
  0x0AFFFFFF, // 39: HALT ON '\n'-ff
  0x00090025, // 40: GOTO 37 ON 00-'\t'
  0x75750043, // 41: GOTO 67 ON 'u'
  0x74740041, // 42: GOTO 65 ON 't'
  0x00FFFFFF, // 43: HALT
  0x61610045, // 44: GOTO 69 ON 'a'
  0x00FFFFFF, // 45: HALT
  0x72720047, // 46: GOTO 71 ON 'r'
  0x00FFFFFF, // 47: HALT
  0xFE000006, // 48: TAKE 6
  0x00FFFFFF, // 49: HALT
  0x08000049, // 50: GOTO 73 ON EOL
  0x0BFF0032, // 51: GOTO 50 ON '\v'-ff
  0x0AFFFFFF, // 52: HALT ON '\n'-ff
  0x00090032, // 53: GOTO 50 ON 00-'\t'
  0xFE000002, // 54: TAKE 2
  0x00FFFFFF, // 55: HALT
  0x25250032, // 56: GOTO 50 ON '%'
  0x00FFFFFF, // 57: HALT
  0x25250038, // 58: GOTO 56 ON '%'
  0x2020003A, // 59: GOTO 58 ON ' '
  0x0B0C003A, // 60: GOTO 58 ON '\v'-'\f'
  0x0909003A, // 61: GOTO 58 ON '\t'
  0x00FFFFFF, // 62: HALT
  0xFE000008, // 63: TAKE 8
  0x00FFFFFF, // 64: HALT
  0x7474004B, // 65: GOTO 75 ON 't'
  0x00FFFFFF, // 66: HALT
  0x7474004D, // 67: GOTO 77 ON 't'
  0x00FFFFFF, // 68: HALT
  0x6363004F, // 69: GOTO 79 ON 'c'
  0x00FFFFFF, // 70: HALT
  0x61610051, // 71: GOTO 81 ON 'a'
  0x00FFFFFF, // 72: HALT
  0x07000053, // 73: GOTO 83 ON BOL
  0x00FFFFFF, // 74: HALT
  0x72720055, // 75: GOTO 85 ON 'r'
  0x00FFFFFF, // 76: HALT
  0x6F6F0057, // 77: GOTO 87 ON 'o'
  0x00FFFFFF, // 78: HALT
  0x7272005A, // 79: GOTO 90 ON 'r'
  0x00FFFFFF, // 80: HALT
  0x7676005C, // 81: GOTO 92 ON 'v'
  0x00FFFFFF, // 82: HALT
  0xFE000007, // 83: TAKE 7
  0x00FFFFFF, // 84: HALT
  0x6969005E, // 85: GOTO 94 ON 'i'
  0x00FFFFFF, // 86: HALT
  0x73730062, // 87: GOTO 98 ON 's'
  0x69690060, // 88: GOTO 96 ON 'i'
  0x00FFFFFF, // 89: HALT
  0x6F6F0064, // 90: GOTO 100 ON 'o'
  0x00FFFFFF, // 91: HALT
  0x65650066, // 92: GOTO 102 ON 'e'
  0x00FFFFFF, // 93: HALT
  0x62620068, // 94: GOTO 104 ON 'b'
  0x00FFFFFF, // 95: HALT
  0x6E6E006A, // 96: GOTO 106 ON 'n'
  0x00FFFFFF, // 97: HALT
  0x7979006C, // 98: GOTO 108 ON 'y'
  0x00FFFFFF, // 99: HALT
  0xFE000004, // 100: TAKE 4
  0x00FFFFFF, // 101: HALT
  0x7272006E, // 102: GOTO 110 ON 'r'
  0x00FFFFFF, // 103: HALT
  0x75750070, // 104: GOTO 112 ON 'u'
  0x00FFFFFF, // 105: HALT
  0x68680072, // 106: GOTO 114 ON 'h'
  0x00FFFFFF, // 107: HALT
  0x6E6E0072, // 108: GOTO 114 ON 'n'
  0x00FFFFFF, // 109: HALT
  0x73730074, // 110: GOTO 116 ON 's'
  0x00FFFFFF, // 111: HALT
  0x74740076, // 112: GOTO 118 ON 't'
  0x00FFFFFF, // 113: HALT
  0xFE000005, // 114: TAKE 5
  0x00FFFFFF, // 115: HALT
  0x61610078, // 116: GOTO 120 ON 'a'
  0x00FFFFFF, // 117: HALT
  0x6565007A, // 118: GOTO 122 ON 'e'
  0x00FFFFFF, // 119: HALT
  0x6C6C0072, // 120: GOTO 114 ON 'l'
  0x00FFFFFF, // 121: HALT
  0x7373007C, // 122: GOTO 124 ON 's'
  0x00FFFFFF, // 123: HALT
  0xFE000003, // 124: TAKE 3
  0x00FFFFFF, // 125: HALT
};

} // namespace AGC

} // namespace STRIP

#ifndef REFLEX_CODE_DECL
#include <reflex/pattern.h>
#define REFLEX_CODE_DECL const reflex::Pattern::Opcode
#endif

namespace AGC {
namespace STRIP {

extern REFLEX_CODE_DECL reflex_code_YACC_TRAILER[158] =
{
  0x617A001D, // 0: GOTO 29 ON 'a'-'z'
  0x5F5F001D, // 1: GOTO 29 ON '_'
  0x4C4C002B, // 2: GOTO 43 ON 'L'
  0x415A001D, // 3: GOTO 29 ON 'A'-'Z'
  0x31390038, // 4: GOTO 56 ON '1'-'9'
  0x30300013, // 5: GOTO 19 ON '0'
  0x2F2F000D, // 6: GOTO 13 ON '/'
  0x27270023, // 7: GOTO 35 ON '\''
  0x22220011, // 8: GOTO 17 ON '"'
  0x20200033, // 9: GOTO 51 ON ' '
  0x0B0C0033, // 10: GOTO 51 ON '\v'-'\f'
  0x09090033, // 11: GOTO 51 ON '\t'
  0x00FF0029, // 12: GOTO 41 ON 00-ff
  0xFE000004, // 13: TAKE 4
  0x2F2F0041, // 14: GOTO 65 ON '/'
  0x2A2A003F, // 15: GOTO 63 ON '*'
  0x00FFFFFF, // 16: HALT
  0xFE000002, // 17: TAKE 2
  0x00FFFFFF, // 18: HALT
  0xFE000003, // 19: TAKE 3
  0x78780045, // 20: GOTO 69 ON 'x'
  0x75750058, // 21: GOTO 88 ON 'u'
  0x6C6C005C, // 22: GOTO 92 ON 'l'
  0x58580045, // 23: GOTO 69 ON 'X'
  0x55550058, // 24: GOTO 88 ON 'U'
  0x4C4C005C, // 25: GOTO 92 ON 'L'
  0x38390049, // 26: GOTO 73 ON '8'-'9'
  0x30370050, // 27: GOTO 80 ON '0'-'7'
  0x00FFFFFF, // 28: HALT
  0xFE000003, // 29: TAKE 3
  0x617A0062, // 30: GOTO 98 ON 'a'-'z'
  0x5F5F0062, // 31: GOTO 98 ON '_'
  0x415A0062, // 32: GOTO 98 ON 'A'-'Z'
  0x30390062, // 33: GOTO 98 ON '0'-'9'
  0x00FFFFFF, // 34: HALT
  0xFE000004, // 35: TAKE 4
  0x5C5C006A, // 36: GOTO 106 ON '\\'
  0x28FF0068, // 37: GOTO 104 ON '('-ff
  0x0B260068, // 38: GOTO 104 ON '\v'-'&'
  0x0AFFFFFF, // 39: HALT ON '\n'-ff
  0x00090068, // 40: GOTO 104 ON 00-'\t'
  0xFE000004, // 41: TAKE 4
  0x00FFFFFF, // 42: HALT
  0xFE000003, // 43: TAKE 3
  0x617A0062, // 44: GOTO 98 ON 'a'-'z'
  0x5F5F0062, // 45: GOTO 98 ON '_'
  0x415A0062, // 46: GOTO 98 ON 'A'-'Z'
  0x30390062, // 47: GOTO 98 ON '0'-'9'
  0x27270071, // 48: GOTO 113 ON '\''
  0x2222006F, // 49: GOTO 111 ON '"'
  0x00FFFFFF, // 50: HALT
  0xFE000003, // 51: TAKE 3
  0x20200076, // 52: GOTO 118 ON ' '
  0x0B0C0076, // 53: GOTO 118 ON '\v'-'\f'
  0x09090076, // 54: GOTO 118 ON '\t'
  0x00FFFFFF, // 55: HALT
  0xFE000003, // 56: TAKE 3
  0x75750058, // 57: GOTO 88 ON 'u'
  0x6C6C005C, // 58: GOTO 92 ON 'l'
  0x55550058, // 59: GOTO 88 ON 'U'
  0x4C4C005C, // 60: GOTO 92 ON 'L'
  0x30390049, // 61: GOTO 73 ON '0'-'9'
  0x00FFFFFF, // 62: HALT
  0xFE000001, // 63: TAKE 1
  0x00FFFFFF, // 64: HALT
  0x0800007B, // 65: GOTO 123 ON EOL
  0x0BFF0041, // 66: GOTO 65 ON '\v'-ff
  0x0AFFFFFF, // 67: HALT ON '\n'-ff
  0x00090041, // 68: GOTO 65 ON 00-'\t'
  0x6166007D, // 69: GOTO 125 ON 'a'-'f'
  0x4146007D, // 70: GOTO 125 ON 'A'-'F'
  0x3039007D, // 71: GOTO 125 ON '0'-'9'
  0x00FFFFFF, // 72: HALT
  0xFE000003, // 73: TAKE 3
  0x75750058, // 74: GOTO 88 ON 'u'
  0x6C6C005C, // 75: GOTO 92 ON 'l'
  0x55550058, // 76: GOTO 88 ON 'U'
  0x4C4C005C, // 77: GOTO 92 ON 'L'
  0x30390049, // 78: GOTO 73 ON '0'-'9'
  0x00FFFFFF, // 79: HALT
  0xFE000003, // 80: TAKE 3
  0x75750058, // 81: GOTO 88 ON 'u'
  0x6C6C005C, // 82: GOTO 92 ON 'l'
  0x55550058, // 83: GOTO 88 ON 'U'
  0x4C4C005C, // 84: GOTO 92 ON 'L'
  0x38390049, // 85: GOTO 73 ON '8'-'9'
  0x30370050, // 86: GOTO 80 ON '0'-'7'
  0x00FFFFFF, // 87: HALT
  0xFE000003, // 88: TAKE 3
  0x6C6C0086, // 89: GOTO 134 ON 'l'
  0x4C4C0086, // 90: GOTO 134 ON 'L'
  0x00FFFFFF, // 91: HALT
  0xFE000003, // 92: TAKE 3
  0x7575007B, // 93: GOTO 123 ON 'u'
  0x6C6C008A, // 94: GOTO 138 ON 'l'
  0x5555007B, // 95: GOTO 123 ON 'U'
  0x4C4C008A, // 96: GOTO 138 ON 'L'
  0x00FFFFFF, // 97: HALT
  0xFE000003, // 98: TAKE 3
  0x617A0062, // 99: GOTO 98 ON 'a'-'z'
  0x5F5F0062, // 100: GOTO 98 ON '_'
  0x415A0062, // 101: GOTO 98 ON 'A'-'Z'
  0x30390062, // 102: GOTO 98 ON '0'-'9'
  0x00FFFFFF, // 103: HALT
  0x2727007B, // 104: GOTO 123 ON '\''
  0x00FFFFFF, // 105: HALT
  0x7878008E, // 106: GOTO 142 ON 'x'
  0x30370093, // 107: GOTO 147 ON '0'-'7'
  0x0BFF0068, // 108: GOTO 104 ON '\v'-ff
  0x0AFFFFFF, // 109: HALT ON '\n'-ff
  0x00090068, // 110: GOTO 104 ON 00-'\t'
  0xFE000002, // 111: TAKE 2
  0x00FFFFFF, // 112: HALT
  0x5C5C006A, // 113: GOTO 106 ON '\\'
  0x28FF0068, // 114: GOTO 104 ON '('-ff
  0x0B260068, // 115: GOTO 104 ON '\v'-'&'
  0x0AFFFFFF, // 116: HALT ON '\n'-ff
  0x00090068, // 117: GOTO 104 ON 00-'\t'
  0xFE000003, // 118: TAKE 3
  0x20200076, // 119: GOTO 118 ON ' '
  0x0B0C0076, // 120: GOTO 118 ON '\v'-'\f'
  0x09090076, // 121: GOTO 118 ON '\t'
  0x00FFFFFF, // 122: HALT
  0xFE000003, // 123: TAKE 3
  0x00FFFFFF, // 124: HALT
  0xFE000003, // 125: TAKE 3
  0x75750058, // 126: GOTO 88 ON 'u'
  0x6C6C005C, // 127: GOTO 92 ON 'l'
  0x6166007D, // 128: GOTO 125 ON 'a'-'f'
  0x55550058, // 129: GOTO 88 ON 'U'
  0x4C4C005C, // 130: GOTO 92 ON 'L'
  0x4146007D, // 131: GOTO 125 ON 'A'-'F'
  0x3039007D, // 132: GOTO 125 ON '0'-'9'
  0x00FFFFFF, // 133: HALT
  0xFE000003, // 134: TAKE 3
  0x6C6C007B, // 135: GOTO 123 ON 'l'
  0x4C4C007B, // 136: GOTO 123 ON 'L'
  0x00FFFFFF, // 137: HALT
  0xFE000003, // 138: TAKE 3
  0x7575007B, // 139: GOTO 123 ON 'u'
  0x5555007B, // 140: GOTO 123 ON 'U'
  0x00FFFFFF, // 141: HALT
  0x61660096, // 142: GOTO 150 ON 'a'-'f'
  0x41460096, // 143: GOTO 150 ON 'A'-'F'
  0x30390096, // 144: GOTO 150 ON '0'-'9'
  0x2727007B, // 145: GOTO 123 ON '\''
  0x00FFFFFF, // 146: HALT
  0x3037009B, // 147: GOTO 155 ON '0'-'7'
  0x2727007B, // 148: GOTO 123 ON '\''
  0x00FFFFFF, // 149: HALT
  0x61660068, // 150: GOTO 104 ON 'a'-'f'
  0x41460068, // 151: GOTO 104 ON 'A'-'F'
  0x30390068, // 152: GOTO 104 ON '0'-'9'
  0x2727007B, // 153: GOTO 123 ON '\''
  0x00FFFFFF, // 154: HALT
  0x30370068, // 155: GOTO 104 ON '0'-'7'
  0x2727007B, // 156: GOTO 123 ON '\''
  0x00FFFFFF, // 157: HALT
};

} // namespace AGC

} // namespace STRIP

#ifndef REFLEX_CODE_DECL
#include <reflex/pattern.h>
#define REFLEX_CODE_DECL const reflex::Pattern::Opcode
#endif

namespace AGC {
namespace STRIP {

extern REFLEX_CODE_DECL reflex_code_LEX_DEFS[77] =
{
  0x2F2F000C, // 0: GOTO 12 ON '/'
  0x25250006, // 1: GOTO 6 ON '%'
  0x20200012, // 2: GOTO 18 ON ' '
  0x0B0C0012, // 3: GOTO 18 ON '\v'-'\f'
  0x09090012, // 4: GOTO 18 ON '\t'
  0x00FF0010, // 5: GOTO 16 ON 00-ff
  0xFE000007, // 6: TAKE 7
  0x7B7B0018, // 7: GOTO 24 ON '{'
  0x7474001C, // 8: GOTO 28 ON 't'
  0x6F6F0022, // 9: GOTO 34 ON 'o'
  0x2525001E, // 10: GOTO 30 ON '%'
  0x00FFFFFF, // 11: HALT
  0xFE000007, // 12: TAKE 7
  0x2F2F0026, // 13: GOTO 38 ON '/'
  0x2A2A0024, // 14: GOTO 36 ON '*'
  0x00FFFFFF, // 15: HALT
  0xFE000007, // 16: TAKE 7
  0x00FFFFFF, // 17: HALT
  0xFE000007, // 18: TAKE 7
  0x2525002A, // 19: GOTO 42 ON '%'
  0x2020002C, // 20: GOTO 44 ON ' '
  0x0B0C002C, // 21: GOTO 44 ON '\v'-'\f'
  0x0909002C, // 22: GOTO 44 ON '\t'
  0x00FFFFFF, // 23: HALT
  0x08000031, // 24: GOTO 49 ON EOL
  0x0BFF0018, // 25: GOTO 24 ON '\v'-ff
  0x0AFFFFFF, // 26: HALT ON '\n'-ff
  0x00090018, // 27: GOTO 24 ON 00-'\t'
  0x6F6F0033, // 28: GOTO 51 ON 'o'
  0x00FFFFFF, // 29: HALT
  0x08000035, // 30: GOTO 53 ON EOL
  0x0BFF001E, // 31: GOTO 30 ON '\v'-ff
  0x0AFFFFFF, // 32: HALT ON '\n'-ff
  0x0009001E, // 33: GOTO 30 ON 00-'\t'
  0x70700037, // 34: GOTO 55 ON 'p'
  0x00FFFFFF, // 35: HALT
  0xFE000003, // 36: TAKE 3
  0x00FFFFFF, // 37: HALT
  0x08000039, // 38: GOTO 57 ON EOL
  0x0BFF0026, // 39: GOTO 38 ON '\v'-ff
  0x0AFFFFFF, // 40: HALT ON '\n'-ff
  0x00090026, // 41: GOTO 38 ON 00-'\t'
  0x2525001E, // 42: GOTO 30 ON '%'
  0x00FFFFFF, // 43: HALT
  0x2525002A, // 44: GOTO 42 ON '%'
  0x2020002C, // 45: GOTO 44 ON ' '
  0x0B0C002C, // 46: GOTO 44 ON '\v'-'\f'
  0x0909002C, // 47: GOTO 44 ON '\t'
  0x00FFFFFF, // 48: HALT
  0x0700003B, // 49: GOTO 59 ON BOL
  0x00FFFFFF, // 50: HALT
  0x7070003D, // 51: GOTO 61 ON 'p'
  0x00FFFFFF, // 52: HALT
  0x0700003F, // 53: GOTO 63 ON BOL
  0x00FFFFFF, // 54: HALT
  0x74740041, // 55: GOTO 65 ON 't'
  0x00FFFFFF, // 56: HALT
  0xFE000006, // 57: TAKE 6
  0x00FFFFFF, // 58: HALT
  0xFE000001, // 59: TAKE 1
  0x00FFFFFF, // 60: HALT
  0xFE000002, // 61: TAKE 2
  0x00FFFFFF, // 62: HALT
  0xFE000004, // 63: TAKE 4
  0x00FFFFFF, // 64: HALT
  0x69690043, // 65: GOTO 67 ON 'i'
  0x00FFFFFF, // 66: HALT
  0x6F6F0045, // 67: GOTO 69 ON 'o'
  0x00FFFFFF, // 68: HALT
  0x6E6E0047, // 69: GOTO 71 ON 'n'
  0x00FFFFFF, // 70: HALT
  0x0800004B, // 71: GOTO 75 ON EOL
  0x0BFF0047, // 72: GOTO 71 ON '\v'-ff
  0x0AFFFFFF, // 73: HALT ON '\n'-ff
  0x00090047, // 74: GOTO 71 ON 00-'\t'
  0xFE000005, // 75: TAKE 5
  0x00FFFFFF, // 76: HALT
};

} // namespace AGC

} // namespace STRIP

#ifndef REFLEX_CODE_DECL
#include <reflex/pattern.h>
#define REFLEX_CODE_DECL const reflex::Pattern::Opcode
#endif

namespace AGC {
namespace STRIP {

extern REFLEX_CODE_DECL reflex_code_RULES_PROLOG[10] =
{
  0x20200006, // 0: GOTO 6 ON ' '
  0x090C0006, // 1: GOTO 6 ON '\t'-'\f'
  0x00FF0003, // 2: GOTO 3 ON 00-ff
  0xFE000002, // 3: TAKE 2
  0x07000008, // 4: GOTO 8 ON BOL
  0x00FFFFFF, // 5: HALT
  0xFE000002, // 6: TAKE 2
  0x00FFFFFF, // 7: HALT
  0xFE000001, // 8: TAKE 1
  0x00FFFFFF, // 9: HALT
};

} // namespace AGC

} // namespace STRIP

#ifndef REFLEX_CODE_DECL
#include <reflex/pattern.h>
#define REFLEX_CODE_DECL const reflex::Pattern::Opcode
#endif

namespace AGC {
namespace STRIP {

extern REFLEX_CODE_DECL reflex_code_LEX_REGEXP[75] =
{
  0x2F2F000A, // 0: GOTO 10 ON '/'
  0x25250006, // 1: GOTO 6 ON '%'
  0x20200010, // 2: GOTO 16 ON ' '
  0x0B0C0010, // 3: GOTO 16 ON '\v'-'\f'
  0x09090010, // 4: GOTO 16 ON '\t'
  0x00FF000E, // 5: GOTO 14 ON 00-ff
  0xFE000008, // 6: TAKE 8
  0x7B7B001D, // 7: GOTO 29 ON '{'
  0x25250019, // 8: GOTO 25 ON '%'
  0x00FFFFFF, // 9: HALT
  0xFE000008, // 10: TAKE 8
  0x2F2F0023, // 11: GOTO 35 ON '/'
  0x2A2A0021, // 12: GOTO 33 ON '*'
  0x00FFFFFF, // 13: HALT
  0xFE000008, // 14: TAKE 8
  0x00FFFFFF, // 15: HALT
  0xFE000004, // 16: TAKE 4
  0x08000030, // 17: GOTO 48 ON EOL
  0x7C7C002C, // 18: GOTO 44 ON '|'
  0x2F2F0029, // 19: GOTO 41 ON '/'
  0x25250027, // 20: GOTO 39 ON '%'
  0x20200032, // 21: GOTO 50 ON ' '
  0x0B0C0032, // 22: GOTO 50 ON '\v'-'\f'
  0x09090032, // 23: GOTO 50 ON '\t'
  0x00FFFFFF, // 24: HALT
  0x0800003B, // 25: GOTO 59 ON EOL
  0x0BFF0019, // 26: GOTO 25 ON '\v'-ff
  0x0AFFFFFF, // 27: HALT ON '\n'-ff
  0x00090019, // 28: GOTO 25 ON 00-'\t'
  0x0800003D, // 29: GOTO 61 ON EOL
  0x0BFF001D, // 30: GOTO 29 ON '\v'-ff
  0x0AFFFFFF, // 31: HALT ON '\n'-ff
  0x0009001D, // 32: GOTO 29 ON 00-'\t'
  0x0700003F, // 33: GOTO 63 ON BOL
  0x00FFFFFF, // 34: HALT
  0x08000041, // 35: GOTO 65 ON EOL
  0x0BFF0023, // 36: GOTO 35 ON '\v'-ff
  0x0AFFFFFF, // 37: HALT ON '\n'-ff
  0x00090023, // 38: GOTO 35 ON 00-'\t'
  0x25250019, // 39: GOTO 25 ON '%'
  0x00FFFFFF, // 40: HALT
  0x2F2F0023, // 41: GOTO 35 ON '/'
  0x2A2A0021, // 42: GOTO 33 ON '*'
  0x00FFFFFF, // 43: HALT
  0x08000043, // 44: GOTO 67 ON EOL
  0x0BFF002C, // 45: GOTO 44 ON '\v'-ff
  0x0AFFFFFF, // 46: HALT ON '\n'-ff
  0x0009002C, // 47: GOTO 44 ON 00-'\t'
  0xFE000007, // 48: TAKE 7
  0x00FFFFFF, // 49: HALT
  0xFE000004, // 50: TAKE 4
  0x08000030, // 51: GOTO 48 ON EOL
  0x7C7C002C, // 52: GOTO 44 ON '|'
  0x2F2F0029, // 53: GOTO 41 ON '/'
  0x25250027, // 54: GOTO 39 ON '%'
  0x20200032, // 55: GOTO 50 ON ' '
  0x0B0C0032, // 56: GOTO 50 ON '\v'-'\f'
  0x09090032, // 57: GOTO 50 ON '\t'
  0x00FFFFFF, // 58: HALT
  0x07000045, // 59: GOTO 69 ON BOL
  0x00FFFFFF, // 60: HALT
  0x07000047, // 61: GOTO 71 ON BOL
  0x00FFFFFF, // 62: HALT
  0xFE000003, // 63: TAKE 3
  0x00FFFFFF, // 64: HALT
  0x07000049, // 65: GOTO 73 ON BOL
  0x00FFFFFF, // 66: HALT
  0xFE000006, // 67: TAKE 6
  0x00FFFFFF, // 68: HALT
  0xFE000001, // 69: TAKE 1
  0x00FFFFFF, // 70: HALT
  0xFE000002, // 71: TAKE 2
  0x00FFFFFF, // 72: HALT
  0xFE000005, // 73: TAKE 5
  0x00FFFFFF, // 74: HALT
};

} // namespace AGC

} // namespace STRIP

#ifndef REFLEX_CODE_DECL
#include <reflex/pattern.h>
#define REFLEX_CODE_DECL const reflex::Pattern::Opcode
#endif

namespace AGC {
namespace STRIP {

extern REFLEX_CODE_DECL reflex_code_LEX_ACT[76] =
{
  0x7D7D0014, // 0: GOTO 20 ON '}'
  0x7B7B0012, // 1: GOTO 18 ON '{'
  0x4C4C0020, // 2: GOTO 32 ON 'L'
  0x4040000F, // 3: GOTO 15 ON '@'
  0x2F2F0009, // 4: GOTO 9 ON '/'
  0x27270016, // 5: GOTO 22 ON '\''
  0x2222000D, // 6: GOTO 13 ON '"'
  0x0A0A001C, // 7: GOTO 28 ON '\n'
  0x00FF001E, // 8: GOTO 30 ON 00-ff
  0xFE000008, // 9: TAKE 8
  0x2F2F0026, // 10: GOTO 38 ON '/'
  0x2A2A0024, // 11: GOTO 36 ON '*'
  0x00FFFFFF, // 12: HALT
  0xFE000002, // 13: TAKE 2
  0x00FFFFFF, // 14: HALT
  0xFE000008, // 15: TAKE 8
  0x7B7B002A, // 16: GOTO 42 ON '{'
  0x00FFFFFF, // 17: HALT
  0xFE000004, // 18: TAKE 4
  0x00FFFFFF, // 19: HALT
  0xFE000005, // 20: TAKE 5
  0x00FFFFFF, // 21: HALT
  0xFE000008, // 22: TAKE 8
  0x5C5C002E, // 23: GOTO 46 ON '\\'
  0x28FF002C, // 24: GOTO 44 ON '('-ff
  0x0B26002C, // 25: GOTO 44 ON '\v'-'&'
  0x0AFFFFFF, // 26: HALT ON '\n'-ff
  0x0009002C, // 27: GOTO 44 ON 00-'\t'
  0xFE000007, // 28: TAKE 7
  0x00FFFFFF, // 29: HALT
  0xFE000008, // 30: TAKE 8
  0x00FFFFFF, // 31: HALT
  0xFE000008, // 32: TAKE 8
  0x27270035, // 33: GOTO 53 ON '\''
  0x22220033, // 34: GOTO 51 ON '"'
  0x00FFFFFF, // 35: HALT
  0xFE000001, // 36: TAKE 1
  0x00FFFFFF, // 37: HALT
  0x0800003A, // 38: GOTO 58 ON EOL
  0x0BFF0026, // 39: GOTO 38 ON '\v'-ff
  0x0AFFFFFF, // 40: HALT ON '\n'-ff
  0x00090026, // 41: GOTO 38 ON 00-'\t'
  0xFE000003, // 42: TAKE 3
  0x00FFFFFF, // 43: HALT
  0x2727003A, // 44: GOTO 58 ON '\''
  0x00FFFFFF, // 45: HALT
  0x7878003C, // 46: GOTO 60 ON 'x'
  0x30370041, // 47: GOTO 65 ON '0'-'7'
  0x0BFF002C, // 48: GOTO 44 ON '\v'-ff
  0x0AFFFFFF, // 49: HALT ON '\n'-ff
  0x0009002C, // 50: GOTO 44 ON 00-'\t'
  0xFE000002, // 51: TAKE 2
  0x00FFFFFF, // 52: HALT
  0x5C5C002E, // 53: GOTO 46 ON '\\'
  0x28FF002C, // 54: GOTO 44 ON '('-ff
  0x0B26002C, // 55: GOTO 44 ON '\v'-'&'
  0x0AFFFFFF, // 56: HALT ON '\n'-ff
  0x0009002C, // 57: GOTO 44 ON 00-'\t'
  0xFE000006, // 58: TAKE 6
  0x00FFFFFF, // 59: HALT
  0x61660044, // 60: GOTO 68 ON 'a'-'f'
  0x41460044, // 61: GOTO 68 ON 'A'-'F'
  0x30390044, // 62: GOTO 68 ON '0'-'9'
  0x2727003A, // 63: GOTO 58 ON '\''
  0x00FFFFFF, // 64: HALT
  0x30370049, // 65: GOTO 73 ON '0'-'7'
  0x2727003A, // 66: GOTO 58 ON '\''
  0x00FFFFFF, // 67: HALT
  0x6166002C, // 68: GOTO 44 ON 'a'-'f'
  0x4146002C, // 69: GOTO 44 ON 'A'-'F'
  0x3039002C, // 70: GOTO 44 ON '0'-'9'
  0x2727003A, // 71: GOTO 58 ON '\''
  0x00FFFFFF, // 72: HALT
  0x3037002C, // 73: GOTO 44 ON '0'-'7'
  0x2727003A, // 74: GOTO 58 ON '\''
  0x00FFFFFF, // 75: HALT
};

} // namespace AGC

} // namespace STRIP

#ifndef REFLEX_CODE_DECL
#include <reflex/pattern.h>
#define REFLEX_CODE_DECL const reflex::Pattern::Opcode
#endif

namespace AGC {
namespace STRIP {

extern REFLEX_CODE_DECL reflex_code_GEN_ACT[76] =
{
  0x7D7D0014, // 0: GOTO 20 ON '}'
  0x7B7B0012, // 1: GOTO 18 ON '{'
  0x4C4C0020, // 2: GOTO 32 ON 'L'
  0x4040000F, // 3: GOTO 15 ON '@'
  0x2F2F0009, // 4: GOTO 9 ON '/'
  0x27270016, // 5: GOTO 22 ON '\''
  0x2222000D, // 6: GOTO 13 ON '"'
  0x0A0A001C, // 7: GOTO 28 ON '\n'
  0x00FF001E, // 8: GOTO 30 ON 00-ff
  0xFE000008, // 9: TAKE 8
  0x2F2F0026, // 10: GOTO 38 ON '/'
  0x2A2A0024, // 11: GOTO 36 ON '*'
  0x00FFFFFF, // 12: HALT
  0xFE000002, // 13: TAKE 2
  0x00FFFFFF, // 14: HALT
  0xFE000008, // 15: TAKE 8
  0x7B7B002A, // 16: GOTO 42 ON '{'
  0x00FFFFFF, // 17: HALT
  0xFE000004, // 18: TAKE 4
  0x00FFFFFF, // 19: HALT
  0xFE000005, // 20: TAKE 5
  0x00FFFFFF, // 21: HALT
  0xFE000008, // 22: TAKE 8
  0x5C5C002E, // 23: GOTO 46 ON '\\'
  0x28FF002C, // 24: GOTO 44 ON '('-ff
  0x0B26002C, // 25: GOTO 44 ON '\v'-'&'
  0x0AFFFFFF, // 26: HALT ON '\n'-ff
  0x0009002C, // 27: GOTO 44 ON 00-'\t'
  0xFE000007, // 28: TAKE 7
  0x00FFFFFF, // 29: HALT
  0xFE000008, // 30: TAKE 8
  0x00FFFFFF, // 31: HALT
  0xFE000008, // 32: TAKE 8
  0x27270035, // 33: GOTO 53 ON '\''
  0x22220033, // 34: GOTO 51 ON '"'
  0x00FFFFFF, // 35: HALT
  0xFE000001, // 36: TAKE 1
  0x00FFFFFF, // 37: HALT
  0x0800003A, // 38: GOTO 58 ON EOL
  0x0BFF0026, // 39: GOTO 38 ON '\v'-ff
  0x0AFFFFFF, // 40: HALT ON '\n'-ff
  0x00090026, // 41: GOTO 38 ON 00-'\t'
  0xFE000003, // 42: TAKE 3
  0x00FFFFFF, // 43: HALT
  0x2727003A, // 44: GOTO 58 ON '\''
  0x00FFFFFF, // 45: HALT
  0x7878003C, // 46: GOTO 60 ON 'x'
  0x30370041, // 47: GOTO 65 ON '0'-'7'
  0x0BFF002C, // 48: GOTO 44 ON '\v'-ff
  0x0AFFFFFF, // 49: HALT ON '\n'-ff
  0x0009002C, // 50: GOTO 44 ON 00-'\t'
  0xFE000002, // 51: TAKE 2
  0x00FFFFFF, // 52: HALT
  0x5C5C002E, // 53: GOTO 46 ON '\\'
  0x28FF002C, // 54: GOTO 44 ON '('-ff
  0x0B26002C, // 55: GOTO 44 ON '\v'-'&'
  0x0AFFFFFF, // 56: HALT ON '\n'-ff
  0x0009002C, // 57: GOTO 44 ON 00-'\t'
  0xFE000006, // 58: TAKE 6
  0x00FFFFFF, // 59: HALT
  0x61660044, // 60: GOTO 68 ON 'a'-'f'
  0x41460044, // 61: GOTO 68 ON 'A'-'F'
  0x30390044, // 62: GOTO 68 ON '0'-'9'
  0x2727003A, // 63: GOTO 58 ON '\''
  0x00FFFFFF, // 64: HALT
  0x30370049, // 65: GOTO 73 ON '0'-'7'
  0x2727003A, // 66: GOTO 58 ON '\''
  0x00FFFFFF, // 67: HALT
  0x6166002C, // 68: GOTO 44 ON 'a'-'f'
  0x4146002C, // 69: GOTO 44 ON 'A'-'F'
  0x3039002C, // 70: GOTO 44 ON '0'-'9'
  0x2727003A, // 71: GOTO 58 ON '\''
  0x00FFFFFF, // 72: HALT
  0x3037002C, // 73: GOTO 44 ON '0'-'7'
  0x2727003A, // 74: GOTO 58 ON '\''
  0x00FFFFFF, // 75: HALT
};

} // namespace AGC

} // namespace STRIP

#ifndef REFLEX_CODE_DECL
#include <reflex/pattern.h>
#define REFLEX_CODE_DECL const reflex::Pattern::Opcode
#endif

namespace AGC {
namespace STRIP {

extern REFLEX_CODE_DECL reflex_code_LEX_CCODE[37] =
{
  0x4C4C0010, // 0: GOTO 16 ON 'L'
  0x2F2F0005, // 1: GOTO 5 ON '/'
  0x2525000B, // 2: GOTO 11 ON '%'
  0x22220009, // 3: GOTO 9 ON '"'
  0x00FF000E, // 4: GOTO 14 ON 00-ff
  0xFE000005, // 5: TAKE 5
  0x2F2F0015, // 6: GOTO 21 ON '/'
  0x2A2A0013, // 7: GOTO 19 ON '*'
  0x00FFFFFF, // 8: HALT
  0xFE000002, // 9: TAKE 2
  0x00FFFFFF, // 10: HALT
  0xFE000005, // 11: TAKE 5
  0x7D7D0019, // 12: GOTO 25 ON '}'
  0x00FFFFFF, // 13: HALT
  0xFE000005, // 14: TAKE 5
  0x00FFFFFF, // 15: HALT
  0xFE000005, // 16: TAKE 5
  0x2222001D, // 17: GOTO 29 ON '"'
  0x00FFFFFF, // 18: HALT
  0xFE000001, // 19: TAKE 1
  0x00FFFFFF, // 20: HALT
  0x0800001F, // 21: GOTO 31 ON EOL
  0x0BFF0015, // 22: GOTO 21 ON '\v'-ff
  0x0AFFFFFF, // 23: HALT ON '\n'-ff
  0x00090015, // 24: GOTO 21 ON 00-'\t'
  0x08000021, // 25: GOTO 33 ON EOL
  0x0BFF0019, // 26: GOTO 25 ON '\v'-ff
  0x0AFFFFFF, // 27: HALT ON '\n'-ff
  0x00090019, // 28: GOTO 25 ON 00-'\t'
  0xFE000002, // 29: TAKE 2
  0x00FFFFFF, // 30: HALT
  0xFE000004, // 31: TAKE 4
  0x00FFFFFF, // 32: HALT
  0x07000023, // 33: GOTO 35 ON BOL
  0x00FFFFFF, // 34: HALT
  0xFE000003, // 35: TAKE 3
  0x00FFFFFF, // 36: HALT
};

} // namespace AGC

} // namespace STRIP

#ifndef REFLEX_CODE_DECL
#include <reflex/pattern.h>
#define REFLEX_CODE_DECL const reflex::Pattern::Opcode
#endif

namespace AGC {
namespace STRIP {

extern REFLEX_CODE_DECL reflex_code_CCODE_BLOCK[67] =
{
  0x7D7D000F, // 0: GOTO 15 ON '}'
  0x7B7B000D, // 1: GOTO 13 ON '{'
  0x4C4C0019, // 2: GOTO 25 ON 'L'
  0x2F2F0007, // 3: GOTO 7 ON '/'
  0x27270011, // 4: GOTO 17 ON '\''
  0x2222000B, // 5: GOTO 11 ON '"'
  0x00FF0017, // 6: GOTO 23 ON 00-ff
  0xFE000006, // 7: TAKE 6
  0x2F2F001F, // 8: GOTO 31 ON '/'
  0x2A2A001D, // 9: GOTO 29 ON '*'
  0x00FFFFFF, // 10: HALT
  0xFE000002, // 11: TAKE 2
  0x00FFFFFF, // 12: HALT
  0xFE000003, // 13: TAKE 3
  0x00FFFFFF, // 14: HALT
  0xFE000004, // 15: TAKE 4
  0x00FFFFFF, // 16: HALT
  0xFE000006, // 17: TAKE 6
  0x5C5C0025, // 18: GOTO 37 ON '\\'
  0x28FF0023, // 19: GOTO 35 ON '('-ff
  0x0B260023, // 20: GOTO 35 ON '\v'-'&'
  0x0AFFFFFF, // 21: HALT ON '\n'-ff
  0x00090023, // 22: GOTO 35 ON 00-'\t'
  0xFE000006, // 23: TAKE 6
  0x00FFFFFF, // 24: HALT
  0xFE000006, // 25: TAKE 6
  0x2727002C, // 26: GOTO 44 ON '\''
  0x2222002A, // 27: GOTO 42 ON '"'
  0x00FFFFFF, // 28: HALT
  0xFE000001, // 29: TAKE 1
  0x00FFFFFF, // 30: HALT
  0x08000031, // 31: GOTO 49 ON EOL
  0x0BFF001F, // 32: GOTO 31 ON '\v'-ff
  0x0AFFFFFF, // 33: HALT ON '\n'-ff
  0x0009001F, // 34: GOTO 31 ON 00-'\t'
  0x27270031, // 35: GOTO 49 ON '\''
  0x00FFFFFF, // 36: HALT
  0x78780033, // 37: GOTO 51 ON 'x'
  0x30370038, // 38: GOTO 56 ON '0'-'7'
  0x0BFF0023, // 39: GOTO 35 ON '\v'-ff
  0x0AFFFFFF, // 40: HALT ON '\n'-ff
  0x00090023, // 41: GOTO 35 ON 00-'\t'
  0xFE000002, // 42: TAKE 2
  0x00FFFFFF, // 43: HALT
  0x5C5C0025, // 44: GOTO 37 ON '\\'
  0x28FF0023, // 45: GOTO 35 ON '('-ff
  0x0B260023, // 46: GOTO 35 ON '\v'-'&'
  0x0AFFFFFF, // 47: HALT ON '\n'-ff
  0x00090023, // 48: GOTO 35 ON 00-'\t'
  0xFE000005, // 49: TAKE 5
  0x00FFFFFF, // 50: HALT
  0x6166003B, // 51: GOTO 59 ON 'a'-'f'
  0x4146003B, // 52: GOTO 59 ON 'A'-'F'
  0x3039003B, // 53: GOTO 59 ON '0'-'9'
  0x27270031, // 54: GOTO 49 ON '\''
  0x00FFFFFF, // 55: HALT
  0x30370040, // 56: GOTO 64 ON '0'-'7'
  0x27270031, // 57: GOTO 49 ON '\''
  0x00FFFFFF, // 58: HALT
  0x61660023, // 59: GOTO 35 ON 'a'-'f'
  0x41460023, // 60: GOTO 35 ON 'A'-'F'
  0x30390023, // 61: GOTO 35 ON '0'-'9'
  0x27270031, // 62: GOTO 49 ON '\''
  0x00FFFFFF, // 63: HALT
  0x30370023, // 64: GOTO 35 ON '0'-'7'
  0x27270031, // 65: GOTO 49 ON '\''
  0x00FFFFFF, // 66: HALT
};

} // namespace AGC

} // namespace STRIP

#ifndef REFLEX_CODE_DECL
#include <reflex/pattern.h>
#define REFLEX_CODE_DECL const reflex::Pattern::Opcode
#endif

namespace AGC {
namespace STRIP {

extern REFLEX_CODE_DECL reflex_code_LEX_TRAILER[158] =
{
  0x617A001D, // 0: GOTO 29 ON 'a'-'z'
  0x5F5F001D, // 1: GOTO 29 ON '_'
  0x4C4C002B, // 2: GOTO 43 ON 'L'
  0x415A001D, // 3: GOTO 29 ON 'A'-'Z'
  0x31390038, // 4: GOTO 56 ON '1'-'9'
  0x30300013, // 5: GOTO 19 ON '0'
  0x2F2F000D, // 6: GOTO 13 ON '/'
  0x27270023, // 7: GOTO 35 ON '\''
  0x22220011, // 8: GOTO 17 ON '"'
  0x20200033, // 9: GOTO 51 ON ' '
  0x0B0C0033, // 10: GOTO 51 ON '\v'-'\f'
  0x09090033, // 11: GOTO 51 ON '\t'
  0x00FF0029, // 12: GOTO 41 ON 00-ff
  0xFE000004, // 13: TAKE 4
  0x2F2F0041, // 14: GOTO 65 ON '/'
  0x2A2A003F, // 15: GOTO 63 ON '*'
  0x00FFFFFF, // 16: HALT
  0xFE000002, // 17: TAKE 2
  0x00FFFFFF, // 18: HALT
  0xFE000003, // 19: TAKE 3
  0x78780045, // 20: GOTO 69 ON 'x'
  0x75750058, // 21: GOTO 88 ON 'u'
  0x6C6C005C, // 22: GOTO 92 ON 'l'
  0x58580045, // 23: GOTO 69 ON 'X'
  0x55550058, // 24: GOTO 88 ON 'U'
  0x4C4C005C, // 25: GOTO 92 ON 'L'
  0x38390049, // 26: GOTO 73 ON '8'-'9'
  0x30370050, // 27: GOTO 80 ON '0'-'7'
  0x00FFFFFF, // 28: HALT
  0xFE000003, // 29: TAKE 3
  0x617A0062, // 30: GOTO 98 ON 'a'-'z'
  0x5F5F0062, // 31: GOTO 98 ON '_'
  0x415A0062, // 32: GOTO 98 ON 'A'-'Z'
  0x30390062, // 33: GOTO 98 ON '0'-'9'
  0x00FFFFFF, // 34: HALT
  0xFE000004, // 35: TAKE 4
  0x5C5C006A, // 36: GOTO 106 ON '\\'
  0x28FF0068, // 37: GOTO 104 ON '('-ff
  0x0B260068, // 38: GOTO 104 ON '\v'-'&'
  0x0AFFFFFF, // 39: HALT ON '\n'-ff
  0x00090068, // 40: GOTO 104 ON 00-'\t'
  0xFE000004, // 41: TAKE 4
  0x00FFFFFF, // 42: HALT
  0xFE000003, // 43: TAKE 3
  0x617A0062, // 44: GOTO 98 ON 'a'-'z'
  0x5F5F0062, // 45: GOTO 98 ON '_'
  0x415A0062, // 46: GOTO 98 ON 'A'-'Z'
  0x30390062, // 47: GOTO 98 ON '0'-'9'
  0x27270071, // 48: GOTO 113 ON '\''
  0x2222006F, // 49: GOTO 111 ON '"'
  0x00FFFFFF, // 50: HALT
  0xFE000003, // 51: TAKE 3
  0x20200076, // 52: GOTO 118 ON ' '
  0x0B0C0076, // 53: GOTO 118 ON '\v'-'\f'
  0x09090076, // 54: GOTO 118 ON '\t'
  0x00FFFFFF, // 55: HALT
  0xFE000003, // 56: TAKE 3
  0x75750058, // 57: GOTO 88 ON 'u'
  0x6C6C005C, // 58: GOTO 92 ON 'l'
  0x55550058, // 59: GOTO 88 ON 'U'
  0x4C4C005C, // 60: GOTO 92 ON 'L'
  0x30390049, // 61: GOTO 73 ON '0'-'9'
  0x00FFFFFF, // 62: HALT
  0xFE000001, // 63: TAKE 1
  0x00FFFFFF, // 64: HALT
  0x0800007B, // 65: GOTO 123 ON EOL
  0x0BFF0041, // 66: GOTO 65 ON '\v'-ff
  0x0AFFFFFF, // 67: HALT ON '\n'-ff
  0x00090041, // 68: GOTO 65 ON 00-'\t'
  0x6166007D, // 69: GOTO 125 ON 'a'-'f'
  0x4146007D, // 70: GOTO 125 ON 'A'-'F'
  0x3039007D, // 71: GOTO 125 ON '0'-'9'
  0x00FFFFFF, // 72: HALT
  0xFE000003, // 73: TAKE 3
  0x75750058, // 74: GOTO 88 ON 'u'
  0x6C6C005C, // 75: GOTO 92 ON 'l'
  0x55550058, // 76: GOTO 88 ON 'U'
  0x4C4C005C, // 77: GOTO 92 ON 'L'
  0x30390049, // 78: GOTO 73 ON '0'-'9'
  0x00FFFFFF, // 79: HALT
  0xFE000003, // 80: TAKE 3
  0x75750058, // 81: GOTO 88 ON 'u'
  0x6C6C005C, // 82: GOTO 92 ON 'l'
  0x55550058, // 83: GOTO 88 ON 'U'
  0x4C4C005C, // 84: GOTO 92 ON 'L'
  0x38390049, // 85: GOTO 73 ON '8'-'9'
  0x30370050, // 86: GOTO 80 ON '0'-'7'
  0x00FFFFFF, // 87: HALT
  0xFE000003, // 88: TAKE 3
  0x6C6C0086, // 89: GOTO 134 ON 'l'
  0x4C4C0086, // 90: GOTO 134 ON 'L'
  0x00FFFFFF, // 91: HALT
  0xFE000003, // 92: TAKE 3
  0x7575007B, // 93: GOTO 123 ON 'u'
  0x6C6C008A, // 94: GOTO 138 ON 'l'
  0x5555007B, // 95: GOTO 123 ON 'U'
  0x4C4C008A, // 96: GOTO 138 ON 'L'
  0x00FFFFFF, // 97: HALT
  0xFE000003, // 98: TAKE 3
  0x617A0062, // 99: GOTO 98 ON 'a'-'z'
  0x5F5F0062, // 100: GOTO 98 ON '_'
  0x415A0062, // 101: GOTO 98 ON 'A'-'Z'
  0x30390062, // 102: GOTO 98 ON '0'-'9'
  0x00FFFFFF, // 103: HALT
  0x2727007B, // 104: GOTO 123 ON '\''
  0x00FFFFFF, // 105: HALT
  0x7878008E, // 106: GOTO 142 ON 'x'
  0x30370093, // 107: GOTO 147 ON '0'-'7'
  0x0BFF0068, // 108: GOTO 104 ON '\v'-ff
  0x0AFFFFFF, // 109: HALT ON '\n'-ff
  0x00090068, // 110: GOTO 104 ON 00-'\t'
  0xFE000002, // 111: TAKE 2
  0x00FFFFFF, // 112: HALT
  0x5C5C006A, // 113: GOTO 106 ON '\\'
  0x28FF0068, // 114: GOTO 104 ON '('-ff
  0x0B260068, // 115: GOTO 104 ON '\v'-'&'
  0x0AFFFFFF, // 116: HALT ON '\n'-ff
  0x00090068, // 117: GOTO 104 ON 00-'\t'
  0xFE000003, // 118: TAKE 3
  0x20200076, // 119: GOTO 118 ON ' '
  0x0B0C0076, // 120: GOTO 118 ON '\v'-'\f'
  0x09090076, // 121: GOTO 118 ON '\t'
  0x00FFFFFF, // 122: HALT
  0xFE000003, // 123: TAKE 3
  0x00FFFFFF, // 124: HALT
  0xFE000003, // 125: TAKE 3
  0x75750058, // 126: GOTO 88 ON 'u'
  0x6C6C005C, // 127: GOTO 92 ON 'l'
  0x6166007D, // 128: GOTO 125 ON 'a'-'f'
  0x55550058, // 129: GOTO 88 ON 'U'
  0x4C4C005C, // 130: GOTO 92 ON 'L'
  0x4146007D, // 131: GOTO 125 ON 'A'-'F'
  0x3039007D, // 132: GOTO 125 ON '0'-'9'
  0x00FFFFFF, // 133: HALT
  0xFE000003, // 134: TAKE 3
  0x6C6C007B, // 135: GOTO 123 ON 'l'
  0x4C4C007B, // 136: GOTO 123 ON 'L'
  0x00FFFFFF, // 137: HALT
  0xFE000003, // 138: TAKE 3
  0x7575007B, // 139: GOTO 123 ON 'u'
  0x5555007B, // 140: GOTO 123 ON 'U'
  0x00FFFFFF, // 141: HALT
  0x61660096, // 142: GOTO 150 ON 'a'-'f'
  0x41460096, // 143: GOTO 150 ON 'A'-'F'
  0x30390096, // 144: GOTO 150 ON '0'-'9'
  0x2727007B, // 145: GOTO 123 ON '\''
  0x00FFFFFF, // 146: HALT
  0x3037009B, // 147: GOTO 155 ON '0'-'7'
  0x2727007B, // 148: GOTO 123 ON '\''
  0x00FFFFFF, // 149: HALT
  0x61660068, // 150: GOTO 104 ON 'a'-'f'
  0x41460068, // 151: GOTO 104 ON 'A'-'F'
  0x30390068, // 152: GOTO 104 ON '0'-'9'
  0x2727007B, // 153: GOTO 123 ON '\''
  0x00FFFFFF, // 154: HALT
  0x30370068, // 155: GOTO 104 ON '0'-'7'
  0x2727007B, // 156: GOTO 123 ON '\''
  0x00FFFFFF, // 157: HALT
};

} // namespace AGC

} // namespace STRIP

#ifndef REFLEX_CODE_DECL
#include <reflex/pattern.h>
#define REFLEX_CODE_DECL const reflex::Pattern::Opcode
#endif

namespace AGC {
namespace STRIP {

extern REFLEX_CODE_DECL reflex_code_COMMENT[20] =
{
  0x2A2A0003, // 0: GOTO 3 ON '*'
  0x0A0A0006, // 1: GOTO 6 ON '\n'
  0x00FF0008, // 2: GOTO 8 ON 00-ff
  0xFE000003, // 3: TAKE 3
  0x2F2F000D, // 4: GOTO 13 ON '/'
  0x00FFFFFF, // 5: HALT
  0xFE000003, // 6: TAKE 3
  0x00FFFFFF, // 7: HALT
  0xFE000002, // 8: TAKE 2
  0x2BFF000F, // 9: GOTO 15 ON '+'-ff
  0x0B29000F, // 10: GOTO 15 ON '\v'-')'
  0x0AFFFFFF, // 11: HALT ON '\n'-ff
  0x0009000F, // 12: GOTO 15 ON 00-'\t'
  0xFE000001, // 13: TAKE 1
  0x00FFFFFF, // 14: HALT
  0xFE000002, // 15: TAKE 2
  0x2BFF000F, // 16: GOTO 15 ON '+'-ff
  0x0B29000F, // 17: GOTO 15 ON '\v'-')'
  0x0AFFFFFF, // 18: HALT ON '\n'-ff
  0x0009000F, // 19: GOTO 15 ON 00-'\t'
};

} // namespace AGC

} // namespace STRIP

#ifndef REFLEX_CODE_DECL
#include <reflex/pattern.h>
#define REFLEX_CODE_DECL const reflex::Pattern::Opcode
#endif

namespace AGC {
namespace STRIP {

extern REFLEX_CODE_DECL reflex_code_SKIP_COMMENT[15] =
{
  0x2A2A0003, // 0: GOTO 3 ON '*'
  0x0A0A0006, // 1: GOTO 6 ON '\n'
  0x00FF0008, // 2: GOTO 8 ON 00-ff
  0xFE000002, // 3: TAKE 2
  0x2F2F000D, // 4: GOTO 13 ON '/'
  0x00FFFFFF, // 5: HALT
  0xFE000002, // 6: TAKE 2
  0x00FFFFFF, // 7: HALT
  0xFE000002, // 8: TAKE 2
  0x2BFF0008, // 9: GOTO 8 ON '+'-ff
  0x0B290008, // 10: GOTO 8 ON '\v'-')'
  0x0AFFFFFF, // 11: HALT ON '\n'-ff
  0x00090008, // 12: GOTO 8 ON 00-'\t'
  0xFE000001, // 13: TAKE 1
  0x00FFFFFF, // 14: HALT
};

} // namespace AGC

} // namespace STRIP

#ifndef REFLEX_CODE_DECL
#include <reflex/pattern.h>
#define REFLEX_CODE_DECL const reflex::Pattern::Opcode
#endif

namespace AGC {
namespace STRIP {

extern REFLEX_CODE_DECL reflex_code_STRING[24] =
{
  0x5C5C0006, // 0: GOTO 6 ON '\\'
  0x22220004, // 1: GOTO 4 ON '"'
  0x0A0A0008, // 2: GOTO 8 ON '\n'
  0x00FF000A, // 3: GOTO 10 ON 00-ff
  0xFE000001, // 4: TAKE 1
  0x00FFFFFF, // 5: HALT
  0xFE000004, // 6: TAKE 4
  0x00FF0010, // 7: GOTO 16 ON 00-ff
  0xFE000003, // 8: TAKE 3
  0x00FFFFFF, // 9: HALT
  0xFE000002, // 10: TAKE 2
  0x5DFF0012, // 11: GOTO 18 ON ']'-ff
  0x235B0012, // 12: GOTO 18 ON '#'-'['
  0x0B210012, // 13: GOTO 18 ON '\v'-'!'
  0x0AFFFFFF, // 14: HALT ON '\n'-ff
  0x00090012, // 15: GOTO 18 ON 00-'\t'
  0xFE000002, // 16: TAKE 2
  0x00FFFFFF, // 17: HALT
  0xFE000002, // 18: TAKE 2
  0x5DFF0012, // 19: GOTO 18 ON ']'-ff
  0x235B0012, // 20: GOTO 18 ON '#'-'['
  0x0B210012, // 21: GOTO 18 ON '\v'-'!'
  0x0AFFFFFF, // 22: HALT ON '\n'-ff
  0x00090012, // 23: GOTO 18 ON 00-'\t'
};

} // namespace AGC

} // namespace STRIP

#ifndef REFLEX_CODE_DECL
#include <reflex/pattern.h>
#define REFLEX_CODE_DECL const reflex::Pattern::Opcode
#endif

namespace AGC {
namespace STRIP {

extern REFLEX_CODE_DECL reflex_code_SKIP_STRING[18] =
{
  0x5C5C0008, // 0: GOTO 8 ON '\\'
  0x22220004, // 1: GOTO 4 ON '"'
  0x0A0A0006, // 2: GOTO 6 ON '\n'
  0x00FF000A, // 3: GOTO 10 ON 00-ff
  0xFE000001, // 4: TAKE 1
  0x00FFFFFF, // 5: HALT
  0xFE000002, // 6: TAKE 2
  0x00FFFFFF, // 7: HALT
  0xFE000003, // 8: TAKE 3
  0x00FF0010, // 9: GOTO 16 ON 00-ff
  0xFE000003, // 10: TAKE 3
  0x5DFF000A, // 11: GOTO 10 ON ']'-ff
  0x235B000A, // 12: GOTO 10 ON '#'-'['
  0x0B21000A, // 13: GOTO 10 ON '\v'-'!'
  0x0AFFFFFF, // 14: HALT ON '\n'-ff
  0x0009000A, // 15: GOTO 10 ON 00-'\t'
  0xFE000003, // 16: TAKE 3
  0x00FFFFFF, // 17: HALT
};

} // namespace AGC

} // namespace STRIP

#ifndef REFLEX_CODE_DECL
#include <reflex/pattern.h>
#define REFLEX_CODE_DECL const reflex::Pattern::Opcode
#endif

namespace AGC {
namespace STRIP {

extern REFLEX_CODE_DECL reflex_code_MACRO_DEF[36] =
{
  0x4C4C0013, // 0: GOTO 19 ON 'L'
  0x4040000C, // 1: GOTO 12 ON '@'
  0x2F2F0006, // 2: GOTO 6 ON '/'
  0x2222000A, // 3: GOTO 10 ON '"'
  0x0A0A000F, // 4: GOTO 15 ON '\n'
  0x00FF0011, // 5: GOTO 17 ON 00-ff
  0xFE000005, // 6: TAKE 5
  0x2F2F0018, // 7: GOTO 24 ON '/'
  0x2A2A0016, // 8: GOTO 22 ON '*'
  0x00FFFFFF, // 9: HALT
  0xFE000002, // 10: TAKE 2
  0x00FFFFFF, // 11: HALT
  0xFE000005, // 12: TAKE 5
  0x6565001C, // 13: GOTO 28 ON 'e'
  0x00FFFFFF, // 14: HALT
  0xFE000004, // 15: TAKE 4
  0x00FFFFFF, // 16: HALT
  0xFE000005, // 17: TAKE 5
  0x00FFFFFF, // 18: HALT
  0xFE000005, // 19: TAKE 5
  0x2222001E, // 20: GOTO 30 ON '"'
  0x00FFFFFF, // 21: HALT
  0xFE000001, // 22: TAKE 1
  0x00FFFFFF, // 23: HALT
  0x08000011, // 24: GOTO 17 ON EOL
  0x0BFF0018, // 25: GOTO 24 ON '\v'-ff
  0x0AFFFFFF, // 26: HALT ON '\n'-ff
  0x00090018, // 27: GOTO 24 ON 00-'\t'
  0x6E6E0020, // 28: GOTO 32 ON 'n'
  0x00FFFFFF, // 29: HALT
  0xFE000002, // 30: TAKE 2
  0x00FFFFFF, // 31: HALT
  0x64640022, // 32: GOTO 34 ON 'd'
  0x00FFFFFF, // 33: HALT
  0xFE000003, // 34: TAKE 3
  0x00FFFFFF, // 35: HALT
};

} // namespace AGC

} // namespace STRIP

#ifndef REFLEX_CODE_DECL
#include <reflex/pattern.h>
#define REFLEX_CODE_DECL const reflex::Pattern::Opcode
#endif

namespace AGC {
namespace STRIP {

extern REFLEX_CODE_DECL reflex_code_ATTR_DECL[59] =
{
  0x7D7D000A, // 0: GOTO 10 ON '}'
  0x4C4C0016, // 1: GOTO 22 ON 'L'
  0x2F2F0006, // 2: GOTO 6 ON '/'
  0x2727000E, // 3: GOTO 14 ON '\''
  0x0A0A000C, // 4: GOTO 12 ON '\n'
  0x00FF0014, // 5: GOTO 20 ON 00-ff
  0xFE000004, // 6: TAKE 4
  0x2F2F001B, // 7: GOTO 27 ON '/'
  0x2A2A0019, // 8: GOTO 25 ON '*'
  0x00FFFFFF, // 9: HALT
  0xFE000002, // 10: TAKE 2
  0x00FFFFFF, // 11: HALT
  0xFE000003, // 12: TAKE 3
  0x00FFFFFF, // 13: HALT
  0xFE000004, // 14: TAKE 4
  0x5C5C0021, // 15: GOTO 33 ON '\\'
  0x28FF001F, // 16: GOTO 31 ON '('-ff
  0x0B26001F, // 17: GOTO 31 ON '\v'-'&'
  0x0AFFFFFF, // 18: HALT ON '\n'-ff
  0x0009001F, // 19: GOTO 31 ON 00-'\t'
  0xFE000004, // 20: TAKE 4
  0x00FFFFFF, // 21: HALT
  0xFE000004, // 22: TAKE 4
  0x27270026, // 23: GOTO 38 ON '\''
  0x00FFFFFF, // 24: HALT
  0xFE000001, // 25: TAKE 1
  0x00FFFFFF, // 26: HALT
  0x08000014, // 27: GOTO 20 ON EOL
  0x0BFF001B, // 28: GOTO 27 ON '\v'-ff
  0x0AFFFFFF, // 29: HALT ON '\n'-ff
  0x0009001B, // 30: GOTO 27 ON 00-'\t'
  0x27270014, // 31: GOTO 20 ON '\''
  0x00FFFFFF, // 32: HALT
  0x7878002B, // 33: GOTO 43 ON 'x'
  0x30370030, // 34: GOTO 48 ON '0'-'7'
  0x0BFF001F, // 35: GOTO 31 ON '\v'-ff
  0x0AFFFFFF, // 36: HALT ON '\n'-ff
  0x0009001F, // 37: GOTO 31 ON 00-'\t'
  0x5C5C0021, // 38: GOTO 33 ON '\\'
  0x28FF001F, // 39: GOTO 31 ON '('-ff
  0x0B26001F, // 40: GOTO 31 ON '\v'-'&'
  0x0AFFFFFF, // 41: HALT ON '\n'-ff
  0x0009001F, // 42: GOTO 31 ON 00-'\t'
  0x61660033, // 43: GOTO 51 ON 'a'-'f'
  0x41460033, // 44: GOTO 51 ON 'A'-'F'
  0x30390033, // 45: GOTO 51 ON '0'-'9'
  0x27270014, // 46: GOTO 20 ON '\''
  0x00FFFFFF, // 47: HALT
  0x30370038, // 48: GOTO 56 ON '0'-'7'
  0x27270014, // 49: GOTO 20 ON '\''
  0x00FFFFFF, // 50: HALT
  0x6166001F, // 51: GOTO 31 ON 'a'-'f'
  0x4146001F, // 52: GOTO 31 ON 'A'-'F'
  0x3039001F, // 53: GOTO 31 ON '0'-'9'
  0x27270014, // 54: GOTO 20 ON '\''
  0x00FFFFFF, // 55: HALT
  0x3037001F, // 56: GOTO 31 ON '0'-'7'
  0x27270014, // 57: GOTO 20 ON '\''
  0x00FFFFFF, // 58: HALT
};

} // namespace AGC

} // namespace STRIP

#ifndef REFLEX_CODE_DECL
#include <reflex/pattern.h>
#define REFLEX_CODE_DECL const reflex::Pattern::Opcode
#endif

namespace AGC {
namespace STRIP {

extern REFLEX_CODE_DECL reflex_code_ATTR_DECL_SYMS[92] =
{
  0x617A000E, // 0: GOTO 14 ON 'a'-'z'
  0x5F5F001F, // 1: GOTO 31 ON '_'
  0x415A000E, // 2: GOTO 14 ON 'A'-'Z'
  0x2F2F000A, // 3: GOTO 10 ON '/'
  0x2E2E001F, // 4: GOTO 31 ON '.'
  0x27270015, // 5: GOTO 21 ON '\''
  0x20200025, // 6: GOTO 37 ON ' '
  0x0A0A001B, // 7: GOTO 27 ON '\n'
  0x090C0025, // 8: GOTO 37 ON '\t'-'\f'
  0x00FF001D, // 9: GOTO 29 ON 00-ff
  0xFE000005, // 10: TAKE 5
  0x2F2F002C, // 11: GOTO 44 ON '/'
  0x2A2A002A, // 12: GOTO 42 ON '*'
  0x00FFFFFF, // 13: HALT
  0xFE000003, // 14: TAKE 3
  0x617A0030, // 15: GOTO 48 ON 'a'-'z'
  0x5F5F0030, // 16: GOTO 48 ON '_'
  0x415A0030, // 17: GOTO 48 ON 'A'-'Z'
  0x30390030, // 18: GOTO 48 ON '0'-'9'
  0x2D2E0030, // 19: GOTO 48 ON '-'-'.'
  0x00FFFFFF, // 20: HALT
  0xFE000005, // 21: TAKE 5
  0x5C5C0039, // 22: GOTO 57 ON '\\'
  0x28FF0037, // 23: GOTO 55 ON '('-ff
  0x0B260037, // 24: GOTO 55 ON '\v'-'&'
  0x0AFFFFFF, // 25: HALT ON '\n'-ff
  0x00090037, // 26: GOTO 55 ON 00-'\t'
  0xFE000004, // 27: TAKE 4
  0x00FFFFFF, // 28: HALT
  0xFE000005, // 29: TAKE 5
  0x00FFFFFF, // 30: HALT
  0xFE000005, // 31: TAKE 5
  0x617A0030, // 32: GOTO 48 ON 'a'-'z'
  0x5F5F003E, // 33: GOTO 62 ON '_'
  0x415A0030, // 34: GOTO 48 ON 'A'-'Z'
  0x2E2E003E, // 35: GOTO 62 ON '.'
  0x00FFFFFF, // 36: HALT
  0xFE000003, // 37: TAKE 3
  0x20200043, // 38: GOTO 67 ON ' '
  0x0B0C0043, // 39: GOTO 67 ON '\v'-'\f'
  0x09090043, // 40: GOTO 67 ON '\t'
  0x00FFFFFF, // 41: HALT
  0xFE000001, // 42: TAKE 1
  0x00FFFFFF, // 43: HALT
  0x08000048, // 44: GOTO 72 ON EOL
  0x0BFF002C, // 45: GOTO 44 ON '\v'-ff
  0x0AFFFFFF, // 46: HALT ON '\n'-ff
  0x0009002C, // 47: GOTO 44 ON 00-'\t'
  0xFE000003, // 48: TAKE 3
  0x617A0030, // 49: GOTO 48 ON 'a'-'z'
  0x5F5F0030, // 50: GOTO 48 ON '_'
  0x415A0030, // 51: GOTO 48 ON 'A'-'Z'
  0x30390030, // 52: GOTO 48 ON '0'-'9'
  0x2D2E0030, // 53: GOTO 48 ON '-'-'.'
  0x00FFFFFF, // 54: HALT
  0x2727004A, // 55: GOTO 74 ON '\''
  0x00FFFFFF, // 56: HALT
  0x7878004C, // 57: GOTO 76 ON 'x'
  0x30370051, // 58: GOTO 81 ON '0'-'7'
  0x0BFF0037, // 59: GOTO 55 ON '\v'-ff
  0x0AFFFFFF, // 60: HALT ON '\n'-ff
  0x00090037, // 61: GOTO 55 ON 00-'\t'
  0x617A0030, // 62: GOTO 48 ON 'a'-'z'
  0x5F5F003E, // 63: GOTO 62 ON '_'
  0x415A0030, // 64: GOTO 48 ON 'A'-'Z'
  0x2E2E003E, // 65: GOTO 62 ON '.'
  0x00FFFFFF, // 66: HALT
  0xFE000003, // 67: TAKE 3
  0x20200043, // 68: GOTO 67 ON ' '
  0x0B0C0043, // 69: GOTO 67 ON '\v'-'\f'
  0x09090043, // 70: GOTO 67 ON '\t'
  0x00FFFFFF, // 71: HALT
  0xFE000002, // 72: TAKE 2
  0x00FFFFFF, // 73: HALT
  0xFE000003, // 74: TAKE 3
  0x00FFFFFF, // 75: HALT
  0x61660054, // 76: GOTO 84 ON 'a'-'f'
  0x41460054, // 77: GOTO 84 ON 'A'-'F'
  0x30390054, // 78: GOTO 84 ON '0'-'9'
  0x2727004A, // 79: GOTO 74 ON '\''
  0x00FFFFFF, // 80: HALT
  0x30370059, // 81: GOTO 89 ON '0'-'7'
  0x2727004A, // 82: GOTO 74 ON '\''
  0x00FFFFFF, // 83: HALT
  0x61660037, // 84: GOTO 55 ON 'a'-'f'
  0x41460037, // 85: GOTO 55 ON 'A'-'F'
  0x30390037, // 86: GOTO 55 ON '0'-'9'
  0x2727004A, // 87: GOTO 74 ON '\''
  0x00FFFFFF, // 88: HALT
  0x30370037, // 89: GOTO 55 ON '0'-'7'
  0x2727004A, // 90: GOTO 74 ON '\''
  0x00FFFFFF, // 91: HALT
};

} // namespace AGC

} // namespace STRIP

#ifndef REFLEX_CODE_DECL
#include <reflex/pattern.h>
#define REFLEX_CODE_DECL const reflex::Pattern::Opcode
#endif

namespace AGC {
namespace STRIP {

extern REFLEX_CODE_DECL reflex_code_TRAV_DECL[149] =
{
  0x617A0014, // 0: GOTO 20 ON 'a'-'z'
  0x5F5F0014, // 1: GOTO 20 ON '_'
  0x415A0014, // 2: GOTO 20 ON 'A'-'Z'
  0x4040000D, // 3: GOTO 13 ON '@'
  0x2F2F0009, // 4: GOTO 9 ON '/'
  0x2020001E, // 5: GOTO 30 ON ' '
  0x0A0A001A, // 6: GOTO 26 ON '\n'
  0x090C001E, // 7: GOTO 30 ON '\t'-'\f'
  0x00FF001C, // 8: GOTO 28 ON 00-ff
  0xFE000009, // 9: TAKE 9
  0x2F2F0025, // 10: GOTO 37 ON '/'
  0x2A2A0023, // 11: GOTO 35 ON '*'
  0x00FFFFFF, // 12: HALT
  0xFE000009, // 13: TAKE 9
  0x77770032, // 14: GOTO 50 ON 'w'
  0x7272002E, // 15: GOTO 46 ON 'r'
  0x70700029, // 16: GOTO 41 ON 'p'
  0x6C6C002C, // 17: GOTO 44 ON 'l'
  0x64640030, // 18: GOTO 48 ON 'd'
  0x00FFFFFF, // 19: HALT
  0xFE000007, // 20: TAKE 7
  0x617A0034, // 21: GOTO 52 ON 'a'-'z'
  0x5F5F0034, // 22: GOTO 52 ON '_'
  0x415A0034, // 23: GOTO 52 ON 'A'-'Z'
  0x30390034, // 24: GOTO 52 ON '0'-'9'
  0x00FFFFFF, // 25: HALT
  0xFE000008, // 26: TAKE 8
  0x00FFFFFF, // 27: HALT
  0xFE000009, // 28: TAKE 9
  0x00FFFFFF, // 29: HALT
  0xFE000007, // 30: TAKE 7
  0x2020003A, // 31: GOTO 58 ON ' '
  0x0B0C003A, // 32: GOTO 58 ON '\v'-'\f'
  0x0909003A, // 33: GOTO 58 ON '\t'
  0x00FFFFFF, // 34: HALT
  0xFE000001, // 35: TAKE 1
  0x00FFFFFF, // 36: HALT
  0x0800003F, // 37: GOTO 63 ON EOL
  0x0BFF0025, // 38: GOTO 37 ON '\v'-ff
  0x0AFFFFFF, // 39: HALT ON '\n'-ff
  0x00090025, // 40: GOTO 37 ON 00-'\t'
  0x72720043, // 41: GOTO 67 ON 'r'
  0x6F6F0041, // 42: GOTO 65 ON 'o'
  0x00FFFFFF, // 43: HALT
  0x65650045, // 44: GOTO 69 ON 'e'
  0x00FFFFFF, // 45: HALT
  0x69690047, // 46: GOTO 71 ON 'i'
  0x00FFFFFF, // 47: HALT
  0x69690049, // 48: GOTO 73 ON 'i'
  0x00FFFFFF, // 49: HALT
  0x6161004B, // 50: GOTO 75 ON 'a'
  0x00FFFFFF, // 51: HALT
  0xFE000007, // 52: TAKE 7
  0x617A0034, // 53: GOTO 52 ON 'a'-'z'
  0x5F5F0034, // 54: GOTO 52 ON '_'
  0x415A0034, // 55: GOTO 52 ON 'A'-'Z'
  0x30390034, // 56: GOTO 52 ON '0'-'9'
  0x00FFFFFF, // 57: HALT
  0xFE000007, // 58: TAKE 7
  0x2020003A, // 59: GOTO 58 ON ' '
  0x0B0C003A, // 60: GOTO 58 ON '\v'-'\f'
  0x0909003A, // 61: GOTO 58 ON '\t'
  0x00FFFFFF, // 62: HALT
  0xFE000002, // 63: TAKE 2
  0x00FFFFFF, // 64: HALT
  0x7373004D, // 65: GOTO 77 ON 's'
  0x00FFFFFF, // 66: HALT
  0x6565004F, // 67: GOTO 79 ON 'e'
  0x00FFFFFF, // 68: HALT
  0x66660051, // 69: GOTO 81 ON 'f'
  0x00FFFFFF, // 70: HALT
  0x67670053, // 71: GOTO 83 ON 'g'
  0x00FFFFFF, // 72: HALT
  0x73730055, // 73: GOTO 85 ON 's'
  0x00FFFFFF, // 74: HALT
  0x72720057, // 75: GOTO 87 ON 'r'
  0x00FFFFFF, // 76: HALT
  0x74740059, // 77: GOTO 89 ON 't'
  0x00FFFFFF, // 78: HALT
  0x6F6F005B, // 79: GOTO 91 ON 'o'
  0x00FFFFFF, // 80: HALT
  0x7474005D, // 81: GOTO 93 ON 't'
  0x00FFFFFF, // 82: HALT
  0x6868005F, // 83: GOTO 95 ON 'h'
  0x00FFFFFF, // 84: HALT
  0x61610061, // 85: GOTO 97 ON 'a'
  0x00FFFFFF, // 86: HALT
  0x6E6E0063, // 87: GOTO 99 ON 'n'
  0x00FFFFFF, // 88: HALT
  0x6F6F0065, // 89: GOTO 101 ON 'o'
  0x00FFFFFF, // 90: HALT
  0x72720067, // 91: GOTO 103 ON 'r'
  0x00FFFFFF, // 92: HALT
  0x74740069, // 93: GOTO 105 ON 't'
  0x00FFFFFF, // 94: HALT
  0x7474006B, // 95: GOTO 107 ON 't'
  0x00FFFFFF, // 96: HALT
  0x6262006D, // 97: GOTO 109 ON 'b'
  0x00FFFFFF, // 98: HALT
  0xFE000006, // 99: TAKE 6
  0x00FFFFFF, // 100: HALT
  0x7272006F, // 101: GOTO 111 ON 'r'
  0x00FFFFFF, // 102: HALT
  0x64640071, // 103: GOTO 113 ON 'd'
  0x00FFFFFF, // 104: HALT
  0x6F6F0073, // 105: GOTO 115 ON 'o'
  0x00FFFFFF, // 106: HALT
  0x74740075, // 107: GOTO 117 ON 't'
  0x00FFFFFF, // 108: HALT
  0x6C6C0077, // 109: GOTO 119 ON 'l'
  0x00FFFFFF, // 110: HALT
  0x64640079, // 111: GOTO 121 ON 'd'
  0x00FFFFFF, // 112: HALT
  0x6565007B, // 113: GOTO 123 ON 'e'
  0x00FFFFFF, // 114: HALT
  0x7272007D, // 115: GOTO 125 ON 'r'
  0x00FFFFFF, // 116: HALT
  0x6F6F007F, // 117: GOTO 127 ON 'o'
  0x00FFFFFF, // 118: HALT
  0x65650081, // 119: GOTO 129 ON 'e'
  0x00FFFFFF, // 120: HALT
  0x65650083, // 121: GOTO 131 ON 'e'
  0x00FFFFFF, // 122: HALT
  0x72720085, // 123: GOTO 133 ON 'r'
  0x00FFFFFF, // 124: HALT
  0x69690087, // 125: GOTO 135 ON 'i'
  0x00FFFFFF, // 126: HALT
  0x6C6C0089, // 127: GOTO 137 ON 'l'
  0x00FFFFFF, // 128: HALT
  0xFE000005, // 129: TAKE 5
  0x00FFFFFF, // 130: HALT
  0x72720085, // 131: GOTO 133 ON 'r'
  0x00FFFFFF, // 132: HALT
  0xFE000003, // 133: TAKE 3
  0x00FFFFFF, // 134: HALT
  0x6767008B, // 135: GOTO 139 ON 'g'
  0x00FFFFFF, // 136: HALT
  0x6565008D, // 137: GOTO 141 ON 'e'
  0x00FFFFFF, // 138: HALT
  0x6868008F, // 139: GOTO 143 ON 'h'
  0x00FFFFFF, // 140: HALT
  0x66660091, // 141: GOTO 145 ON 'f'
  0x00FFFFFF, // 142: HALT
  0x74740093, // 143: GOTO 147 ON 't'
  0x00FFFFFF, // 144: HALT
  0x74740093, // 145: GOTO 147 ON 't'
  0x00FFFFFF, // 146: HALT
  0xFE000004, // 147: TAKE 4
  0x00FFFFFF, // 148: HALT
};

} // namespace AGC

} // namespace STRIP

#ifndef REFLEX_CODE_DECL
#include <reflex/pattern.h>
#define REFLEX_CODE_DECL const reflex::Pattern::Opcode
#endif

namespace AGC {
namespace STRIP {

extern REFLEX_CODE_DECL reflex_code_YATTR_REF[35] =
{
  0x4C4C0014, // 0: GOTO 20 ON 'L'
  0x4040000C, // 1: GOTO 12 ON '@'
  0x2F2F0006, // 2: GOTO 6 ON '/'
  0x2222000A, // 3: GOTO 10 ON '"'
  0x0A0A0010, // 4: GOTO 16 ON '\n'
  0x00FF0012, // 5: GOTO 18 ON 00-ff
  0xFE000006, // 6: TAKE 6
  0x2F2F0019, // 7: GOTO 25 ON '/'
  0x2A2A0017, // 8: GOTO 23 ON '*'
  0x00FFFFFF, // 9: HALT
  0xFE000002, // 10: TAKE 2
  0x00FFFFFF, // 11: HALT
  0xFE000006, // 12: TAKE 6
  0x7D7D001D, // 13: GOTO 29 ON '}'
  0x7B7B001F, // 14: GOTO 31 ON '{'
  0x00FFFFFF, // 15: HALT
  0xFE000005, // 16: TAKE 5
  0x00FFFFFF, // 17: HALT
  0xFE000006, // 18: TAKE 6
  0x00FFFFFF, // 19: HALT
  0xFE000006, // 20: TAKE 6
  0x22220021, // 21: GOTO 33 ON '"'
  0x00FFFFFF, // 22: HALT
  0xFE000001, // 23: TAKE 1
  0x00FFFFFF, // 24: HALT
  0x08000012, // 25: GOTO 18 ON EOL
  0x0BFF0019, // 26: GOTO 25 ON '\v'-ff
  0x0AFFFFFF, // 27: HALT ON '\n'-ff
  0x00090019, // 28: GOTO 25 ON 00-'\t'
  0xFE000003, // 29: TAKE 3
  0x00FFFFFF, // 30: HALT
  0xFE000004, // 31: TAKE 4
  0x00FFFFFF, // 32: HALT
  0xFE000002, // 33: TAKE 2
  0x00FFFFFF, // 34: HALT
};

} // namespace AGC

} // namespace STRIP

#ifndef REFLEX_CODE_DECL
#include <reflex/pattern.h>
#define REFLEX_CODE_DECL const reflex::Pattern::Opcode
#endif

namespace AGC {
namespace STRIP {

extern REFLEX_CODE_DECL reflex_code_LATTR_REF[35] =
{
  0x4C4C0014, // 0: GOTO 20 ON 'L'
  0x4040000C, // 1: GOTO 12 ON '@'
  0x2F2F0006, // 2: GOTO 6 ON '/'
  0x2222000A, // 3: GOTO 10 ON '"'
  0x0A0A0010, // 4: GOTO 16 ON '\n'
  0x00FF0012, // 5: GOTO 18 ON 00-ff
  0xFE000006, // 6: TAKE 6
  0x2F2F0019, // 7: GOTO 25 ON '/'
  0x2A2A0017, // 8: GOTO 23 ON '*'
  0x00FFFFFF, // 9: HALT
  0xFE000002, // 10: TAKE 2
  0x00FFFFFF, // 11: HALT
  0xFE000006, // 12: TAKE 6
  0x7D7D001D, // 13: GOTO 29 ON '}'
  0x7B7B001F, // 14: GOTO 31 ON '{'
  0x00FFFFFF, // 15: HALT
  0xFE000005, // 16: TAKE 5
  0x00FFFFFF, // 17: HALT
  0xFE000006, // 18: TAKE 6
  0x00FFFFFF, // 19: HALT
  0xFE000006, // 20: TAKE 6
  0x22220021, // 21: GOTO 33 ON '"'
  0x00FFFFFF, // 22: HALT
  0xFE000001, // 23: TAKE 1
  0x00FFFFFF, // 24: HALT
  0x08000012, // 25: GOTO 18 ON EOL
  0x0BFF0019, // 26: GOTO 25 ON '\v'-ff
  0x0AFFFFFF, // 27: HALT ON '\n'-ff
  0x00090019, // 28: GOTO 25 ON 00-'\t'
  0xFE000003, // 29: TAKE 3
  0x00FFFFFF, // 30: HALT
  0xFE000004, // 31: TAKE 4
  0x00FFFFFF, // 32: HALT
  0xFE000002, // 33: TAKE 2
  0x00FFFFFF, // 34: HALT
};

} // namespace AGC

} // namespace STRIP

