%{
#include <stdlib.h>
#include <string.h>

#include "types.h"
#include "parser.h"
%}

%% 

\n         return('\n');
[ \t\f]    ;  
[0-9]+     { return(NUM);
              @{ sscanf(yytext,"%d",&@NUM.iVal@); @}
           }
\(         return('(');
\)         return(')');
\+         return('+');
\-         return('-');
\*         return('*');
\/         return('/');
\=         return('=');
\^         return('^');
.          { return(ERROR);
             @{ @ERROR.eVal@ = yytext[0]; @}

           }

%%
int yywrap(void){return 1;}

int
main (int argc, char *argv[])
{ int status;
  yypstate *ps;

#if YYDEBUG
  if (getenv("YYDEBUG") != 0) yydebug = 1;
#endif

  if (argc > 1) {
    yyin = fopen (argv[argc-1], "r");
    if (!yyin) {
       perror (argv[argc-1]);
       exit(-1);
    }
  } else
    yyin = stdin;

  ps = yypstate_new();
  do {
    YYSTYPE yylval;
    int yychar = yylex(&yylval);
    status = yypush_parse(ps, yychar, &yylval);
  } while (status == YYPUSH_MORE);
  yypstate_delete (ps);
}
