#ifndef UTIL_H_INCLUDED
#define UTIL_H_INCLUDED

#include "myprefix.h"

extern int       yylex(YYSTYPE *,YYLTYPE *);
extern void      yyerror(YYLTYPE *,const char *);

/* from the lexer */
extern int       yyyinput(void);

/* used by lexer */
extern void      eat_comment(const char *end,int *yycolno,int *yylineno);
extern char     *addSymbolIfNew(symTable,YYLTYPE *,char *);
extern void      dumpSymbolTable(void);

/* used by parser */
extern symTable  g_SymbolTable(void);
extern symbol    newConst(symTable,YYLTYPE,char *,int);
extern YYLTYPE   locSpan(YYLTYPE,YYLTYPE);
extern int       valOf(symTable,YYLTYPE,char *);
extern symbol    newType(symTable,YYLTYPE,char *,typeSpecT);
extern typeSpecT makeEnumType(YYLTYPE,enumListT);
extern typeSpecT makeSubrangeType(YYLTYPE,int,int);
extern typeSpecT typeOf(symTable,YYLTYPE,char *);
extern enumListT newEnum(symTable,YYLTYPE,char *);
extern enumListT addToEnum(symTable,YYLTYPE,enumListT,char *);

#endif /* !UTIL_H_INCLUDED */
