/*  a simple expression grammar. */ 

%token CONST  
%start s   
@attributes {long val;} s e t f CONST 

%{ 
#include <stdio.h>

#if YYBTYACC && !YYBYACC
/* the `btyacc' 3.0 skeleton omits the following */
#include "parser.h"
#endif

long sVal; 

extern int yylex(void);

#if YYBTYACC && !YYBYACC
void yyerror(const char *, ...);
#else
void yyerror(const char *);
#endif
%} 

%%
s	: 	e			@{ @i sVal = @s.val@ = @e.val@;    @} 
	; 

e	:	e 	'+'	t 	@{ @i @e.0.val@ = 
                                                 @e.1.val@ + @t.val@;      @}
	|	t			@{ @i @e.val@ = @t.val@;           @}
	;

t	:	t	'*'	f	@{ @i @t.0.val@ = @t.1.val@ * 
                                                          @f.val@;         @}
	| 	f			@{ @i @t.val@ = @f.val@;           @}
	;

f	:	'('	e	')'    	@{ @i @f.val@ = @e.val@;           @}
	|	CONST 			@{ @i @f.val@ = @CONST.val@;       @}	
	;
%% 
#if YYBTYACC && !YYBYACC
void yyerror(const char *s, ...)
{extern int yylineno;
 fprintf(stderr,"Near line %d: %s\n",yylineno,s); 
 yyyabort(); 
}  
#else  
void yyerror(const char *s)
{fprintf(stderr,"%s\n",s);
 yyyabort(); 
}
#endif

int yyparse();

int main(int argc, char *argv[]) 
  {
   yyparse(); 
   fprintf(stderr,"%ld\n",sVal); 
  } 

