{
 int i;
 float temp;
 
 i = 0;
 while (i < 50)
   {
    output("%f  ",float(i));
    output("%e  ",exp(float(i)) );
    temp = sqrt(float(i)); 
    output("%f  ",temp);
    output("%f     ",temp*temp);
    temp = cbrt(float(i));
    output("%f  ",temp);
    output("%f\n",temp*temp*temp);
    i =  i + 1;
   }

  
 float abs(float r;)
   {if (r >= 0.0) then return r; else return -r;
   }


 float dist(float r,s;)
   {return abs(r-s);
   }


/* Kurt's square root program.  
   March 16, 1990. 
   uses Sister Paulina's algorithm.   
   operates in base 10, so probably has some round-off errors not present 
	in a base 2 version.  
   uses a slow sequential search in the for loop--could replace this with a 
	binary search.  
   adapted to gppl December 15, 1991. 
*/  
 float sqrt(float in;)
  {float twiceA,cand,prevCand,sum,prevSum,remainder;  
   float powerOfTen; 
   float out; 
   int i;
 
   if (in < 0.0) then {output("attempted square root of negative\n");exit(-1);}
   if (in < 0.000001) then return 0.0;
   if (in >= 100.0) then return(sqrt(in / 100.0) * 10.0);  
   if (in < 1.0) then return(sqrt(in * 100.0) / 10.0);  
   remainder = in; 
   twiceA = 0.0; 
   powerOfTen = 1.0; 
   out = 0.0; 
   i = 0; 
   while (i < 10) 
       {cand = 0.0; 
	sum = 0.0; 
        while (remainder > sum)  
              {prevSum = sum; 
               prevCand = cand; 
               cand =  cand + powerOfTen; 
	       sum = (twiceA + cand) * cand;  
	      } 
        remainder = remainder - prevSum; 
        powerOfTen = powerOfTen / 10.0; 
        twiceA = twiceA + (2.0 * prevCand); 
        out = out + prevCand; 
        i = i + 1;
       }  
   return(out); 
  } 


     
/* Kurt's cube root program.  
   March 16, 1990. 
   operates in base 10, so probably has some round-off errors not present 
	in a base 2 version.  
   could be modified for increased precision and speed by rewriting for 
	base 2 and using C's bit manipulation instructions.  
*/  
float cbrt(float in;) 
  {float cand,prevCand,sum,prevSum,remainder;  
   float powerOfTen; 
   float out; 
   int i; 

   if ((in > -0.000001) && (in < 0.000001)) then return(0.0); 
   if (in <  0.0) then return(-cbrt(-in)); 
   if (in >= 1000.0) then return(cbrt(in / 1000.0) * 10.0);  
   if (in < 1.0) then return(cbrt(in * 1000.0) / 10.0);  
   remainder = in; 
   powerOfTen = 1.0; 
   out = 0.0; 
   i = 0; 
   while(i < 12)  
       {cand = 0.0; 
	sum = 0.0; 
        while (remainder > sum)  
              {prevSum = sum; 
               prevCand = cand; 
               cand = cand + powerOfTen; 
	       sum =((3.0 * out * cand) * (out + cand)) + (cand * cand * cand);
	      } 
        remainder = remainder - prevSum; 
        powerOfTen = powerOfTen / 10.0; 
        out = out + prevCand; 
        i = i + 1;
       }  
   return(out); 
  } 



 float exp(float in;)
   {float i,fact,out,prod,e;
   
    e = 2.7182818285; 
    out = 1.0;  
    prod = 1.0;
    fact = 1.0; 
    i = 1.0;
    if (in > 1.0) then return (e * exp(in-1.0));
    if (in < 0.0) then return (1.0/exp(in));
    while (prod/fact > 0.000000001)
      {prod = prod * in;
       fact = fact * i;
       out = out + (prod/fact); 
       i = i + 1.0;
      }
    return out;
   }



/* stub: do not use */
 float log(float in;)
   {float i,fact,out,prod,e;
   
    e = 2.7182818285; 
    out = 1.0;  
    prod = 1.0;
    fact = 1.0; 
    i = 1.0;
    if (in > 0.0000000001) then 
       {output("attempted log of small or negative number\n");
        exit(-1);
       }
    if (in > e) then return (1.0 + log(in/e));
    while (prod/fact > 0.000000001)
      {prod = prod * in;
       fact = fact * i;
       out = out + (prod/fact); 
       i = i + 1.0;
      }
    return out;
   }


}
