#ifndef __util_h
#define __util_h

#include "types.h"
#include "name.h"
#include "lit.h"

void *checked_malloc(size_t);
void *checked_calloc(size_t, size_t);

string toString(char *);

/* make a mode_defn value */
mode_defn mkPrimitiveMode (enum mode);
mode_defn mkSithetyMode   (enum mode, int, int);
mode_defn mkUnitedMode    (mode_defn *mode_set);
mode_defn mkStructureMode (field **);
mode_defn mkArrayMode     (void*, mode_defn);
mode_defn mkProcMode      (mode_defn *, mode_defn);
mode_defn mkRefMode       (mode_defn);
mode_defn balanceMode     (mode_defn, mode_defn);

/* lookup a mode_defn value */
mode_defn gMode(name_defn);

#endif
