%s GEN ADECL AADECL ADS MAC TRDECL TT
%s LD LRP LRRE LRRE1 LRA LRAAD LUS  
 
%{
/* $Id: agc4.L 2625 2022-08-02 02:07:14Z teshields $ */

/* The information in this file is the intellectual property of 
 * Kurt M. Bischoff.  It may not be used, copied, or transferred 
 * without permission from the author. 
 *
 * Copyright (c) 1992, Kurt M. Bischoff.  All rights reserved.
 *
 * Beta Test Release--not for general distribution.
 */ 

#ifdef REFLEX_VERSION
#define yyout yy4out
#define YY_SCANNER YY4_SCANNER
#endif

#include <stdlib.h>
 
#include "glob.h" 
#include "opts.h" 
#include "scan.h"
#include "YYLENG_INT.h" 

static int done = 0;
static int yfileMarkSeen = 0;
%}

WS		[ \t\f]+
OPTWS		[ \t\f]*
NON_WS		[^ \t\f\n]
GS (('([^\\'\n]|(\\([ntvbrfa\\?'"]|([0-7]{1,3}))))')|([a-zA-Z_][a-zA-Z_0-9.]*)) 
IDENT ([a-zA-Z][a-zA-Z0-9]*)

%%
<INITIAL>.                   {BEGIN GEN; unput(*yy4text);}
<GEN>\/\*                    eatCommentAndEcho(outG,1); 
<GEN>\"                      eatStringAndEcho(outG); 
<GEN>\\\"                    stringOut(yy4text,outG);   
<GEN>@attributes             if (yy4in == yoxInG) BEGIN ADECL;
<GEN>@macro                  if (yy4in == yoxInG) BEGIN MAC;
<GEN>@traversal              if (yy4in == yoxInG) BEGIN TRDECL;
<GEN>@\{                     BEGIN ADS;
<GEN>"%%"                    {if (++yfileMarkSeen == 2) BEGIN TT;
                              stringOut(yy4text,outG);
                             }
<GEN>.|\n                    charOut(yy4text[0],outG);
<ADECL,MAC,ADS>\/\*          eatCommentAndEcho(nowhere,1); 
<MAC,ADS>\"                  eatStringAndEcho(nowhere); 
<MAC,ADS>\\\"                ;   
<ADECL>\}                    BEGIN AADECL;
<AADECL>\/\*                 eatCommentAndEcho(outG,1); 
<AADECL>{GS}                 ;
<AADECL>[ \t\n\f\v]          ;    
<AADECL>.                    {unput(*yy4text); BEGIN GEN;}   
<MAC>\\@/end                 ;    
<MAC>@end                    BEGIN GEN; 
<TRDECL>\/\*                 eatCommentAndEcho(outG,1); 
<TRDECL>[ \t\n\f\v]          charOut(*yy4text,outG);    
<TRDECL>@postorder           ;
<TRDECL>@preorder            ;
<TRDECL>@lefttoright         ;
<TRDECL>@righttoleft         ;
<TRDECL>@disable             ;
<TRDECL>{IDENT}              ;
<TRDECL>.                    {unput(*yy4text); BEGIN GEN;}   
<ADS>@\}                     BEGIN GEN;
<ADECL,MAC,ADS>.|\n          ;    
<TT>\n|.                     {if (done) {unput(*yy4text); BEGIN LD;}
			      charOut(*yy4text,outG); 
		             }
<LD>(\%\%)(.*)               {BEGIN LRP; stringOut(yy4text,outL); }  
<LD>.|\n                     charOut(*yy4text,outL);    
<LRP>.*\n/{NON_WS}           {stringOut(yy4text,outL); BEGIN LRRE; nLbraces = 0;}  
<LRP>.*\n                    stringOut(yy4text,outL);  
<LRRE>^\%\%.*\n              {BEGIN LUS; stringOut(yy4text,outL); }  
<LRRE>{WS}\%\{               {stringOut(yy4text,outL); BEGIN LRRE1;}   
<LRRE>{OPTWS}\n              stringOut(yy4text,outL);  
<LRRE1>\%\}.*                {stringOut(yy4text,outL); BEGIN LRRE;}   
<LRRE,LRRE1,LRA>\/\*         eatCommentAndEcho(outL,1); 
<LRRE1,LRA>\\\"              stringOut(yy4text,outL);  
<LRRE1>\"                    eatStringAndEcho(outL); 
<LRRE1>.|\n                  charOut(*yy4text,outL);   
<LRRE>{WS}\|.*\n             stringOut(yy4text,outL);   
<LRRE>{WS}                   {stringOut(yy4text,outL); nLbraces = 0; 
                              BEGIN LRA; line = yy4lineno;
                             }  
<LRRE>(^({OPTWS}))/"/*"      stringOut(yy4text,outL); /* the culprit */  
<LRRE>^{WS}([^/\n]|"/"[^*\n])*("/"?)\n	{
                             yerror("indented code found outside of action\n");
                                        } 
<LRRE>"["([^\\\]\n]|(\\([ntvbrfa\\?]|([0-7]{1,3}))))+"]" stringOut(yy4text,outL); 
<LRRE>.                      charOut(*yy4text,outL); 
<LRA>\"                      eatStringAndEcho(outL); 
<LRA>@\{                     BEGIN LRAAD; 
<LRA>\{                      {charOut('{',outL); nLbraces++;}
<LRA>\}                      {charOut('}',outL); nLbraces--;} 
<LRA>{GS}                    stringOut(yy4text,outL);/* don't count  '{' or '}' */ 
<LRA>\n                      {charOut('\n',outL); if(nLbraces == 0) BEGIN LRRE;}
<LRA>.                       charOut(*yy4text,outL);  
<LRAAD>\/\*                  eatCommentAndEcho(nowhere,1); 
<LRAAD>\"                    eatStringAndEcho(nowhere); 
<LRAAD>\\\"                  ; 
<LRAAD>@\}                   BEGIN LRA;
<LRAAD>.|\n                  ; 
<LUS>\n|.                    charOut(*yy4text,outL);   
%%
#ifdef REFLEX_VERSION
#undef yy4text
#undef yy4leng
#undef yy4lineno
#endif

void scanInit4(void)
  {
   whichScanner = 4;
   plineno = &yy4lineno; 
#ifndef REFLEX_VERSION
   ptext = yy4text; 
   pleng = &yy4leng; 
#endif
   yfileMarkSeen = 0;
   yy4in = yoxInG; 
   inFileStr = yoxInFileStrG; 
  } 

int yy4ScnState(void) {return YYSTATE;}

int yy4wrap(void)
  {if (eatCom) {yerror("error: unterminated comment.\n");
                fprintf(stderr, "comment began at line %5d\n",line);  
                goto err1;  
               } 
   if (eatStr) {yerror("error: unterminated string.\n");
                fprintf(stderr,"string began at line %5d\n",line);  
                goto err1;  
               } 
   if (yy4in != yoxInG) currentLfile++; 
   if (currentLfile == nLfiles) 
      return(1);  
      else 
      {done = 1;
       yy4lineno = 1; 
       yy4in = Lfile[currentLfile].inPtr; 
       inFileStr = Lfile[currentLfile].inName; 
       return(0);  
      }
err1:
   rmTempFiles();
   exit(-1);
  } 

#if defined(FLEX_SCANNER) || defined(REFLEX_VERSION)
#if defined(__cplusplus)
int yy4input(void) {return yyinput();} /* `flex' with C++ compiler, or `reflex' */
#else
int yy4input(void) {return input();} /* `flex' with C compiler */
#endif
#endif
