// A Bison parser, made by GNU Bison 3.8.2.

// Skeleton implementation for Bison GLR parsers in C

// Copyright (C) 2002-2015, 2018-2021 Free Software Foundation, Inc.

// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <https://www.gnu.org/licenses/>.

// As a special exception, you may create a larger work that contains
// part or all of the Bison parser skeleton and distribute that work
// under terms of your choice, so long as that work isn't itself a
// parser generator using the skeleton or a modified version thereof
// as a parser skeleton.  Alternatively, if you modify or redistribute
// the parser skeleton itself, you may (at your option) remove this
// special exception, which will cause the skeleton and the resulting
// Bison output files to be licensed under the GNU General Public
// License without this special exception.

// This special exception was added by the Free Software Foundation in
// version 2.2 of Bison.

// C++ GLR parser skeleton written by Valentin Tolmer.

// DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
// especially those whose name start with YY_ or yy_.  They are
// private implementation details that can be changed or removed.

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "glr2.cc"


// "%code top" blocks.
#line 78 "agc-bison.yy"

// hack to avoid a 'yydebug' global in every parser
#define yydebug agc_bison_debug

#line 56 "agc-bison.cc"



// First part of user prologue.
#line 53 "agc-bison.yy"

/* $Id: agc-bison.yy 2842 2022-12-13 01:19:44Z teshields $ */

/* This file is part of Ox, an Attribute Grammar Compiling System
   that augments the specification functionality of Lex and Yacc, and
   input specification compatible lexer and parser generators.

   Copyright (C) 1992-1994  Kurt M. Bischoff
   Copyright (C) 2004-2022  Thomas E. Shields

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

#line 85 "agc-bison.cc"


# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "agc-bison.hh"

namespace
{
  /* Default (constant) value used for initialization for null
     right-hand sides.  Unlike the standard yacc.c template, here we set
     the default value of $$ to a zeroed-out value.  Since the default
     value is undefined, this behavior is technically correct.  */
  AGC::bison::value_type yyval_default;
}


// Unqualified %code blocks.
#line 400 "agc-bison.yy"

#include "config.h"

#include <iomanip>
#include <ostream>
#include <sstream>

#include "bison-directives.hh"
#include "codegen.hh"
#include "ctc.hh"
#include "depGs.hh"
#include "fileMgr.hh"
#include "joinTabs.hh"
#include "mac.hh"
#include "messages.hh"
#include "opts.hh"
#include "outMgr.hh"
#include "scan.hh"
#include "symTrans.hh"
#include "trav.hh"
#include "treeviz.hh"

// =true if an '@attributes' declaration has occurred
static bool oxAttrbsDecl = false;

// record whether the @autoinh or @autosyn automatic copy rule attribute
// modifier has been seen in the current attribute declaration
static enum attrbDirection autoDef = undefined;

// =true if an '@warn' automatic copy rule attribute modifier has occurred in
// the current attribute declaration
static bool autoWarning = false;

// holds attribute information unique to each 'sort' from the current
// @attributes declaration until ready to add the information to the symbol
// table for each of the grammar symbols of that 'sort'
static sort gSymSort;

// an increasing sequence of sort serial numbers representing the kind of a
// semantic node in the parse tree
static int sortTypeNumSeq = firstSortTypeNum;

// the collection of all defined attribute sorts
static sortCollection sortTable;

// The vector sortSeq holds the list of attributes for the 'sort' (@attributes)
// declaration being processed.  The i-th element of sortSeq is a structure that
// holds the name and copy rule (@autoinh or @autosym, @warn) annotation (or
// default) of the ith attribute of the @attributes declaration being processed.
static sortAttrbSeq sortSeq;

// for checking dynamic traversal modifier restrictions
struct dynTravMod
{
  std::string id;
  int orderRev;            // count the @revorder occurrences
  int dirRev;              // count the @revdirectdion occurrences
  AGC::location dirRevLoc; // @revdirection location (first, if dirRev > 1)

  dynTravMod (std::string i)
      : id (i),
        orderRev (0),
        dirRev (0)
  {}
};

static std::vector<dynTravMod> dynTravModArr;

static int dynTravModSeq;

// =true if "@attributes { ... }" are not all '@void'
static bool hasConcreteType = false;

// checking whether "%destructor { ... } <*>" or "%printer { ... } <*>" occurs
static bool hasDefaultTypedSymbol = false;

#include "agc-Yfile-lexer.hh"

namespace AGC
{
class bisonLexer : public YFILE::Lexer
{
public:

  inline bisonLexer (Yfile_specIO& fR,
#if defined(WITH_REFLEX)
                              const reflex::Input& input
#else // defined(WITH_FLEX)
                              std::ifstream& input
#endif
                             )
      : YFILE::Lexer (fR, input)
  {}

  inline int
  yylex (parser::value_type& yylval, location& yylloc)
  {
    return YFILE::Lexer::yylex (yylval, yylloc);
  }

  inline int
  yylex (parser::value_type* yylval, location* yylloc)
  {
    return YFILE::Lexer::yylex (yylval, yylloc);
  }

  // convert bison -> Y-file parser 'value_type&'
  // lexical tokens in all parser variants are identical
  inline int
  yylex (bison::value_type& yylval, location& yylloc)
  {
    return yylex (reinterpret_cast<parser::value_type&> (yylval), yylloc);
  }

  // convert bison -> Y-file parser 'value_type*'
  // lexical tokens in all parser variants are identical
  inline int
  yylex (bison::value_type* yylval, location* yylloc)
  {
    return yylex (reinterpret_cast<parser::value_type*> (yylval), yylloc);
  }

  inline int
  yylex () // should never be called
  {
    return parser::symbol_kind::S_YYerror;
  }
};
} // namespace AGC

// override Bison default
#define yylex theLexer.yylex

#line 247 "agc-bison.cc"


#include <cstdio>
#include <cstdlib>

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

// Whether we are compiled with exception support.
#ifndef YY_EXCEPTIONS
# if defined __GNUC__ && !defined __EXCEPTIONS
#  define YY_EXCEPTIONS 0
# else
#  define YY_EXCEPTIONS 1
# endif
#endif

#ifndef YYFREE
# define YYFREE free
#endif
#ifndef YYMALLOC
# define YYMALLOC malloc
#endif

#ifndef YYSETJMP
# include <setjmp.h>
# define YYJMP_BUF jmp_buf
# define YYSETJMP(Env) setjmp (Env)
/* Pacify Clang and ICC.  */
# define YYLONGJMP(Env, Val)                    \
 do {                                           \
   longjmp (Env, Val);                          \
   YYASSERT (0);                                \
 } while (false)
#endif

#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* The _Noreturn keyword of C11.  */
#ifndef _Noreturn
# if (defined __cplusplus \
      && ((201103 <= __cplusplus && !(__GNUC__ == 4 && __GNUC_MINOR__ == 7)) \
          || (defined _MSC_VER && 1900 <= _MSC_VER)))
#  define _Noreturn [[noreturn]]
# elif ((!defined __cplusplus || defined __clang__) \
        && (201112 <= (defined __STDC_VERSION__ ? __STDC_VERSION__ : 0) \
            || (!defined __STRICT_ANSI__ \
                && (4 < __GNUC__ + (7 <= __GNUC_MINOR__) \
                    || (defined __apple_build_version__ \
                        ? 6000000 <= __apple_build_version__ \
                        : 3 < __clang_major__ + (5 <= __clang_minor__))))))
   /* _Noreturn works as-is.  */
# elif (2 < __GNUC__ + (8 <= __GNUC_MINOR__) || defined __clang__ \
        || 0x5110 <= __SUNPRO_C)
#  define _Noreturn __attribute__ ((__noreturn__))
# elif 1200 <= (defined _MSC_VER ? _MSC_VER : 0)
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#if defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_NULL_DEREFERENCE_BEGIN                               \
  _Pragma ("GCC diagnostic push")                                       \
  _Pragma ("GCC diagnostic ignored \"-Wnull-dereference\"")
# define YY_IGNORE_NULL_DEREFERENCE_END         \
  _Pragma ("GCC diagnostic pop")
#else
# define YY_IGNORE_NULL_DEREFERENCE_BEGIN
# define YY_IGNORE_NULL_DEREFERENCE_END
#endif

# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif
# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif

// FIXME: Use the same conventions as lalr1.cc.

#ifndef YYASSERT
# define YYASSERT(Condition) ((void) ((Condition) || (abort (), 0)))
#endif

#ifdef YYDEBUG
# define YYDASSERT(Condition) YYASSERT(Condition)
#else
# define YYDASSERT(Condition)
#endif

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  5
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   4011

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  138
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  145
/* YYNRULES -- Number of rules.  */
#define YYNRULES  357
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  482
/* YYMAXRHS -- Maximum number of symbols on right-hand side of rule.  */
#define YYMAXRHS 7
/* YYMAXLEFT -- Maximum number of symbols to the left of a handle
   accessed by $0, $-1, etc., in any rule.  */
#define YYMAXLEFT 0

namespace
{
#if YYDEBUG
  /* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
  const short yyrline[] =
  {
       0,   536,   536,   541,   545,   556,   540,   568,   572,   576,
     580,   588,   592,   596,   607,   608,   609,   610,   614,   621,
     630,   629,   654,   671,   688,   708,   709,   717,   716,   727,
     731,   735,   739,   756,   762,   769,   773,   779,   796,   803,
     802,   813,   822,   826,   830,   834,   838,   842,   843,   859,
     859,   876,   875,   928,   927,   939,   943,   938,   959,   963,
     967,   976,   994,   999,  1006,  1015,  1019,  1036,  1056,  1064,
    1071,  1099,  1106,  1107,  1111,  1115,  1119,  1123,  1130,  1139,
    1157,  1161,  1176,  1194,  1199,  1203,  1210,  1214,  1221,  1225,
    1229,  1233,  1240,  1244,  1251,  1260,  1278,  1282,  1297,  1315,
    1322,  1323,  1327,  1328,  1350,  1358,  1359,  1363,  1364,  1365,
    1369,  1373,  1374,  1378,  1385,  1386,  1390,  1398,  1399,  1403,
    1411,  1416,  1415,  1438,  1437,  1462,  1466,  1473,  1477,  1504,
    1508,  1530,  1535,  1539,  1543,  1547,  1554,  1558,  1565,  1589,
    1593,  1617,  1618,  1622,  1623,  1627,  1628,  1629,  1630,  1634,
    1635,  1639,  1677,  1696,  1703,  1707,  1714,  1718,  1737,  1741,
    1748,  1749,  1753,  1758,  1762,  1767,  1775,  1779,  1786,  1790,
    1809,  1813,  1837,  1841,  1863,  1885,  1889,  1893,  1913,  1934,
    1964,  1991,  1996,  2003,  2007,  2029,  2034,  2039,  2044,  2052,
    2053,  2057,  2070,  2074,  2085,  2086,  2090,  2091,  2095,  2102,
    2106,  2110,  2114,  2118,  2125,  2126,  2131,  2130,  2177,  2176,
    2187,  2191,  2199,  2198,  2209,  2213,  2214,  2215,  2219,  2220,
    2224,  2225,  2226,  2236,  2243,  2256,  2260,  2267,  2271,  2272,
    2273,  2274,  2275,  2282,  2283,  2287,  2289,  2290,  2292,  2296,
    2301,  2300,  2334,  2335,  2336,  2337,  2341,  2348,  2349,  2353,
    2357,  2358,  2359,  2368,  2434,  2449,  2484,  2488,  2495,  2510,
    2515,  2534,  2542,  2561,  2565,  2569,  2574,  2581,  2588,  2603,
    2608,  2627,  2635,  2639,  2643,  2650,  2659,  2660,  2664,  2696,
    2703,  2708,  2717,  2718,  2719,  2726,  2777,  2776,  2801,  2805,
    2810,  2809,  2832,  2831,  2858,  2870,  2874,  2875,  2882,  2886,
    2887,  2888,  2889,  2893,  2894,  2898,  2902,  2906,  2918,  2922,
    2926,  2927,  2928,  2932,  2933,  2934,  2935,  2939,  2940,  2941,
    2942,  2943,  2944,  2945,  2946,  2947,  2948,  2949,  2950,  2951,
    2952,  2953,  2954,  2955,  2956,  2957,  2958,  2959,  2960,  2961,
    2962,  2963,  2964,  2965,  2966,  2967,  2968,  2969,  2970,  2971,
    2972,  2973,  2974,  2975,  2976,  2977,  2978,  2979
  };
#endif

#define YYPACT_NINF -398
#define YYTABLE_NINF -306

  // YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
// STATE-NUM.
  const short yypact[] =
  {
    -398,    83,  -398,  -398,  3924,  -398,    16,  -398,  -398,    85,
     127,  -398,  -398,  -398,  -398,    30,  -398,  -398,    64,   152,
     107,   113,  -398,  -398,   166,   166,   225,   225,   191,   250,
     258,   225,   166,   282,  -398,  -398,  -398,  -398,  -398,   326,
      45,    50,  -398,   241,  2498,  -398,  -398,   492,  3344,   365,
    -398,  -398,  -398,  -398,  -398,  -398,   267,  -398,  -398,   492,
     906,  -398,  3586,   770,  -398,  -398,  -398,  3673,  -398,  -398,
    -398,  -398,   269,   309,  3421,    18,  3498,    18,  -398,  -398,
     289,   298,  2415,  -398,   492,  -398,   324,   265,  -398,  -398,
    -398,  -398,  -398,    69,   263,  3268,  -398,  -398,  -398,   260,
     365,  2475,  -398,  3003,  -398,  2563,   366,   377,   369,    15,
     383,  -398,  -398,  2519,  -398,    15,   490,   490,  -398,  3760,
    -398,  -398,  -398,  -398,  2651,  -398,   309,  -398,  -398,  -398,
    3091,  -398,    18,  -398,   -19,   233,     1,   270,  -398,  -398,
      23,  -398,  -398,  -398,    12,   388,  -398,  -398,  -398,  -398,
    -398,   389,  -398,  -398,   130,  -398,  1488,   263,  -398,    35,
     492,  -398,  -398,  3179,  -398,  -398,   365,  -398,  -398,   394,
    -398,  -398,  -398,  -398,  -398,  -398,    53,  -398,  -398,  2739,
    -398,   395,   397,  -398,   402,   403,  2827,  -398,  -398,  -398,
    -398,   309,  -398,  2915,    18,  -398,  3267,   248,   391,  -398,
       2,  -398,  -398,  -398,  -398,   298,   236,    12,    51,  -398,
       5,  -398,    12,  -398,   259,  -398,  3847,  -398,   339,  -398,
    -398,  -398,  1754,  -398,  -398,   217,  2398,    55,     0,  -398,
    -398,   308,  -398,  -398,  -398,  -398,  -398,  -398,  -398,  -398,
    -398,  -398,   384,  -398,  2239,  2239,  -398,  -398,   634,  -398,
     390,  -398,    12,   217,    52,   371,  -398,  -398,   421,   407,
    -398,  -398,  -398,   492,   393,  -398,   268,  -398,  -398,  -398,
    -398,  -398,  -398,    52,  2507,  -398,   492,  -398,  -398,  -398,
    -398,   166,   236,  2354,   374,   375,   380,   323,   166,  2252,
    2265,  -398,  -398,  2367,  -398,  -398,  -398,  -398,  -398,  -398,
    -398,  -398,  -398,  -398,   396,  -398,  -398,  -398,   398,  -398,
    -398,  -398,  -398,  -398,   355,   399,  -398,  2235,  -398,  -398,
    2391,  -398,  -398,  -398,   433,  2338,  -398,  -398,    22,  -398,
    -398,  -398,  -398,  -398,  -398,   328,  -398,  -398,  -398,  -398,
     245,  -398,  -398,   494,    39,    39,  -398,  -398,   438,   373,
     381,  -398,  -398,  -398,  -398,   220,  -398,   432,  1437,  -398,
    -398,  -398,  -398,  -398,   385,  -398,  -398,     6,  -398,  -398,
     387,  -398,  -398,  1038,  -398,  -398,  -398,  -398,  -398,   357,
     631,  -398,  -398,  -398,  -398,  -398,  -398,  -398,  -398,  -398,
    -398,  -398,  -398,  -398,  -398,  -398,  -398,  -398,  -398,  -398,
    -398,  -398,  -398,  -398,  -398,  -398,  -398,  -398,  -398,  -398,
    -398,  -398,  -398,  -398,  -398,  -398,  -398,  -398,  -398,  -398,
    -398,  -398,  -398,  -398,  -398,  -398,   494,  -398,   415,    81,
    -398,  -398,  -398,  -398,  -398,  -398,  1171,  1570,  -398,  -398,
    -398,   437,   415,  -398,  -398,  -398,  -398,  -398,  1703,  -398,
     439,  -398,  -398,  -398,   494,  -398,  1304,   410,   410,   768,
     905,  -398,  -398,  -398,  -398,  -398,  -398,  -398,  -398,  -398,
    -398,  -398,  -398,   768,  -398,  -398,  1836,  1969,  2102,  -398,
    -398,  -398
  };

  // YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
// Performed when YYTABLE does not specify something else to do.  Zero
// means the default is an error.
  const short yydefact[] =
  {
      11,     0,     2,     3,     0,     1,     0,    18,    58,     0,
       0,    55,    74,    75,    76,     0,    92,    93,     0,     0,
       0,     0,    33,    77,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    12,    13,    15,    16,    17,     0,
       0,     0,     4,     0,     0,    53,   194,     0,     0,     0,
      63,    19,    26,    20,    29,    30,     0,    34,    27,     0,
       0,   102,     0,     0,    35,    38,    36,     0,    39,    41,
     121,   123,     0,     0,     0,     0,     0,     0,    14,    59,
       0,     0,     0,   114,     0,   120,     0,     0,   136,   137,
     132,   133,   131,     0,     0,     0,   129,   134,   135,     0,
       0,     0,    69,     0,    65,     0,     0,     0,     0,     0,
       0,   103,    44,     0,    43,     0,     0,     0,   113,     0,
     111,    84,    85,    83,     0,    80,     0,    87,    86,    99,
       0,    96,     0,     5,     0,     0,     0,     0,   118,   151,
       0,   149,    51,   115,     0,     0,   199,   200,   201,   202,
     203,     0,   195,   138,     0,   153,     0,     0,   174,     0,
       0,   130,    64,     0,    73,    71,     0,    66,    70,     0,
     101,   100,    89,    90,    91,    88,     0,   108,   107,     0,
     105,     0,     0,    47,     0,     0,     0,   126,   122,   124,
     112,     0,    81,     0,     0,    97,     0,     0,     0,   211,
       0,   204,   208,   206,   117,     0,     0,     0,     0,   141,
       0,   145,     0,   192,     0,   198,     0,   196,     0,   158,
     159,   152,     0,   156,   177,     0,     0,     0,     0,    67,
      21,     0,   110,   106,   104,    45,    46,    48,    82,    98,
      10,     6,     0,   205,     0,     0,   150,   191,     0,   189,
       0,   116,     0,     0,     0,     0,   143,   144,     0,     0,
     197,   178,   157,     0,     0,   167,     0,   170,   172,   185,
     186,   187,   188,     0,     0,   183,     0,   128,   109,   227,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   209,   212,     0,   218,   220,   224,   221,   222,   234,
     207,   190,   146,   142,     0,   165,   163,   164,     0,   161,
     193,    54,   173,   180,     0,     0,   184,     0,   238,   228,
       0,   230,   231,   229,     0,     0,   226,   236,     0,   219,
     148,   147,   169,   171,   179,     0,   237,   240,   213,   232,
       0,   252,   251,     0,     0,     0,   246,   286,     0,     0,
       0,   247,   249,   250,   261,     0,   253,     0,     0,   257,
     279,   267,   280,   281,     0,   276,   278,     0,   288,   241,
       0,   248,   271,     0,   256,   313,   314,   315,   354,     0,
       0,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   355,
     356,   357,   260,   262,   264,   263,     0,   277,     0,     0,
     268,   274,   275,   273,   270,   272,     0,     0,   254,   284,
     285,     0,     0,   297,   308,   290,   292,   289,     0,   287,
       0,   304,   265,   266,     0,   283,     0,     0,     0,     0,
       0,   298,   296,   300,   299,   303,   255,   307,   312,   306,
     310,   311,   309,     0,   291,   293,     0,     0,     0,   301,
     302,   294
  };

  // YYPGOTO[NTERM-NUM].
  const short yypgoto[] =
  {
    -398,  -398,  -398,  -398,  -398,  -398,  -398,  -398,  -398,  -398,
    -398,  -398,  -398,  -398,  -398,  -398,  -398,  -398,  -398,  -398,
    -398,  -398,  -398,  -398,  -398,   441,  -398,   340,   -10,   354,
     -49,   -53,  -398,  -398,  -398,   378,   -21,   -63,  -105,  -398,
    -398,   376,    26,   -24,     8,   212,   392,   110,  -398,   400,
    -398,   424,  -398,   470,  -398,  -398,   401,   426,  -151,   -93,
     418,  -398,  -398,  -398,    28,  -398,  -398,   -75,    84,  -398,
    -398,   290,  -398,   240,   261,  -398,  -398,   201,   -44,   141,
    -398,  -398,  -398,   242,  -398,   272,  -398,  -398,  -398,   301,
    -398,  -398,   386,  -398,  -398,  -398,   277,  -398,  -398,   243,
     -61,  -398,  -398,   -38,  -398,  -398,  -398,  -398,  -398,  -398,
    -398,   174,  -307,  -398,  -397,  -398,   144,  -327,  -341,  -305,
     148,  -398,  -398,   183,   -65,  -275,    87,  -398,  -398,  -398,
    -398,  -398,  -398,  -398,    72,  -206,    75,  -398,  -398,  -398,
      76,  -398,  -398,  -282,  -273
  };

  // YYDEFGOTO[NTERM-NUM].
  const short yydefgoto[] =
  {
       0,     1,     2,     6,    77,   197,     3,   133,   241,     4,
      34,    35,   106,    53,    36,   109,    37,   115,    64,    38,
      39,   206,    86,    46,   151,    43,    48,    49,   288,   103,
     104,   105,   165,    40,    74,   124,   125,   129,   289,    41,
      76,   130,   131,   290,    60,    61,   179,   180,   119,   120,
      82,    83,    84,    85,   116,   117,   188,    94,    95,    96,
      97,    98,   228,   208,   209,   210,   140,   211,   212,   221,
     222,   223,   256,   308,   264,   265,   266,   267,   268,   158,
     159,   273,   274,   275,   248,   249,   214,    87,   216,   217,
     152,   135,   136,   245,   244,   137,   291,   328,   292,   293,
     294,   295,   296,   199,   297,   298,   299,   338,   340,   348,
     349,   350,   351,   352,   356,   357,   358,   422,   363,   359,
     373,   434,   435,   364,   365,   366,   441,   442,   353,   368,
     429,   447,   457,   458,   474,   448,   462,   449,   450,   470,
     451,   456,   472,   463,   464
  };

  // YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
// positive, shift that token.  If negative, reduce the rule whose
// number is the opposite.  If YYTABLE_NINF, syntax error.
  const short yytable[] =
  {
      57,    58,   161,    99,   178,    50,   141,   360,    68,   227,
     178,   361,   201,   243,   134,   110,  -160,   423,   139,    79,
     123,   172,   173,   174,   127,   337,   198,   362,    42,   438,
      50,    50,   423,  -239,   204,    62,   -62,   -62,   100,    67,
     360,  -176,   276,   371,   361,  -176,   432,  -160,   253,  -160,
     254,   -62,   -62,   -62,   167,   207,   -62,   466,   305,    88,
     362,    88,   251,   371,   126,   205,   132,   175,   433,   185,
     128,   123,   134,   123,   178,    88,   424,  -176,   225,  -176,
     226,   178,   443,     5,    79,   425,  -295,  -295,  -295,  -295,
     444,   424,  -295,   252,    44,   423,   423,  -139,  -162,   177,
     425,   247,   -62,   192,  -210,   177,    89,   461,    89,   432,
     306,   445,   446,   277,   167,   461,    51,   229,   155,   156,
     202,   202,    89,  -295,  -295,   317,  -295,   176,   255,   428,
     246,   433,    99,    45,   161,   461,   461,   461,   123,  -295,
     123,  -239,    47,   247,    90,    91,    90,    91,  -176,    92,
      93,    92,    93,   440,   424,   424,   195,    47,    52,   307,
     231,   -25,    47,   425,   425,    54,   232,   440,  -139,   177,
     238,    55,   192,   154,  -175,    56,   177,   319,   157,  -295,
    -295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,
    -295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,
    -295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,
    -295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,   312,
     239,   372,   195,    88,   161,  -269,  -269,  -269,  -269,  -269,
    -269,  -269,   329,    -8,    59,   250,   155,   156,   157,   127,
     257,   157,   172,   173,   174,    -8,   341,    63,    -9,  -242,
      56,   326,   327,   476,   477,    78,   342,   318,    65,   329,
     240,  -166,  -269,  -269,   325,  -269,    66,   478,   107,  -175,
      89,   -56,   111,  -175,   111,   118,   -58,   -58,  -269,   111,
     303,   343,   344,   345,   346,   128,   347,   336,   175,   233,
      69,   146,   147,   148,   149,   218,   233,   150,   224,   427,
     138,   258,   427,   259,   139,  -175,   154,  -175,    90,    91,
     314,   263,  -168,    92,    93,   101,   121,   122,  -269,  -269,
    -269,  -269,  -269,  -269,  -269,  -269,  -269,  -269,  -269,  -269,
    -269,  -269,  -269,  -269,  -269,  -269,  -269,  -269,  -269,  -269,
    -269,  -269,  -269,  -269,  -269,  -269,  -269,  -269,  -269,  -269,
    -269,  -269,  -269,  -269,  -269,  -269,  -269,  -269,   372,    70,
      71,    88,  -269,  -269,  -269,  -269,  -269,   145,  -269,   155,
     156,   101,   102,   162,   341,   169,  -175,  -244,    56,   171,
      73,    75,   341,   261,   342,  -243,   360,   170,   341,   181,
     361,  -245,   342,   203,   213,   215,   426,   242,   342,  -269,
    -269,  -269,  -269,   332,   230,   234,   362,   235,    89,   343,
     344,   345,   236,   237,   347,  -269,   439,   343,   344,   345,
     361,   278,   347,   343,   344,   345,  -282,   310,   347,   309,
     279,   311,   321,   322,   302,   324,   362,   313,   323,   335,
     330,   339,   369,   374,   331,   334,    90,    91,   454,   263,
     465,    92,    93,   473,   163,  -269,  -269,  -269,  -269,  -269,
    -269,  -269,  -269,  -269,  -269,  -269,  -269,  -269,  -269,  -269,
    -269,  -269,  -269,  -269,  -269,  -269,  -269,  -269,  -269,  -269,
    -269,  -269,  -269,  -269,  -269,  -269,  -269,  -269,  -269,  -269,
    -269,  -269,  -269,  -269,  -269,   354,  -125,   108,    88,  -259,
    -259,  -259,  -259,   355,   193,  -259,   143,   186,   196,    72,
     144,   153,   262,   315,   304,   333,   316,   260,   189,   190,
     301,   200,   300,   370,   437,   187,   320,   436,   367,   455,
     475,   469,   471,     0,     0,     0,  -259,  -259,     0,  -259,
       0,     0,     0,  -125,     0,    89,     0,     0,     0,     0,
       0,     0,  -259,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  -125,  -125,    90,    91,     0,  -125,  -125,    92,    93,
       0,     0,  -259,  -259,  -259,  -259,  -259,  -259,  -259,  -259,
    -259,  -259,  -259,  -259,  -259,  -259,  -259,  -259,  -259,  -259,
    -259,  -259,  -259,  -259,  -259,  -259,  -259,  -259,  -259,  -259,
    -259,  -259,  -259,  -259,  -259,  -259,  -259,  -259,  -259,  -259,
    -259,  -259,   354,     0,     0,   -52,  -259,  -259,  -259,  -259,
     172,   173,   174,     0,     0,     0,   -52,   -52,     0,     0,
       0,     0,     0,     0,     0,     0,   -52,   -52,     0,   -52,
       0,     0,     0,     0,     0,     0,     0,   -52,   -52,     0,
       0,     0,     0,  -259,  -259,     0,  -259,  -259,     0,     0,
       0,     0,     0,     0,     0,     0,   175,     0,     0,  -259,
       0,     0,     0,   -52,   -52,   -52,   -52,     0,   -52,   -52,
     -52,   -52,     0,   -52,   -52,   -52,     0,     0,   -52,     0,
       0,   -52,     0,   -52,   -52,   -52,   -52,   -52,   -52,   -52,
     -52,   -52,     0,     0,     0,     0,     0,     0,     0,  -259,
    -259,  -259,  -259,  -259,  -259,  -259,  -259,  -259,  -259,  -259,
    -259,  -259,  -259,  -259,  -259,  -259,  -259,  -259,  -259,  -259,
    -259,  -259,  -259,  -259,  -259,  -259,  -259,  -259,  -259,  -259,
    -259,  -259,  -259,  -259,  -259,  -259,  -259,  -259,  -259,   443,
       0,   -42,     0,  -295,  -295,  -295,  -295,     0,   112,   113,
       0,     0,   -42,   -42,     0,     0,     0,     0,     0,     0,
       0,     0,   -42,   -42,     0,   -42,     0,     0,     0,     0,
       0,     0,     0,   -42,   -42,     0,     0,     0,     0,     0,
    -295,  -295,  -295,  -295,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  -295,   114,     0,   -42,
     -42,   -42,   -42,     0,   -42,   -42,   -42,   -42,     0,   -42,
     -42,   -42,     0,     0,   -42,     0,     0,   -42,     0,   -42,
     -42,   -42,   -42,   -42,   -42,   -42,   -42,   -42,     0,     0,
       0,     0,     0,     0,     0,     0,  -295,  -295,  -295,  -295,
    -295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,
    -295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,
    -295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,
    -295,  -295,  -295,  -295,  -295,  -295,   443,   -31,     0,     0,
    -295,  -295,  -295,  -295,     0,    59,     0,     0,   -31,   -31,
       0,     0,     0,     0,     0,     0,     0,     0,   -31,   -31,
       0,   -31,     0,     0,     0,     0,     0,     0,     0,   -31,
     -31,     0,     0,     0,     0,     0,     0,  -295,  -295,     0,
    -295,  -295,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  -295,     0,   -31,   -31,   -31,   -31,     0,
     -31,   -31,   -31,   -31,     0,   -31,   -31,   -31,     0,     0,
     -31,     0,     0,   -31,     0,   -31,   -31,   -31,   -31,   -31,
     -31,   -31,   -31,   -31,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  -295,  -295,  -295,  -295,  -295,  -295,  -295,
    -295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,
    -295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,
    -295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,  -295,
    -295,  -295,  -295,   361,   375,   376,   377,   355,   430,   431,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     378,   379,     0,   380,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   381,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   361,   375,   376,   377,
     355,     0,   431,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   378,   379,   452,   380,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   381,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   361,
     375,   376,   377,   444,   467,   468,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   378,   459,     0,   460,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   381,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   361,   375,   376,   377,     0,     0,  -258,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   378,
     379,     0,   380,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  -154,   381,     0,     0,  -154,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    -154,  -154,  -154,     0,     0,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   361,   375,   376,   377,   219,
       0,   220,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  -154,  -154,     0,     0,     0,     0,
       0,  -154,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   378,   379,     0,   380,   453,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   381,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   361,   375,
     376,   377,     0,     0,  -305,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   378,   459,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    -155,   381,     0,     0,  -155,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  -155,  -155,  -155,     0,
       0,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   361,   375,   376,   377,   219,     0,   220,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    -155,  -155,     0,     0,     0,     0,     0,  -155,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   378,   459,
     479,   460,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   381,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   361,   375,   376,   377,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   378,   459,     0,   460,   480,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   381,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   361,   375,   376,
     377,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   378,   459,   481,   460,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     381,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     280,    88,  -214,     0,     0,   172,   173,   174,    56,     0,
    -214,     0,     0,  -225,     0,  -225,     0,     0,  -225,  -225,
    -225,  -225,     0,  -225,     0,     0,  -233,     0,  -233,     0,
       0,  -233,  -233,  -233,  -233,     0,  -233,  -140,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    89,     0,
     281,   175,     0,     0,     0,     0,     0,   198,     0,     0,
       0,     0,   282,  -225,  -225,     0,     0,   283,   284,   285,
     198,   286,   287,     0,     0,  -225,  -233,  -233,     0,     0,
       0,  -225,  -225,     0,  -225,  -225,    90,    91,  -233,     0,
       0,    92,    93,     0,  -233,  -233,     0,  -233,  -233,  -235,
       0,  -235,     0,     0,  -235,  -235,  -235,  -235,  -140,  -235,
       0,    47,     0,     0,     0,   280,     0,  -216,  -214,     0,
     172,   173,   174,    56,  -225,  -216,     0,     0,   280,     0,
    -215,  -225,     0,   172,   173,   174,    56,  -233,  -215,     0,
       0,     0,     0,   198,  -233,     0,     0,     0,     0,  -235,
    -235,     0,   280,     0,  -217,     0,     0,   172,   173,   174,
      56,  -235,  -217,     0,  -181,   281,   175,  -235,  -235,     0,
    -235,  -235,     0,     0,     0,     0,    80,   282,   281,   175,
       0,  -119,     0,   284,   285,   142,   286,   287,     0,     0,
     282,     0,     0,     0,     0,     0,   284,   285,     0,   286,
     287,     0,   281,   175,  -181,     0,     0,     0,    70,    71,
    -235,     0,     0,     0,   282,    81,  -181,  -235,     0,     0,
     284,   285,     0,   286,   287,     0,    47,     0,  -119,     0,
       0,     0,     0,  -216,     0,     0,   -72,     0,     0,    47,
       0,   -72,   -72,   -72,     0,     0,  -215,   -72,   -72,   269,
     270,   271,     0,   272,     0,     0,     0,   -72,   -72,    80,
     -72,     0,     0,    47,  -119,  -181,  -119,  -119,   -72,   -72,
    -217,  -119,  -119,  -182,     0,     0,     0,   -72,     0,     0,
       0,     0,     0,     0,     0,    88,     0,   182,     0,   183,
       0,    70,    71,   164,   -72,   -72,   -72,   -72,    81,   -72,
     -72,   -72,   -72,     0,   -72,   -72,   -72,     0,     0,   -72,
       0,  -119,   -72,  -182,   -72,   -72,   -72,   -72,   -72,   -72,
     -72,   -72,   -72,     0,   -68,  -182,     0,     0,     0,   -68,
     -68,   168,    89,   184,     0,   -68,   -68,     0,     0,     0,
       0,     0,     0,     0,     0,   -68,   -68,   -72,   -68,  -119,
    -119,     0,     0,     0,  -119,  -119,   -68,   -68,   269,   270,
     271,     0,   272,     0,     0,   -68,     0,     0,     0,     0,
      90,    91,     0,     0,  -182,    92,    93,     0,     0,     0,
       0,     0,   -68,   -68,   -68,   -68,     0,   -68,   -68,   -68,
     -68,     0,   -68,   -68,   -68,     0,     0,   -68,     0,     0,
     -68,     0,   -68,   -68,   -68,   -68,   -68,   -68,   -68,   -68,
     -68,     0,   -78,     0,     0,     0,     0,   101,   121,   122,
       0,     0,     0,   -78,   -78,     0,     0,     0,     0,     0,
       0,     0,     0,   -78,   -78,   -68,   -78,     0,     0,     0,
       0,     0,     0,     0,   -78,   -78,     0,     0,     0,     0,
       0,     0,     0,   191,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     -78,   -78,   -78,   -78,     0,   -78,   -78,   -78,   -78,     0,
     -78,   -78,   -78,     0,     0,   -78,     0,     0,   -78,     0,
     -78,   -78,   -78,   -78,   -78,   -78,   -78,   -78,   -78,     0,
     -28,     0,     0,     0,     0,   172,   173,   174,     0,     0,
       0,   -28,   -28,     0,     0,     0,     0,     0,     0,     0,
       0,   -28,   -28,   -78,   -28,     0,     0,     0,     0,     0,
       0,     0,   -28,   -28,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   175,     0,     0,     0,     0,     0,     0,   -28,   -28,
     -28,   -28,     0,   -28,   -28,   -28,   -28,     0,   -28,   -28,
     -28,     0,     0,   -28,     0,     0,   -28,     0,   -28,   -28,
     -28,   -28,   -28,   -28,   -28,   -28,   -28,     0,   -40,     0,
       0,     0,     0,   172,   173,   174,     0,     0,     0,   -40,
     -40,     0,     0,     0,     0,     0,     0,     0,     0,   -40,
     -40,   176,   -40,     0,     0,     0,     0,     0,     0,     0,
     -40,   -40,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   175,
       0,     0,     0,     0,     0,     0,   -40,   -40,   -40,   -40,
       0,   -40,   -40,   -40,   -40,     0,   -40,   -40,   -40,     0,
       0,   -40,     0,     0,   -40,     0,   -40,   -40,   -40,   -40,
     -40,   -40,   -40,   -40,   -40,     0,   -79,     0,     0,     0,
       0,   101,   121,   122,     0,     0,     0,   -79,   -79,     0,
       0,     0,     0,     0,     0,     0,     0,   -79,   -79,   176,
     -79,     0,     0,     0,     0,     0,     0,     0,   -79,   -79,
       0,     0,     0,     0,     0,     0,     0,   191,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   -79,   -79,   -79,   -79,     0,   -79,
     -79,   -79,   -79,     0,   -79,   -79,   -79,     0,     0,   -79,
       0,     0,   -79,     0,   -79,   -79,   -79,   -79,   -79,   -79,
     -79,   -79,   -79,     0,   -60,     0,     0,     0,     0,   101,
     102,     0,     0,     0,     0,   -60,   -60,     0,     0,     0,
       0,     0,     0,     0,     0,   -60,   -60,   -79,   -60,     0,
       0,     0,     0,     0,     0,     0,   -60,   -60,     0,     0,
       0,     0,     0,     0,     0,   166,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   -60,   -60,   -60,   -60,     0,   -60,   -60,   -60,
     -60,     0,   -60,   -60,   -60,     0,     0,   -60,     0,     0,
     -60,     0,   -60,   -60,   -60,   -60,   -60,   -60,   -60,   -60,
     -60,     0,   -94,     0,     0,     0,     0,   127,     0,     0,
       0,     0,     0,   -94,   -94,     0,     0,     0,     0,     0,
       0,     0,     0,   -94,   -94,   -60,   -94,     0,     0,     0,
       0,     0,     0,     0,   -94,   -94,     0,     0,     0,     0,
       0,     0,     0,   194,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   128,     0,     0,     0,     0,     0,     0,
     -94,   -94,   -94,   -94,     0,   -94,   -94,   -94,   -94,     0,
     -94,   -94,   -94,     0,     0,   -94,     0,     0,   -94,     0,
     -94,   -94,   -94,   -94,   -94,   -94,   -94,   -94,   -94,     0,
     -61,     0,     0,     0,     0,   101,   102,     0,     0,     0,
       0,   -61,   -61,     0,     0,     0,     0,     0,     0,     0,
       0,   -61,   -61,   -94,   -61,     0,     0,     0,     0,     0,
       0,     0,   -61,   -61,     0,     0,     0,     0,     0,     0,
       0,   166,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   -61,   -61,
     -61,   -61,     0,   -61,   -61,   -61,   -61,     0,   -61,   -61,
     -61,     0,     0,   -61,     0,     0,   -61,     0,   -61,   -61,
     -61,   -61,   -61,   -61,   -61,   -61,   -61,     0,   -95,     0,
       0,     0,     0,   127,    88,     0,     0,     0,  -127,   -95,
     -95,     0,     0,     0,     0,     0,     0,     0,     0,   -95,
     -95,   -61,   -95,     0,     0,     0,     0,     0,     0,     0,
     -95,   -95,     0,     0,     0,     0,     0,     0,     0,   194,
    -127,  -127,  -127,     0,     0,     0,     0,     0,     0,   128,
       0,    89,     0,     0,     0,     0,   -95,   -95,   -95,   -95,
       0,   -95,   -95,   -95,   -95,     0,   -95,   -95,   -95,     0,
       0,   -95,     0,     0,   -95,   -22,   -95,   -95,   -95,   -95,
     -95,   -95,   -95,   -95,   -95,     0,   -22,   -22,     0,    90,
      91,     0,     0,     0,    92,    93,   -22,   -22,     0,   -22,
       0,     0,     0,     0,  -127,  -127,     0,   -22,   -22,   -95,
     160,  -127,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   -22,   -22,   -22,   -22,     0,   -22,   -22,
     -22,   -22,     0,   -22,   -22,   -22,     0,     0,   -22,     0,
       0,   -22,   -23,   -22,   -22,   -22,   -22,   -22,   -22,   -22,
     -22,   -22,     0,   -23,   -23,     0,     0,     0,     0,     0,
       0,     0,     0,   -23,   -23,     0,   -23,     0,     0,     0,
       0,     0,     0,     0,   -23,   -23,    47,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     -23,   -23,   -23,   -23,     0,   -23,   -23,   -23,   -23,     0,
     -23,   -23,   -23,     0,     0,   -23,     0,     0,   -23,   -24,
     -23,   -23,   -23,   -23,   -23,   -23,   -23,   -23,   -23,     0,
     -24,   -24,     0,     0,     0,     0,     0,     0,     0,     0,
     -24,   -24,     0,   -24,     0,     0,     0,     0,     0,     0,
       0,   -24,   -24,    47,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   -24,   -24,   -24,
     -24,     0,   -24,   -24,   -24,   -24,     0,   -24,   -24,   -24,
       0,     0,   -24,     0,     0,   -24,     0,   -24,   -24,   -24,
     -24,   -24,   -24,   -24,   -24,   -24,     0,   -32,     0,     0,
       0,     0,     0,     0,     0,    59,     0,     0,   -32,   -32,
       0,     0,     0,     0,     0,     0,     0,     0,   -32,   -32,
      47,   -32,     0,     0,     0,     0,     0,     0,     0,   -32,
     -32,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   -32,   -32,   -32,   -32,     0,
     -32,   -32,   -32,   -32,     0,   -32,   -32,   -32,     0,     0,
     -32,     0,     0,   -32,     0,   -32,   -32,   -32,   -32,   -32,
     -32,   -32,   -32,   -32,   -37,     0,     0,     0,     0,     0,
       0,     0,    59,     0,     0,   -37,   -37,     0,     0,     0,
       0,     0,     0,     0,     0,   -37,   -37,     0,   -37,     0,
       0,     0,     0,     0,     0,     0,   -37,   -37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   -37,   -37,   -37,   -37,     0,   -37,   -37,   -37,
     -37,     0,   -37,   -37,   -37,     0,     0,   -37,     0,     0,
     -37,     0,   -37,   -37,   -37,   -37,   -37,   -37,   -37,   -37,
     -37,   -50,     0,     0,     0,     0,   118,     0,     0,     0,
       0,     0,   -50,   -50,     0,     0,     0,     0,     0,     0,
       0,     0,   -50,   -50,     0,   -50,     0,     0,     0,     0,
       0,     0,     0,   -50,   -50,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   -50,
     -50,   -50,   -50,     0,   -50,   -50,   -50,   -50,     0,   -50,
     -50,   -50,     0,     0,   -50,     0,     0,   -50,     0,   -50,
     -50,   -50,   -50,   -50,   -50,   -50,   -50,   -50,   -57,     0,
       0,     0,     0,   215,     0,     0,     0,     0,     0,   -57,
     -57,     0,     0,     0,     0,     0,     0,     0,     0,   -57,
     -57,     0,   -57,     0,     0,     0,     0,     0,     0,     0,
     -57,   -57,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   -57,   -57,   -57,   -57,
       0,   -57,   -57,   -57,   -57,     0,   -57,   -57,   -57,     0,
       0,   -57,     0,     0,   -57,     7,   -57,   -57,   -57,   -57,
     -57,   -57,   -57,   -57,   -57,     0,    -7,     8,     0,     0,
       0,     0,     0,     0,     0,     0,     9,    10,     0,    11,
       0,     0,     0,     0,     0,     0,     0,   -49,   -49,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    12,    13,    14,    15,     0,    16,    17,
      18,    19,     0,    20,    21,    22,     0,     0,    23,     0,
       0,    24,     0,    25,    26,    27,    28,    29,    30,    31,
      32,    33
  };

  const short yycheck[] =
  {
      24,    25,    95,    47,   109,    15,    81,     1,    32,   160,
     115,     5,    11,    11,    77,    59,    11,   358,     6,    43,
      73,     6,     7,     8,     6,     3,    45,    21,    12,   426,
      40,    41,   373,    11,    11,    27,     6,     7,    48,    31,
       1,     6,    42,   350,     5,    10,   373,    42,    43,    44,
      45,     6,     7,     8,   103,    43,     6,   454,     6,     6,
      21,     6,    11,   370,    74,    42,    76,    52,   373,   113,
      52,   124,   135,   126,   179,     6,   358,    42,    43,    44,
      45,   186,     1,     0,   108,   358,     5,     6,     7,     8,
       9,   373,    11,    42,     9,   436,   437,    42,    46,   109,
     373,   206,    52,   124,   123,   115,    53,   448,    53,   436,
      58,    30,    31,   113,   163,   456,    52,   166,   106,   107,
     119,   119,    53,    42,    43,   276,    45,   112,   123,   123,
     205,   436,   176,     6,   227,   476,   477,   478,   191,    58,
     193,   119,   112,   248,    91,    92,    91,    92,   113,    96,
      97,    96,    97,   428,   436,   437,   130,   112,     6,   107,
     107,     9,   112,   436,   437,    58,   113,   442,   113,   179,
     191,    58,   193,    43,    44,     9,   186,   282,    94,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   263,
     194,     1,   196,     6,   317,     5,     6,     7,     8,     9,
      10,    11,   293,     0,     9,   207,   106,   107,   154,     6,
     212,   157,     6,     7,     8,    12,     1,    56,     0,     4,
       9,   289,   290,   459,   460,    14,    11,   281,     8,   320,
      12,    44,    42,    43,   288,    45,     8,   473,     1,     6,
      53,     6,    60,    10,    62,     6,     9,    10,    58,    67,
     252,    36,    37,    38,    39,    52,    41,   325,    52,   179,
       8,    26,    27,    28,    29,   154,   186,    32,   157,   364,
      11,    42,   367,    44,     6,    42,    43,    44,    91,    92,
      42,    94,    44,    96,    97,     6,     7,     8,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,     1,    33,
      34,     6,     5,     6,     7,     8,     9,    43,    11,   106,
     107,     6,     7,   113,     1,     9,   113,     4,     9,    10,
      40,    41,     1,    44,    11,     4,     1,    10,     1,     6,
       5,     4,    11,   123,     6,     6,    11,     6,    11,    42,
      43,    44,    45,    48,    10,    10,    21,    10,    53,    36,
      37,    38,    10,    10,    41,    58,     1,    36,    37,    38,
       5,   113,    41,    36,    37,    38,    11,     6,    41,    58,
      46,    24,    58,    58,    44,   112,    21,    44,    58,     6,
      44,   113,     4,    11,    46,    46,    91,    92,    11,    94,
      11,    96,    97,    43,   100,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,     1,     6,    56,     6,     5,
       6,     7,     8,     9,   126,    11,    82,   115,   132,    39,
      84,    93,   222,   273,   253,   314,   274,   216,   117,   119,
     248,   135,   245,   349,   380,    35,   283,   379,   345,   442,
     458,   456,   456,    -1,    -1,    -1,    42,    43,    -1,    45,
      -1,    -1,    -1,    53,    -1,    53,    -1,    -1,    -1,    -1,
      -1,    -1,    58,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    91,    92,    -1,    96,    97,    96,    97,
      -1,    -1,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,     1,    -1,    -1,     1,     5,     6,     7,     8,
       6,     7,     8,    -1,    -1,    -1,    12,    13,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    22,    23,    -1,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      -1,    -1,    -1,    42,    43,    -1,    45,    46,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,    58,
      -1,    -1,    -1,    59,    60,    61,    62,    -1,    64,    65,
      66,    67,    -1,    69,    70,    71,    -1,    -1,    74,    -1,
      -1,    77,    -1,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,     1,
      -1,     1,    -1,     5,     6,     7,     8,    -1,     8,     9,
      -1,    -1,    12,    13,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    22,    23,    -1,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    -1,    -1,    -1,    -1,
      42,    43,    44,    45,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    58,    57,    -1,    59,
      60,    61,    62,    -1,    64,    65,    66,    67,    -1,    69,
      70,    71,    -1,    -1,    74,    -1,    -1,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,     1,     1,    -1,    -1,
       5,     6,     7,     8,    -1,     9,    -1,    -1,    12,    13,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,    23,
      -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    -1,    -1,    -1,    -1,    -1,    42,    43,    -1,
      45,    46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    58,    -1,    59,    60,    61,    62,    -1,
      64,    65,    66,    67,    -1,    69,    70,    71,    -1,    -1,
      74,    -1,    -1,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,     5,     6,     7,     8,     9,    10,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      42,    43,    -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    58,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,     5,     6,     7,     8,
       9,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    42,    43,    44,    45,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    58,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,     5,
       6,     7,     8,     9,    10,    11,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    42,    43,    -1,    45,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    58,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,     5,     6,     7,     8,    -1,    -1,    11,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    42,
      43,    -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     6,    58,    -1,    -1,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      42,    43,    44,    -1,    -1,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,     5,     6,     7,     8,    91,
      -1,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   106,   107,    -1,    -1,    -1,    -1,
      -1,   113,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    42,    43,    -1,    45,    46,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    58,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,     5,     6,
       7,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    42,    43,    -1,    45,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       6,    58,    -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    42,    43,    44,    -1,
      -1,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,     5,     6,     7,     8,    91,    -1,    93,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     106,   107,    -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    42,    43,
      44,    45,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    58,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,     5,     6,     7,     8,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    42,    43,    -1,    45,    46,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    58,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,     5,     6,     7,
       8,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    42,    43,    44,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      58,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
       1,     6,     3,    -1,    -1,     6,     7,     8,     9,    -1,
      11,    -1,    -1,     1,    -1,     3,    -1,    -1,     6,     7,
       8,     9,    -1,    11,    -1,    -1,     1,    -1,     3,    -1,
      -1,     6,     7,     8,     9,    -1,    11,    42,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    53,    -1,
      51,    52,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,
      -1,    -1,    63,    51,    52,    -1,    -1,    68,    69,    70,
      45,    72,    73,    -1,    -1,    63,    51,    52,    -1,    -1,
      -1,    69,    70,    -1,    72,    73,    91,    92,    63,    -1,
      -1,    96,    97,    -1,    69,    70,    -1,    72,    73,     1,
      -1,     3,    -1,    -1,     6,     7,     8,     9,   113,    11,
      -1,   112,    -1,    -1,    -1,     1,    -1,     3,   119,    -1,
       6,     7,     8,     9,   112,    11,    -1,    -1,     1,    -1,
       3,   119,    -1,     6,     7,     8,     9,   112,    11,    -1,
      -1,    -1,    -1,    45,   119,    -1,    -1,    -1,    -1,    51,
      52,    -1,     1,    -1,     3,    -1,    -1,     6,     7,     8,
       9,    63,    11,    -1,     6,    51,    52,    69,    70,    -1,
      72,    73,    -1,    -1,    -1,    -1,     1,    63,    51,    52,
      -1,     6,    -1,    69,    70,    10,    72,    73,    -1,    -1,
      63,    -1,    -1,    -1,    -1,    -1,    69,    70,    -1,    72,
      73,    -1,    51,    52,    46,    -1,    -1,    -1,    33,    34,
     112,    -1,    -1,    -1,    63,    40,    58,   119,    -1,    -1,
      69,    70,    -1,    72,    73,    -1,   112,    -1,    53,    -1,
      -1,    -1,    -1,   119,    -1,    -1,     1,    -1,    -1,   112,
      -1,     6,     7,     8,    -1,    -1,   119,    12,    13,    91,
      92,    93,    -1,    95,    -1,    -1,    -1,    22,    23,     1,
      25,    -1,    -1,   112,     6,   107,    91,    92,    33,    34,
     119,    96,    97,     6,    -1,    -1,    -1,    42,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     6,    -1,     8,    -1,    10,
      -1,    33,    34,    58,    59,    60,    61,    62,    40,    64,
      65,    66,    67,    -1,    69,    70,    71,    -1,    -1,    74,
      -1,    53,    77,    46,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,     1,    58,    -1,    -1,    -1,     6,
       7,     8,    53,    54,    -1,    12,    13,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    22,    23,   112,    25,    91,
      92,    -1,    -1,    -1,    96,    97,    33,    34,    91,    92,
      93,    -1,    95,    -1,    -1,    42,    -1,    -1,    -1,    -1,
      91,    92,    -1,    -1,   107,    96,    97,    -1,    -1,    -1,
      -1,    -1,    59,    60,    61,    62,    -1,    64,    65,    66,
      67,    -1,    69,    70,    71,    -1,    -1,    74,    -1,    -1,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,     1,    -1,    -1,    -1,    -1,     6,     7,     8,
      -1,    -1,    -1,    12,    13,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    22,    23,   112,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      59,    60,    61,    62,    -1,    64,    65,    66,    67,    -1,
      69,    70,    71,    -1,    -1,    74,    -1,    -1,    77,    -1,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
       1,    -1,    -1,    -1,    -1,     6,     7,     8,    -1,    -1,
      -1,    12,    13,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    22,    23,   112,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,    59,    60,
      61,    62,    -1,    64,    65,    66,    67,    -1,    69,    70,
      71,    -1,    -1,    74,    -1,    -1,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,     1,    -1,
      -1,    -1,    -1,     6,     7,     8,    -1,    -1,    -1,    12,
      13,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,
      23,   112,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    52,
      -1,    -1,    -1,    -1,    -1,    -1,    59,    60,    61,    62,
      -1,    64,    65,    66,    67,    -1,    69,    70,    71,    -1,
      -1,    74,    -1,    -1,    77,    -1,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,     1,    -1,    -1,    -1,
      -1,     6,     7,     8,    -1,    -1,    -1,    12,    13,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,    23,   112,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    59,    60,    61,    62,    -1,    64,
      65,    66,    67,    -1,    69,    70,    71,    -1,    -1,    74,
      -1,    -1,    77,    -1,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,     1,    -1,    -1,    -1,    -1,     6,
       7,    -1,    -1,    -1,    -1,    12,    13,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    22,    23,   112,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    59,    60,    61,    62,    -1,    64,    65,    66,
      67,    -1,    69,    70,    71,    -1,    -1,    74,    -1,    -1,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,     1,    -1,    -1,    -1,    -1,     6,    -1,    -1,
      -1,    -1,    -1,    12,    13,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    22,    23,   112,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,
      59,    60,    61,    62,    -1,    64,    65,    66,    67,    -1,
      69,    70,    71,    -1,    -1,    74,    -1,    -1,    77,    -1,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
       1,    -1,    -1,    -1,    -1,     6,     7,    -1,    -1,    -1,
      -1,    12,    13,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    22,    23,   112,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,    60,
      61,    62,    -1,    64,    65,    66,    67,    -1,    69,    70,
      71,    -1,    -1,    74,    -1,    -1,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,     1,    -1,
      -1,    -1,    -1,     6,     6,    -1,    -1,    -1,    10,    12,
      13,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,
      23,   112,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    42,
      42,    43,    44,    -1,    -1,    -1,    -1,    -1,    -1,    52,
      -1,    53,    -1,    -1,    -1,    -1,    59,    60,    61,    62,
      -1,    64,    65,    66,    67,    -1,    69,    70,    71,    -1,
      -1,    74,    -1,    -1,    77,     1,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    12,    13,    -1,    91,
      92,    -1,    -1,    -1,    96,    97,    22,    23,    -1,    25,
      -1,    -1,    -1,    -1,   106,   107,    -1,    33,    34,   112,
     112,   113,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    59,    60,    61,    62,    -1,    64,    65,
      66,    67,    -1,    69,    70,    71,    -1,    -1,    74,    -1,
      -1,    77,     1,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    12,    13,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    22,    23,    -1,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,   112,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      59,    60,    61,    62,    -1,    64,    65,    66,    67,    -1,
      69,    70,    71,    -1,    -1,    74,    -1,    -1,    77,     1,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      12,    13,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      22,    23,    -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,   112,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,    60,    61,
      62,    -1,    64,    65,    66,    67,    -1,    69,    70,    71,
      -1,    -1,    74,    -1,    -1,    77,    -1,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,     1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     9,    -1,    -1,    12,    13,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,    23,
     112,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    59,    60,    61,    62,    -1,
      64,    65,    66,    67,    -1,    69,    70,    71,    -1,    -1,
      74,    -1,    -1,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    86,    87,     1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     9,    -1,    -1,    12,    13,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    22,    23,    -1,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    59,    60,    61,    62,    -1,    64,    65,    66,
      67,    -1,    69,    70,    71,    -1,    -1,    74,    -1,    -1,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    86,
      87,     1,    -1,    -1,    -1,    -1,     6,    -1,    -1,    -1,
      -1,    -1,    12,    13,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    22,    23,    -1,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,
      60,    61,    62,    -1,    64,    65,    66,    67,    -1,    69,
      70,    71,    -1,    -1,    74,    -1,    -1,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    86,    87,     1,    -1,
      -1,    -1,    -1,     6,    -1,    -1,    -1,    -1,    -1,    12,
      13,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,
      23,    -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    59,    60,    61,    62,
      -1,    64,    65,    66,    67,    -1,    69,    70,    71,    -1,
      -1,    74,    -1,    -1,    77,     1,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    12,    13,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    22,    23,    -1,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    59,    60,    61,    62,    -1,    64,    65,
      66,    67,    -1,    69,    70,    71,    -1,    -1,    74,    -1,
      -1,    77,    -1,    79,    80,    81,    82,    83,    84,    85,
      86,    87
  };

  // YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
// state STATE-NUM.
  const short yystos[] =
  {
       0,   139,   140,   144,   147,     0,   141,     1,    13,    22,
      23,    25,    59,    60,    61,    62,    64,    65,    66,    67,
      69,    70,    71,    74,    77,    79,    80,    81,    82,    83,
      84,    85,    86,    87,   148,   149,   152,   154,   157,   158,
     171,   177,    12,   163,     9,     6,   161,   112,   164,   165,
     166,    52,     6,   151,    58,    58,     9,   181,   181,     9,
     182,   183,   182,    56,   156,     8,     8,   182,   181,     8,
      33,    34,   191,   165,   172,   165,   178,   142,    14,   181,
       1,    40,   188,   189,   190,   191,   160,   225,     6,    53,
      91,    92,    96,    97,   195,   196,   197,   198,   199,   216,
     166,     6,     7,   167,   168,   169,   150,     1,   163,   153,
     216,   183,     8,     9,    57,   155,   192,   193,     6,   186,
     187,     7,     8,   169,   173,   174,   166,     6,    52,   175,
     179,   180,   166,   145,   175,   229,   230,   233,    11,     6,
     204,   205,    10,   189,   195,    43,    26,    27,    28,    29,
      32,   162,   228,   198,    43,   106,   107,   206,   217,   218,
     112,   197,   113,   167,    58,   170,    42,   168,     8,     9,
      10,    10,     6,     7,     8,    52,   112,   166,   176,   184,
     185,     6,     8,    10,    54,   216,   184,    35,   194,   194,
     187,    42,   174,   173,    42,   180,   179,   143,    45,   241,
     230,    11,   119,   123,    11,    42,   159,    43,   201,   202,
     203,   205,   206,     6,   224,     6,   226,   227,   217,    91,
      93,   207,   208,   209,   217,    43,    45,   196,   200,   168,
      10,   107,   113,   185,    10,    10,    10,    10,   174,   180,
      12,   146,     6,    11,   232,   231,   205,   176,   222,   223,
     202,    11,    42,    43,    45,   123,   210,   202,    42,    44,
     227,    44,   209,    94,   212,   213,   214,   215,   216,    91,
      92,    93,    95,   219,   220,   221,    42,   113,   113,    46,
       1,    51,    63,    68,    69,    70,    72,    73,   166,   176,
     181,   234,   236,   237,   238,   239,   240,   242,   243,   244,
     234,   223,    44,   202,   212,     6,    58,   107,   211,    58,
       6,    24,   216,    44,    42,   211,   221,   196,   181,   176,
     237,    58,    58,    58,   112,   181,   241,   241,   235,   238,
      44,    46,    48,   215,    46,     6,   241,     3,   245,   113,
     246,     1,    11,    36,    37,    38,    39,    41,   247,   248,
     249,   250,   251,   266,     1,     9,   252,   253,   254,   257,
       1,     5,    21,   256,   261,   262,   263,   261,   267,     4,
     249,   250,     1,   258,    11,     6,     7,     8,    42,    43,
      45,    58,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   255,   256,   281,   282,    11,   262,   123,   268,
      10,    11,   255,   257,   259,   260,   258,   254,   252,     1,
     263,   264,   265,     1,     9,    30,    31,   269,   273,   275,
     276,   278,    44,    46,    11,   264,   279,   270,   271,    43,
      45,   256,   274,   281,   282,    11,   252,    10,    11,   274,
     277,   278,   280,    43,   272,   272,   273,   273,   273,    44,
      46,    44
  };

  // YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.
  const short yyr1[] =
  {
       0,   138,   139,   141,   142,   143,   140,   144,   145,   146,
     146,   147,   147,   148,   148,   148,   148,   148,   148,   149,
     150,   149,   149,   149,   149,   151,   151,   153,   152,   152,
     152,   152,   152,   152,   152,   154,   154,   154,   154,   155,
     154,   154,   156,   156,   156,   156,   156,   156,   156,   158,
     157,   159,   157,   160,   157,   161,   162,   157,   163,   163,
     164,   164,   165,   165,   166,   167,   167,   167,   168,   168,
     168,   169,   170,   170,   171,   171,   171,   171,   172,   172,
     173,   173,   173,   174,   174,   174,   175,   175,   176,   176,
     176,   176,   177,   177,   178,   178,   179,   179,   179,   180,
     181,   181,   182,   182,   183,   184,   184,   185,   185,   185,
     185,   186,   186,   187,   188,   188,   189,   189,   189,   190,
     190,   192,   191,   193,   191,   194,   194,   195,   195,   196,
     196,   197,   197,   197,   197,   197,   198,   198,   199,   200,
     200,   201,   201,   202,   202,   203,   203,   203,   203,   204,
     204,   205,   206,   206,   207,   207,   208,   208,   209,   209,
     210,   210,   211,   211,   211,   211,   212,   212,   213,   213,
     214,   214,   215,   215,   216,   217,   217,   217,   218,   218,
     218,   219,   219,   220,   220,   221,   221,   221,   221,   222,
     222,   223,   224,   224,   225,   225,   226,   226,   227,   228,
     228,   228,   228,   228,   229,   229,   231,   230,   232,   230,
     233,   233,   235,   234,   236,   236,   236,   236,   237,   237,
     238,   238,   238,   238,   239,   240,   240,   241,   242,   242,
     242,   242,   242,   243,   243,   244,   244,   244,   244,   245,
     246,   245,   247,   247,   247,   247,   248,   249,   249,   250,
     250,   250,   250,   251,   251,   251,   252,   252,   253,   254,
     254,   254,   255,   255,   255,   255,   255,   256,   257,   258,
     258,   258,   259,   259,   259,   260,   261,   261,   262,   262,
     263,   263,   264,   264,   264,   265,   267,   266,   268,   268,
     270,   269,   271,   269,   272,   273,   273,   273,   274,   274,
     274,   274,   274,   275,   275,   276,   277,   278,   279,   279,
     280,   280,   280,   281,   281,   281,   281,   282,   282,   282,
     282,   282,   282,   282,   282,   282,   282,   282,   282,   282,
     282,   282,   282,   282,   282,   282,   282,   282,   282,   282,
     282,   282,   282,   282,   282,   282,   282,   282,   282,   282,
     282,   282,   282,   282,   282,   282,   282,   282
  };

  // YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.
  const signed char yyr2[] =
  {
       0,     2,     1,     0,     0,     0,     7,     1,     1,     0,
       1,     0,     2,     1,     3,     1,     1,     1,     1,     2,
       0,     5,     2,     2,     2,     0,     1,     0,     4,     2,
       2,     2,     2,     1,     2,     2,     2,     2,     2,     0,
       4,     2,     1,     2,     2,     4,     4,     3,     4,     0,
       3,     0,     6,     0,     7,     0,     0,     5,     0,     2,
       2,     3,     0,     1,     3,     1,     2,     3,     1,     1,
       2,     2,     0,     1,     1,     1,     1,     1,     2,     3,
       1,     2,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     3,     1,     2,     3,     1,
       3,     3,     1,     2,     4,     1,     2,     1,     1,     3,
       2,     1,     2,     1,     1,     2,     4,     3,     2,     0,
       1,     0,     3,     0,     3,     0,     1,     1,     4,     1,
       2,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       3,     1,     3,     2,     2,     1,     3,     4,     4,     1,
       3,     1,     2,     1,     0,     1,     1,     2,     1,     1,
       0,     2,     0,     1,     1,     1,     0,     1,     1,     3,
       1,     3,     1,     2,     2,     0,     1,     2,     3,     5,
       4,     0,     1,     1,     2,     1,     1,     1,     1,     1,
       2,     1,     1,     3,     0,     2,     1,     2,     1,     1,
       1,     1,     1,     1,     2,     3,     0,     4,     0,     4,
       1,     2,     0,     3,     0,     1,     1,     2,     1,     2,
       1,     1,     1,     1,     1,     1,     2,     3,     2,     2,
       2,     2,     4,     1,     1,     2,     2,     3,     2,     0,
       0,     4,     0,     1,     1,     2,     1,     1,     2,     1,
       1,     1,     1,     2,     4,     6,     2,     1,     1,     0,
       2,     1,     1,     1,     1,     3,     3,     1,     3,     0,
       2,     1,     1,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     0,     2,     1,     1,     0,     4,     0,     2,
       0,     3,     0,     3,     3,     0,     2,     1,     1,     1,
       1,     3,     3,     2,     1,     1,     1,     3,     0,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1
  };


  /* YYDPREC[RULE-NUM] -- Dynamic precedence of rule #RULE-NUM (0 if none).  */
  const signed char yydprec[] =
  {
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0
  };

  /* YYMERGER[RULE-NUM] -- Index of merging function for rule #RULE-NUM.  */
  const signed char yymerger[] =
  {
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0
  };

  /* YYIMMEDIATE[RULE-NUM] -- True iff rule #RULE-NUM is not to be deferred, as
     in the case of predicates.  */
  const bool yyimmediate[] =
  {
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0
  };

  /* YYCONFLP[YYPACT[STATE-NUM]] -- Pointer into YYCONFL of start of
     list of conflicting reductions corresponding to action entry for
     state STATE-NUM in yytable.  0 means no conflicts.  The list in
     yyconfl is terminated by a rule number of 0.  */
  const signed char yyconflp[] =
  {
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     1,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0
  };

  /* YYCONFL[I] -- lists of conflicting rule numbers, each terminated by
     0, pointed into by YYCONFLP.  */
        const short yyconfl[] =
  {
       0,   127,     0
  };
} // namespace


/* Error token number */
#define YYTERROR 1


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

# ifndef YYLLOC_DEFAULT
#  define YYLLOC_DEFAULT(Current, Rhs, N)                               \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).begin  = YYRHSLOC (Rhs, 1).begin;                   \
          (Current).end    = YYRHSLOC (Rhs, N).end;                     \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).begin = (Current).end = YYRHSLOC (Rhs, 0).end;      \
        }                                                               \
    while (false)
# endif

# define YYRHSLOC(Rhs, K) ((Rhs)[K].getState().yyloc)


enum YYRESULTTAG { yyok, yyaccept, yyabort, yyerr };

#define YYCHK(YYE)                              \
  do {                                          \
    YYRESULTTAG yychk_flag = YYE;               \
    if (yychk_flag != yyok)                     \
      return yychk_flag;                        \
  } while (false)

#if YYDEBUG

#define YYCDEBUG if (!yydebug) {} else std::cerr

# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                  \
  do {                                                                  \
    if (yydebug)                                                        \
      {                                                                 \
        std::cerr << Title << ' ';                                      \
        yyparser.yy_symbol_print_ (Kind, Value, Location); \
        std::cerr << '\n';                                              \
      }                                                                 \
  } while (false)

# define YY_REDUCE_PRINT(Args)                  \
  do {                                          \
    if (yydebug)                                \
      yystateStack.yy_reduce_print Args;        \
  } while (false)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;

namespace
{
  using glr_stack = AGC::bison::glr_stack;
  using glr_state = AGC::bison::glr_state;

  void yypstack (const glr_stack& yystack, size_t yyk)
    YY_ATTRIBUTE_UNUSED;
  void yypdumpstack (const glr_stack& yystack)
    YY_ATTRIBUTE_UNUSED;
}

#else /* !YYDEBUG */

# define YYCDEBUG if (true) {} else std::cerr
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location) {}
# define YY_REDUCE_PRINT(Args) {}

#endif /* !YYDEBUG */

/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   SIZE_MAX < YYMAXDEPTH * sizeof (GLRStackItem)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif

/* Minimum number of free items on the stack allowed after an
   allocation.  This is to allow allocation and initialization
   to be completed by functions that call yyexpandGLRStack before the
   stack is expanded, thus insuring that all necessary pointers get
   properly redirected to new data.  */
#define YYHEADROOM 2

#ifndef YYSTACKEXPANDABLE
# define YYSTACKEXPANDABLE 1
#endif

namespace
{
  template <typename Parameter>
  class strong_index_alias
  {
  public:
    static strong_index_alias create (std::ptrdiff_t value)
    {
      strong_index_alias result;
      result.value_ = value;
      return result;
    }

    std::ptrdiff_t const& get () const { return value_; }

    size_t uget () const { return static_cast<size_t> (value_); }

    strong_index_alias operator+ (std::ptrdiff_t other) const
    {
      return strong_index_alias (get () + other);
    }

    void operator+= (std::ptrdiff_t other)
    {
      value_ += other;
    }

    strong_index_alias operator- (std::ptrdiff_t other)
    {
      return strong_index_alias (get () - other);
    }

    void operator-= (std::ptrdiff_t other)
    {
      value_ -= other;
    }

    size_t operator- (strong_index_alias other)
    {
      return strong_index_alias (get () - other.get ());
    }

    strong_index_alias& operator++ ()
    {
      ++value_;
      return *this;
    }

    bool isValid () const
    {
      return value_ != INVALID_INDEX;
    }

    void setInvalid()
    {
      value_ = INVALID_INDEX;
    }

    bool operator== (strong_index_alias other)
    {
      return get () == other.get ();
    }

    bool operator!= (strong_index_alias other)
    {
      return get () != other.get ();
    }

    bool operator< (strong_index_alias other)
    {
      return get () < other.get ();
    }

  private:
    static const std::ptrdiff_t INVALID_INDEX;

    // WARNING: 0-initialized.
    std::ptrdiff_t value_;
  }; // class strong_index_alias

  template<typename T>
  const std::ptrdiff_t strong_index_alias<T>::INVALID_INDEX =
    std::numeric_limits<std::ptrdiff_t>::max ();

  using state_set_index = strong_index_alias<struct glr_state_set_tag>;

  state_set_index create_state_set_index (std::ptrdiff_t value)
  {
    return state_set_index::create (value);
  }

  /** State numbers, as in LALR(1) machine */
  using state_num = int;

  /** Rule numbers, as in LALR(1) machine */
  using rule_num = int;

  using parser_type = AGC::bison;
  using glr_state = parser_type::glr_state;
  using symbol_kind = parser_type::symbol_kind;
  using symbol_kind_type = parser_type::symbol_kind_type;
  using symbol_type = parser_type::symbol_type;
  using value_type = parser_type::value_type;
  using location_type = parser_type::location_type;

  // Forward declarations.
  class glr_stack_item;
  class semantic_option;
} // namespace

namespace
{
  /** Accessing symbol of state YYSTATE.  */
  inline symbol_kind_type
  yy_accessing_symbol (state_num yystate)
  {
    return YY_CAST (symbol_kind_type, yystos[yystate]);
  }

  /** Left-hand-side symbol for rule #YYRULE.  */
  inline symbol_kind_type
  yylhsNonterm (rule_num yyrule)
  {
    return static_cast<symbol_kind_type>(yyr1[yyrule]);
  }

  /** Number of symbols composing the right hand side of rule #RULE.  */
  inline int
  yyrhsLength (rule_num yyrule)
  {
    return yyr2[yyrule];
  }
}

namespace AGC
{
  class bison::glr_state
  {
  public:
    glr_state ()
      : yyresolved (false)
      , yylrState (0)
      , yyposn (0)
      , yypred (0)
      , yyfirstVal (0)
      , yyloc ()
    {}

    /// Build with a semantic value.
    glr_state (state_num lrState, size_t posn, const value_type& val, const location_type& loc)
      : yyresolved (true)
      , yylrState (lrState)
      , yyposn (posn)
      , yypred (0)
      , yyval ()
      , yyloc (loc)
    {
      switch (yy_accessing_symbol (lrState))
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        yyval.copy< attrbPair > (val);
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        yyval.copy< attrbRefSeq > (val);
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        yyval.copy< attrbTriple > (val);
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        yyval.copy< char_literal > (val);
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_bison_or_byacc_directive: // bison_or_byacc_directive
      case symbol_kind::S_bison_directive: // bison_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        yyval.copy< keyword > (val);
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        yyval.copy< name_literal > (val);
        break;

      case symbol_kind::S_NUM: // "number"
        yyval.copy< numberRep > (val);
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        yyval.copy< symDeclSeq > (val);
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        yyval.copy< symSeq > (val);
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        yyval.copy< typeSeq > (val);
        break;

      case symbol_kind::S_user_argument_seq: // user_argument_seq
      case symbol_kind::S_user_argument: // user_argument
        yyval.copy< userArgSeq > (val);
        break;

      default:
        break;
    }
}

    /// Build with a semantic option.
    glr_state (state_num lrState, size_t posn)
      : yyresolved (false)
      , yylrState (lrState)
      , yyposn (posn)
      , yypred (0)
      , yyfirstVal (0)
      , yyloc ()
    {}

    glr_state (const glr_state& other)
      : yyresolved (other.yyresolved)
      , yylrState (other.yylrState)
      , yyposn (other.yyposn)
      , yypred (0)
      , yyloc (other.yyloc)
    {
      setPred (other.pred ());
      if (other.yyresolved)
        {
          new (&yyval) value_type ();
          switch (yy_accessing_symbol (other.yylrState))
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        yyval.copy< attrbPair > (other.value ());
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        yyval.copy< attrbRefSeq > (other.value ());
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        yyval.copy< attrbTriple > (other.value ());
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        yyval.copy< char_literal > (other.value ());
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_bison_or_byacc_directive: // bison_or_byacc_directive
      case symbol_kind::S_bison_directive: // bison_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        yyval.copy< keyword > (other.value ());
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        yyval.copy< name_literal > (other.value ());
        break;

      case symbol_kind::S_NUM: // "number"
        yyval.copy< numberRep > (other.value ());
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        yyval.copy< symDeclSeq > (other.value ());
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        yyval.copy< symSeq > (other.value ());
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        yyval.copy< typeSeq > (other.value ());
        break;

      case symbol_kind::S_user_argument_seq: // user_argument_seq
      case symbol_kind::S_user_argument: // user_argument
        yyval.copy< userArgSeq > (other.value ());
        break;

      default:
        break;
    }

        }
      else
        {
          yyfirstVal = 0;
          setFirstVal (other.firstVal ());
        }
    }

    ~glr_state ()
    {
      if (yyresolved)
        {
          symbol_kind_type yykind = yy_accessing_symbol (yylrState);
          // FIXME: User destructors.
          // Value type destructor.
          switch (yykind)
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        yyval.template destroy< attrbPair > ();
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        yyval.template destroy< attrbRefSeq > ();
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        yyval.template destroy< attrbTriple > ();
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        yyval.template destroy< char_literal > ();
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_bison_or_byacc_directive: // bison_or_byacc_directive
      case symbol_kind::S_bison_directive: // bison_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        yyval.template destroy< keyword > ();
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        yyval.template destroy< name_literal > ();
        break;

      case symbol_kind::S_NUM: // "number"
        yyval.template destroy< numberRep > ();
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        yyval.template destroy< symDeclSeq > ();
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        yyval.template destroy< symSeq > ();
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        yyval.template destroy< typeSeq > ();
        break;

      case symbol_kind::S_user_argument_seq: // user_argument_seq
      case symbol_kind::S_user_argument: // user_argument
        yyval.template destroy< userArgSeq > ();
        break;

      default:
        break;
    }

          yyval.~value_type ();
        }
    }

    glr_state& operator= (const glr_state& other)
    {
      if (!yyresolved && other.yyresolved)
        new (&yyval) value_type;
      yyresolved = other.yyresolved;
      yylrState = other.yylrState;
      yyposn = other.yyposn;
      setPred (other.pred ());
      if (other.yyresolved)
        switch (yy_accessing_symbol (other.yylrState))
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        yyval.copy< attrbPair > (other.value ());
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        yyval.copy< attrbRefSeq > (other.value ());
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        yyval.copy< attrbTriple > (other.value ());
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        yyval.copy< char_literal > (other.value ());
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_bison_or_byacc_directive: // bison_or_byacc_directive
      case symbol_kind::S_bison_directive: // bison_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        yyval.copy< keyword > (other.value ());
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        yyval.copy< name_literal > (other.value ());
        break;

      case symbol_kind::S_NUM: // "number"
        yyval.copy< numberRep > (other.value ());
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        yyval.copy< symDeclSeq > (other.value ());
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        yyval.copy< symSeq > (other.value ());
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        yyval.copy< typeSeq > (other.value ());
        break;

      case symbol_kind::S_user_argument_seq: // user_argument_seq
      case symbol_kind::S_user_argument: // user_argument
        yyval.copy< userArgSeq > (other.value ());
        break;

      default:
        break;
    }

      else
        setFirstVal (other.firstVal ());
      yyloc = other.yyloc;
      return *this;
    }

    /** Type tag for the semantic value.  If true, yyval applies, otherwise
     *  yyfirstVal applies.  */
    bool yyresolved;
    /** Number of corresponding LALR(1) machine state.  */
    state_num yylrState;
    /** Source position of the last token produced by my symbol */
    size_t yyposn;

    /// Only call pred() and setPred() on objects in yyitems, not temporaries.
    glr_state* pred ();
    const glr_state* pred () const;
    void setPred (const glr_state* state);

    /// Only call firstVal() and setFirstVal() on objects in yyitems, not
    /// temporaries.
    semantic_option* firstVal ();
    const semantic_option* firstVal () const;
    void setFirstVal (const semantic_option* option);

    value_type& value ()
    {
      return yyval;
    }

    const value_type& value () const
    {
      return yyval;
    }

    void
    destroy (char const *yymsg, AGC::bison& yyparser);

    /* DEBUGGING ONLY */
  #if YYDEBUG
    void yy_yypstack () const
    {
      if (pred () != YY_NULLPTR)
        {
          pred ()->yy_yypstack ();
          std::cerr << " -> ";
        }
      std::cerr << yylrState << "@" << yyposn;
    }
  #endif

    std::ptrdiff_t indexIn (const glr_stack_item* array) const YY_ATTRIBUTE_UNUSED;

    glr_stack_item* asItem ()
    {
      return asItem(this);
    }

    const glr_stack_item* asItem () const
    {
      return asItem (this);
    }

  private:
    template <typename T>
    static const glr_stack_item* asItem (const T* state)
    {
      return reinterpret_cast<const glr_stack_item*>(state);
    }
    template <typename T>
    static glr_stack_item* asItem (T* state)
    {
      return reinterpret_cast<glr_stack_item*> (state);
    }
    static const char *as_pointer_ (const glr_state *state)
    {
      return reinterpret_cast<const char *> (state);
    }
    static char *as_pointer_ (glr_state *state)
    {
      return reinterpret_cast<char *> (state);
    }
    /** Preceding state in this stack */
    std::ptrdiff_t yypred;
    union {
      /** First in a chain of alternative reductions producing the
       *  nonterminal corresponding to this state, threaded through
       *  yyfirstVal.  Value "0" means empty.  */
      std::ptrdiff_t yyfirstVal;
      /** Semantic value for this state.  */
      value_type yyval;
    };
   // FIXME: Why public?
   public:
    /** Source location for this state.  */
    location_type yyloc;


  }; // class bison::glr_state
} // namespace AGC


namespace
{
  /** A stack of GLRState representing the different heads during
    * nondeterministic evaluation. */
  class glr_state_set
  {
  public:
    /** Initialize YYSET to a singleton set containing an empty stack.  */
    glr_state_set ()
      : yylastDeleted (YY_NULLPTR)
    {
      yystates.push_back (YY_NULLPTR);
      yylookaheadNeeds.push_back (false);
    }

    // Behave like a vector of states.
    glr_state*& operator[] (state_set_index index)
    {
      return yystates[index.uget()];
    }

    glr_state* operator[] (state_set_index index) const
    {
      return yystates[index.uget()];
    }

    size_t size () const
    {
      return yystates.size ();
    }

    std::vector<glr_state*>::iterator begin ()
    {
      return yystates.begin ();
    }

    std::vector<glr_state*>::iterator end ()
    {
      return yystates.end ();
    }

    bool lookaheadNeeds (state_set_index index) const
    {
      return yylookaheadNeeds[index.uget ()];
    }

    bool setLookaheadNeeds (state_set_index index, bool value)
    {
      return yylookaheadNeeds[index.uget ()] = value;
    }

    /** Invalidate stack #YYK.  */
    void
    yymarkStackDeleted (state_set_index yyk)
    {
      size_t k = yyk.uget ();
      if (yystates[k] != YY_NULLPTR)
        yylastDeleted = yystates[k];
      yystates[k] = YY_NULLPTR;
    }

    /** Undelete the last stack in *this that was marked as deleted.  Can
        only be done once after a deletion, and only when all other stacks have
        been deleted.  */
    void
    yyundeleteLastStack ()
    {
      if (yylastDeleted == YY_NULLPTR || !yystates.empty ())
        return;
      yystates.push_back (yylastDeleted);
      YYCDEBUG << "Restoring last deleted stack as stack #0.\n";
      clearLastDeleted ();
    }

    /** Remove the dead stacks (yystates[i] == YY_NULLPTR) and shift the later
     * ones.  */
    void
    yyremoveDeletes ()
    {
      size_t newsize = yystates.size ();
      /* j is the number of live stacks we have seen.  */
      for (size_t i = 0, j = 0; j < newsize; ++i)
        {
          if (yystates[i] == YY_NULLPTR)
            {
              if (i == j)
                {
                  YYCDEBUG << "Removing dead stacks.\n";
                }
              newsize -= 1;
            }
          else
            {
              yystates[j] = yystates[i];
              /* In the current implementation, it's unnecessary to copy
                 yylookaheadNeeds[i] since, after
                 yyremoveDeletes returns, the parser immediately either enters
                 deterministic operation or shifts a token.  However, it doesn't
                 hurt, and the code might evolve to need it.  */
              yylookaheadNeeds[j] = yylookaheadNeeds[i];
              if (j != i)
                {
                  YYCDEBUG << "Rename stack " << i << " -> " << j << ".\n";
                }
              j += 1;
            }
        }
      yystates.resize (newsize);
      yylookaheadNeeds.resize (newsize);
    }


    state_set_index
    yysplitStack (state_set_index yyk)
    {
      const size_t k = yyk.uget ();
      yystates.push_back (yystates[k]);
      yylookaheadNeeds.push_back (yylookaheadNeeds[k]);
      return create_state_set_index (static_cast<std::ptrdiff_t> (yystates.size () - 1));
    }

    void clearLastDeleted ()
    {
      yylastDeleted = YY_NULLPTR;
    }

  private:

    std::vector<glr_state*> yystates;
    /** During nondeterministic operation, yylookaheadNeeds tracks which
     *  stacks have actually needed the current lookahead.  During deterministic
     *  operation, yylookaheadNeeds[0] is not maintained since it would merely
     *  duplicate !yyla.empty ().  */
    std::vector<bool> yylookaheadNeeds;

    /** The last stack we invalidated.  */
    glr_state* yylastDeleted;
  }; // class glr_state_set
} // namespace

namespace
{
  class semantic_option
  {
  public:
    semantic_option ()
      : yyrule (0)
      , yystate (0)
      , yynext (0)
      , yyla ()
    {}

    semantic_option (rule_num rule)
      : yyrule (rule)
      , yystate (0)
      , yynext (0)
      , yyla ()
    {}

    semantic_option (const semantic_option& that)
      : yyrule (that.yyrule)
      , yystate (that.yystate)
      , yynext (that.yynext)
      , yyla (that.yyla)
    {
    }

    // Needed for the assignment in yynewSemanticOption.
    semantic_option& operator= (const semantic_option& that)
    {
      yyrule = that.yyrule;
      yystate = that.yystate;
      yynext = that.yynext;
      yyla = that.yyla;
      return *this;
    }

    /// Only call state() and setState() on objects in yyitems, not temporaries.
    glr_state* state();
    const glr_state* state() const;
    void setState(const glr_state* s);

    const semantic_option* next () const YY_ATTRIBUTE_UNUSED;
    semantic_option* next ();
    void setNext (const semantic_option* s);

    std::ptrdiff_t indexIn (const glr_stack_item* array) const YY_ATTRIBUTE_UNUSED;

    /** True iff YYY0 and YYY1 represent identical options at the top level.
     *  That is, they represent the same rule applied to RHS symbols
     *  that produce the same terminal symbols.  */
    bool
    isIdenticalTo (const semantic_option& yyy1) const
    {
      if (this->yyrule == yyy1.yyrule)
        {
          const glr_state *yys0, *yys1;
          int yyn;
          for (yys0 = this->state(),
               yys1 = yyy1.state(),
               yyn = yyrhsLength (this->yyrule);
               yyn > 0;
               yys0 = yys0->pred(),
               yys1 = yys1->pred(), yyn -= 1)
            if (yys0->yyposn != yys1->yyposn)
              return false;
          return true;
        }
      else
        return false;
    }

    /** Assuming identicalOptions (YYY0,YYY1), destructively merge the
     *  alternative semantic values for the RHS-symbols of YYY1 and YYY0.  */
    void
    mergeWith (semantic_option& yyy1)
    {
      glr_state *yys0 = this->state ();
      glr_state *yys1 = yyy1.state ();
      for (int yyn = yyrhsLength (this->yyrule);
           yyn > 0;
           yyn -= 1, yys0 = yys0->pred (), yys1 = yys1->pred ())
        {
          if (yys0 == yys1)
            break;
          else if (yys0->yyresolved)
            {
              yys1->yyresolved = true;
              YYASSERT (yys1->yylrState == yys0->yylrState);
              switch (yy_accessing_symbol (yys0->yylrState))
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        yys1->value ().copy< attrbPair > (yys0->value ());
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        yys1->value ().copy< attrbRefSeq > (yys0->value ());
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        yys1->value ().copy< attrbTriple > (yys0->value ());
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        yys1->value ().copy< char_literal > (yys0->value ());
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_bison_or_byacc_directive: // bison_or_byacc_directive
      case symbol_kind::S_bison_directive: // bison_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        yys1->value ().copy< keyword > (yys0->value ());
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        yys1->value ().copy< name_literal > (yys0->value ());
        break;

      case symbol_kind::S_NUM: // "number"
        yys1->value ().copy< numberRep > (yys0->value ());
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        yys1->value ().copy< symDeclSeq > (yys0->value ());
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        yys1->value ().copy< symSeq > (yys0->value ());
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        yys1->value ().copy< typeSeq > (yys0->value ());
        break;

      case symbol_kind::S_user_argument_seq: // user_argument_seq
      case symbol_kind::S_user_argument: // user_argument
        yys1->value ().copy< userArgSeq > (yys0->value ());
        break;

      default:
        break;
    }

            }
          else if (yys1->yyresolved)
            {
              yys0->yyresolved = true;
              YYASSERT (yys0->yylrState == yys1->yylrState);
              switch (yy_accessing_symbol (yys1->yylrState))
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        yys0->value ().copy< attrbPair > (yys1->value ());
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        yys0->value ().copy< attrbRefSeq > (yys1->value ());
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        yys0->value ().copy< attrbTriple > (yys1->value ());
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        yys0->value ().copy< char_literal > (yys1->value ());
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_bison_or_byacc_directive: // bison_or_byacc_directive
      case symbol_kind::S_bison_directive: // bison_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        yys0->value ().copy< keyword > (yys1->value ());
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        yys0->value ().copy< name_literal > (yys1->value ());
        break;

      case symbol_kind::S_NUM: // "number"
        yys0->value ().copy< numberRep > (yys1->value ());
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        yys0->value ().copy< symDeclSeq > (yys1->value ());
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        yys0->value ().copy< symSeq > (yys1->value ());
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        yys0->value ().copy< typeSeq > (yys1->value ());
        break;

      case symbol_kind::S_user_argument_seq: // user_argument_seq
      case symbol_kind::S_user_argument: // user_argument
        yys0->value ().copy< userArgSeq > (yys1->value ());
        break;

      default:
        break;
    }

            }
          else
            {
              semantic_option* yyz0prev = YY_NULLPTR;
              semantic_option* yyz0 = yys0->firstVal();
              semantic_option* yyz1 = yys1->firstVal();
              while (true)
                {
                  if (yyz1 == yyz0 || yyz1 == YY_NULLPTR)
                    break;
                  else if (yyz0 == YY_NULLPTR)
                    {
                      if (yyz0prev != YY_NULLPTR)
                        yyz0prev->setNext (yyz1);
                      else
                        yys0->setFirstVal (yyz1);
                      break;
                    }
                  else if (yyz0 < yyz1)
                    {
                      semantic_option* yyz = yyz0;
                      if (yyz0prev != YY_NULLPTR)
                        yyz0prev->setNext(yyz1);
                      else
                        yys0->setFirstVal(yyz1);
                      yyz1 = yyz1->next();
                      yyz0->setNext(yyz);
                    }
                  yyz0prev = yyz0;
                  yyz0 = yyz0->next();
                }
              yys1->setFirstVal(yys0->firstVal());
            }
        }
    }

#if YYDEBUG
    void yyreportTree (size_t yyindent = 2) const
    {
      int yynrhs = yyrhsLength (this->yyrule);
      const glr_state* yystates[1 + YYMAXRHS];
      glr_state yyleftmost_state;

      {
        const glr_state* yys = this->state();
        for (int yyi = yynrhs; 0 < yyi; yyi -= 1)
          {
            yystates[yyi] = yys;
            yys = yys->pred();
          }
        if (yys == YY_NULLPTR)
          {
            yyleftmost_state.yyposn = 0;
            yystates[0] = &yyleftmost_state;
          }
        else
          yystates[0] = yys;
      }

      std::string yylhs = AGC::bison::symbol_name (yylhsNonterm (this->yyrule));
      YYASSERT(this->state());
      if (this->state()->yyposn < yystates[0]->yyposn + 1)
        std::cerr << std::string(yyindent, ' ') << yylhs << " -> <Rule "
                  << this->yyrule - 1 << ", empty>\n";
      else
        std::cerr << std::string(yyindent, ' ') << yylhs << " -> <Rule "
                  << this->yyrule - 1 << ", tokens "
                  << yystates[0]->yyposn + 1 << " .. "
                  << this->state()->yyposn << ">\n";
      for (int yyi = 1; yyi <= yynrhs; yyi += 1)
        {
          if (yystates[yyi]->yyresolved)
            {
              std::string yysym = AGC::bison::symbol_name (yy_accessing_symbol (yystates[yyi]->yylrState));
              if (yystates[yyi-1]->yyposn+1 > yystates[yyi]->yyposn)
                std::cerr << std::string(yyindent + 2, ' ') << yysym
                          << " <empty>\n";
              else
                std::cerr << std::string(yyindent + 2, ' ') << yysym
                          << " <tokens " << yystates[yyi-1]->yyposn + 1
                          << " .. " << yystates[yyi]->yyposn << ">\n";
            }
          else
            yystates[yyi]->firstVal ()->yyreportTree (yyindent+2);
        }
    }
#endif

    /** Rule number for this reduction */
    rule_num yyrule;

  private:
    template <typename T>
    static const glr_stack_item* asItem(const T* state)
    {
      return reinterpret_cast<const glr_stack_item*>(state);
    }
    template <typename T>
    static glr_stack_item* asItem(T* state)
    {
      return reinterpret_cast<glr_stack_item*>(state);
    }
    /** The last RHS state in the list of states to be reduced.  */
    std::ptrdiff_t yystate;
    /** Next sibling in chain of options.  To facilitate merging,
     *  options are chained in decreasing order by address.  */
    std::ptrdiff_t yynext;

  public:
    /** The lookahead for this reduction.  */
    symbol_type yyla;


  }; // class semantic_option
} // namespace

namespace
{
  /** Type of the items in the GLR stack.
   *  It can be either a glr_state or a semantic_option. The is_state_ field
   *  indicates which item of the union is valid.  */
  class glr_stack_item
  {
  public:
    glr_stack_item (bool state = true)
      : is_state_ (state)
    {
      if (is_state_)
        new (&raw_) glr_state;
      else
        new (&raw_) semantic_option;
    }

    glr_stack_item (const glr_stack_item& other) YY_NOEXCEPT YY_NOTHROW
      : is_state_ (other.is_state_)
    {
      std::memcpy (raw_, other.raw_, union_size);
    }

    glr_stack_item& operator= (glr_stack_item other)
    {
      std::swap (is_state_, other.is_state_);
      std::swap (raw_, other.raw_);
      return *this;
    }

    ~glr_stack_item ()
    {
      if (is_state ())
        getState ().~glr_state ();
      else
        getOption ().~semantic_option ();
    }

    void setState (const glr_state &state)
    {
      if (this != state.asItem ())
        {
          if (is_state_)
            getState ().~glr_state ();
          else
            getOption ().~semantic_option ();
          new (&raw_) glr_state (state);
          is_state_ = true;
        }
    }

    glr_state& getState ()
    {
      YYDASSERT (is_state ());
      void *yyp = raw_;
      glr_state& res = *static_cast<glr_state*> (yyp);
      return res;
    }

    const glr_state& getState () const
    {
      YYDASSERT (is_state ());
      const void *yyp = raw_;
      const glr_state& res = *static_cast<const glr_state*> (yyp);
      return res;
    }

    semantic_option& getOption ()
    {
      YYDASSERT (!is_state ());
      void *yyp = raw_;
      return *static_cast<semantic_option*> (yyp);
    }
    const semantic_option& getOption () const
    {
      YYDASSERT (!is_state ());
      const void *yyp = raw_;
      return *static_cast<const semantic_option*> (yyp);
    }
    bool is_state () const
    {
      return is_state_;
    }

  private:
    /// The possible contents of raw_. Since they have constructors, they cannot
    /// be directly included in the union.
    union contents
    {
      char yystate[sizeof (glr_state)];
      char yyoption[sizeof (semantic_option)];
    };
    enum { union_size = sizeof (contents) };
    union {
      /// Strongest alignment constraints.
      long double yyalign_me;
      /// A buffer large enough to store the contents.
      char raw_[union_size];
    };
    /** Type tag for the union. */
    bool is_state_;

  }; // class glr_stack_item
} // namespace

glr_state* glr_state::pred ()
{
  YY_IGNORE_NULL_DEREFERENCE_BEGIN
  return yypred ? &asItem (as_pointer_ (this) - yypred)->getState () : YY_NULLPTR;
  YY_IGNORE_NULL_DEREFERENCE_END
}

const glr_state* glr_state::pred () const
{
  YY_IGNORE_NULL_DEREFERENCE_BEGIN
  return yypred ? &asItem (as_pointer_ (this) - yypred)->getState () : YY_NULLPTR;
  YY_IGNORE_NULL_DEREFERENCE_END
}

void glr_state::setPred (const glr_state* state)
{
  yypred = state ? as_pointer_ (this) - as_pointer_ (state) : 0;
}

semantic_option* glr_state::firstVal ()
{
  return yyfirstVal ? &(asItem(this) - yyfirstVal)->getOption() : YY_NULLPTR;
}

const semantic_option* glr_state::firstVal () const
{
  return yyfirstVal ? &(asItem(this) - yyfirstVal)->getOption() : YY_NULLPTR;
}

void glr_state::setFirstVal (const semantic_option* option)
{
  yyfirstVal = option ? asItem(this) - asItem(option) : 0;
}

std::ptrdiff_t glr_state::indexIn (const glr_stack_item* array) const
{
  return asItem(this) - array;
}

std::ptrdiff_t semantic_option::indexIn (const glr_stack_item* array) const
{
  return asItem(this) - array;
}

glr_state* semantic_option::state ()
{
  YY_IGNORE_NULL_DEREFERENCE_BEGIN
  return yystate ? &(asItem(this) - yystate)->getState() : YY_NULLPTR;
  YY_IGNORE_NULL_DEREFERENCE_END
}

const glr_state* semantic_option::state () const
{
  return yystate ? &(asItem(this) - yystate)->getState() : YY_NULLPTR;
}

void semantic_option::setState (const glr_state* s)
{
  yystate = s ? asItem(this) - asItem(s) : 0;
}

const semantic_option* semantic_option::next () const
{
  return yynext ? &(asItem(this) - yynext)->getOption() : YY_NULLPTR;
}

semantic_option* semantic_option::next ()
{
  return yynext ? &(asItem(this) - yynext)->getOption() : YY_NULLPTR;
}

void semantic_option::setNext (const semantic_option* s)
{
  yynext = s ? asItem(this) - asItem(s) : 0;
}

void glr_state::destroy (char const* yymsg, AGC::bison& yyparser)
{
  if (yyresolved)
    yyparser.yy_destroy_ (yymsg, yy_accessing_symbol(yylrState),
                          value (), yyloc);
  else
    {
#if YYDEBUG
      YYCDEBUG << yymsg
               << (firstVal() ? " unresolved " : " incomplete ")
               << (yy_accessing_symbol (yylrState) < YYNTOKENS ? "token" : "nterm")
               << ' ' << yyparser.symbol_name (yy_accessing_symbol (yylrState))
               << " ("
               << yyloc << ": "
               << ")\n";
#endif
      if (firstVal() != YY_NULLPTR)
        {
          semantic_option& yyoption = *firstVal ();
          glr_state *yyrh = yyoption.state ();
          for (int yyn = yyrhsLength (yyoption.yyrule); yyn > 0; yyn -= 1)
            {
              yyrh->destroy (yymsg, yyparser);
              yyrh = yyrh->pred();
            }
        }
    }
}


#undef YYFILL
#define YYFILL(N) yyfill (yyvsp, yylow, (N), yynormal)

namespace
{
  class state_stack
  {
  public:
    using parser_type = AGC::bison;
    using symbol_kind = parser_type::symbol_kind;
    using value_type = parser_type::value_type;
    using location_type = parser_type::location_type;

    /** Initialize to a single empty stack, with total maximum
     *  capacity for all stacks of YYSIZE.  */
    state_stack (size_t yysize)
      : yysplitPoint (YY_NULLPTR)
    {
      yyitems.reserve (yysize);
    }

#if YYSTACKEXPANDABLE
    /** Returns false if it tried to expand but could not. */
    bool
    yyexpandGLRStackIfNeeded ()
    {
      return YYHEADROOM <= spaceLeft () || yyexpandGLRStack ();
    }

  private:
    /** If *this is expandable, extend it.  WARNING: Pointers into the
        stack from outside should be considered invalid after this call.
        We always expand when there are 1 or fewer items left AFTER an
        allocation, so that we can avoid having external pointers exist
        across an allocation.  */
    bool
    yyexpandGLRStack ()
    {
      const size_t oldsize = yyitems.size();
      if (YYMAXDEPTH - YYHEADROOM < oldsize)
        return false;
      const size_t yynewSize = YYMAXDEPTH < 2 * oldsize ? YYMAXDEPTH : 2 * oldsize;
      const glr_stack_item *oldbase = &yyitems[0];

      yyitems.reserve (yynewSize);
      const glr_stack_item *newbase = &yyitems[0];

      // Adjust the pointers.  Perform raw pointer arithmetic, as there
      // is no reason for objects to be aligned on their size.
      const ptrdiff_t disp
        = reinterpret_cast<const char*> (newbase) - reinterpret_cast<const char*> (oldbase);
      if (yysplitPoint)
        const_cast<glr_state*&> (yysplitPoint)
          = reinterpret_cast<glr_state*> (reinterpret_cast<char*> (const_cast<glr_state*> (yysplitPoint)) + disp);

      for (std::vector<glr_state*>::iterator
             i = yytops.begin (),
             yyend = yytops.end ();
           i != yyend; ++i)
        if (glr_state_not_null (*i))
          *i = reinterpret_cast<glr_state*>(reinterpret_cast<char*>(*i) + disp);

      return true;
    }

  public:
#else
    bool yyexpandGLRStackIfNeeded ()
    {
      return YYHEADROOM <= spaceLeft ();
    }
#endif
#undef YYSTACKEXPANDABLE

    static bool glr_state_not_null (glr_state* s)
    {
      return s != YY_NULLPTR;
    }

    bool
    reduceToOneStack ()
    {
      using iterator = std::vector<glr_state*>::iterator;
      const iterator yybegin = yytops.begin();
      const iterator yyend = yytops.end();
      const iterator yyit = std::find_if(yybegin, yyend, glr_state_not_null);
      if (yyit == yyend)
        return false;
      for (state_set_index yyk = create_state_set_index(yyit + 1 - yybegin);
           yyk.uget() != numTops(); ++yyk)
        yytops.yymarkStackDeleted (yyk);
      yytops.yyremoveDeletes ();
      yycompressStack ();
      return true;
    }

    /** Called when returning to deterministic operation to clean up the extra
     * stacks. */
    void
    yycompressStack ()
    {
      if (yytops.size() != 1 || !isSplit())
        return;

      // yyr is the state after the split point.
      glr_state* yyr = YY_NULLPTR;
      for (glr_state *yyp = firstTop(), *yyq = yyp->pred();
           yyp != yysplitPoint;
           yyr = yyp, yyp = yyq, yyq = yyp->pred())
        yyp->setPred(yyr);

      // This const_cast is okay, since anyway we have access to the mutable
      // yyitems into which yysplitPoint points.
      glr_stack_item* nextFreeItem
        = const_cast<glr_state*> (yysplitPoint)->asItem () + 1;
      yysplitPoint = YY_NULLPTR;
      yytops.clearLastDeleted ();

      while (yyr != YY_NULLPTR)
        {
          nextFreeItem->setState (*yyr);
          glr_state& nextFreeState = nextFreeItem->getState();
          yyr = yyr->pred();
          nextFreeState.setPred(&(nextFreeItem - 1)->getState());
          setFirstTop (&nextFreeState);
          ++nextFreeItem;
        }
      yyitems.resize(static_cast<size_t>(nextFreeItem - yyitems.data()));
    }

    bool isSplit() const {
      return yysplitPoint != YY_NULLPTR;
    }

    // Present the interface of a vector of glr_stack_item.
    std::vector<glr_stack_item>::const_iterator begin () const
    {
      return yyitems.begin ();
    }

    std::vector<glr_stack_item>::const_iterator end () const
    {
      return yyitems.end ();
    }

    size_t size() const
    {
      return yyitems.size ();
    }

    glr_stack_item& operator[] (size_t i)
    {
      return yyitems[i];
    }

    glr_stack_item& stackItemAt (size_t index)
    {
      return yyitems[index];
    }

    size_t numTops () const
    {
      return yytops.size ();
    }

    glr_state* firstTop () const
    {
      return yytops[create_state_set_index (0)];
    }

    glr_state* topAt (state_set_index i) const
    {
      return yytops[i];
    }

    void setFirstTop (glr_state* value)
    {
      yytops[create_state_set_index (0)] = value;
    }

    void setTopAt (state_set_index i, glr_state* value)
    {
      yytops[i] = value;
    }

    void pop_back ()
    {
      yyitems.pop_back ();
    }

    void pop_back (size_t n)
    {
      yyitems.resize (yyitems.size () - n);
    }

    state_set_index
    yysplitStack (state_set_index yyk)
    {
      if (!isSplit ())
        {
          YYASSERT (yyk.get () == 0);
          yysplitPoint = topAt (yyk);
        }
      return yytops.yysplitStack (yyk);
    }

    /** Assuming that YYS is a GLRState somewhere on *this, update the
     *  splitpoint of *this, if needed, so that it is at least as deep as
     *  YYS.  */
    void
    yyupdateSplit (glr_state& yys)
    {
      if (isSplit() && &yys < yysplitPoint)
        yysplitPoint = &yys;
    }

    /** Return a fresh GLRState.
     * Callers should call yyreserveStack afterwards to make sure there is
     * sufficient headroom.  */
    glr_state& yynewGLRState (const glr_state& newState)
    {
      glr_state& state = yyitems[yynewGLRStackItem (true)].getState ();
#if false && 201103L <= YY_CPLUSPLUS
      state = std::move (newState);
#else
      state = newState;
#endif
      return state;
    }

    /** Return a fresh SemanticOption.
     * Callers should call yyreserveStack afterwards to make sure there is
     * sufficient headroom.  */
    semantic_option& yynewSemanticOption (semantic_option newOption)
    {
      semantic_option& option = yyitems[yynewGLRStackItem (false)].getOption ();
      option = std::move (newOption);
      return option;
    }

    /* Do nothing if YYNORMAL or if *YYLOW <= YYLOW1.  Otherwise, fill in
     * YYVSP[YYLOW1 .. *YYLOW-1] as in yyfillin and set *YYLOW = YYLOW1.
     * For convenience, always return YYLOW1.  */
    int
    yyfill (glr_stack_item *yyvsp, int &yylow, int yylow1, bool yynormal)
    {
      if (!yynormal && yylow1 < yylow)
        {
          yyfillin (yyvsp, yylow, yylow1);
          yylow = yylow1;
        }
      return yylow1;
    }

    /** Fill in YYVSP[YYLOW1 .. YYLOW0-1] from the chain of states starting
     *  at YYVSP[YYLOW0].getState().pred().  Leaves YYVSP[YYLOW1].getState().pred()
     *  containing the pointer to the next state in the chain.  */
    void
    yyfillin (glr_stack_item *yyvsp, int yylow0, int yylow1)
    {
      glr_state* s = yyvsp[yylow0].getState().pred();
      YYASSERT(s != YY_NULLPTR);
      for (int i = yylow0-1; i >= yylow1; i -= 1, s = s->pred())
        {
          glr_state& yys = yyvsp[i].getState();
#if YYDEBUG
          yys.yylrState = s->yylrState;
#endif
          yys.yyresolved = s->yyresolved;
          if (s->yyresolved)
            {
              new (&yys.value ()) value_type ();
              switch (yy_accessing_symbol (s->yylrState))
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        yys.value ().copy< attrbPair > (s->value ());
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        yys.value ().copy< attrbRefSeq > (s->value ());
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        yys.value ().copy< attrbTriple > (s->value ());
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        yys.value ().copy< char_literal > (s->value ());
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_bison_or_byacc_directive: // bison_or_byacc_directive
      case symbol_kind::S_bison_directive: // bison_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        yys.value ().copy< keyword > (s->value ());
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        yys.value ().copy< name_literal > (s->value ());
        break;

      case symbol_kind::S_NUM: // "number"
        yys.value ().copy< numberRep > (s->value ());
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        yys.value ().copy< symDeclSeq > (s->value ());
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        yys.value ().copy< symSeq > (s->value ());
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        yys.value ().copy< typeSeq > (s->value ());
        break;

      case symbol_kind::S_user_argument_seq: // user_argument_seq
      case symbol_kind::S_user_argument: // user_argument
        yys.value ().copy< userArgSeq > (s->value ());
        break;

      default:
        break;
    }

            }
          else
            /* The effect of using yyval or yyloc (in an immediate
             * rule) is undefined.  */
            yys.setFirstVal (YY_NULLPTR);
          yys.yyloc = s->yyloc;
          yys.setPred(s->pred());
        }
    }

#if YYDEBUG

    /*----------------------------------------------------------------------.
    | Report that stack #YYK of *YYSTACKP is going to be reduced by YYRULE. |
    `----------------------------------------------------------------------*/

    void
    yy_reduce_print (bool yynormal, glr_stack_item* yyvsp, state_set_index yyk,
                     rule_num yyrule, parser_type& yyparser)
    {
      int yynrhs = yyrhsLength (yyrule);
      int yylow = 1;
      int yyi;
      std::cerr << "Reducing stack " << yyk.get() << " by rule " << yyrule - 1
                << " (line " << int (yyrline[yyrule]) << "):\n";
      if (! yynormal)
        yyfillin (yyvsp, 1, -yynrhs);
      /* The symbols being reduced.  */
      for (yyi = 0; yyi < yynrhs; yyi++)
        {
          std::cerr << "   $" << yyi + 1 << " = ";
          yyparser.yy_symbol_print_
            (yy_accessing_symbol (yyvsp[yyi - yynrhs + 1].getState().yylrState),
             yyvsp[yyi - yynrhs + 1].getState().value (),
             ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL ((yyi + 1) - (yynrhs))].getState().yyloc));
          if (!yyvsp[yyi - yynrhs + 1].getState().yyresolved)
            std::cerr << " (unresolved)";
          std::cerr << '\n';
        }
    }


#define YYINDEX(YYX)                                                         \
      ((YYX) == YY_NULLPTR ? -1 : (YYX)->indexIn (yyitems.data ()))

    void
    dumpStack () const
    {
      for (size_t yyi = 0; yyi < size(); ++yyi)
        {
          const glr_stack_item& item = yyitems[yyi];
          std::cerr << std::setw(3) << yyi << ". ";
          if (item.is_state())
            {
              std::cerr << "Res: " << item.getState().yyresolved
                        << ", LR State: " << item.getState().yylrState
                        << ", posn: " << item.getState().yyposn
                        << ", pred: " << YYINDEX(item.getState().pred());
              if (! item.getState().yyresolved)
                std::cerr << ", firstVal: "
                          << YYINDEX(item.getState().firstVal());
            }
          else
            {
              std::cerr << "Option. rule: " << item.getOption().yyrule - 1
                        << ", state: " << YYINDEX(item.getOption().state())
                        << ", next: " << YYINDEX(item.getOption().next());
            }
          std::cerr << '\n';
        }
      std::cerr << "Tops:";
      for (state_set_index yyi = create_state_set_index(0); yyi.uget() < numTops(); ++yyi) {
        std::cerr << yyi.get() << ": " << YYINDEX(topAt(yyi)) << "; ";
      }
      std::cerr << '\n';
    }

#undef YYINDEX
#endif

    YYRESULTTAG
    yyreportAmbiguity (const semantic_option& yyx0,
                       const semantic_option& yyx1, parser_type& yyparser, const location_type& yyloc)
    {
      YY_USE (yyx0);
      YY_USE (yyx1);

#if YYDEBUG
      std::cerr << "Ambiguity detected.\n"
        "Option 1,\n";
      yyx0.yyreportTree ();
      std::cerr << "\nOption 2,\n";
      yyx1.yyreportTree ();
      std::cerr << '\n';
#endif

      yyparser.error (yyloc, YY_("syntax is ambiguous"));
      return yyabort;
    }

#if YYDEBUG
    /* Print YYS (possibly NULL) and its predecessors. */
    void
    yypstates (const glr_state* yys) const
    {
      if (yys != YY_NULLPTR)
        yys->yy_yypstack();
      else
        std::cerr << "<null>";
      std::cerr << '\n';
    }
#endif

  private:
    size_t spaceLeft() const
    {
      return yyitems.capacity() - yyitems.size();
    }

    /** Return a fresh GLRStackItem in this.  The item is an LR state
     *  if YYIS_STATE, and otherwise a semantic option.  Callers should call
     *  yyreserveStack afterwards to make sure there is sufficient
     *  headroom.  */
    size_t
    yynewGLRStackItem (bool yyis_state)
    {
      YYDASSERT(yyitems.size() < yyitems.capacity());
      yyitems.push_back(glr_stack_item(yyis_state));
      return yyitems.size() - 1;
    }


  public:
    std::vector<glr_stack_item> yyitems;
    // Where the stack splits. Anything below this address is deterministic.
    const glr_state* yysplitPoint;
    glr_state_set yytops;
  }; // class state_stack
} // namespace

#undef YYFILL
#define YYFILL(N) yystateStack.yyfill (yyvsp, yylow, (N), yynormal)

namespace AGC
{
  class bison::glr_stack
  {
  public:

    // Needs access to yypact_value_is_default, etc.
    friend context;


    glr_stack (size_t yysize, parser_type& yyparser_yyarg, AGC::bisonLexer& theLexer_yyarg, yoxControl& ctrl_yyarg, specIO& theFiles_yyarg)
      : yyerrState (0)
      , yystateStack (yysize)
      , yyerrcnt (0)
      , yyla ()
      , yyparser (yyparser_yyarg),
      theLexer (theLexer_yyarg),
      ctrl (ctrl_yyarg),
      theFiles (theFiles_yyarg)
    {}

    ~glr_stack ()
    {
      if (!this->yyla.empty ())
        yyparser.yy_destroy_ ("Cleanup: discarding lookahead",
                              this->yyla.kind (), this->yyla.value, this->yyla.location);
      popall_ ();
    }

    int yyerrState;
  /* To compute the location of the error token.  */
    glr_stack_item yyerror_range[3];
    state_stack yystateStack;
    int yyerrcnt;
    symbol_type yyla;
    YYJMP_BUF yyexception_buffer;
    parser_type& yyparser;

  #define YYCHK1(YYE)                                                          \
    do {                                                                       \
      switch (YYE) {                                                           \
      case yyok:                                                               \
        break;                                                                 \
      case yyabort:                                                            \
        goto yyabortlab;                                                       \
      case yyaccept:                                                           \
        goto yyacceptlab;                                                      \
      case yyerr:                                                              \
        goto yyuser_error;                                                     \
      default:                                                                 \
        goto yybuglab;                                                         \
      }                                                                        \
    } while (false)

    int
    parse ()
    {
      int yyresult;
      size_t yyposn;

      YYCDEBUG << "Starting parse\n";

      this->yyla.clear ();

      // User initialization code.
#line 19 "agc-bison.yy"
{
  yyla.location.initialize (&theFiles.inName);

  yoxOutGdefs.setCurPos (yyla.location.begin);
  yoxOutG.setCurPos (yyla.location.begin);
  yoxOutGimport.setCurPos (yyla.location.begin);

  yoxOutH.setCurPos (yyla.location.begin);
  yoxOutHrequires.setCurPos (yyla.location.begin);
  yoxOutHprovides.setCurPos (yyla.location.begin);

  actionCLOSER.setCurPos (yyla.location.begin);
  attrDECL.setCurPos (yyla.location.begin);
  possibleLHS.setCurPos (yyla.location.begin);
  ruleDIRECTIVE.setCurPos (yyla.location.begin);
  unionBODY.setCurPos (yyla.location.begin);
  yaccCODE.setCurPos (yyla.location.begin);

  separatorMARK.setCurPos (yyla.location.begin);
}

#line 4663 "agc-bison.cc"


      switch (YYSETJMP (this->yyexception_buffer))
        {
        case 0: break;
        case 1: goto yyabortlab;
        case 2: goto yyexhaustedlab;
        default: goto yybuglab;
        }
      this->yyglrShift (create_state_set_index(0), 0, 0, this->yyla.value, this->yyla.location);
      yyposn = 0;

      while (true)
        {
          /* For efficiency, we have two loops, the first of which is
             specialized to deterministic operation (single stack, no
             potential ambiguity).  */
          /* Standard mode */
          while (true)
            {
              const state_num yystate = this->firstTopState()->yylrState;
              YYCDEBUG << "Entering state " << yystate << '\n';
              if (yystate == YYFINAL)
                goto yyacceptlab;
              if (yy_is_defaulted_state (yystate))
                {
                  const rule_num yyrule = yy_default_action (yystate);
                  if (yyrule == 0)
                    {
                      this->yyerror_range[1].getState().yyloc = this->yyla.location;
                      this->yyreportSyntaxError ();
                      goto yyuser_error;
                    }
                  YYCHK1 (this->yyglrReduce (create_state_set_index(0), yyrule, true));
                }
              else
                {
                  yyget_token ();
                  const short* yyconflicts;
                  const int yyaction = yygetLRActions (yystate, this->yyla.kind (), yyconflicts);
                  if (*yyconflicts != 0)
                    break;
                  if (yy_is_shift_action (yyaction))
                    {
                      YY_SYMBOL_PRINT ("Shifting", this->yyla.kind (), this->yyla.value, this->yyla.location);
                      yyposn += 1;
                      // FIXME: we should move yylval.
                      this->yyglrShift (create_state_set_index(0), yyaction, yyposn, this->yyla.value, this->yyla.location);
                      yyla.clear ();
                      if (0 < this->yyerrState)
                        this->yyerrState -= 1;
                    }
                  else if (yy_is_error_action (yyaction))
                    {
                      this->yyerror_range[1].getState().yyloc = this->yyla.location;
                      /* Don't issue an error message again for exceptions
                         thrown from the scanner.  */
                      if (this->yyla.kind () != symbol_kind::S_YYerror)
                        this->yyreportSyntaxError ();
                      goto yyuser_error;
                    }
                  else
                    YYCHK1 (this->yyglrReduce (create_state_set_index(0), -yyaction, true));
                }
            }

          while (true)
            {
              for (state_set_index yys = create_state_set_index(0); yys.uget() < this->yystateStack.numTops(); ++yys)
                this->yystateStack.yytops.setLookaheadNeeds(yys, !this->yyla.empty ());

              /* yyprocessOneStack returns one of three things:

                  - An error flag.  If the caller is yyprocessOneStack, it
                    immediately returns as well.  When the caller is finally
                    yyparse, it jumps to an error label via YYCHK1.

                  - yyok, but yyprocessOneStack has invoked yymarkStackDeleted
                    (yys), which sets the top state of yys to NULL.  Thus,
                    yyparse's following invocation of yyremoveDeletes will remove
                    the stack.

                  - yyok, when ready to shift a token.

                 Except in the first case, yyparse will invoke yyremoveDeletes and
                 then shift the next token onto all remaining stacks.  This
                 synchronization of the shift (that is, after all preceding
                 reductions on all stacks) helps prevent double destructor calls
                 on yylval in the event of memory exhaustion.  */

              for (state_set_index yys = create_state_set_index (0); yys.uget () < this->yystateStack.numTops (); ++yys)
                YYCHK1 (this->yyprocessOneStack (yys, yyposn, &this->yyla.location));
              this->yystateStack.yytops.yyremoveDeletes ();
              if (this->yystateStack.yytops.size() == 0)
                {
                  this->yystateStack.yytops.yyundeleteLastStack ();
                  if (this->yystateStack.yytops.size() == 0)
                    this->yyFail (&this->yyla.location, YY_("syntax error"));
                  YYCHK1 (this->yyresolveStack ());
                  YYCDEBUG << "Returning to deterministic operation.\n";
                  this->yyerror_range[1].getState ().yyloc = this->yyla.location;
                  this->yyreportSyntaxError ();
                  goto yyuser_error;
                }

              /* If any yyglrShift call fails, it will fail after shifting.  Thus,
                 a copy of yylval will already be on stack 0 in the event of a
                 failure in the following loop.  Thus, yyla is emptied
                 before the loop to make sure the user destructor for yylval isn't
                 called twice.  */
              symbol_kind_type yytoken_to_shift = this->yyla.kind ();
              this->yyla.kind_ = symbol_kind::S_YYEMPTY;
              yyposn += 1;
              for (state_set_index yys = create_state_set_index (0); yys.uget () < this->yystateStack.numTops (); ++yys)
                {
                  const state_num yystate = this->topState (yys)->yylrState;
                  const short* yyconflicts;
                  const int yyaction = yygetLRActions (yystate, yytoken_to_shift, yyconflicts);
                  /* Note that yyconflicts were handled by yyprocessOneStack.  */
                  YYCDEBUG << "On stack " << yys.get() << ", ";
                  YY_SYMBOL_PRINT ("shifting", yytoken_to_shift, this->yyla.value, this->yyla.location);
                  this->yyglrShift (yys, yyaction, yyposn, this->yyla.value, this->yyla.location);
                  YYCDEBUG << "Stack " << yys.get() << " now in state "
                           << this->topState(yys)->yylrState << '\n';
                }

                // FIXME: User destructors.
                // Value type destructor.
                switch (yytoken_to_shift)
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        this->yyla.value.template destroy< attrbPair > ();
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        this->yyla.value.template destroy< attrbRefSeq > ();
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        this->yyla.value.template destroy< attrbTriple > ();
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        this->yyla.value.template destroy< char_literal > ();
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_bison_or_byacc_directive: // bison_or_byacc_directive
      case symbol_kind::S_bison_directive: // bison_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        this->yyla.value.template destroy< keyword > ();
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        this->yyla.value.template destroy< name_literal > ();
        break;

      case symbol_kind::S_NUM: // "number"
        this->yyla.value.template destroy< numberRep > ();
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        this->yyla.value.template destroy< symDeclSeq > ();
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        this->yyla.value.template destroy< symSeq > ();
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        this->yyla.value.template destroy< typeSeq > ();
        break;

      case symbol_kind::S_user_argument_seq: // user_argument_seq
      case symbol_kind::S_user_argument: // user_argument
        this->yyla.value.template destroy< userArgSeq > ();
        break;

      default:
        break;
    }


              if (this->yystateStack.yytops.size () == 1)
                {
                  YYCHK1 (this->yyresolveStack ());
                  YYCDEBUG << "Returning to deterministic operation.\n";
                  this->yystateStack.yycompressStack ();
                  break;
                }
            }
          continue;
        yyuser_error:
          this->yyrecoverSyntaxError (&this->yyla.location);
          yyposn = this->firstTopState()->yyposn;
        }

    yyacceptlab:
      yyresult = 0;
      goto yyreturn;

    yybuglab:
      YYASSERT (false);
      goto yyabortlab;

    yyabortlab:
      yyresult = 1;
      goto yyreturn;

    yyexhaustedlab:
      yyparser.error (this->yyla.location, YY_("memory exhausted"));
      yyresult = 2;
      goto yyreturn;

    yyreturn:
      return yyresult;
    }
  #undef YYCHK1

    void yyreserveGlrStack ()
    {
      if (!yystateStack.yyexpandGLRStackIfNeeded ())
        yyMemoryExhausted ();
    }

    _Noreturn void
    yyMemoryExhausted ()
    {
      YYLONGJMP (yyexception_buffer, 2);
    }

    _Noreturn void
    yyFail (location_type* yylocp, const char* yymsg)
    {
      if (yymsg != YY_NULLPTR)
        yyparser.error (*yylocp, yymsg);
      YYLONGJMP (yyexception_buffer, 1);
    }

                                  /* GLRStates */


    /** Add a new semantic action that will execute the action for rule
     *  YYRULE on the semantic values in YYRHS to the list of
     *  alternative actions for YYSTATE.  Assumes that YYRHS comes from
     *  stack #YYK of *this. */
    void
    yyaddDeferredAction (state_set_index yyk, glr_state* yystate,
                         glr_state* yyrhs, rule_num yyrule)
    {
      semantic_option& yyopt = yystateStack.yynewSemanticOption (semantic_option (yyrule));
      yyopt.setState (yyrhs);
      yyopt.setNext (yystate->firstVal ());
      if (yystateStack.yytops.lookaheadNeeds (yyk))
        yyopt.yyla = this->yyla;
      yystate->setFirstVal (&yyopt);

      yyreserveGlrStack ();
    }

  #if YYDEBUG
    void yypdumpstack () const
    {
      yystateStack.dumpStack();
    }
  #endif

    void
    yyreportSyntaxError ()
    {
      if (yyerrState != 0)
        return;

      context yyctx (*this, yyla);
      yyparser.report_syntax_error (yyctx);
      yyerrcnt += 1;
    }

    /* Recover from a syntax error on this, assuming that yytoken,
       yylval, and yylloc are the syntactic category, semantic value, and location
       of the lookahead.  */
    void
    yyrecoverSyntaxError (location_type* yylocp)
    {
      if (yyerrState == 3)
        /* We just shifted the error token and (perhaps) took some
           reductions.  Skip tokens until we can proceed.  */
        while (true)
          {
            if (this->yyla.kind () == symbol_kind::S_YYEOF)
              yyFail (yylocp, YY_NULLPTR);
            if (this->yyla.kind () != symbol_kind::S_YYEMPTY)
              {
                /* We throw away the lookahead, but the error range
                   of the shifted error token must take it into account.  */
                glr_state *yys = firstTopState();
                yyerror_range[1].getState().yyloc = yys->yyloc;
                yyerror_range[2].getState().yyloc = this->yyla.location;
                YYLLOC_DEFAULT ((yys->yyloc), yyerror_range, 2);
                yyparser.yy_destroy_ ("Error: discarding",
                                      this->yyla.kind (), this->yyla.value, this->yyla.location);
                // Value type destructor.
                switch (this->yyla.kind ())
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        this->yyla.value.template destroy< attrbPair > ();
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        this->yyla.value.template destroy< attrbRefSeq > ();
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        this->yyla.value.template destroy< attrbTriple > ();
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        this->yyla.value.template destroy< char_literal > ();
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_bison_or_byacc_directive: // bison_or_byacc_directive
      case symbol_kind::S_bison_directive: // bison_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        this->yyla.value.template destroy< keyword > ();
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        this->yyla.value.template destroy< name_literal > ();
        break;

      case symbol_kind::S_NUM: // "number"
        this->yyla.value.template destroy< numberRep > ();
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        this->yyla.value.template destroy< symDeclSeq > ();
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        this->yyla.value.template destroy< symSeq > ();
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        this->yyla.value.template destroy< typeSeq > ();
        break;

      case symbol_kind::S_user_argument_seq: // user_argument_seq
      case symbol_kind::S_user_argument: // user_argument
        this->yyla.value.template destroy< userArgSeq > ();
        break;

      default:
        break;
    }

                this->yyla.kind_ = symbol_kind::S_YYEMPTY;
              }
            yyget_token ();
            int yyj = yypact[firstTopState()->yylrState];
            if (yypact_value_is_default (yyj))
              return;
            yyj += this->yyla.kind ();
            if (yyj < 0 || YYLAST < yyj || yycheck[yyj] != this->yyla.kind ())
              {
                if (yydefact[firstTopState()->yylrState] != 0)
                  return;
              }
            else if (! yytable_value_is_error (yytable[yyj]))
              return;
          }

      if (!yystateStack.reduceToOneStack())
        yyFail (yylocp, YY_NULLPTR);

      /* Now pop stack until we find a state that shifts the error token.  */
      yyerrState = 3;
      while (firstTopState () != YY_NULLPTR)
        {
          glr_state *yys = firstTopState ();
          int yyj = yypact[yys->yylrState];
          if (! yypact_value_is_default (yyj))
            {
              yyj += YYTERROR;
              if (0 <= yyj && yyj <= YYLAST && yycheck[yyj] == YYTERROR
                  && yy_is_shift_action (yytable[yyj]))
                {
                  /* Shift the error token.  */
                  /* First adjust its location.*/
                  location_type yyerrloc;
                  yyerror_range[2].getState().yyloc = this->yyla.location;
                  YYLLOC_DEFAULT (yyerrloc, (yyerror_range), 2);
                  YY_SYMBOL_PRINT ("Shifting", yy_accessing_symbol (yytable[yyj]),
                                   this->yyla.value, yyerrloc);
                  yyglrShift (create_state_set_index(0), yytable[yyj],
                              yys->yyposn, yyla.value, yyerrloc);
                  yys = firstTopState();
                  break;
                }
            }
          yyerror_range[1].getState().yyloc = yys->yyloc;
          if (yys->pred() != YY_NULLPTR)
            yys->destroy ("Error: popping", yyparser);
          yystateStack.setFirstTop(yys->pred());
          yystateStack.pop_back();
        }
      if (firstTopState() == YY_NULLPTR)
        yyFail (yylocp, YY_NULLPTR);
    }

    YYRESULTTAG
    yyprocessOneStack (state_set_index yyk,
                       size_t yyposn, location_type* yylocp)
    {
      while (yystateStack.topAt(yyk) != YY_NULLPTR)
        {
          const state_num yystate = topState(yyk)->yylrState;
          YYCDEBUG << "Stack " << yyk.get()
                   << " Entering state " << yystate << '\n';

          YYASSERT (yystate != YYFINAL);

          if (yy_is_defaulted_state (yystate))
            {
              const rule_num yyrule = yy_default_action (yystate);
              if (yyrule == 0)
                {
                  YYCDEBUG << "Stack " << yyk.get() << " dies.\n";
                  yystateStack.yytops.yymarkStackDeleted (yyk);
                  return yyok;
                }
              const YYRESULTTAG yyflag
                = yyglrReduce (yyk, yyrule, yyimmediate[yyrule]);
              if (yyflag == yyerr)
                {
                  YYCDEBUG << "Stack " << yyk.get() << " dies"
                    " (predicate failure or explicit user error).\n";
                  yystateStack.yytops.yymarkStackDeleted (yyk);
                  return yyok;
                }
              if (yyflag != yyok)
                return yyflag;
            }
          else
            {
              yystateStack.yytops.setLookaheadNeeds(yyk, true);
              yyget_token ();
              const short* yyconflicts;
              const int yyaction = yygetLRActions (yystate, this->yyla.kind (), yyconflicts);

              for (; *yyconflicts != 0; ++yyconflicts)
                {
                  state_set_index yynewStack = yystateStack.yysplitStack (yyk);
                  YYCDEBUG << "Splitting off stack " << yynewStack.get()
                           << " from " << yyk.get() << ".\n";
                  YYRESULTTAG yyflag =
                    yyglrReduce (yynewStack, *yyconflicts, yyimmediate[*yyconflicts]);
                  if (yyflag == yyok)
                    YYCHK (yyprocessOneStack (yynewStack,
                                              yyposn, yylocp));
                  else if (yyflag == yyerr)
                    {
                      YYCDEBUG << "Stack " << yynewStack.get() << " dies.\n";
                      yystateStack.yytops.yymarkStackDeleted (yynewStack);
                    }
                  else
                    return yyflag;
                }

              if (yy_is_shift_action (yyaction))
                break;
              else if (yy_is_error_action (yyaction))
                {
                  YYCDEBUG << "Stack " << yyk.get() << " dies.\n";
                  yystateStack.yytops.yymarkStackDeleted (yyk);
                  break;
                }
              else
                {
                  YYRESULTTAG yyflag
                    = yyglrReduce (yyk, -yyaction, yyimmediate[-yyaction]);
                  if (yyflag == yyerr)
                    {
                      YYCDEBUG << "Stack " << yyk.get() << " dies"
                        " (predicate failure or explicit user error).\n";
                      yystateStack.yytops.yymarkStackDeleted (yyk);
                      break;
                    }
                  else if (yyflag != yyok)
                    return yyflag;
                }
            }
        }
      return yyok;
    }

    /** Perform user action for rule number YYN, with RHS length YYRHSLEN,
     *  and top stack item YYVSP.  YYVALP points to place to put semantic
     *  value ($$), and yylocp points to place for location information
     *  (@$).  Returns yyok for normal return, yyaccept for YYACCEPT,
     *  yyerr for YYERROR, yyabort for YYABORT.  */
    YYRESULTTAG
    yyuserAction (rule_num yyrule, int yyrhslen, glr_stack_item* yyvsp, state_set_index yyk,
                  value_type* yyvalp, location_type* yylocp)
    {
      bool yynormal YY_ATTRIBUTE_UNUSED = !yystateStack.isSplit();
      int yylow = 1;
  YY_USE (yyvalp);
  YY_USE (yylocp);
  YY_USE (theLexer);
  YY_USE (ctrl);
  YY_USE (theFiles);
      YY_USE (yyk);
      YY_USE (yyrhslen);
    # undef yyerrok
    # define yyerrok (yyerrState = 0)
    # undef YYACCEPT
    # define YYACCEPT return yyaccept
    # undef YYABORT
    # define YYABORT return yyabort
    # undef YYERROR
    # define YYERROR return yyerrok, yyerr
    # undef YYRECOVERING
    # define YYRECOVERING() (yyerrState != 0)
    # undef yytoken
    # define yytoken this->yyla.kind_
    # undef yyclearin
    # define yyclearin (yytoken = symbol_kind::S_YYEMPTY)
    # undef YYBACKUP
    # define YYBACKUP(Token, Value)                                              \
      return yyparser.error (*yylocp, YY_("syntax error: cannot back up")),     \
             yyerrok, yyerr


      /* Variants are always initialized to an empty instance of the
         correct type. The default '$$ = $1' action is NOT applied
         when using variants.  */
      // However we really need to prepare yyvsp now if we want to get
      // correct locations, so invoke YYFILL for $1 anyway.
      (void) YYFILL (1-yyrhslen);
      switch (yylhsNonterm (yyrule))
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        (*yyvalp).emplace< attrbPair > ();
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        (*yyvalp).emplace< attrbRefSeq > ();
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        (*yyvalp).emplace< attrbTriple > ();
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        (*yyvalp).emplace< char_literal > ();
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_bison_or_byacc_directive: // bison_or_byacc_directive
      case symbol_kind::S_bison_directive: // bison_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        (*yyvalp).emplace< keyword > ();
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        (*yyvalp).emplace< name_literal > ();
        break;

      case symbol_kind::S_NUM: // "number"
        (*yyvalp).emplace< numberRep > ();
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        (*yyvalp).emplace< symDeclSeq > ();
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        (*yyvalp).emplace< symSeq > ();
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        (*yyvalp).emplace< typeSeq > ();
        break;

      case symbol_kind::S_user_argument_seq: // user_argument_seq
      case symbol_kind::S_user_argument: // user_argument
        (*yyvalp).emplace< userArgSeq > ();
        break;

      default:
        break;
    }

      /* Default location. */
      YYLLOC_DEFAULT ((*yylocp), (yyvsp - yyrhslen), yyrhslen);
      yyerror_range[1].getState().yyloc = *yylocp;

    /* If yyk == -1, we are running a deferred action on a temporary
       stack.  In that case, YY_REDUCE_PRINT must not play with YYFILL,
       so pretend the stack is "normal". */
    YY_REDUCE_PRINT ((yynormal || yyk == create_state_set_index (-1), yyvsp, yyk, yyrule, yyparser));
    #if YY_EXCEPTIONS
      try
      {
    #endif // YY_EXCEPTIONS
      switch (yyrule)
        {
      case 3: // $@1: %empty
#line 541 "agc-bison.yy"
      {
        finishYfileDefinitionSection (sortTable);
      }
#line 5565 "agc-bison.cc"
    break;

  case 4: // $@2: %empty
#line 545 "agc-bison.yy"
      {
        yoxOutG.append (separatorMARK); // holds the 1st "%%" line
        separatorMARK.clear ();

        // add the 'omitted Lexer return' token & memoize its index
        setupOmittedRetSym ();

        // add the 'error' token & memoize its index
        setupErrorSym ();
      }
#line 5580 "agc-bison.cc"
    break;

  case 5: // $@3: %empty
#line 556 "agc-bison.yy"
      {
        temp1Out.putSolveAndSignalTrailer ();
        temp1Out.putTravCode ();
        temp1Out.putRootAttrbRefSection ();
      }
#line 5590 "agc-bison.cc"
    break;

  case 6: // parser_spec: parser_spec_definition_section $@1 "%%" $@2 parser_spec_rules_section $@3 tail
#line 562 "agc-bison.yy"
      {
        finishYfileRulesSection ();
      }
#line 5598 "agc-bison.cc"
    break;

  case 9: // tail: %empty
#line 577 "agc-bison.yy"
      {
        yoxOutG.gen ().put ("\n%%\n");
      }
#line 5606 "agc-bison.cc"
    break;

  case 10: // tail: "%%"
#line 581 "agc-bison.yy"
      {
        yoxOutG.append (separatorMARK); // holds the 2nd "%%" line
        separatorMARK.clear ();
      }
#line 5615 "agc-bison.cc"
    break;

  case 11: // definition_seq: %empty
#line 589 "agc-bison.yy"
      {
        (*yylocp) = yyla.location;
      }
#line 5623 "agc-bison.cc"
    break;

  case 13: // definition: yacc_directive
#line 597 "agc-bison.yy"
      {
        if (oxAttrbsDecl)
          {
            agc_syntax_error (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                              "syntax error, "
                              "\"" + (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > () + "\""
                              " directive follows an Ox declaration.");
            yyerrcnt++;
          }
      }
#line 5638 "agc-bison.cc"
    break;

  case 17: // definition: ox_directive
#line 611 "agc-bison.yy"
      {
        oxAttrbsDecl = true;
      }
#line 5646 "agc-bison.cc"
    break;

  case 18: // definition: error
#line 615 "agc-bison.yy"
      {
        yyclearin;
      }
#line 5654 "agc-bison.cc"
    break;

  case 19: // yacc_directive: "%start" "nonterminal symbol"
#line 622 "agc-bison.yy"
      {
        yoxOutGdefs.gen ().put (yoxPrefix (augNstr));

        installStartSym (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ());

        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < keyword > ();
      }
#line 5666 "agc-bison.cc"
    break;

  case 20: // $@4: %empty
#line 630 "agc-bison.yy"
      {
        if (yaccUnionDefined++ == 0)
          yoxOutGdefs.gen ()
              .put ("/* `%union\' declaration was here */\n");
        else
          yoxOutGdefs.gen ()
              .put ("/* `%union\' "
                    "#" + std::to_string (yaccUnionDefined) +
                    " declaration was here */\n");
      }
#line 5681 "agc-bison.cc"
    break;

  case 21: // yacc_directive: "%union" unionTag_opt $@4 "{" "}"
#line 643 "agc-bison.yy"
      {
        if (yaccUnionDefined > 1)
          multipleYYSTYPEdefinitions ((*yylocp), "%union");

        if (bisonApiValueTypeUnionDefined)
          conflictingYYSTYPEdefinitions ((*yylocp),
                                         "%union",
                                         "%define api.value.type");

        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-4)].getState().value ().as < keyword > ();
      }
#line 5697 "agc-bison.cc"
    break;

  case 22: // yacc_directive: "%token" token_decl_list
#line 655 "agc-bison.yy"
      {
        const symDeclSeq& token_decl_list = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < symDeclSeq > ();

        try
          {
            global_symDeclSeq.insert (global_symDeclSeq.end (),
                                      token_decl_list.cbegin (),
                                      token_decl_list.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < keyword > ();
      }
#line 5718 "agc-bison.cc"
    break;

  case 23: // yacc_directive: precedence_declarer precedence_decl_list
#line 672 "agc-bison.yy"
      {
        const symDeclSeq& precedence_decl_list = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < symDeclSeq > ();

        try
          {
            global_symDeclSeq.insert (global_symDeclSeq.end (),
                                      precedence_decl_list.cbegin (),
                                      precedence_decl_list.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < keyword > ();
      }
#line 5739 "agc-bison.cc"
    break;

  case 24: // yacc_directive: nonterminal_declarer nonterminal_decl_list
#line 689 "agc-bison.yy"
      {
        const symDeclSeq& nonterminal_decl_list = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < symDeclSeq > ();

        try
          {
            global_symDeclSeq.insert (global_symDeclSeq.end (),
                                      nonterminal_decl_list.cbegin (),
                                      nonterminal_decl_list.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < keyword > ();
      }
#line 5760 "agc-bison.cc"
    break;

  case 26: // unionTag_opt: "identifier"
#line 710 "agc-bison.yy"
      {
        ctrl.unionTag = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ();
      }
#line 5768 "agc-bison.cc"
    break;

  case 27: // $@5: %empty
#line 717 "agc-bison.yy"
      {
        hasDefaultTypedSymbol = false;
      }
#line 5776 "agc-bison.cc"
    break;

  case 28: // bison_or_byacc_directive: "%destructor" code_block $@5 destructor_symbol_list
#line 721 "agc-bison.yy"
      {
        if (hasDefaultTypedSymbol)
          needDestructorForStartSymbol = true;

        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-3)].getState().value ().as < keyword > ();
      }
#line 5787 "agc-bison.cc"
    break;

  case 29: // bison_or_byacc_directive: "%expect" "number"
#line 728 "agc-bison.yy"
      {
        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < keyword > ();
      }
#line 5795 "agc-bison.cc"
    break;

  case 30: // bison_or_byacc_directive: "%expect-rr" "number"
#line 732 "agc-bison.yy"
      {
        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < keyword > ();
      }
#line 5803 "agc-bison.cc"
    break;

  case 31: // bison_or_byacc_directive: "%lex-param" user_argument_seq
#line 736 "agc-bison.yy"
      {
        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < keyword > ();
      }
#line 5811 "agc-bison.cc"
    break;

  case 32: // bison_or_byacc_directive: "%parse-param" user_argument_seq
#line 740 "agc-bison.yy"
      {
        const userArgSeq& user_argument_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < userArgSeq > ();

        try
          {
            global_userArgSeq.insert (global_userArgSeq.end (),
                                      user_argument_seq.cbegin (),
                                      user_argument_seq.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < keyword > ();
      }
#line 5832 "agc-bison.cc"
    break;

  case 33: // bison_or_byacc_directive: "%pure-parser"
#line 757 "agc-bison.yy"
      {
        ctrl.allLfilesForReentrantParser = true;

        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > ();
      }
#line 5842 "agc-bison.cc"
    break;

  case 34: // bison_or_byacc_directive: CODE code_block
#line 763 "agc-bison.yy"
      {
        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < keyword > ();
      }
#line 5850 "agc-bison.cc"
    break;

  case 35: // bison_directive: "%define" api_param_def
#line 770 "agc-bison.yy"
      {
        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < keyword > ();
      }
#line 5858 "agc-bison.cc"
    break;

  case 36: // bison_directive: "%name-prefix" "string literal"
#line 774 "agc-bison.yy"
      {
        API_variable_LITERAL ((*yylocp), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < keyword > (), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < char_literal > ());

        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < keyword > ();
      }
#line 5868 "agc-bison.cc"
    break;

  case 37: // bison_directive: "%param" user_argument_seq
#line 780 "agc-bison.yy"
      {
        const userArgSeq& user_argument_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < userArgSeq > ();

        try
          {
            global_userArgSeq.insert (global_userArgSeq.end (),
                                      user_argument_seq.cbegin (),
                                      user_argument_seq.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < keyword > ();
      }
#line 5889 "agc-bison.cc"
    break;

  case 38: // bison_directive: "%language" "string literal"
#line 797 "agc-bison.yy"
      {
        language_directive ((*yylocp), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < char_literal > ());

        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < keyword > ();
      }
#line 5899 "agc-bison.cc"
    break;

  case 39: // $@6: %empty
#line 803 "agc-bison.yy"
      {
        hasDefaultTypedSymbol = false;
      }
#line 5907 "agc-bison.cc"
    break;

  case 40: // bison_directive: "%printer" code_block $@6 destructor_symbol_list
#line 807 "agc-bison.yy"
      {
        if (hasDefaultTypedSymbol)
          needPrinterForStartSymbol = true;

        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-3)].getState().value ().as < keyword > ();
      }
#line 5918 "agc-bison.cc"
    break;

  case 41: // bison_directive: "%skeleton" "string literal"
#line 814 "agc-bison.yy"
      {
        skeleton_directive ((*yylocp), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < char_literal > ());

        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < keyword > ();
      }
#line 5928 "agc-bison.cc"
    break;

  case 42: // api_param_def: "bison API variable"
#line 823 "agc-bison.yy"
      {
        API_variable_default ((*yylocp), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ());
      }
#line 5936 "agc-bison.cc"
    break;

  case 43: // api_param_def: "bison API variable" "bison API value"
#line 827 "agc-bison.yy"
      {
        API_variable_ID ((*yylocp), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < name_literal > (), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ());
      }
#line 5944 "agc-bison.cc"
    break;

  case 44: // api_param_def: "bison API variable" "string literal"
#line 831 "agc-bison.yy"
      {
        API_variable_LITERAL ((*yylocp), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < name_literal > (), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < char_literal > ());
      }
#line 5952 "agc-bison.cc"
    break;

  case 45: // api_param_def: "bison API variable" "{" "string literal" "}"
#line 835 "agc-bison.yy"
      {
        API_variable_LITERAL ((*yylocp), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-3)].getState().value ().as < name_literal > (), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < char_literal > ());
      }
#line 5960 "agc-bison.cc"
    break;

  case 46: // api_param_def: "bison API variable" "{" "literal path name" "}"
#line 839 "agc-bison.yy"
      {
        API_variable_LITERAL ((*yylocp), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-3)].getState().value ().as < name_literal > (), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < char_literal > ());
      }
#line 5968 "agc-bison.cc"
    break;

  case 48: // api_param_def: "bison API variable" "{" formal_type_specifier "}"
#line 844 "agc-bison.yy"
      {
        const name_literal& apivar = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-3)].getState().value ().as < name_literal > ();

        int num_values = API_variable_EXPR ((*yylocp),
                                            apivar,
                                            (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > ());
        if (num_values > 1)
          agc_syntax_error ((*yylocp),
                            "syntax error, " + apivar + " is single-valued "
                            "but " + std::to_string (num_values) + " values "
                            "were provided");
      }
#line 5985 "agc-bison.cc"
    break;

  case 49: // $@7: %empty
#line 859 "agc-bison.yy"
      {
        // Y-file lexer hack: suppress copying attribute names onto the output
        // file when processing a global automatic copy rule attribute modifier
        // declaration
        ctrl.process_autoSynOrInh = true;
      }
#line 5996 "agc-bison.cc"
    break;

  case 50: // ox_directive: $@7 attrb_modifier autoIDseq
#line 866 "agc-bison.yy"
      {
        // reset globals for the next autoIDseq
        autoDef = undefined;
        autoWarning = false;
        ctrl.process_autoSynOrInh = false;

        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < keyword > ();
        (*yylocp).begin = ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().yyloc).begin;
      }
#line 6010 "agc-bison.cc"
    break;

  case 51: // $@8: %empty
#line 876 "agc-bison.yy"
      {
        gSymSort.typeNum = sortTypeNumSeq; // sort serial #

        if (hasConcreteType)
          {
            // create a unique C/C++ type name for the new sort
            gSymSort.typeName =
                yoxPrefix ("T") + std::to_string (sortTypeNumSeq);
          }

        sortTypeNumSeq++;

        yoxOutHrequires.putAttrbTypeDecl (gSymSort.typeNum,
                                          gSymSort.typeName,
                                          hasConcreteType);

        try
          {
            // Allocate a permanent list of attributes for the completed
            // @attributes declaration, to be pointed to by the grammar symbol
            // table entry of each grammar symbol of the sort.
            gSymSort.attrbSeq = new sortAttrbSeq (sortSeq);
          }
        catch (std::bad_alloc const&)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        gSymSort.nAttrbs = sortSeq.size ();

        try
          {
            // keep track of all of the attribute sorts
            sortTable.push_back (gSymSort);
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        putAttrbSort (gSymSort);
      }
#line 6057 "agc-bison.cc"
    break;

  case 52: // ox_directive: "@attributes" "{" attribute_decl_list "}" $@8 attributed_symbol_list
#line 919 "agc-bison.yy"
      {
        // reset globals for the next @attributes declaration
        gSymSort = sort ();      // undefined
        sortSeq.clear ();        // empty
        hasConcreteType = false; // all attributes are '@void'

        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-5)].getState().value ().as < keyword > ();
      }
#line 6070 "agc-bison.cc"
    break;

  case 53: // $@9: %empty
#line 928 "agc-bison.yy"
      {
        if (!initMacroDef ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ()))
          yox_error (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), "macro multiply defined: \"" + (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > () + "\".\n");
      }
#line 6079 "agc-bison.cc"
    break;

  case 54: // ox_directive: "@macro" "identifier" $@9 "(" macroFormalList ")" "@end"
#line 935 "agc-bison.yy"
      {
        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-6)].getState().value ().as < keyword > ();
      }
#line 6087 "agc-bison.cc"
    break;

  case 55: // $@10: %empty
#line 939 "agc-bison.yy"
      {
        clearTravBuf ();
      }
#line 6095 "agc-bison.cc"
    break;

  case 56: // $@11: %empty
#line 943 "agc-bison.yy"
      {
        if (travSpecConflict ())
          yox_error (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                     "contradictory traversal declaration.\n");
      }
#line 6105 "agc-bison.cc"
    break;

  case 57: // ox_directive: "@traversal" $@10 travSpecSeq $@11 travIDseq
#line 949 "agc-bison.yy"
      {
        // suppress pruning if any @traversal is enabled
        ctrl.suppressPruning |= (!travDisabled ());

        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-4)].getState().value ().as < keyword > ();
      }
#line 6116 "agc-bison.cc"
    break;

  case 58: // code_seq: %empty
#line 960 "agc-bison.yy"
      {
        (*yylocp) = yyla.location;
      }
#line 6124 "agc-bison.cc"
    break;

  case 60: // token_decl_list: tag_opt token_list
#line 968 "agc-bison.yy"
      {
        const typeSeq& tag_opt = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > ();

        if (tag_opt.empty ())
          (*yyvalp).as < symDeclSeq > () = symDeclSeq ();
        else
          (*yyvalp).as < symDeclSeq > () = symDeclSeq (1, symDeclSeqElem (tag_opt, (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < symSeq > ()));
      }
#line 6137 "agc-bison.cc"
    break;

  case 61: // token_decl_list: token_decl_list tag token_list
#line 977 "agc-bison.yy"
      {
        symDeclSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-2)].getState().value ().as < symDeclSeq > ();

        try
          {
            new_seq.push_back (symDeclSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > (), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < symSeq > ()));
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < symDeclSeq > () = new_seq;
      }
#line 6156 "agc-bison.cc"
    break;

  case 62: // tag_opt: %empty
#line 995 "agc-bison.yy"
      {
        (*yylocp) = yyla.location;
        (*yyvalp).as < typeSeq > () = typeSeq (); // empty sequence
      }
#line 6165 "agc-bison.cc"
    break;

  case 63: // tag_opt: tag
#line 1000 "agc-bison.yy"
      {
        (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();
      }
#line 6173 "agc-bison.cc"
    break;

  case 64: // tag: "<" formal_type_specifier ">"
#line 1007 "agc-bison.yy"
      {
        // Bison expects a C/C++ type if "%define api.value.type variant",
        // however Ox doesn't currently support code generation for this
        (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > ();
      }
#line 6183 "agc-bison.cc"
    break;

  case 65: // token_list: token
#line 1016 "agc-bison.yy"
      {
        (*yyvalp).as < symSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < symSeq > ();
      }
#line 6191 "agc-bison.cc"
    break;

  case 66: // token_list: token_list token
#line 1020 "agc-bison.yy"
      {
        symSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < symSeq > ();

        const symSeq& token = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < symSeq > ();

        try
          {
            new_seq.insert (new_seq.end (), token.cbegin (), token.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < symSeq > () = new_seq;
      }
#line 6212 "agc-bison.cc"
    break;

  case 67: // token_list: token_list "," token
#line 1037 "agc-bison.yy"
      {
        symSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-2)].getState().value ().as < symSeq > ();

        const symSeq& token = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < symSeq > ();

        try
          {
            new_seq.insert (new_seq.end (), token.cbegin (), token.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < symSeq > () = new_seq;
      }
#line 6233 "agc-bison.cc"
    break;

  case 68: // token: named_token
#line 1057 "agc-bison.yy"
      {
        // Yacc will report an error if 'named_token' is a nonterminal
        const std::string& named_token = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ();

        installGsymAsTokenIfNew (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), named_token);
        (*yyvalp).as < symSeq > () = symSeq (1, named_token);
      }
#line 6245 "agc-bison.cc"
    break;

  case 69: // token: "character literal"
#line 1065 "agc-bison.yy"
      {
        const std::string& LITERAL_CHAR = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < char_literal > ();

        installGsymAsTokenIfNew (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), LITERAL_CHAR);
        (*yyvalp).as < symSeq > () = symSeq (1, LITERAL_CHAR);
      }
#line 6256 "agc-bison.cc"
    break;

  case 70: // token: named_token "string literal"
#line 1072 "agc-bison.yy"
      {
        // Bison will report an error if 'named_token' is a nonterminal
        const std::string& named_token = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < name_literal > ();

        installGsymAsTokenIfNew (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().yyloc), named_token);

        const std::string& LITERAL_STRING = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < char_literal > ();

        installAliasToToken (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), LITERAL_STRING,
                             ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().yyloc), named_token);

        symSeq new_seq = symSeq (1, named_token);

        try
          {
            new_seq.push_back (LITERAL_STRING);
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < symSeq > () = new_seq;
      }
#line 6285 "agc-bison.cc"
    break;

  case 71: // named_token: "identifier" NUM_opt
#line 1100 "agc-bison.yy"
      {
        (*yyvalp).as < name_literal > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < name_literal > ();
      }
#line 6293 "agc-bison.cc"
    break;

  case 74: // precedence_declarer: "%left"
#line 1112 "agc-bison.yy"
      {
        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > ();
      }
#line 6301 "agc-bison.cc"
    break;

  case 75: // precedence_declarer: "%right"
#line 1116 "agc-bison.yy"
      {
        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > ();
      }
#line 6309 "agc-bison.cc"
    break;

  case 76: // precedence_declarer: "%nonassoc"
#line 1120 "agc-bison.yy"
      {
        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > ();
      }
#line 6317 "agc-bison.cc"
    break;

  case 77: // precedence_declarer: "%precedence"
#line 1124 "agc-bison.yy"
      {
        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > ();
      }
#line 6325 "agc-bison.cc"
    break;

  case 78: // precedence_decl_list: tag_opt terminal_list
#line 1131 "agc-bison.yy"
      {
        const typeSeq& tag_opt = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > ();

        if (tag_opt.empty ())
          (*yyvalp).as < symDeclSeq > () = symDeclSeq ();
        else
          (*yyvalp).as < symDeclSeq > () = symDeclSeq (1, symDeclSeqElem (tag_opt, (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < symSeq > ()));
      }
#line 6338 "agc-bison.cc"
    break;

  case 79: // precedence_decl_list: precedence_decl_list tag terminal_list
#line 1140 "agc-bison.yy"
      {
        symDeclSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-2)].getState().value ().as < symDeclSeq > ();

        try
          {
            new_seq.push_back (symDeclSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > (), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < symSeq > ()));
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < symDeclSeq > () = new_seq;
      }
#line 6357 "agc-bison.cc"
    break;

  case 80: // terminal_list: terminal_symbol
#line 1158 "agc-bison.yy"
      {
        (*yyvalp).as < symSeq > () = symSeq (1, (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ());
      }
#line 6365 "agc-bison.cc"
    break;

  case 81: // terminal_list: terminal_list terminal_symbol
#line 1162 "agc-bison.yy"
      {
        symSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < symSeq > ();

        try
          {
            new_seq.push_back ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
    }

        (*yyvalp).as < symSeq > () = new_seq;
      }
#line 6384 "agc-bison.cc"
    break;

  case 82: // terminal_list: terminal_list "," terminal_symbol
#line 1177 "agc-bison.yy"
      {
        symSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-2)].getState().value ().as < symSeq > ();

        try
          {
            new_seq.push_back ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < symSeq > () = new_seq;
      }
#line 6403 "agc-bison.cc"
    break;

  case 83: // terminal_symbol: named_token
#line 1195 "agc-bison.yy"
      {
        // Yacc will report an error if 'named_token' is a nonterminal
        installGsymAsTokenIfNew (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ());
      }
#line 6412 "agc-bison.cc"
    break;

  case 84: // terminal_symbol: "character literal"
#line 1200 "agc-bison.yy"
      {
        installGsymAsTokenIfNew (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < char_literal > ());
      }
#line 6420 "agc-bison.cc"
    break;

  case 85: // terminal_symbol: "string literal"
#line 1204 "agc-bison.yy"
      {
        installGsymAsTokenIfNew (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < char_literal > ());
      }
#line 6428 "agc-bison.cc"
    break;

  case 86: // nonterminal_symbol: "nonterminal symbol"
#line 1211 "agc-bison.yy"
      {
        (*yyvalp).as < name_literal > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ();
      }
#line 6436 "agc-bison.cc"
    break;

  case 87: // nonterminal_symbol: "identifier"
#line 1215 "agc-bison.yy"
      {
        (*yyvalp).as < name_literal > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ();
      }
#line 6444 "agc-bison.cc"
    break;

  case 88: // symbol: "nonterminal symbol"
#line 1222 "agc-bison.yy"
      {
        (*yyvalp).as < name_literal > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ();
      }
#line 6452 "agc-bison.cc"
    break;

  case 89: // symbol: "identifier"
#line 1226 "agc-bison.yy"
      {
        (*yyvalp).as < name_literal > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ();
      }
#line 6460 "agc-bison.cc"
    break;

  case 90: // symbol: "character literal"
#line 1230 "agc-bison.yy"
      {
        (*yyvalp).as < name_literal > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < char_literal > ();
      }
#line 6468 "agc-bison.cc"
    break;

  case 91: // symbol: "string literal"
#line 1234 "agc-bison.yy"
      {
        (*yyvalp).as < name_literal > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < char_literal > ();
      }
#line 6476 "agc-bison.cc"
    break;

  case 92: // nonterminal_declarer: "%type"
#line 1241 "agc-bison.yy"
      {
        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > ();
      }
#line 6484 "agc-bison.cc"
    break;

  case 93: // nonterminal_declarer: "%nterm"
#line 1245 "agc-bison.yy"
      {
        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > ();
      }
#line 6492 "agc-bison.cc"
    break;

  case 94: // nonterminal_decl_list: tag_opt nonterminal_list
#line 1252 "agc-bison.yy"
      {
        const typeSeq& tag_opt = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > ();

        if (tag_opt.empty ())
          (*yyvalp).as < symDeclSeq > () = symDeclSeq ();
        else
          (*yyvalp).as < symDeclSeq > () = symDeclSeq (1, symDeclSeqElem (tag_opt, (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < symSeq > ()));
      }
#line 6505 "agc-bison.cc"
    break;

  case 95: // nonterminal_decl_list: nonterminal_decl_list tag nonterminal_list
#line 1261 "agc-bison.yy"
      {
        symDeclSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-2)].getState().value ().as < symDeclSeq > ();

        try
          {
            new_seq.push_back (symDeclSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > (), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < symSeq > ()));
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < symDeclSeq > () = new_seq;
      }
#line 6524 "agc-bison.cc"
    break;

  case 96: // nonterminal_list: nonterminal
#line 1279 "agc-bison.yy"
      {
        (*yyvalp).as < symSeq > () = symSeq (1, (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ());
      }
#line 6532 "agc-bison.cc"
    break;

  case 97: // nonterminal_list: nonterminal_list nonterminal
#line 1283 "agc-bison.yy"
      {
        symSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < symSeq > ();

        try
          {
            new_seq.push_back ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < symSeq > () = new_seq;
      }
#line 6551 "agc-bison.cc"
    break;

  case 98: // nonterminal_list: nonterminal_list "," nonterminal
#line 1298 "agc-bison.yy"
      {
        symSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-2)].getState().value ().as < symSeq > ();

        try
          {
            new_seq.push_back ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < symSeq > () = new_seq;
      }
#line 6570 "agc-bison.cc"
    break;

  case 99: // nonterminal: nonterminal_symbol
#line 1316 "agc-bison.yy"
      {
        (*yyvalp).as < name_literal > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ();
      }
#line 6578 "agc-bison.cc"
    break;

  case 102: // user_argument_seq: user_argument
#line 1327 "agc-bison.yy"
      { (*yyvalp).as < userArgSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < userArgSeq > (); }
#line 6584 "agc-bison.cc"
    break;

  case 103: // user_argument_seq: user_argument_seq user_argument
#line 1329 "agc-bison.yy"
      {
        userArgSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < userArgSeq > ();

        const userArgSeq& user_argument = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < userArgSeq > ();

        try
          {
            new_seq.insert (new_seq.end (),
                            user_argument.cbegin (),
                            user_argument.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < userArgSeq > () = new_seq;
      }
#line 6607 "agc-bison.cc"
    break;

  case 104: // user_argument: "{" formal_type_specifier "identifier" "}"
#line 1351 "agc-bison.yy"
      {
        (*yyvalp).as < userArgSeq > () =
            userArgSeq (1, userArgSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-2)].getState().value ().as < typeSeq > (), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < name_literal > ()));
      }
#line 6616 "agc-bison.cc"
    break;

  case 109: // destructor_symbol: "<" "*" ">"
#line 1366 "agc-bison.yy"
      {
        hasDefaultTypedSymbol = true;
      }
#line 6624 "agc-bison.cc"
    break;

  case 113: // autoID: "identifier"
#line 1379 "agc-bison.yy"
      {
        attrbAutoDef (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > (), autoDef, autoWarning);
      }
#line 6632 "agc-bison.cc"
    break;

  case 116: // attribute_decl: attrb_modifier_opt type_specifier id_seq ";"
#line 1391 "agc-bison.yy"
      {
        hasConcreteType = true; // at least one attribute is not '@void'

        // reset globals for the next autoIDseq
        autoDef = undefined;
        autoWarning = false;
      }
#line 6644 "agc-bison.cc"
    break;

  case 119: // attrb_modifier_opt: %empty
#line 1404 "agc-bison.yy"
      {
        (*yylocp) = yyla.location;

        // no automatic copy rule attribute modifier declaration
        autoDef = undefined;
        autoWarning = false;
      }
#line 6656 "agc-bison.cc"
    break;

  case 121: // $@12: %empty
#line 1416 "agc-bison.yy"
      {
        switch (autoDef)
          {
          case inherited:
            yox_error (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                       "@autosyn conflicts with preceding @autoinh.\n");
            break;

          case synthesized:
            yox_warning (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), "repeated @autosyn (ignored).\n");
            break;

          case undefined:
            autoDef = synthesized;
            break;
          }
      }
#line 6678 "agc-bison.cc"
    break;

  case 122: // attrb_modifier: "@autosyn" $@12 atWarn_opt
#line 1434 "agc-bison.yy"
      {
        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-2)].getState().value ().as < keyword > ();
      }
#line 6686 "agc-bison.cc"
    break;

  case 123: // $@13: %empty
#line 1438 "agc-bison.yy"
      {
        switch (autoDef)
          {
          case inherited:
            yox_warning (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), "repeated @autoinh (ignored).\n");
            break;

          case synthesized:
            yox_error (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                       "@autoihn conflicts with preceding @autosyn.\n");
            break;

          case undefined:
            autoDef = inherited;
            break;
          }
      }
#line 6708 "agc-bison.cc"
    break;

  case 124: // attrb_modifier: "@autoinh" $@13 atWarn_opt
#line 1456 "agc-bison.yy"
      {
        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-2)].getState().value ().as < keyword > ();
      }
#line 6716 "agc-bison.cc"
    break;

  case 125: // atWarn_opt: %empty
#line 1463 "agc-bison.yy"
      {
        autoWarning = false;
      }
#line 6724 "agc-bison.cc"
    break;

  case 126: // atWarn_opt: "@warn"
#line 1467 "agc-bison.yy"
      {
        autoWarning = true;
      }
#line 6732 "agc-bison.cc"
    break;

  case 127: // type_specifier: type
#line 1474 "agc-bison.yy"
      {
        (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();
      }
#line 6740 "agc-bison.cc"
    break;

  case 128: // type_specifier: type "<" type_list ">"
#line 1479 "agc-bison.yy"
      {
        typeSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-3)].getState().value ().as < typeSeq > ();

        const typeSeq& type_list = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.push_back (typeSeqElem ("<"));

            new_seq.insert (new_seq.end (),
                            type_list.cbegin (),
                            type_list.cend ());

            new_seq.push_back (typeSeqElem (">"));
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 6767 "agc-bison.cc"
    break;

  case 129: // type: type_component
#line 1505 "agc-bison.yy"
      {
       (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();
      }
#line 6775 "agc-bison.cc"
    break;

  case 130: // type: type type_component
#line 1509 "agc-bison.yy"
      {
        typeSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > ();

        const typeSeq& type_component = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.insert (new_seq.end (),
                            type_component.cbegin (),
                            type_component.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 6798 "agc-bison.cc"
    break;

  case 131: // type_component: TYPE_KEYWORD
#line 1531 "agc-bison.yy"
      {
        (*yyvalp).as < typeSeq > () =
            typeSeq (1, typeSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > (), is_TYPE_KEYWORD));
      }
#line 6807 "agc-bison.cc"
    break;

  case 132: // type_component: "const"
#line 1536 "agc-bison.yy"
      {
        (*yyvalp).as < typeSeq > () = typeSeq (1, typeSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > (), is_TYPE_KEYWORD));
      }
#line 6815 "agc-bison.cc"
    break;

  case 133: // type_component: "volatile"
#line 1540 "agc-bison.yy"
      {
        (*yyvalp).as < typeSeq > () = typeSeq (1, typeSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > (), is_TYPE_KEYWORD));
      }
#line 6823 "agc-bison.cc"
    break;

  case 134: // type_component: type_name
#line 1544 "agc-bison.yy"
      {
        (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();
      }
#line 6831 "agc-bison.cc"
    break;

  case 135: // type_component: elaborated_type_name
#line 1548 "agc-bison.yy"
      {
        (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();
      }
#line 6839 "agc-bison.cc"
    break;

  case 136: // type_name: "identifier"
#line 1555 "agc-bison.yy"
      {
        (*yyvalp).as < typeSeq > () = typeSeq (1, typeSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > (), is_ID));
      }
#line 6847 "agc-bison.cc"
    break;

  case 137: // type_name: "C++ qualified name"
#line 1559 "agc-bison.yy"
      {
        (*yyvalp).as < typeSeq > () = typeSeq (1, typeSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > (), is_NAMESPACE_ID));
      }
#line 6855 "agc-bison.cc"
    break;

  case 138: // elaborated_type_name: ELABORATED_TYPE_KEYWORD type_name
#line 1566 "agc-bison.yy"
      {
        typeSeq new_seq =
            typeSeq (1, typeSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < keyword > (),
                                     is_TYPE_KEYWORD));

        const typeSeq& type_name = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.insert (new_seq.end (),
                            type_name.cbegin (),
                            type_name.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 6880 "agc-bison.cc"
    break;

  case 139: // type_list: type
#line 1590 "agc-bison.yy"
      {
        (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();
      }
#line 6888 "agc-bison.cc"
    break;

  case 140: // type_list: type_list "," type
#line 1594 "agc-bison.yy"
      {
        typeSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-2)].getState().value ().as < typeSeq > ();

        const typeSeq& type = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.push_back (typeSeqElem (","));

            new_seq.insert (new_seq.end (),
                            type.cbegin (),
                            type.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 6913 "agc-bison.cc"
    break;

  case 151: // attribute_id: "identifier"
#line 1640 "agc-bison.yy"
      {
        const sortAttrb attribute_id =
            newAttrbID (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > (), autoDef, autoWarning);

        bool add_OK = true;

        // The original order of appearance of each attribute in the
        // declaration list is preserved, with the exception that
        // duplicates are deleted.

        // check for duplicated attribute name in the sort
        const std::string& attrbName = attribute_id.id;

        for (const sortAttrb& attrb : sortSeq)
          if (attrb.id == attrbName)
            {
              yox_error (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                         "duplicated attribute: \"" + attrbName + "\""
                         ".\n");
              add_OK = false;
              break;
            }

        if (add_OK)
          try
            {
              // if attribute isn't duplicate, add it to the list
              sortSeq.push_back (attribute_id);
            }
          catch (...)
            {
              yox_alloc_fail (__FILE__, __LINE__);
            }
      }
#line 6952 "agc-bison.cc"
    break;

  case 152: // ptr_operator: "*" ptr_type_qualifier_seq_opt
#line 1678 "agc-bison.yy"
      {
        typeSeq new_seq = typeSeq (1, typeSeqElem ("*"));

        const typeSeq& ptr_type_qualifier_seq_opt = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.insert (new_seq.end (),
                            ptr_type_qualifier_seq_opt.cbegin (),
                            ptr_type_qualifier_seq_opt.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 6975 "agc-bison.cc"
    break;

  case 153: // ptr_operator: "&"
#line 1697 "agc-bison.yy"
      {
        (*yyvalp).as < typeSeq > () = typeSeq (1, typeSeqElem ("&"));
      }
#line 6983 "agc-bison.cc"
    break;

  case 154: // ptr_type_qualifier_seq_opt: %empty
#line 1704 "agc-bison.yy"
      {
        (*yyvalp).as < typeSeq > () = typeSeq (); // empty sequence
      }
#line 6991 "agc-bison.cc"
    break;

  case 155: // ptr_type_qualifier_seq_opt: ptr_type_qualifier_seq
#line 1708 "agc-bison.yy"
      {
        (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();
      }
#line 6999 "agc-bison.cc"
    break;

  case 156: // ptr_type_qualifier_seq: ptr_type_qualifier
#line 1715 "agc-bison.yy"
      {
        (*yyvalp).as < typeSeq > () = typeSeq (1, typeSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > (), is_TYPE_KEYWORD));
      }
#line 7007 "agc-bison.cc"
    break;

  case 157: // ptr_type_qualifier_seq: ptr_type_qualifier_seq ptr_type_qualifier
#line 1719 "agc-bison.yy"
      {
        typeSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.push_back (typeSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > (),
                                            is_TYPE_KEYWORD));
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 7027 "agc-bison.cc"
    break;

  case 158: // ptr_type_qualifier: "const"
#line 1738 "agc-bison.yy"
      {
        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > ();
      }
#line 7035 "agc-bison.cc"
    break;

  case 159: // ptr_type_qualifier: "restrict"
#line 1742 "agc-bison.yy"
      {
        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > ();
      }
#line 7043 "agc-bison.cc"
    break;

  case 162: // array_size_opt: %empty
#line 1754 "agc-bison.yy"
      {
        (*yylocp) = yyla.location;
        (*yyvalp).as < keyword > () = nullptr;
      }
#line 7052 "agc-bison.cc"
    break;

  case 163: // array_size_opt: "number"
#line 1759 "agc-bison.yy"
      {
        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < numberRep > ().spelling;
      }
#line 7060 "agc-bison.cc"
    break;

  case 164: // array_size_opt: "*"
#line 1763 "agc-bison.yy"
      {
        // treat it like a 'type_keyword' for the moment
        (*yyvalp).as < keyword > () = const_cast<char*> ("*");
      }
#line 7069 "agc-bison.cc"
    break;

  case 165: // array_size_opt: "identifier"
#line 1768 "agc-bison.yy"
      {
        // treat it like a 'type_keyword' for the moment
        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ();
      }
#line 7078 "agc-bison.cc"
    break;

  case 166: // parameter_list_opt: %empty
#line 1776 "agc-bison.yy"
      {
        (*yyvalp).as < typeSeq > () = typeSeq (); // empty sequence
      }
#line 7086 "agc-bison.cc"
    break;

  case 167: // parameter_list_opt: parameter_list
#line 1780 "agc-bison.yy"
      {
        (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();
      }
#line 7094 "agc-bison.cc"
    break;

  case 168: // parameter_list: parameter_type_list
#line 1787 "agc-bison.yy"
      {
        (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();
      }
#line 7102 "agc-bison.cc"
    break;

  case 169: // parameter_list: parameter_type_list "," "..."
#line 1791 "agc-bison.yy"
      {
        typeSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-2)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.push_back (typeSeqElem (","));
            new_seq.push_back (typeSeqElem ("..."));
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 7122 "agc-bison.cc"
    break;

  case 170: // parameter_type_list: parameter_type
#line 1810 "agc-bison.yy"
      {
        (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();
      }
#line 7130 "agc-bison.cc"
    break;

  case 171: // parameter_type_list: parameter_type_list "," parameter_type
#line 1814 "agc-bison.yy"
      {
        typeSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-2)].getState().value ().as < typeSeq > ();

        const typeSeq& parameter_type = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.push_back (typeSeqElem (","));

            new_seq.insert (new_seq.end (),
                            parameter_type.cbegin (),
                            parameter_type.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 7155 "agc-bison.cc"
    break;

  case 172: // parameter_type: formal_type_specifier
#line 1838 "agc-bison.yy"
      {
        (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();
      }
#line 7163 "agc-bison.cc"
    break;

  case 173: // parameter_type: "register" formal_type_specifier
#line 1842 "agc-bison.yy"
      {
        typeSeq new_seq = typeSeq (1, typeSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < keyword > (), is_TYPE_KEYWORD));

        const typeSeq& formal_type_specifier = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.insert (new_seq.end (),
                            formal_type_specifier.cbegin (),
                            formal_type_specifier.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 7186 "agc-bison.cc"
    break;

  case 174: // formal_type_specifier: type_specifier abstract_declarator
#line 1864 "agc-bison.yy"
      {
        typeSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > ();

        const typeSeq& abstract_declarator = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.insert (new_seq.end (),
                            abstract_declarator.cbegin (),
                            abstract_declarator.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 7209 "agc-bison.cc"
    break;

  case 175: // abstract_declarator: %empty
#line 1886 "agc-bison.yy"
      {
        (*yyvalp).as < typeSeq > () = typeSeq (); // empty sequence
      }
#line 7217 "agc-bison.cc"
    break;

  case 176: // abstract_declarator: direct_abstract_declarator
#line 1890 "agc-bison.yy"
      {
        (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();
      }
#line 7225 "agc-bison.cc"
    break;

  case 177: // abstract_declarator: ptr_operator abstract_declarator
#line 1894 "agc-bison.yy"
      {
        typeSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > ();

        const typeSeq& right = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.insert (new_seq.end (), right.cbegin (), right.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 7246 "agc-bison.cc"
    break;

  case 178: // direct_abstract_declarator: "(" abstract_declarator ")"
#line 1914 "agc-bison.yy"
      {
        typeSeq new_seq = typeSeq (1, typeSeqElem ("(" /*)*/));

        const typeSeq& abstract_declarator = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.insert (new_seq.end (),
                            abstract_declarator.cbegin (),
                            abstract_declarator.cend ());

            new_seq.push_back (typeSeqElem (/*(*/ ")"));
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 7271 "agc-bison.cc"
    break;

  case 179: // direct_abstract_declarator: direct_abstract_declarator "[" formal_array_qualifier_list_opt array_size_opt "]"
#line 1936 "agc-bison.yy"
      {
        typeSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-4)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.push_back (typeSeqElem ("["));

            const typeSeq& formal_array_qualifier_list_opt =
                (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-2)].getState().value ().as < typeSeq > ();

            new_seq.insert (new_seq.end (),
                            formal_array_qualifier_list_opt.cbegin (),
                            formal_array_qualifier_list_opt.cend ());

            const std::string& array_size = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < keyword > ();

            if (!array_size.empty ())
              new_seq.push_back (typeSeqElem (array_size));

            new_seq.push_back (typeSeqElem ("]"));
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 7304 "agc-bison.cc"
    break;

  case 180: // direct_abstract_declarator: direct_abstract_declarator "(" parameter_list_opt ")"
#line 1965 "agc-bison.yy"
      {
        typeSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-3)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.push_back (typeSeqElem ("(" /*)*/));

            const typeSeq& parameter_list_opt = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > ();

            new_seq.insert (new_seq.end (),
                            parameter_list_opt.cbegin (),
                            parameter_list_opt.cend ());

            new_seq.push_back (typeSeqElem (/*(*/ ")"));
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 7331 "agc-bison.cc"
    break;

  case 181: // formal_array_qualifier_list_opt: %empty
#line 1992 "agc-bison.yy"
      {
        (*yylocp) = yyla.location;
        (*yyvalp).as < typeSeq > () = typeSeq (); // empty sequence
      }
#line 7340 "agc-bison.cc"
    break;

  case 182: // formal_array_qualifier_list_opt: formal_array_qualifier_list
#line 1997 "agc-bison.yy"
      {
        (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();
      }
#line 7348 "agc-bison.cc"
    break;

  case 183: // formal_array_qualifier_list: formal_array_qualifier
#line 2004 "agc-bison.yy"
      {
        (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();
      }
#line 7356 "agc-bison.cc"
    break;

  case 184: // formal_array_qualifier_list: formal_array_qualifier_list formal_array_qualifier
#line 2008 "agc-bison.yy"
      {
        typeSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > ();

        const typeSeq& formal_array_qualifier = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.insert (new_seq.end (),
                            formal_array_qualifier.cbegin (),
                            formal_array_qualifier.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 7379 "agc-bison.cc"
    break;

  case 185: // formal_array_qualifier: "const"
#line 2030 "agc-bison.yy"
      {
        (*yyvalp).as < typeSeq > () =
            typeSeq (1, typeSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > (), is_TYPE_KEYWORD));
      }
#line 7388 "agc-bison.cc"
    break;

  case 186: // formal_array_qualifier: "volatile"
#line 2035 "agc-bison.yy"
      {
        (*yyvalp).as < typeSeq > () =
            typeSeq (1, typeSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > (), is_TYPE_KEYWORD));
      }
#line 7397 "agc-bison.cc"
    break;

  case 187: // formal_array_qualifier: "restrict"
#line 2040 "agc-bison.yy"
      {
        (*yyvalp).as < typeSeq > () =
            typeSeq (1, typeSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > (), is_TYPE_KEYWORD));
      }
#line 7406 "agc-bison.cc"
    break;

  case 188: // formal_array_qualifier: "static"
#line 2045 "agc-bison.yy"
      {
        (*yyvalp).as < typeSeq > () =
            typeSeq (1, typeSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > (), is_TYPE_KEYWORD));
      }
#line 7415 "agc-bison.cc"
    break;

  case 191: // attributed_symbol: symbol
#line 2058 "agc-bison.yy"
      {
        std::string symbol = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ();

        installGsymIfNew (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), symbol);
        // if 'symbol' is an alias, 'installGsymIfNew ()' replaced it
        // with the base symbol

        addAttrbsToGsym (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), symbol, gSymSort);
      }
#line 7429 "agc-bison.cc"
    break;

  case 192: // macroFormalList: "identifier"
#line 2071 "agc-bison.yy"
      {
        (void)macro.installMacroFormal ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ());
      }
#line 7437 "agc-bison.cc"
    break;

  case 193: // macroFormalList: macroFormalList "," "identifier"
#line 2075 "agc-bison.yy"
      {
        const std::string& ID = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ();
        if (!macro.installMacroFormal (ID))
          yox_error (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                     "duplicated macro formal parameter: "
                     "\"" + ID + "\".\n");
      }
#line 7449 "agc-bison.cc"
    break;

  case 198: // travID: "identifier"
#line 2096 "agc-bison.yy"
      {
        newTrav (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ());
      }
#line 7457 "agc-bison.cc"
    break;

  case 199: // travSpec: "@preorder"
#line 2103 "agc-bison.yy"
      {
        travSetPreorder ();
      }
#line 7465 "agc-bison.cc"
    break;

  case 200: // travSpec: "@postorder"
#line 2107 "agc-bison.yy"
      {
        travSetPostorder ();
      }
#line 7473 "agc-bison.cc"
    break;

  case 201: // travSpec: "@lefttoright"
#line 2111 "agc-bison.yy"
      {
        travSetLeftToRight ();
      }
#line 7481 "agc-bison.cc"
    break;

  case 202: // travSpec: "@righttoleft"
#line 2115 "agc-bison.yy"
      {
        travSetRightToLeft ();
      }
#line 7489 "agc-bison.cc"
    break;

  case 203: // travSpec: "@disable"
#line 2119 "agc-bison.yy"
      {
        travSetDisable ();
      }
#line 7497 "agc-bison.cc"
    break;

  case 206: // $@14: %empty
#line 2131 "agc-bison.yy"
      {
        const std::string& left_hand_side = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < name_literal > ();

        static bool alreadyAugmented = false;

        if (!alreadyAugmented)
          {
            if (startSymLexeme.empty ())
              installStartSym (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().yyloc), left_hand_side);

            // Yacc pseudo variable '$1' is the original user-defined
            // start symbol; use '$<yyyOxAttrbs>1' since the Yacc
            // semantic type may be unknown

            const std::string rootNodeReference =
                "$<" + yoxPrefix ("OxAttrbs") + ">1.semEl->node";

            yoxOutG.gen ()
                .put ("\n" + yoxPrefix (augNstr) + "\n"
                      "\t:\t\t" + startSymLexeme + "\n"
                      "\t\t{if(" + yoxPrefix ("Yok") + ")\n"
                      "\t\t   {").putDecorateCall ("true") // -> pruning
                .put ("\t\t    " +
                      yoxPrefix ("ExecuteRRsection") +
                      "(" + rootNodeReference + ");\n")
                .putDoTraversals (rootNodeReference)
                .put ("\t\t   }\n"
                      "\t\t}\n\t;\n");

            alreadyAugmented = true;
          }

        yoxOutG.append (possibleLHS); // dump the pending LHS text
        possibleLHS.clear ();

        prodBufferPointer2 = 0;
        incProdNumSeq ();

        yaccSemIndex = 0; // 0 for LHS symbol; ignored

        installGsymAsNontermIfNew (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().yyloc), left_hand_side);

        putSymbolInProdBuffer2 (left_hand_side);
      }
#line 7546 "agc-bison.cc"
    break;

  case 208: // $@15: %empty
#line 2177 "agc-bison.yy"
      {
        prodBufferPointer2 = 1; // keep LHS from prior rule
        incProdNumSeq ();

        yaccSemIndex = 1; // 1st RHS symbol
      }
#line 7557 "agc-bison.cc"
    break;

  case 210: // left_hand_side: nonterminal_symbol
#line 2188 "agc-bison.yy"
      {
        (*yyvalp).as < name_literal > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ();
      }
#line 7565 "agc-bison.cc"
    break;

  case 211: // left_hand_side: nonterminal_symbol named_reference_def
#line 2192 "agc-bison.yy"
      {
        (*yyvalp).as < name_literal > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < name_literal > ();
      }
#line 7573 "agc-bison.cc"
    break;

  case 212: // $@16: %empty
#line 2199 "agc-bison.yy"
      {
        initLDG ();
      }
#line 7581 "agc-bison.cc"
    break;

  case 213: // right_hand_side: rhs_body $@16 attrb_ref_section
#line 2203 "agc-bison.yy"
      {
        finishYfileAttrbRefSection ((*yylocp));
      }
#line 7589 "agc-bison.cc"
    break;

  case 214: // rhs_body: %empty
#line 2210 "agc-bison.yy"
      {
        (*yylocp) = yyla.location;
      }
#line 7597 "agc-bison.cc"
    break;

  case 222: // rhs_component: parser_action
#line 2227 "agc-bison.yy"
      {
        // Yacc will generate a nonterminal here and a corresponding empty rule
        // with the semantic action for that nonterminal; Ox semantic action
        // processing doesn't know about this rule, and so doesn't know about
        // this entry on the Yacc semantic stack; this offset calculation keeps
        // track of where RHS symbols occur in the Yacc semantic stack

        yaccSemIndex++; // account for the fake RHS symbol
      }
#line 7611 "agc-bison.cc"
    break;

  case 223: // rhs_component: error
#line 2237 "agc-bison.yy"
      {
        yyclearin;
      }
#line 7619 "agc-bison.cc"
    break;

  case 224: // rhs_item: rhs_symbol
#line 2244 "agc-bison.yy"
      {
        std::string rhs_symbol = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ();

        installGsymIfNew (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), rhs_symbol);
        // if 'rhs_symbol' is an alias, 'installGsymIfNew ()' replaced it
        // with the base symbol

        putSymbolInProdBuffer2 (rhs_symbol);
      }
#line 7633 "agc-bison.cc"
    break;

  case 225: // rhs_symbol: symbol
#line 2257 "agc-bison.yy"
      {
        (*yyvalp).as < name_literal > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ();
      }
#line 7641 "agc-bison.cc"
    break;

  case 226: // rhs_symbol: symbol named_reference_def
#line 2261 "agc-bison.yy"
      {
        (*yyvalp).as < name_literal > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < name_literal > ();
      }
#line 7649 "agc-bison.cc"
    break;

  case 232: // rule_directive: "%merge" "<" "identifier" ">"
#line 2276 "agc-bison.yy"
      {
        notSupported (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-3)].getState().yyloc), "\"%merge\"");
      }
#line 7657 "agc-bison.cc"
    break;

  case 239: // attrb_ref_section: %empty
#line 2297 "agc-bison.yy"
      {
        (*yylocp) = AGC::location (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL ((-1) - (0))].getState().yyloc).end); // @rhs_body.end
      }
#line 7665 "agc-bison.cc"
    break;

  case 240: // $@17: %empty
#line 2301 "agc-bison.yy"
      {
        // setup for checking dynamic traversal modifier restrictions
        dynTravModSeq = -1;
        dynTravModArr.clear ();

        decorationRequested = false; // default: no decoration
      }
#line 7677 "agc-bison.cc"
    break;

  case 241: // attrb_ref_section: "@{" $@17 attrb_ref_section_body "@}"
#line 2310 "agc-bison.yy"
      {
        // if @revdirection occurs in multiple actions, the actions must have
        // different annunciators

        for (int i = 0; i <= dynTravModSeq; i++)
          {
            for (int j = i + 1; j <= dynTravModSeq; j++)
              {
                if (dynTravModArr[i].id == dynTravModArr[j].id &&
                    dynTravModArr[i].dirRev > 0 &&
                    dynTravModArr[j].dirRev > 0)
                  {
                    if (dynTravModArr[dynTravModSeq].id != errTravID)
                      yox_error (dynTravModArr[j].dirRevLoc,
                                 "multiple @revdirection modifiers for "
                                 "traversal "
                                 "\"" + dynTravModArr[j].id + "\".\n");
                  }
              }
          }
      }
#line 7703 "agc-bison.cc"
    break;

  case 246: // decorate_cmd: "@decorate"
#line 2342 "agc-bison.yy"
      {
        decorationRequested = true;
      }
#line 7711 "agc-bison.cc"
    break;

  case 249: // attrb_ref_section_item: attrb_def
#line 2354 "agc-bison.yy"
      {
        processAdepSpec ();
      }
#line 7719 "agc-bison.cc"
    break;

  case 252: // attrb_ref_section_item: error
#line 2360 "agc-bison.yy"
      {
        yyclearin;
      }
#line 7727 "agc-bison.cc"
    break;

  case 253: // attrb_def: "@i" attrb_evaluation
#line 2369 "agc-bison.yy"
      {
        const attrbRefSeq& attrbRefs = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbRefSeq > ();

        if (attrbRefs.empty ()) // no attribute occurrences
          yox_warning (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                       "attribute definition doesn\'t define an attribute");
        else
          {
            // find the first non-NIO attribute occurrence => the dependent
            attrbRefSeq::const_iterator it = attrbRefs.cbegin ();
            while (it != attrbRefs.cend () &&
                   it->attrbRef.num == NIOsymAttrbNum)
              ++it;

            if (it == attrbRefs.cend ())
              {
                // only NIO pseudo attribute occurrences were found, none of
                // which can be the dependent attribute; issue an error message
                // for the first occurrence

                const attrbPair& attref = attrbRefs.front ().attrbRef;

                const prodSymbol& symbol = prodBuffer2[attref.pos];

                yox_error (attrbRefs.front ().loc,
                           "\"" +
                               symbol.lexeme + "." +
                               std::to_string (symbol.symOccr) + "." +
                               NIOsym +
                           "\""
                           " cannot be a dependent.\n");
              }
            else
              {
                // register the dependent occurrence
                (void)memberDepend (it->attrbRef, true, true);
              }

            // remaining non-NIO attribute occurrences are the dependees
            while (++it != attrbRefs.cend ())
              {
                const attrbPair& attref = it->attrbRef;

                if (attref.num == NIOsymAttrbNum)
                  continue; // skip any NIO pseudo attribute occurrences

                if (!memberDepend (attref, true, false))
                  {
                    (void)memberDepend (attref, false, true);
                    continue;
                  }

                const prodSymbol& symbol = prodBuffer2[attref.pos];

                yox_error (it->loc,
                           "\"" +
                               symbol.lexeme + "." +
                               std::to_string (symbol.symOccr) + "." +
                               (*(gSymTable[symbol.lexeme]
                                      .symSort.attrbSeq))[attref.num].id +
                           "\""
                           " depends on itself.\n");
              }
          }
      }
#line 7797 "agc-bison.cc"
    break;

  case 254: // attrb_def: "@m" dependent_name_seq ";" attrb_evaluation
#line 2435 "agc-bison.yy"
      {
        const attrbRefSeq& attrbRefs = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbRefSeq > ();

        for (const attrbRefSeqElem& it : attrbRefs)
          {
            const attrbPair& attref = it.attrbRef;

            if (attref.num == NIOsymAttrbNum)
              continue; // skip any NIO pseudo attribute occurrences

            if (!memberDepend (attref, true, false))
              (void)memberDepend (attref, false, true);
          }
      }
#line 7816 "agc-bison.cc"
    break;

  case 255: // attrb_def: "@e" dependent_name_seq ":" dependee_name_seq ";" attrb_evaluation
#line 2450 "agc-bison.yy"
      {
        const attrbRefSeq& attrbRefs = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbRefSeq > ();

        for (const attrbRefSeqElem& it : attrbRefs)
          {
            const attrbPair& attref = it.attrbRef;

            if (attref.num == NIOsymAttrbNum)
              continue; // skip any NIO pseudo attribute occurrences

            // attribute is explicitly named as a dependent or a dependee
            if (memberDepend (attref, false, false)
                || memberDepend (attref, true, false))
              continue;

            // attribute is already known to be bogus
            if (attref.pos == -1 || attref.num == -1)
              continue;

            const prodSymbol& symbol = prodBuffer2[attref.pos];

            yox_error (it.loc,
                       "\"" +
                           symbol.lexeme + "." +
                           std::to_string (symbol.symOccr) + "." +
                           (*(gSymTable[symbol.lexeme]
                                  .symSort.attrbSeq))[attref.num].id +
                       "\""
                       " is not explicitly named.\n");
          }
      }
#line 7852 "agc-bison.cc"
    break;

  case 256: // attrb_evaluation: attrb_evaluation_stmt ";"
#line 2485 "agc-bison.yy"
      {
        (*yyvalp).as < attrbRefSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < attrbRefSeq > ();
      }
#line 7860 "agc-bison.cc"
    break;

  case 257: // attrb_evaluation: attrb_evaluation_compound_stmt
#line 2489 "agc-bison.yy"
      {
        (*yyvalp).as < attrbRefSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbRefSeq > ();
      }
#line 7868 "agc-bison.cc"
    break;

  case 258: // attrb_evaluation_stmt: attrb_evaluation_expr
#line 2496 "agc-bison.yy"
      {
        (*yyvalp).as < attrbRefSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbRefSeq > ();
      }
#line 7876 "agc-bison.cc"
    break;

  case 259: // attrb_evaluation_expr: %empty
#line 2511 "agc-bison.yy"
      {
        (*yylocp) = yyla.location;
        (*yyvalp).as < attrbRefSeq > () = attrbRefSeq (); // empty sequence
      }
#line 7885 "agc-bison.cc"
    break;

  case 260: // attrb_evaluation_expr: attrb_evaluation_expr attrb_evaluation_expr_component
#line 2516 "agc-bison.yy"
      {
        attrbRefSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < attrbRefSeq > ();

        const attrbRefSeq& component = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbRefSeq > ();

        try
          {
            new_seq.insert (new_seq.end (),
                            component.cbegin (),
                            component.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < attrbRefSeq > () = new_seq;
      }
#line 7908 "agc-bison.cc"
    break;

  case 261: // attrb_evaluation_expr: error
#line 2535 "agc-bison.yy"
      {
        yyclearin;
        (*yyvalp).as < attrbRefSeq > () = attrbRefSeq (); // empty sequence
      }
#line 7917 "agc-bison.cc"
    break;

  case 262: // attrb_evaluation_expr_component: attrb_ref
#line 2543 "agc-bison.yy"
      {
        const attrbPair& attrb_ref = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbPair > ();

        rsBuffer.putAttrbPair (attrb_ref);

        attrbRefSeq new_seq = attrbRefSeq (); // empty sequence

        try
          {
            new_seq.push_front (attrbRefSeqElem (attrb_ref, ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc)));
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < attrbRefSeq > () = new_seq;
      }
#line 7940 "agc-bison.cc"
    break;

  case 263: // attrb_evaluation_expr_component: expr_operator
#line 2562 "agc-bison.yy"
      {
        (*yyvalp).as < attrbRefSeq > () = attrbRefSeq (); // empty sequence
      }
#line 7948 "agc-bison.cc"
    break;

  case 264: // attrb_evaluation_expr_component: expr_value
#line 2566 "agc-bison.yy"
      {
        (*yyvalp).as < attrbRefSeq > () = attrbRefSeq (); // empty sequence
      }
#line 7956 "agc-bison.cc"
    break;

  case 265: // attrb_evaluation_expr_component: "(" attrb_evaluation_stmt_seq ")"
#line 2571 "agc-bison.yy"
      {
        (*yyvalp).as < attrbRefSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < attrbRefSeq > ();
      }
#line 7964 "agc-bison.cc"
    break;

  case 266: // attrb_evaluation_expr_component: "[" attrb_evaluation_expr "]"
#line 2575 "agc-bison.yy"
      {
        (*yyvalp).as < attrbRefSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < attrbRefSeq > ();
      }
#line 7972 "agc-bison.cc"
    break;

  case 267: // attrb_ref: "attribute reference"
#line 2582 "agc-bison.yy"
      {
        (*yyvalp).as < attrbPair > () = transAttrbTripleToAttrbPair (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbTriple > ());
      }
#line 7980 "agc-bison.cc"
    break;

  case 268: // attrb_evaluation_compound_stmt: "{" attrb_evaluation_stmt_seq "}"
#line 2589 "agc-bison.yy"
      {
  (*yyvalp).as < attrbRefSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < attrbRefSeq > ();
      }
#line 7988 "agc-bison.cc"
    break;

  case 269: // attrb_evaluation_stmt_seq: %empty
#line 2604 "agc-bison.yy"
      {
        (*yylocp) = yyla.location;
        (*yyvalp).as < attrbRefSeq > () = attrbRefSeq (); // empty sequence
      }
#line 7997 "agc-bison.cc"
    break;

  case 270: // attrb_evaluation_stmt_seq: attrb_evaluation_stmt_seq attrb_evaluation_stmt_seq_component
#line 2609 "agc-bison.yy"
      {
        attrbRefSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < attrbRefSeq > ();

        const attrbRefSeq& component = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbRefSeq > ();

        try
          {
            new_seq.insert (new_seq.end (),
                            component.cbegin (),
                            component.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < attrbRefSeq > () = new_seq;
      }
#line 8020 "agc-bison.cc"
    break;

  case 271: // attrb_evaluation_stmt_seq: error
#line 2628 "agc-bison.yy"
      {
        yyclearin;
        (*yyvalp).as < attrbRefSeq > () = attrbRefSeq (); // empty sequence
      }
#line 8029 "agc-bison.cc"
    break;

  case 272: // attrb_evaluation_stmt_seq_component: attrb_evaluation_stmt_component
#line 2636 "agc-bison.yy"
      {
        (*yyvalp).as < attrbRefSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbRefSeq > ();
      }
#line 8037 "agc-bison.cc"
    break;

  case 273: // attrb_evaluation_stmt_seq_component: attrb_evaluation_compound_stmt
#line 2640 "agc-bison.yy"
      {
        (*yyvalp).as < attrbRefSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbRefSeq > ();
      }
#line 8045 "agc-bison.cc"
    break;

  case 274: // attrb_evaluation_stmt_seq_component: ";"
#line 2644 "agc-bison.yy"
      {
        (*yyvalp).as < attrbRefSeq > () = attrbRefSeq (); // empty sequence
      }
#line 8053 "agc-bison.cc"
    break;

  case 275: // attrb_evaluation_stmt_component: attrb_evaluation_expr_component
#line 2651 "agc-bison.yy"
      {
        (*yyvalp).as < attrbRefSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbRefSeq > ();
      }
#line 8061 "agc-bison.cc"
    break;

  case 278: // dependent_name: attrb_occur
#line 2665 "agc-bison.yy"
      {
        const attrbPair& attref = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbPair > ();

        if (attref.num == NIOsymAttrbNum)
          {
            // NIO pseudo attribute reference

            const prodSymbol& symbol = prodBuffer2[attref.pos];

            yox_error (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                       "\"" +
                           symbol.lexeme + "." +
                           std::to_string (symbol.symOccr) + "." +
                           NIOsym +
                       "\""
                       " cannot be a dependent.\n");
          }
        else if (memberDepend (attref, true, true))
          {
            const prodSymbol& symbol = prodBuffer2[attref.pos];

            yox_error (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                       "duplicate dependent "
                       "\"" +
                           symbol.lexeme + "." +
                           std::to_string (symbol.symOccr) + "." +
                           (*(gSymTable[symbol.lexeme]
                                  .symSort.attrbSeq))[attref.num].id +
                       "\".\n");
          }
      }
#line 8097 "agc-bison.cc"
    break;

  case 279: // dependent_name: error
#line 2697 "agc-bison.yy"
      {
        yyclearin;
      }
#line 8105 "agc-bison.cc"
    break;

  case 280: // attrb_occur: "attribute occurrence"
#line 2704 "agc-bison.yy"
      {
        (*yyvalp).as < attrbPair > () = transAttrbTripleToAttrbPair (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                                                    (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbTriple > ());
      }
#line 8114 "agc-bison.cc"
    break;

  case 281: // attrb_occur: attrb_ref
#line 2709 "agc-bison.yy"
      {
        (*yyvalp).as < attrbPair > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbPair > ();
      }
#line 8122 "agc-bison.cc"
    break;

  case 284: // dependee_name_seq: error
#line 2720 "agc-bison.yy"
      {
        yyclearin;
      }
#line 8130 "agc-bison.cc"
    break;

  case 285: // dependee_name: attrb_occur
#line 2727 "agc-bison.yy"
      {
        const attrbPair& attref = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbPair > ();

        if (attref.num == NIOsymAttrbNum)
          {
            // NIO pseudo attribute reference

            const prodSymbol& symbol = prodBuffer2[attref.pos];

            yox_error (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                       "\"" +
                           symbol.lexeme + "." +
                           std::to_string (symbol.symOccr) + "." +
                           NIOsym +
                       "\""
                       " cannot be a dependee.\n");
          }
        else if (memberDepend (attref, true, false))
          {
            const prodSymbol& symbol = prodBuffer2[attref.pos];

            yox_error (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                       "\"" +
                           symbol.lexeme + "." +
                           std::to_string (symbol.symOccr) + "." +
                           (*(gSymTable[symbol.lexeme]
                                  .symSort.attrbSeq))[attref.num].id +
                       "\""
                       " depends immediately on itself.\n");
          }
        else if (memberDepend (attref, false, true))
          {
            const prodSymbol& symbol = prodBuffer2[attref.pos];

            yox_error (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                       "duplicate dependee "
                       "\"" +
                           symbol.lexeme + "." +
                           std::to_string (symbol.symOccr) + "." +
                           (*(gSymTable[symbol.lexeme]
                                  .symSort.attrbSeq))[attref.num] .id +
                       "\".\n");
          }
      }
#line 8179 "agc-bison.cc"
    break;

  case 286: // $@18: %empty
#line 2777 "agc-bison.yy"
      {
        ++dynTravModSeq;

        try
          {
            dynTravModArr.push_back (dynTravMod ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ()));
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        // throw away any pending comments & white space

        startTravAction (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc)); // overwritten if next is a traversal modifier
      }
#line 8200 "agc-bison.cc"
    break;

  case 287: // traversal_segment: "traversal mode annunciator" $@18 traversal_modifier_seq traversal_action
#line 2795 "agc-bison.yy"
      {
        wrapUpTravAction ();
      }
#line 8208 "agc-bison.cc"
    break;

  case 288: // traversal_modifier_seq: %empty
#line 2802 "agc-bison.yy"
      {
        (*yylocp) = yyla.location;
      }
#line 8216 "agc-bison.cc"
    break;

  case 290: // $@19: %empty
#line 2810 "agc-bison.yy"
      {
        // @revorder may occur once per traversal action

        if (++dynTravModArr[dynTravModSeq].orderRev > 1)
          yox_error (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                     "multiple @revorder modifiers for traversal "
                     "\"" + dynTravModArr[dynTravModSeq].id + "\".\n");

        // throw away any pending comments & white space

        startTravCondition (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc));
      }
#line 8233 "agc-bison.cc"
    break;

  case 291: // traversal_modifier: "@revorder" $@19 traversal_modifier_expr
#line 2823 "agc-bison.yy"
      {
        wrapUpTravOrderCond ();

        // throw away any pending comments & white space

        startTravAction (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc));
        // overwritten if next is a traversal modifier
      }
#line 8246 "agc-bison.cc"
    break;

  case 292: // $@20: %empty
#line 2832 "agc-bison.yy"
      {
        // @revdirection may occur once per traversal action

        if (++dynTravModArr[dynTravModSeq].dirRev == 1)
          dynTravModArr[dynTravModSeq].dirRevLoc = ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc);
        else if (dynTravModArr[dynTravModSeq].id != errTravID)
          yox_error (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                     "multiple @revdirection modifiers for traversal "
                     "\"" + dynTravModArr[dynTravModSeq].id + "\".\n");

        // throw away any pending comments & white space

        startTravCondition (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc));
      }
#line 8265 "agc-bison.cc"
    break;

  case 293: // traversal_modifier: "@revdirection" $@20 traversal_modifier_expr
#line 2847 "agc-bison.yy"
      {
        wrapUpTravDirCond ();

        // throw away any pending comments & white space

        startTravAction (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc));
        // overwritten if next is a traversal modifier
      }
#line 8278 "agc-bison.cc"
    break;

  case 295: // traversal_expr: %empty
#line 2871 "agc-bison.yy"
      {
        (*yylocp) = yyla.location;
      }
#line 8286 "agc-bison.cc"
    break;

  case 297: // traversal_expr: error
#line 2876 "agc-bison.yy"
      {
        yyclearin;
      }
#line 8294 "agc-bison.cc"
    break;

  case 298: // traversal_expr_component: attrb_ref
#line 2883 "agc-bison.yy"
      {
        rsBuffer.putAttrbPair ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbPair > ());
      }
#line 8302 "agc-bison.cc"
    break;

  case 308: // traversal_stmt_seq: %empty
#line 2919 "agc-bison.yy"
      {
        (*yylocp) = yyla.location;
      }
#line 8310 "agc-bison.cc"
    break;


#line 8314 "agc-bison.cc"

          default: break;
        }
    #if YY_EXCEPTIONS
      }
      catch (const syntax_error& yyexc)
        {
          YYCDEBUG << "Caught exception: " << yyexc.what() << '\n';
          *yylocp = yyexc.location;
          yyparser.error (*yylocp, yyexc.what ());
          YYERROR;
        }
    #endif // YY_EXCEPTIONS
    YY_SYMBOL_PRINT ("-> $$ =", yylhsNonterm (yyrule), *yyvalp, *yylocp);

      return yyok;
    # undef yyerrok
    # undef YYABORT
    # undef YYACCEPT
    # undef YYERROR
    # undef YYBACKUP
    # undef yytoken
    # undef yyclearin
    # undef YYRECOVERING
    }

    YYRESULTTAG
    yyresolveStack ()
    {
      if (yystateStack.isSplit ())
        {
          int yyn = 0;
          for (glr_state* yys = firstTopState ();
               yys != yystateStack.yysplitPoint;
               yys = yys->pred ())
            yyn += 1;
          YYCHK (yyresolveStates (*firstTopState (), yyn));
        }
      return yyok;
    }

    /** Pop the symbols consumed by reduction #YYRULE from the top of stack
     *  #YYK of *YYSTACKP, and perform the appropriate semantic action on their
     *  semantic values.  Assumes that all ambiguities in semantic values
     *  have been previously resolved.  Set *YYVALP to the resulting value,
     *  and *YYLOCP to the computed location (if any).  Return value is as
     *  for userAction.  */
    YYRESULTTAG
    yydoAction (state_set_index yyk, rule_num yyrule,
                value_type* yyvalp, location_type* yylocp)
    {
      const int yynrhs = yyrhsLength (yyrule);

      if (!yystateStack.isSplit())
        {
          /* Standard special case: single stack.  */
          YYASSERT (yyk.get() == 0);
          glr_stack_item* yyrhs = yystateStack.firstTop()->asItem();
          const YYRESULTTAG res
            = yyuserAction (yyrule, yynrhs, yyrhs, yyk, yyvalp, yylocp);
          yystateStack.pop_back(static_cast<size_t>(yynrhs));
          yystateStack.setFirstTop(&yystateStack[yystateStack.size() - 1].getState());
          return res;
        }
      else
        {
          glr_stack_item yyrhsVals[YYMAXRHS + YYMAXLEFT + 1];
          glr_state* yys = yystateStack.topAt(yyk);
          yyrhsVals[YYMAXRHS + YYMAXLEFT].getState().setPred(yys);
          if (yynrhs == 0)
            /* Set default location.  */
            yyrhsVals[YYMAXRHS + YYMAXLEFT - 1].getState().yyloc = yys->yyloc;
          for (int yyi = 0; yyi < yynrhs; yyi += 1)
            {
              yys = yys->pred();
              YYASSERT (yys != YY_NULLPTR);
            }
          yystateStack.yyupdateSplit (*yys);
          yystateStack.setTopAt(yyk, yys);
          return yyuserAction (yyrule, yynrhs, yyrhsVals + YYMAXRHS + YYMAXLEFT - 1,
                               yyk,
                               yyvalp, yylocp);
        }
    }

    /** Pop items off stack #YYK of *YYSTACKP according to grammar rule YYRULE,
     *  and push back on the resulting nonterminal symbol.  Perform the
     *  semantic action associated with YYRULE and store its value with the
     *  newly pushed state, if YYFORCEEVAL or if *YYSTACKP is currently
     *  unambiguous.  Otherwise, store the deferred semantic action with
     *  the new state.  If the new state would have an identical input
     *  position, LR state, and predecessor to an existing state on the stack,
     *  it is identified with that existing state, eliminating stack #YYK from
     *  *YYSTACKP.  In this case, the semantic value is
     *  added to the options for the existing state's semantic value.
     */
    YYRESULTTAG
    yyglrReduce (state_set_index yyk, rule_num yyrule, bool yyforceEval)
    {
      size_t yyposn = topState(yyk)->yyposn;

      if (yyforceEval || !yystateStack.isSplit())
        {
          value_type val;
          location_type loc;

          YYRESULTTAG yyflag = yydoAction (yyk, yyrule, &val, &loc);
          if (yyflag == yyerr && yystateStack.isSplit())
            {
              YYCDEBUG << "Parse on stack " << yyk.get ()
                       << " rejected by rule " << yyrule - 1
                       << " (line " << int (yyrline[yyrule]) << ").\n";
            }
          if (yyflag != yyok)
            return yyflag;
          yyglrShift (yyk,
                      yyLRgotoState (topState(yyk)->yylrState,
                                     yylhsNonterm (yyrule)),
                      yyposn, val, loc);
          // FIXME: User destructors.
          // Value type destructor.
          switch (yylhsNonterm (yyrule))
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        val.template destroy< attrbPair > ();
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        val.template destroy< attrbRefSeq > ();
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        val.template destroy< attrbTriple > ();
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        val.template destroy< char_literal > ();
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_bison_or_byacc_directive: // bison_or_byacc_directive
      case symbol_kind::S_bison_directive: // bison_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        val.template destroy< keyword > ();
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        val.template destroy< name_literal > ();
        break;

      case symbol_kind::S_NUM: // "number"
        val.template destroy< numberRep > ();
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        val.template destroy< symDeclSeq > ();
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        val.template destroy< symSeq > ();
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        val.template destroy< typeSeq > ();
        break;

      case symbol_kind::S_user_argument_seq: // user_argument_seq
      case symbol_kind::S_user_argument: // user_argument
        val.template destroy< userArgSeq > ();
        break;

      default:
        break;
    }

        }
      else
        {
          glr_state *yys = yystateStack.topAt(yyk);
          glr_state *yys0 = yys;
          for (int yyn = yyrhsLength (yyrule); 0 < yyn; yyn -= 1)
            {
              yys = yys->pred();
              YYASSERT (yys != YY_NULLPTR);
            }
          yystateStack.yyupdateSplit (*yys);
          state_num yynewLRState = yyLRgotoState (yys->yylrState, yylhsNonterm (yyrule));
          YYCDEBUG << "Reduced stack " << yyk.get ()
                   << " by rule " << yyrule - 1 << " (line " << int (yyrline[yyrule])
                   << "); action deferred.  Now in state " << yynewLRState
                   << ".\n";
          for (state_set_index yyi = create_state_set_index(0); yyi.uget() < yystateStack.numTops(); ++yyi)
            if (yyi != yyk && yystateStack.topAt(yyi) != YY_NULLPTR)
              {
                const glr_state* yysplit = yystateStack.yysplitPoint;
                glr_state* yyp = yystateStack.topAt(yyi);
                while (yyp != yys && yyp != yysplit
                       && yyp->yyposn >= yyposn)
                  {
                    if (yyp->yylrState == yynewLRState
                        && yyp->pred() == yys)
                      {
                        yyaddDeferredAction (yyk, yyp, yys0, yyrule);
                        yystateStack.yytops.yymarkStackDeleted (yyk);
                        YYCDEBUG << "Merging stack " << yyk.get ()
                                 << " into stack " << yyi.get () << ".\n";
                        return yyok;
                      }
                    yyp = yyp->pred();
                  }
              }
          yystateStack.setTopAt(yyk, yys);
          yyglrShiftDefer (yyk, yynewLRState, yyposn, yys0, yyrule);
        }
      return yyok;
    }

    /** Shift stack #YYK of *YYSTACKP, to a new state corresponding to LR
     *  state YYLRSTATE, at input position YYPOSN, with the (unresolved)
     *  semantic value of YYRHS under the action for YYRULE.  */
    void
    yyglrShiftDefer (state_set_index yyk, state_num yylrState,
                     size_t yyposn, glr_state* yyrhs, rule_num yyrule)
    {
      glr_state& yynewState = yystateStack.yynewGLRState (
        glr_state (yylrState, yyposn));
      yynewState.setPred (yystateStack.topAt (yyk));
      yystateStack.setTopAt (yyk, &yynewState);

      /* Invokes yyreserveStack.  */
      yyaddDeferredAction (yyk, &yynewState, yyrhs, yyrule);
    }

    /** Shift to a new state on stack #YYK of *YYSTACKP, corresponding to LR
     * state YYLRSTATE, at input position YYPOSN, with (resolved) semantic
     * value YYVAL_ARG and source location YYLOC_ARG.  */
    void
    yyglrShift (state_set_index yyk, state_num yylrState,
                size_t yyposn,
                const value_type& yyval_arg, const location_type& yyloc_arg)
    {
      glr_state& yynewState = yystateStack.yynewGLRState (
        glr_state (yylrState, yyposn, yyval_arg, yyloc_arg));
      yynewState.setPred (yystateStack.topAt(yyk));
      yystateStack.setTopAt (yyk, &yynewState);
      yyreserveGlrStack ();
    }

#if YYDEBUG
    void
    yypstack (state_set_index yyk) const
    {
      yystateStack.yypstates (yystateStack.topAt (yyk));
    }
#endif

    glr_state* topState(state_set_index i) {
      return yystateStack.topAt(i);
    }

    glr_state* firstTopState() {
      return yystateStack.firstTop();
    }

  private:

    void popall_ ()
    {
      /* If the stack is well-formed, pop the stack until it is empty,
         destroying its entries as we go.  But free the stack regardless
         of whether it is well-formed.  */
      for (state_set_index k = create_state_set_index(0); k.uget() < yystateStack.numTops(); k += 1)
        if (yystateStack.topAt(k) != YY_NULLPTR)
          {
            while (yystateStack.topAt(k) != YY_NULLPTR)
              {
                glr_state* state = topState(k);
                yyerror_range[1].getState().yyloc = state->yyloc;
                if (state->pred() != YY_NULLPTR)
                  state->destroy ("Cleanup: popping", yyparser);
                yystateStack.setTopAt(k, state->pred());
                yystateStack.pop_back();
              }
              break;
          }
    }

    /** Resolve the previous YYN states starting at and including state YYS
     *  on *YYSTACKP. If result != yyok, some states may have been left
     *  unresolved possibly with empty semantic option chains.  Regardless
     *  of whether result = yyok, each state has been left with consistent
     *  data so that destroy can be invoked if necessary.  */
    YYRESULTTAG
    yyresolveStates (glr_state& yys, int yyn)
    {
      if (0 < yyn)
        {
          YYASSERT (yys.pred() != YY_NULLPTR);
          YYCHK (yyresolveStates (*yys.pred(), yyn-1));
          if (! yys.yyresolved)
            YYCHK (yyresolveValue (yys));
        }
      return yyok;
    }

    static void
    yyuserMerge (int yyn, value_type& yy0, value_type& yy1)
    {
      YY_USE (yy0);
      YY_USE (yy1);

      switch (yyn)
        {

          default: break;
        }
    }

    /** Resolve the ambiguity represented in state YYS in *YYSTACKP,
     *  perform the indicated actions, and set the semantic value of YYS.
     *  If result != yyok, the chain of semantic options in YYS has been
     *  cleared instead or it has been left unmodified except that
     *  redundant options may have been removed.  Regardless of whether
     *  result = yyok, YYS has been left with consistent data so that
     *  destroy can be invoked if necessary.  */
    YYRESULTTAG
    yyresolveValue (glr_state& yys)
    {
      semantic_option* yybest = yys.firstVal();
      YYASSERT(yybest != YY_NULLPTR);
      bool yymerge = false;
      YYRESULTTAG yyflag;
      location_type *yylocp = &yys.yyloc;

      semantic_option* yypPrev = yybest;
      for (semantic_option* yyp = yybest->next();
           yyp != YY_NULLPTR; )
        {
          if (yybest->isIdenticalTo (*yyp))
            {
              yybest->mergeWith (*yyp);
              yypPrev->setNext(yyp->next());
              yyp = yypPrev->next();
            }
          else
            {
              switch (yypreference (*yybest, *yyp))
                {
                case 0:
                  yyresolveLocations (yys, 1);
                  return yystateStack.yyreportAmbiguity (*yybest, *yyp, yyparser, *yylocp);
                  break;
                case 1:
                  yymerge = true;
                  break;
                case 2:
                  break;
                case 3:
                  yybest = yyp;
                  yymerge = false;
                  break;
                default:
                  /* This cannot happen so it is not worth a YYASSERT (false),
                     but some compilers complain if the default case is
                     omitted.  */
                  break;
                }
              yypPrev = yyp;
              yyp = yyp->next();
            }
        }

      value_type val;
      if (yymerge)
        {
          int yyprec = yydprec[yybest->yyrule];
          yyflag = yyresolveAction (*yybest, &val, yylocp);
          if (yyflag == yyok)
            for (semantic_option* yyp = yybest->next();
                 yyp != YY_NULLPTR;
                 yyp = yyp->next())
              {
                if (yyprec == yydprec[yyp->yyrule])
                  {
                    value_type yyval_other;
                    location_type yydummy;
                    yyflag = yyresolveAction (*yyp, &yyval_other, &yydummy);
                    if (yyflag != yyok)
                      {
                        yyparser.yy_destroy_ ("Cleanup: discarding incompletely merged value for",
                                              yy_accessing_symbol (yys.yylrState),
                                              this->yyla.value, *yylocp);
                        break;
                      }
                    yyuserMerge (yymerger[yyp->yyrule], val, yyval_other);
                    // FIXME: User destructors.
                    // Value type destructor.
                    switch (yy_accessing_symbol (yys.yylrState))
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        yyval_other.template destroy< attrbPair > ();
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        yyval_other.template destroy< attrbRefSeq > ();
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        yyval_other.template destroy< attrbTriple > ();
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        yyval_other.template destroy< char_literal > ();
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_bison_or_byacc_directive: // bison_or_byacc_directive
      case symbol_kind::S_bison_directive: // bison_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        yyval_other.template destroy< keyword > ();
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        yyval_other.template destroy< name_literal > ();
        break;

      case symbol_kind::S_NUM: // "number"
        yyval_other.template destroy< numberRep > ();
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        yyval_other.template destroy< symDeclSeq > ();
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        yyval_other.template destroy< symSeq > ();
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        yyval_other.template destroy< typeSeq > ();
        break;

      case symbol_kind::S_user_argument_seq: // user_argument_seq
      case symbol_kind::S_user_argument: // user_argument
        yyval_other.template destroy< userArgSeq > ();
        break;

      default:
        break;
    }

                  }
              }
        }
      else
        yyflag = yyresolveAction (*yybest, &val, yylocp);

      if (yyflag == yyok)
        {
          yys.yyresolved = true;
          YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
          new (&yys.value ()) value_type ();
          switch (yy_accessing_symbol (yys.yylrState))
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        yys.value ().copy< attrbPair > (val);
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        yys.value ().copy< attrbRefSeq > (val);
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        yys.value ().copy< attrbTriple > (val);
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        yys.value ().copy< char_literal > (val);
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_bison_or_byacc_directive: // bison_or_byacc_directive
      case symbol_kind::S_bison_directive: // bison_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        yys.value ().copy< keyword > (val);
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        yys.value ().copy< name_literal > (val);
        break;

      case symbol_kind::S_NUM: // "number"
        yys.value ().copy< numberRep > (val);
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        yys.value ().copy< symDeclSeq > (val);
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        yys.value ().copy< symSeq > (val);
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        yys.value ().copy< typeSeq > (val);
        break;

      case symbol_kind::S_user_argument_seq: // user_argument_seq
      case symbol_kind::S_user_argument: // user_argument
        yys.value ().copy< userArgSeq > (val);
        break;

      default:
        break;
    }


          YY_IGNORE_MAYBE_UNINITIALIZED_END
        }
      else
        yys.setFirstVal(YY_NULLPTR);

      // FIXME: User destructors.
      // Value type destructor.
      switch (yy_accessing_symbol (yys.yylrState))
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        val.template destroy< attrbPair > ();
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        val.template destroy< attrbRefSeq > ();
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        val.template destroy< attrbTriple > ();
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        val.template destroy< char_literal > ();
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_bison_or_byacc_directive: // bison_or_byacc_directive
      case symbol_kind::S_bison_directive: // bison_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        val.template destroy< keyword > ();
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        val.template destroy< name_literal > ();
        break;

      case symbol_kind::S_NUM: // "number"
        val.template destroy< numberRep > ();
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        val.template destroy< symDeclSeq > ();
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        val.template destroy< symSeq > ();
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        val.template destroy< typeSeq > ();
        break;

      case symbol_kind::S_user_argument_seq: // user_argument_seq
      case symbol_kind::S_user_argument: // user_argument
        val.template destroy< userArgSeq > ();
        break;

      default:
        break;
    }

      return yyflag;
    }

    /** Resolve the states for the RHS of YYOPT on *YYSTACKP, perform its
     *  user action, and return the semantic value and location in *YYVALP
     *  and *YYLOCP.  Regardless of whether result = yyok, all RHS states
     *  have been destroyed (assuming the user action destroys all RHS
     *  semantic values if invoked).  */
    YYRESULTTAG
    yyresolveAction (semantic_option& yyopt, value_type* yyvalp, location_type* yylocp)
    {
      glr_state* yyoptState = yyopt.state();
      YYASSERT(yyoptState != YY_NULLPTR);
      int yynrhs = yyrhsLength (yyopt.yyrule);
      YYRESULTTAG yyflag = yyresolveStates (*yyoptState, yynrhs);
      if (yyflag != yyok)
        {
          for (glr_state *yys = yyoptState; yynrhs > 0; yys = yys->pred(), yynrhs -= 1)
            yys->destroy ("Cleanup: popping", yyparser);
          return yyflag;
        }

      glr_stack_item yyrhsVals[YYMAXRHS + YYMAXLEFT + 1];
      yyrhsVals[YYMAXRHS + YYMAXLEFT].getState().setPred(yyopt.state());
      if (yynrhs == 0)
        /* Set default location.  */
        yyrhsVals[YYMAXRHS + YYMAXLEFT - 1].getState().yyloc = yyoptState->yyloc;
      {
        symbol_type yyla_current = std::move (this->yyla);
        this->yyla = std::move (yyopt.yyla);
        yyflag = yyuserAction (yyopt.yyrule, yynrhs,
                               yyrhsVals + YYMAXRHS + YYMAXLEFT - 1,
                               create_state_set_index (-1),
                               yyvalp, yylocp);
        this->yyla = std::move (yyla_current);
      }
      return yyflag;
    }

    /** Resolve the locations for each of the YYN1 states in *YYSTACKP,
     *  ending at YYS1.  Has no effect on previously resolved states.
     *  The first semantic option of a state is always chosen.  */
    void
    yyresolveLocations (glr_state &yys1, int yyn1)
    {
      if (0 < yyn1)
        {
          yyresolveLocations (*yys1.pred(), yyn1 - 1);
          if (!yys1.yyresolved)
            {
              glr_stack_item yyrhsloc[1 + YYMAXRHS];
              YYASSERT (yys1.firstVal() != YY_NULLPTR);
              semantic_option& yyoption = *yys1.firstVal();
              const int yynrhs = yyrhsLength (yyoption.yyrule);
              if (0 < yynrhs)
                {
                  yyresolveLocations (*yyoption.state(), yynrhs);
                  const glr_state *yys = yyoption.state();
                  for (int yyn = yynrhs; yyn > 0; yyn -= 1)
                  {
                    yyrhsloc[yyn].getState().yyloc = yys->yyloc;
                    yys = yys->pred();
                  }
                }
              else
                {
                  /* Both yyresolveAction and yyresolveLocations traverse the GSS
                     in reverse rightmost order.  It is only necessary to invoke
                     yyresolveLocations on a subforest for which yyresolveAction
                     would have been invoked next had an ambiguity not been
                     detected.  Thus the location of the previous state (but not
                     necessarily the previous state itself) is guaranteed to be
                     resolved already.  */
                  YY_IGNORE_NULL_DEREFERENCE_BEGIN
                  yyrhsloc[0].getState().yyloc = yyoption.state()->yyloc;
                  YY_IGNORE_NULL_DEREFERENCE_END
                }
              YYLLOC_DEFAULT ((yys1.yyloc), yyrhsloc, yynrhs);
            }
        }
    }

    /** If yytoken is empty, fetch the next token.  */
    void
    yyget_token ()
    {
  YY_USE (theLexer);
  YY_USE (ctrl);
  YY_USE (theFiles);
      if (this->yyla.empty ())
        {
          YYCDEBUG << "Reading a token\n";
#if YY_EXCEPTIONS
          try
#endif // YY_EXCEPTIONS
            {
              yyla.kind_ = yyparser.yytranslate_ (yylex (&this->yyla.value, &this->yyla.location));
            }
#if YY_EXCEPTIONS
          catch (const parser_type::syntax_error& yyexc)
            {
              YYCDEBUG << "Caught exception: " << yyexc.what () << '\n';
              this->yyla.location = yyexc.location;
              yyparser.error (this->yyla.location, yyexc.what ());
              // Map errors caught in the scanner to the error token, so that error
              // handling is started.
              this->yyla.kind_ = symbol_kind::S_YYerror;
            }
        }
#endif // YY_EXCEPTIONS
      if (this->yyla.kind () == symbol_kind::S_YYEOF)
        YYCDEBUG << "Now at end of input.\n";
      else
        YY_SYMBOL_PRINT ("Next token is", this->yyla.kind (), this->yyla.value, this->yyla.location);
    }


                                /* Bison grammar-table manipulation.  */

    /** The action to take in YYSTATE on seeing YYTOKEN.
     *  Result R means
     *    R < 0:  Reduce on rule -R.
     *    R = 0:  Error.
     *    R > 0:  Shift to state R.
     *  Set *YYCONFLICTS to a pointer into yyconfl to a 0-terminated list
     *  of conflicting reductions.
     */
    static int
    yygetLRActions (state_num yystate, symbol_kind_type yytoken, const short*& yyconflicts)
    {
      int yyindex = yypact[yystate] + yytoken;
      if (yytoken == symbol_kind::S_YYerror)
        {
          // This is the error token.
          yyconflicts = yyconfl;
          return 0;
        }
      else if (yy_is_defaulted_state (yystate)
               || yyindex < 0 || YYLAST < yyindex || yycheck[yyindex] != yytoken)
        {
          yyconflicts = yyconfl;
          return -yydefact[yystate];
        }
      else if (! yytable_value_is_error (yytable[yyindex]))
        {
          yyconflicts = yyconfl + yyconflp[yyindex];
          return yytable[yyindex];
        }
      else
        {
          yyconflicts = yyconfl + yyconflp[yyindex];
          return 0;
        }
    }

    /** Compute post-reduction state.
     * \param yystate   the current state
     * \param yysym     the nonterminal to push on the stack
     */
    static state_num
    yyLRgotoState (state_num yystate, symbol_kind_type yysym)
    {
      const int yyr = yypgoto[yysym - YYNTOKENS] + yystate;
      if (0 <= yyr && yyr <= YYLAST && yycheck[yyr] == yystate)
        return yytable[yyr];
      else
        return yydefgoto[yysym - YYNTOKENS];
    }

    static bool
    yypact_value_is_default (state_num yystate)
    {
      return ((yystate) == YYPACT_NINF);
    }

    static bool
    yytable_value_is_error (int yytable_value YY_ATTRIBUTE_UNUSED)
    {
      return 0;
    }

    static bool
    yy_is_shift_action (int yyaction) YY_NOEXCEPT
    {
      return 0 < yyaction;
    }

    static bool
    yy_is_error_action (int yyaction) YY_NOEXCEPT
    {
      return yyaction == 0;
    }

    /** Whether LR state YYSTATE has only a default reduction
     *  (regardless of token).  */
    static bool
    yy_is_defaulted_state (state_num yystate)
    {
      return yypact_value_is_default (yypact[yystate]);
    }

    /** The default reduction for YYSTATE, assuming it has one.  */
    static rule_num
    yy_default_action (state_num yystate)
    {
      return yydefact[yystate];
    }

                                    /* GLRStacks */

    /** Y0 and Y1 represent two possible actions to take in a given
     *  parsing state; return 0 if no combination is possible,
     *  1 if user-mergeable, 2 if Y0 is preferred, 3 if Y1 is preferred.  */
    static int
    yypreference (const semantic_option& y0, const semantic_option& y1)
    {
      const rule_num r0 = y0.yyrule, r1 = y1.yyrule;
      const int p0 = yydprec[r0], p1 = yydprec[r1];

      if (p0 == p1)
        {
          if (yymerger[r0] == 0 || yymerger[r0] != yymerger[r1])
            return 0;
          else
            return 1;
        }
      else if (p0 == 0 || p1 == 0)
        return 0;
      else if (p0 < p1)
        return 3;
      else if (p1 < p0)
        return 2;
      else
        return 0;
    }


    // User arguments.
    AGC::bisonLexer& theLexer;
    yoxControl& ctrl;
    specIO& theFiles;
  }; // class bison::glr_stack
} // namespace AGC


#if YYDEBUG
namespace
{
  void
  yypstack (const glr_stack& yystack, size_t yyk)
  {
    yystack.yypstack (create_state_set_index (static_cast<std::ptrdiff_t> (yyk)));
  }

  void
  yypdumpstack (const glr_stack& yystack)
  {
    yystack.yypdumpstack ();
  }
}
#endif

#line 41 "agc-bison.yy"
namespace AGC {
#line 9541 "agc-bison.cc"

  /// Build a parser object.
  bison::bison (AGC::bisonLexer& theLexer_yyarg, yoxControl& ctrl_yyarg, specIO& theFiles_yyarg)
    :
#if YYDEBUG
      yycdebug_ (&std::cerr),
#endif
      theLexer (theLexer_yyarg),
      ctrl (ctrl_yyarg),
      theFiles (theFiles_yyarg)
  {}

  bison::~bison ()
  {}

  bison::syntax_error::~syntax_error () YY_NOEXCEPT YY_NOTHROW
  {}

  int
  bison::operator() ()
  {
    return parse ();
  }

  int
  bison::parse ()
  {
    glr_stack yystack(YYINITDEPTH, *this, theLexer, ctrl, theFiles);
    return yystack.parse ();
  }

  const char *
  bison::symbol_name (symbol_kind_type yysymbol)
  {
    static const char *const yy_sname[] =
    {
    "end of file", "error", "invalid token", "@{", "@}",
  "attribute reference", "identifier", "character literal",
  "string literal", "{", "}", ";", "%%", "%{", "%}", "terminal symbol",
  "terminal literal", "return", "\\n",
  "start of generic scanner source file", "no attribute reference section",
  "attribute occurrence", "@attributes", "@macro", "@end", "@traversal",
  "@preorder", "@postorder", "@lefttoright", "@righttoleft", "@revorder",
  "@revdirection", "@disable", "@autosyn", "@autoinh", "@warn", "@i", "@m",
  "@e", "@decorate", "@void", "traversal mode annunciator", ",", "(", ")",
  "[", "]", "@", "...", "<-", "<->", "%?", "nonterminal symbol",
  "C++ qualified name", "literal path name", "inherited attribute",
  "bison API variable", "bison API value", "number", "%left", "%right",
  "%nonassoc", "%token", "%prec", "%type", "%nterm", "%start", "%union",
  "%empty", "%expect", "%expect-rr", "%pure-parser", "%dprec", "%merge",
  "%precedence", "%la", "%scanner", "CODE", "LOCATION", "%destructor",
  "%lex-param", "%parse-param", "%define", "%language", "%name-prefix",
  "%param", "%printer", "%skeleton", "%local", "%export", "%import",
  "const", "volatile", "restrict", "register", "static", "TYPE_KEYWORD",
  "ELABORATED_TYPE_KEYWORD", ".", "->", "++", "--", "~", "!", "-", "+",
  "&", "*", "/", "%", "<<", ">>", "<", ">", "<=", ">=", "==", "!=", "^",
  "|", "&&", "||", "?", ":", "=", "+=", "-=", "*=", "/=", "%=", "<<=",
  ">>=", "&=", "^=", "|=", "->*", ".*", "::", "$accept", "AG_spec",
  "parser_spec", "$@1", "$@2", "$@3", "parser_spec_definition_section",
  "parser_spec_rules_section", "tail", "definition_seq", "definition",
  "yacc_directive", "$@4", "unionTag_opt", "bison_or_byacc_directive",
  "$@5", "bison_directive", "$@6", "api_param_def", "ox_directive", "$@7",
  "$@8", "$@9", "$@10", "$@11", "code_seq", "token_decl_list", "tag_opt",
  "tag", "token_list", "token", "named_token", "NUM_opt",
  "precedence_declarer", "precedence_decl_list", "terminal_list",
  "terminal_symbol", "nonterminal_symbol", "symbol",
  "nonterminal_declarer", "nonterminal_decl_list", "nonterminal_list",
  "nonterminal", "code_block", "user_argument_seq", "user_argument",
  "destructor_symbol_list", "destructor_symbol", "autoIDseq", "autoID",
  "attribute_decl_list", "attribute_decl", "attrb_modifier_opt",
  "attrb_modifier", "$@12", "$@13", "atWarn_opt", "type_specifier", "type",
  "type_component", "type_name", "elaborated_type_name", "type_list",
  "id_seq", "declarator", "direct_declarator", "id_seq2", "attribute_id",
  "ptr_operator", "ptr_type_qualifier_seq_opt", "ptr_type_qualifier_seq",
  "ptr_type_qualifier", "field_length_spec", "array_size_opt",
  "parameter_list_opt", "parameter_list", "parameter_type_list",
  "parameter_type", "formal_type_specifier", "abstract_declarator",
  "direct_abstract_declarator", "formal_array_qualifier_list_opt",
  "formal_array_qualifier_list", "formal_array_qualifier",
  "attributed_symbol_list", "attributed_symbol", "macroFormalList",
  "travSpecSeq", "travIDseq", "travID", "travSpec", "rule_seq", "rule_set",
  "$@14", "$@15", "left_hand_side", "right_hand_side", "$@16", "rhs_body",
  "rhs_seq", "rhs_component", "rhs_item", "rhs_symbol",
  "named_reference_def", "rule_directive", "parser_action", "bison_action",
  "attrb_ref_section", "$@17", "attrb_ref_section_body", "decorate_cmd",
  "attrb_ref_section_seq", "attrb_ref_section_item", "attrb_def",
  "attrb_evaluation", "attrb_evaluation_stmt", "attrb_evaluation_expr",
  "attrb_evaluation_expr_component", "attrb_ref",
  "attrb_evaluation_compound_stmt", "attrb_evaluation_stmt_seq",
  "attrb_evaluation_stmt_seq_component", "attrb_evaluation_stmt_component",
  "dependent_name_seq", "dependent_name", "attrb_occur",
  "dependee_name_seq", "dependee_name", "traversal_segment", "$@18",
  "traversal_modifier_seq", "traversal_modifier", "$@19", "$@20",
  "traversal_modifier_expr", "traversal_expr", "traversal_expr_component",
  "traversal_action", "traversal_stmt", "traversal_stmt_component",
  "traversal_compound_stmt", "traversal_stmt_seq",
  "traversal_stmt_seq_component", "expr_value", "expr_operator", YY_NULLPTR
    };
    return yy_sname[yysymbol];
  }





  // bison::context.
  bison::context::context (glr_stack& yystack, const symbol_type& yyla)
    : yystack_ (yystack)
    , yyla_ (yyla)
  {}

  int
  bison::context::expected_tokens (symbol_kind_type yyarg[], int yyargn) const
  {
    // Actual number of expected tokens
    int yycount = 0;
    const int yyn = yypact[yystack_.firstTopState()->yylrState];
    if (!yystack_.yypact_value_is_default (yyn))
      {
        /* Start YYX at -YYN if negative to avoid negative indexes in
           YYCHECK.  In other words, skip the first -YYN actions for this
           state because they are default actions.  */
        const int yyxbegin = yyn < 0 ? -yyn : 0;
        /* Stay within bounds of both yycheck and yytname.  */
        const int yychecklim = YYLAST - yyn + 1;
        const int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
        for (int yyx = yyxbegin; yyx < yyxend; ++yyx)
          if (yycheck[yyx + yyn] == yyx && yyx != symbol_kind::S_YYerror
              && !yystack_.yytable_value_is_error (yytable[yyx + yyn]))
            {
              if (!yyarg)
                ++yycount;
              else if (yycount == yyargn)
                return 0;
              else
                yyarg[yycount++] = YY_CAST (symbol_kind_type, yyx);
            }
      }
    if (yyarg && yycount == 0 && 0 < yyargn)
      yyarg[0] = symbol_kind::S_YYEMPTY;
    return yycount;
  }





  void
  bison::yy_destroy_ (const char* yymsg, symbol_kind_type yykind,
                           value_type& yyval,
                           location_type& yyloc)
  {
    YY_USE (yyval);
    YY_USE (yyloc);
    if (!yymsg)
      yymsg = "Deleting";
    bison& yyparser = *this;
    YY_USE (yyparser);
    YY_SYMBOL_PRINT (yymsg, yykind, yyval, yyloc);

    YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
    YY_USE (yykind);
    YY_IGNORE_MAYBE_UNINITIALIZED_END
  }

#if YYDEBUG
  /*--------------------.
  | Print this symbol.  |
  `--------------------*/

  void
  bison::yy_symbol_value_print_ (symbol_kind_type yykind,
                           const value_type& yyval,
                           const location_type& yyloc) const
  {
    YY_USE (yyloc);
    YY_USE (yyval);
    std::ostream& yyo = debug_stream ();
    YY_USE (yyo);
    switch (yykind)
    {
      case symbol_kind::S_ID: // "identifier"
#line 352 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 9728 "agc-bison.cc"
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
#line 356 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < char_literal > () + "\"";
}
#line 9736 "agc-bison.cc"
        break;

      case symbol_kind::S_LITERAL_STRING: // "string literal"
#line 356 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < char_literal > () + "\"";
}
#line 9744 "agc-bison.cc"
        break;

      case symbol_kind::S_TERM_ID: // "terminal symbol"
#line 352 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 9752 "agc-bison.cc"
        break;

      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
#line 356 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < char_literal > () + "\"";
}
#line 9760 "agc-bison.cc"
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9768 "agc-bison.cc"
        break;

      case symbol_kind::S_OX_MACRO: // "@macro"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9776 "agc-bison.cc"
        break;

      case symbol_kind::S_OX_TRAV: // "@traversal"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9784 "agc-bison.cc"
        break;

      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9792 "agc-bison.cc"
        break;

      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9800 "agc-bison.cc"
        break;

      case symbol_kind::S_OX_WARN: // "@warn"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9808 "agc-bison.cc"
        break;

      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
#line 352 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 9816 "agc-bison.cc"
        break;

      case symbol_kind::S_GS_ID: // "nonterminal symbol"
#line 352 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 9824 "agc-bison.cc"
        break;

      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
#line 352 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 9832 "agc-bison.cc"
        break;

      case symbol_kind::S_LITERAL_PATH: // "literal path name"
#line 356 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < char_literal > () + "\"";
}
#line 9840 "agc-bison.cc"
        break;

      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
#line 352 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 9848 "agc-bison.cc"
        break;

      case symbol_kind::S_API_VARIABLE: // "bison API variable"
#line 352 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 9856 "agc-bison.cc"
        break;

      case symbol_kind::S_API_VALUE: // "bison API value"
#line 352 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 9864 "agc-bison.cc"
        break;

      case symbol_kind::S_LEFT: // "%left"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9872 "agc-bison.cc"
        break;

      case symbol_kind::S_RIGHT: // "%right"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9880 "agc-bison.cc"
        break;

      case symbol_kind::S_NONASSOC: // "%nonassoc"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9888 "agc-bison.cc"
        break;

      case symbol_kind::S_TOKEN: // "%token"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9896 "agc-bison.cc"
        break;

      case symbol_kind::S_TYPE: // "%type"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9904 "agc-bison.cc"
        break;

      case symbol_kind::S_NTERM: // "%nterm"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9912 "agc-bison.cc"
        break;

      case symbol_kind::S_START: // "%start"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9920 "agc-bison.cc"
        break;

      case symbol_kind::S_UNION: // "%union"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9928 "agc-bison.cc"
        break;

      case symbol_kind::S_EXPECT: // "%expect"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9936 "agc-bison.cc"
        break;

      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9944 "agc-bison.cc"
        break;

      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9952 "agc-bison.cc"
        break;

      case symbol_kind::S_PRECEDENCE: // "%precedence"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9960 "agc-bison.cc"
        break;

      case symbol_kind::S_SCANNER: // "%scanner"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9968 "agc-bison.cc"
        break;

      case symbol_kind::S_CODE: // CODE
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9976 "agc-bison.cc"
        break;

      case symbol_kind::S_LOCATION: // LOCATION
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9984 "agc-bison.cc"
        break;

      case symbol_kind::S_DESTRUCTOR: // "%destructor"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9992 "agc-bison.cc"
        break;

      case symbol_kind::S_LEX_PARAM: // "%lex-param"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 10000 "agc-bison.cc"
        break;

      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 10008 "agc-bison.cc"
        break;

      case symbol_kind::S_DEFINE: // "%define"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 10016 "agc-bison.cc"
        break;

      case symbol_kind::S_LANGUAGE: // "%language"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 10024 "agc-bison.cc"
        break;

      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 10032 "agc-bison.cc"
        break;

      case symbol_kind::S_PARAM: // "%param"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 10040 "agc-bison.cc"
        break;

      case symbol_kind::S_PRINTER: // "%printer"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 10048 "agc-bison.cc"
        break;

      case symbol_kind::S_SKELETON: // "%skeleton"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 10056 "agc-bison.cc"
        break;

      case symbol_kind::S_LOCAL: // "%local"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 10064 "agc-bison.cc"
        break;

      case symbol_kind::S_EXPORT: // "%export"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 10072 "agc-bison.cc"
        break;

      case symbol_kind::S_IMPORT: // "%import"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 10080 "agc-bison.cc"
        break;

      case symbol_kind::S_CONST: // "const"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 10088 "agc-bison.cc"
        break;

      case symbol_kind::S_VOLATILE: // "volatile"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 10096 "agc-bison.cc"
        break;

      case symbol_kind::S_RESTRICT: // "restrict"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 10104 "agc-bison.cc"
        break;

      case symbol_kind::S_REGISTER: // "register"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 10112 "agc-bison.cc"
        break;

      case symbol_kind::S_STATIC: // "static"
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 10120 "agc-bison.cc"
        break;

      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 10128 "agc-bison.cc"
        break;

      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 10136 "agc-bison.cc"
        break;

      case symbol_kind::S_yacc_directive: // yacc_directive
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 10144 "agc-bison.cc"
        break;

      case symbol_kind::S_bison_or_byacc_directive: // bison_or_byacc_directive
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 10152 "agc-bison.cc"
        break;

      case symbol_kind::S_bison_directive: // bison_directive
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 10160 "agc-bison.cc"
        break;

      case symbol_kind::S_ox_directive: // ox_directive
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 10168 "agc-bison.cc"
        break;

      case symbol_kind::S_named_token: // named_token
#line 352 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 10176 "agc-bison.cc"
        break;

      case symbol_kind::S_precedence_declarer: // precedence_declarer
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 10184 "agc-bison.cc"
        break;

      case symbol_kind::S_terminal_symbol: // terminal_symbol
#line 352 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 10192 "agc-bison.cc"
        break;

      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
#line 352 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 10200 "agc-bison.cc"
        break;

      case symbol_kind::S_symbol: // symbol
#line 352 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 10208 "agc-bison.cc"
        break;

      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 10216 "agc-bison.cc"
        break;

      case symbol_kind::S_nonterminal: // nonterminal
#line 352 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 10224 "agc-bison.cc"
        break;

      case symbol_kind::S_attrb_modifier: // attrb_modifier
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 10232 "agc-bison.cc"
        break;

      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 10240 "agc-bison.cc"
        break;

      case symbol_kind::S_array_size_opt: // array_size_opt
#line 360 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 10248 "agc-bison.cc"
        break;

      case symbol_kind::S_left_hand_side: // left_hand_side
#line 352 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 10256 "agc-bison.cc"
        break;

      case symbol_kind::S_rhs_symbol: // rhs_symbol
#line 352 "agc-bison.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 10264 "agc-bison.cc"
        break;

      default:
        break;
    }
  }

  void
  bison::yy_symbol_print_ (symbol_kind_type yykind,
                           const value_type& yyval,
                           const location_type& yyloc) const
  {
    *yycdebug_ << (yykind < YYNTOKENS ? "token" : "nterm")
               << ' ' << symbol_name (yykind) << " ("
               << yyloc << ": ";
    yy_symbol_value_print_ (yykind, yyval, yyloc);
    *yycdebug_ << ')';
  }

  std::ostream&
  bison::debug_stream () const
  {
    return *yycdebug_;
  }

  void
  bison::set_debug_stream (std::ostream& o)
  {
    yycdebug_ = &o;
  }


  bison::debug_level_type
  bison::debug_level () const
  {
    return yydebug;
  }

  void
  bison::set_debug_level (debug_level_type l)
  {
    // Actually, it is yydebug which is really used.
    yydebug = l;
  }
#endif // YYDEBUG

  bison::symbol_kind_type
  bison::yytranslate_ (int t) YY_NOEXCEPT
  {
    return static_cast<symbol_kind_type> (t);
  }



  /*---------.
  | symbol.  |
  `---------*/
  // basic_symbol.
  template <typename Base>
  bison::basic_symbol<Base>::basic_symbol (const basic_symbol& that)
    : Base (that)
    , value ()
    , location (that.location)
  {
    switch (this->kind ())
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        value.copy< attrbPair > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        value.copy< attrbRefSeq > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        value.copy< attrbTriple > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        value.copy< char_literal > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_bison_or_byacc_directive: // bison_or_byacc_directive
      case symbol_kind::S_bison_directive: // bison_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        value.copy< keyword > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        value.copy< name_literal > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_NUM: // "number"
        value.copy< numberRep > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        value.copy< symDeclSeq > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        value.copy< symSeq > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        value.copy< typeSeq > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_user_argument_seq: // user_argument_seq
      case symbol_kind::S_user_argument: // user_argument
        value.copy< userArgSeq > (YY_MOVE (that.value));
        break;

      default:
        break;
    }

  }





  template <typename Base>
  bool
  bison::basic_symbol<Base>::empty () const YY_NOEXCEPT
  {
    return this->kind () == symbol_kind::S_YYEMPTY;
  }

  template <typename Base>
  void
  bison::basic_symbol<Base>::move (basic_symbol& s)
  {
    super_type::move (s);
    switch (this->kind ())
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        value.move< attrbPair > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        value.move< attrbRefSeq > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        value.move< attrbTriple > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        value.move< char_literal > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_bison_or_byacc_directive: // bison_or_byacc_directive
      case symbol_kind::S_bison_directive: // bison_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        value.move< keyword > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        value.move< name_literal > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_NUM: // "number"
        value.move< numberRep > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        value.move< symDeclSeq > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        value.move< symSeq > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        value.move< typeSeq > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_user_argument_seq: // user_argument_seq
      case symbol_kind::S_user_argument: // user_argument
        value.move< userArgSeq > (YY_MOVE (s.value));
        break;

      default:
        break;
    }

    location = YY_MOVE (s.location);
  }

  // by_kind.
  bison::by_kind::by_kind () YY_NOEXCEPT
    : kind_ (symbol_kind::S_YYEMPTY)
  {}

#if 201103L <= YY_CPLUSPLUS
  bison::by_kind::by_kind (by_kind&& that) YY_NOEXCEPT
    : kind_ (that.kind_)
  {
    that.clear ();
  }
#endif

  bison::by_kind::by_kind (const by_kind& that) YY_NOEXCEPT
    : kind_ (that.kind_)
  {}

  bison::by_kind::by_kind (token_kind_type t) YY_NOEXCEPT
    : kind_ (yytranslate_ (t))
  {}


  bison::by_kind&
  bison::by_kind::by_kind::operator= (const by_kind& that)
  {
    kind_ = that.kind_;
    return *this;
  }

  bison::by_kind&
  bison::by_kind::by_kind::operator= (by_kind&& that)
  {
    kind_ = that.kind_;
    that.clear ();
    return *this;
  }


  void
  bison::by_kind::clear () YY_NOEXCEPT
  {
    kind_ = symbol_kind::S_YYEMPTY;
  }

  void
  bison::by_kind::move (by_kind& that)
  {
    kind_ = that.kind_;
    that.clear ();
  }

  bison::symbol_kind_type
  bison::by_kind::kind () const YY_NOEXCEPT
  {
    return kind_;
  }



#line 41 "agc-bison.yy"
} // AGC
#line 10711 "agc-bison.cc"
#line 2982 "agc-bison.yy"


// called from 'main ()'
extern "C" void
agc_bison_parse (
#if defined(WITH_REFLEX)
                          const reflex::Input& yoxIn,
#else // defined(WITH_FLEX)
                          std::ifstream& yoxIn,
#endif
                          Yfile_specIO& Yfile,
                          int debug)
{
  AGC::bisonLexer agc_Yfile_lexer (Yfile, yoxIn);
  agc_Yfile_lexer.set_debug (debug >> 1);
  AGC::bison parser (agc_Yfile_lexer, outMgr::ctrl, Yfile);
  parser.set_debug_level (debug & 0x1);
  (void)parser ();
}

void
AGC::bison::error (const AGC::location& locp, const std::string& msg)
{
  agc_syntax_error (locp, msg);
}

void
AGC::bison::report_syntax_error (const context& yyctx) const
{
  // # of expected tokens
  enum
  {
    YYARGS_MAX = 4
  };

  symbol_kind_type yyarg[YYARGS_MAX] = { symbol_kind::S_YYEMPTY };

  // Actual size of yyarg[]
  int yycount = yyctx.expected_tokens (yyarg, YYARGS_MAX);

  if (yycount < 0)
    return;
  if ((yycount == 0) && (yyarg[0] != (symbol_kind_type)symbol_kind::S_YYEMPTY))
    yycount = YYARGS_MAX;

  const std::string token_name = std::string (symbol_name (yyctx.token ()));

  std::ostringstream yymsg;

  yymsg << "syntax error";

  if (yycount > 0)
    {
      yymsg << ", unexpected ";

      switch (yyctx.token ())
        {
        case symbol_kind::S_ID:             // identifier
        case symbol_kind::S_GS_ID:          // Yacc symbol name
        case symbol_kind::S_OX_ID:          // traversal mode annunciator
        case symbol_kind::S_NAMESPACE_ID:   // C++ qualified name
        case symbol_kind::S_INHATTR_ID:     // inherited attribute
        case symbol_kind::S_API_VALUE:      // API value
        case symbol_kind::S_API_VARIABLE:   // API variable
          yymsg << "\'" + token_name + "\' "
                       "[" +
                       yyctx.lookahead ().value.as<name_literal> () +
                       "]";
          break;

        case symbol_kind::S_LITERAL_CHAR:
        case symbol_kind::S_LITERAL_STRING:
        case symbol_kind::S_LITERAL_PATH:   // literal path name
          yymsg << "\'" + token_name + "\' "
                       "[" +
                       yyctx.lookahead ().value.as<char_literal> () +
                       "]";
          break;

        case symbol_kind::S_NUM:            // number
          yymsg << "\'" + token_name + "\' "
                       "[" +
                       yyctx.lookahead ().value.as<numberRep> ().spelling +
                       "]";
          break;

        case symbol_kind::S_OX_ATTRB_REF:   // attribute reference
        case symbol_kind::S_OX_ATTRB_OCCUR: // attribute occurrence
          yymsg << "\'" + token_name + "\' "
                       "[" +
                       yyctx.lookahead ().value.as<attrbTriple> ().gsName +
                       "." +
                       std::to_string (yyctx.lookahead ()
                                           .value.as<attrbTriple> ()
                                           .occurrence) +
                       "." +
                       yyctx.lookahead ().value.as<attrbTriple> ().atName +
                       "]";
          break;

        case symbol_kind::S_CODE:           // %code, %initial-action
        case symbol_kind::S_DESTRUCTOR:     // %destructor
        case symbol_kind::S_EXPECT:         // %expect
        case symbol_kind::S_EXPECT_RR:      // %expect_rr
        case symbol_kind::S_LEX_PARAM:      // %lex-param
        case symbol_kind::S_PARSE_PARAM:    // %parse-param
        case symbol_kind::S_PURE_PARSER:    // %pure-parser
        case symbol_kind::S_DEFINE:         // %define
        case symbol_kind::S_DPREC:          // %dprec
        case symbol_kind::S_EMPTY:          // %empty
        case symbol_kind::S_LANGUAGE:       // %language
        case symbol_kind::S_MERGE:          // %merge
        case symbol_kind::S_NAME_PREFIX:    // %name-prefix
        case symbol_kind::S_NTERM:          // %nterm
        case symbol_kind::S_PARAM:          // %param
        case symbol_kind::S_PRECEDENCE:     // %precedence
        case symbol_kind::S_PRINTER:        // %printer
        case symbol_kind::S_SKELETON:       // %skeleton
        case symbol_kind::S_LOCATION:       // %location, %position, %@
        case symbol_kind::S_EXPORT:         // %export
        case symbol_kind::S_IMPORT:         // %import
        case symbol_kind::S_LOCAL:          // %local
        case symbol_kind::S_LOOKAHEAD:      // %lookahead
          yymsg << "\'" + token_name + "\'";
          break;

        default:
          yymsg << "\'" + token_name + "\'";
          break;
        }

      std::string trailing_list;
      for (int i = yycount; --i > 0;)
        {
          std::string temp;

          if (i + 1 == yycount)
            temp = " or";
          else
            temp = ",";

          trailing_list =
              temp + " \'" + symbol_name (yyarg[i]) + "\'" + trailing_list;
        }

      yymsg << ", expecting \'" << symbol_name (yyarg[0]) << "\'"
            << trailing_list;
    }
  yymsg << ".";

  AGC::location loc = yyctx.location ();
  agc_syntax_error (loc, yymsg);
}
