// A Bison parser, made by GNU Bison 3.8.2.

// Skeleton implementation for Bison GLR parsers in C

// Copyright (C) 2002-2015, 2018-2021 Free Software Foundation, Inc.

// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <https://www.gnu.org/licenses/>.

// As a special exception, you may create a larger work that contains
// part or all of the Bison parser skeleton and distribute that work
// under terms of your choice, so long as that work isn't itself a
// parser generator using the skeleton or a modified version thereof
// as a parser skeleton.  Alternatively, if you modify or redistribute
// the parser skeleton itself, you may (at your option) remove this
// special exception, which will cause the skeleton and the resulting
// Bison output files to be licensed under the GNU General Public
// License without this special exception.

// This special exception was added by the Free Software Foundation in
// version 2.2 of Bison.

// C++ GLR parser skeleton written by Valentin Tolmer.

// DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
// especially those whose name start with YY_ or yy_.  They are
// private implementation details that can be changed or removed.

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "glr2.cc"


// "%code top" blocks.
#line 78 "agc-yacc.yy"

// hack to avoid a 'yydebug' global in every parser
#define yydebug agc_yacc_debug

#line 56 "agc-yacc.cc"



// First part of user prologue.
#line 53 "agc-yacc.yy"

/* $Id: agc-yacc.yy 2842 2022-12-13 01:19:44Z teshields $ */

/* This file is part of Ox, an Attribute Grammar Compiling System
   that augments the specification functionality of Lex and Yacc, and
   input specification compatible lexer and parser generators.

   Copyright (C) 1992-1994  Kurt M. Bischoff
   Copyright (C) 2004-2022  Thomas E. Shields

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

#line 85 "agc-yacc.cc"


# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "agc-yacc.hh"

namespace
{
  /* Default (constant) value used for initialization for null
     right-hand sides.  Unlike the standard yacc.c template, here we set
     the default value of $$ to a zeroed-out value.  Since the default
     value is undefined, this behavior is technically correct.  */
  AGC::yacc::value_type yyval_default;
}


// Unqualified %code blocks.
#line 395 "agc-yacc.yy"

#include "config.h"

#include <iomanip>
#include <ostream>
#include <sstream>

#include "codegen.hh"
#include "ctc.hh"
#include "depGs.hh"
#include "fileMgr.hh"
#include "joinTabs.hh"
#include "mac.hh"
#include "messages.hh"
#include "opts.hh"
#include "outMgr.hh"
#include "scan.hh"
#include "symTrans.hh"
#include "trav.hh"
#include "treeviz.hh"

// =true if an '@attributes' declaration has occurred
static bool oxAttrbsDecl = false;

// record whether the @autoinh or @autosyn automatic copy rule attribute
// modifier has been seen in the current attribute declaration
static enum attrbDirection autoDef = undefined;

// =true if an '@warn' automatic copy rule attribute modifier has occurred in
// the current attribute declaration
static bool autoWarning = false;

// holds attribute information unique to each 'sort' from the current
// @attributes declaration until ready to add the information to the symbol
// table for each of the grammar symbols of that 'sort'
static sort gSymSort;

// an increasing sequence of sort serial numbers representing the kind of a
// semantic node in the parse tree
static int sortTypeNumSeq = firstSortTypeNum;

// the collection of all defined attribute sorts
static sortCollection sortTable;

// The vector sortSeq holds the list of attributes for the 'sort' (@attributes)
// declaration being processed.  The i-th element of sortSeq is a structure that
// holds the name and copy rule (@autoinh or @autosym, @warn) annotation (or
// default) of the ith attribute of the @attributes declaration being processed.
static sortAttrbSeq sortSeq;

// for checking dynamic traversal modifier restrictions
struct dynTravMod
{
  std::string id;
  int orderRev;            // count the @revorder occurrences
  int dirRev;              // count the @revdirectdion occurrences
  AGC::location dirRevLoc; // @revdirection location (first, if dirRev > 1)

  dynTravMod (std::string i)
      : id (i),
        orderRev (0),
        dirRev (0)
  {}
};

static std::vector<dynTravMod> dynTravModArr;

static int dynTravModSeq;

// =true if "@attributes { ... }" are not all '@void'
static bool hasConcreteType = false;

#include "agc-Yfile-lexer.hh"

namespace AGC
{
class yaccLexer : public YFILE::Lexer
{
public:

  inline yaccLexer (Yfile_specIO& fR,
#if defined(WITH_REFLEX)
                              const reflex::Input& input
#else // defined(WITH_FLEX)
                              std::ifstream& input
#endif
                             )
      : YFILE::Lexer (fR, input)
  {}

  inline int
  yylex (parser::value_type& yylval, location& yylloc)
  {
    return YFILE::Lexer::yylex (yylval, yylloc);
  }

  inline int
  yylex (parser::value_type* yylval, location* yylloc)
  {
    return YFILE::Lexer::yylex (yylval, yylloc);
  }

  // convert yacc -> Y-file parser 'value_type&'
  // lexical tokens in all parser variants are identical
  inline int
  yylex (yacc::value_type& yylval, location& yylloc)
  {
    return yylex (reinterpret_cast<parser::value_type&> (yylval), yylloc);
  }

  // convert yacc -> Y-file parser 'value_type*'
  // lexical tokens in all parser variants are identical
  inline int
  yylex (yacc::value_type* yylval, location* yylloc)
  {
    return yylex (reinterpret_cast<parser::value_type*> (yylval), yylloc);
  }

  inline int
  yylex () // should never be called
  {
    return parser::symbol_kind::S_YYerror;
  }
};
} // namespace AGC

// override Bison default
#define yylex theLexer.yylex

#line 243 "agc-yacc.cc"


#include <cstdio>
#include <cstdlib>

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

// Whether we are compiled with exception support.
#ifndef YY_EXCEPTIONS
# if defined __GNUC__ && !defined __EXCEPTIONS
#  define YY_EXCEPTIONS 0
# else
#  define YY_EXCEPTIONS 1
# endif
#endif

#ifndef YYFREE
# define YYFREE free
#endif
#ifndef YYMALLOC
# define YYMALLOC malloc
#endif

#ifndef YYSETJMP
# include <setjmp.h>
# define YYJMP_BUF jmp_buf
# define YYSETJMP(Env) setjmp (Env)
/* Pacify Clang and ICC.  */
# define YYLONGJMP(Env, Val)                    \
 do {                                           \
   longjmp (Env, Val);                          \
   YYASSERT (0);                                \
 } while (false)
#endif

#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* The _Noreturn keyword of C11.  */
#ifndef _Noreturn
# if (defined __cplusplus \
      && ((201103 <= __cplusplus && !(__GNUC__ == 4 && __GNUC_MINOR__ == 7)) \
          || (defined _MSC_VER && 1900 <= _MSC_VER)))
#  define _Noreturn [[noreturn]]
# elif ((!defined __cplusplus || defined __clang__) \
        && (201112 <= (defined __STDC_VERSION__ ? __STDC_VERSION__ : 0) \
            || (!defined __STRICT_ANSI__ \
                && (4 < __GNUC__ + (7 <= __GNUC_MINOR__) \
                    || (defined __apple_build_version__ \
                        ? 6000000 <= __apple_build_version__ \
                        : 3 < __clang_major__ + (5 <= __clang_minor__))))))
   /* _Noreturn works as-is.  */
# elif (2 < __GNUC__ + (8 <= __GNUC_MINOR__) || defined __clang__ \
        || 0x5110 <= __SUNPRO_C)
#  define _Noreturn __attribute__ ((__noreturn__))
# elif 1200 <= (defined _MSC_VER ? _MSC_VER : 0)
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#if defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_NULL_DEREFERENCE_BEGIN                               \
  _Pragma ("GCC diagnostic push")                                       \
  _Pragma ("GCC diagnostic ignored \"-Wnull-dereference\"")
# define YY_IGNORE_NULL_DEREFERENCE_END         \
  _Pragma ("GCC diagnostic pop")
#else
# define YY_IGNORE_NULL_DEREFERENCE_BEGIN
# define YY_IGNORE_NULL_DEREFERENCE_END
#endif

# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif
# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif

// FIXME: Use the same conventions as lalr1.cc.

#ifndef YYASSERT
# define YYASSERT(Condition) ((void) ((Condition) || (abort (), 0)))
#endif

#ifdef YYDEBUG
# define YYDASSERT(Condition) YYASSERT(Condition)
#else
# define YYDASSERT(Condition)
#endif

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  5
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   2499

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  138
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  133
/* YYNRULES -- Number of rules.  */
#define YYNRULES  305
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  397
/* YYMAXRHS -- Maximum number of symbols on right-hand side of rule.  */
#define YYMAXRHS 7
/* YYMAXLEFT -- Maximum number of symbols to the left of a handle
   accessed by $0, $-1, etc., in any rule.  */
#define YYMAXLEFT 0

namespace
{
#if YYDEBUG
  /* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
  const short yyrline[] =
  {
       0,   527,   527,   532,   536,   547,   531,   559,   563,   567,
     571,   579,   583,   587,   598,   599,   603,   610,   619,   618,
     638,   655,   672,   692,   692,   709,   708,   761,   760,   772,
     776,   771,   792,   796,   800,   809,   827,   832,   839,   848,
     852,   869,   889,   897,   907,   914,   915,   919,   923,   927,
     934,   943,   961,   965,   980,   998,  1003,  1007,  1014,  1018,
    1025,  1029,  1033,  1037,  1044,  1051,  1060,  1078,  1082,  1097,
    1115,  1122,  1123,  1127,  1128,  1132,  1139,  1140,  1144,  1152,
    1153,  1157,  1165,  1170,  1169,  1192,  1191,  1216,  1220,  1227,
    1231,  1258,  1262,  1284,  1289,  1293,  1297,  1301,  1308,  1312,
    1319,  1343,  1347,  1371,  1372,  1376,  1377,  1381,  1382,  1383,
    1384,  1388,  1389,  1393,  1431,  1450,  1457,  1461,  1468,  1472,
    1491,  1495,  1502,  1503,  1507,  1512,  1516,  1521,  1529,  1533,
    1540,  1544,  1563,  1567,  1591,  1595,  1617,  1639,  1643,  1647,
    1667,  1688,  1718,  1745,  1750,  1757,  1761,  1783,  1788,  1793,
    1798,  1806,  1807,  1811,  1824,  1828,  1839,  1840,  1844,  1845,
    1849,  1856,  1860,  1864,  1868,  1872,  1879,  1880,  1885,  1884,
    1931,  1930,  1941,  1949,  1948,  1959,  1963,  1967,  1968,  1972,
    1973,  1974,  1984,  1991,  2004,  2012,  2016,  2020,  2025,  2024,
    2058,  2059,  2060,  2061,  2065,  2072,  2073,  2077,  2081,  2082,
    2083,  2092,  2158,  2173,  2208,  2212,  2219,  2234,  2239,  2258,
    2266,  2285,  2289,  2293,  2298,  2305,  2312,  2327,  2332,  2351,
    2359,  2363,  2367,  2374,  2383,  2384,  2388,  2420,  2427,  2432,
    2441,  2442,  2443,  2450,  2501,  2500,  2525,  2529,  2534,  2533,
    2556,  2555,  2582,  2594,  2598,  2599,  2606,  2610,  2611,  2612,
    2613,  2617,  2618,  2622,  2626,  2630,  2642,  2646,  2650,  2651,
    2652,  2656,  2657,  2658,  2659,  2663,  2664,  2665,  2666,  2667,
    2668,  2669,  2670,  2671,  2672,  2673,  2674,  2675,  2676,  2677,
    2678,  2679,  2680,  2681,  2682,  2683,  2684,  2685,  2686,  2687,
    2688,  2689,  2690,  2691,  2692,  2693,  2694,  2695,  2696,  2697,
    2698,  2699,  2700,  2701,  2702,  2703
  };
#endif

#define YYPACT_NINF -276
#define YYTABLE_NINF -254

  // YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
// STATE-NUM.
  const short yypact[] =
  {
    -276,    14,  -276,  -276,  1111,  -276,    36,  -276,  -276,    60,
      61,  -276,  -276,  -276,  -276,    54,  -276,    23,  -276,  -276,
    -276,  -276,    -1,    51,   175,  -276,    90,  2402,  -276,  -276,
    1055,  2252,   219,  -276,  -276,   184,  -276,  -276,   193,   229,
    2308,   171,  2322,   171,   351,  -276,  -276,   218,   236,  2384,
    -276,  1055,  -276,   251,   312,  -276,  -276,  -276,  -276,  -276,
     163,   -19,  2309,  -276,  -276,  -276,   191,   219,   448,  -276,
    2055,  -276,  -276,   296,  2374,  2374,  -276,   979,  -276,  -276,
    -276,  -276,   585,  -276,   229,  -276,  -276,  -276,  2167,  -276,
     171,  -276,  -276,   179,    40,   185,   306,   292,  -276,  -276,
      32,  -276,  -276,  -276,    58,   325,  -276,  -276,  -276,  -276,
    -276,   327,  -276,  -276,   190,  -276,  1415,   -19,  -276,    -7,
    1055,  -276,  -276,  2181,  -276,  -276,   219,  -276,  -276,  -276,
    -276,  -276,  -276,   229,  -276,   722,   171,  -276,  2238,   195,
      43,  -276,  -276,  -276,  -276,  -276,  -276,   236,   180,    58,
      39,  -276,    28,  -276,    58,  -276,   178,  -276,   993,  -276,
     293,  -276,  -276,  -276,  1681,  -276,  -276,  2360,    -2,  2301,
     -36,  -276,  -276,  -276,  -276,  -276,  -276,   167,   167,  -276,
    -276,  -276,  -276,  -276,  -276,   835,  -276,   302,  -276,    58,
    2360,   317,   278,  -276,  -276,   341,   324,  -276,  -276,  -276,
    1055,   309,  -276,   256,  -276,  -276,  -276,  -276,  -276,  -276,
     317,  2353,  -276,  1055,  -276,  -276,   180,  -276,  -276,  -276,
    -276,   304,  -276,  -276,  -276,  -276,  -276,  -276,  -276,  -276,
    -276,   311,  -276,  -276,  -276,   318,  -276,  -276,  -276,  -276,
    -276,   282,   319,  -276,  2334,  -276,    31,  -276,  -276,  -276,
    -276,  -276,  -276,  -276,  -276,   202,  -276,  -276,   421,    25,
      25,  -276,  -276,   362,   313,   321,  -276,  -276,  -276,  -276,
     147,  -276,   357,  1364,  -276,  -276,  -276,  -276,  -276,   207,
    -276,  -276,    26,  -276,  -276,   439,  -276,  -276,   965,  -276,
    -276,  -276,  -276,  -276,   284,   558,  -276,  -276,  -276,  -276,
    -276,  -276,  -276,  -276,  -276,  -276,  -276,  -276,  -276,  -276,
    -276,  -276,  -276,  -276,  -276,  -276,  -276,  -276,  -276,  -276,
    -276,  -276,  -276,  -276,  -276,  -276,  -276,  -276,  -276,  -276,
    -276,  -276,  -276,  -276,  -276,  -276,  -276,  -276,  -276,  -276,
    -276,   421,  -276,   298,    10,  -276,  -276,  -276,  -276,  -276,
    -276,  1098,  1497,  -276,  -276,  -276,   358,   298,  -276,  -276,
    -276,  -276,  -276,  1630,  -276,   359,  -276,  -276,  -276,   421,
    -276,  1231,   328,   328,   695,   832,  -276,  -276,  -276,  -276,
    -276,  -276,  -276,  -276,  -276,  -276,  -276,  -276,   695,  -276,
    -276,  1763,  1896,  2029,  -276,  -276,  -276
  };

  // YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
// Performed when YYTABLE does not specify something else to do.  Zero
// means the default is an error.
  const short yydefact[] =
  {
      11,     0,     2,     3,     0,     1,     0,    16,    32,     0,
       0,    29,    47,    48,    49,     0,    64,     0,    18,    12,
      13,    15,     0,     0,     0,     4,     0,     0,    27,   156,
       0,     0,     0,    37,    17,     0,    83,    85,     0,     0,
       0,     0,     0,     0,     0,    14,    33,     0,     0,     0,
      76,     0,    82,     0,     0,    98,    99,    94,    95,    93,
       0,     0,     0,    91,    96,    97,     0,     0,     0,    43,
       0,    39,    42,     0,     0,     0,    75,     0,    73,    56,
      57,    55,     0,    52,     0,    59,    58,    70,     0,    67,
       0,     5,   172,     0,     0,     0,     0,     0,    80,   113,
       0,   111,    25,    77,     0,     0,   161,   162,   163,   164,
     165,     0,   157,   100,     0,   115,     0,     0,   136,     0,
       0,    92,    38,     0,    46,    44,     0,    40,    19,    88,
      84,    86,    74,     0,    53,     0,     0,    68,     0,     0,
       0,   166,   170,   168,    72,    71,    79,     0,     0,     0,
       0,   103,     0,   107,     0,   154,     0,   160,     0,   158,
       0,   120,   121,   114,     0,   118,   139,     0,     0,     0,
       0,    41,    54,    69,    10,     6,   167,     0,     0,   112,
      61,    62,    63,    60,   153,     0,   151,     0,    78,     0,
       0,     0,     0,   105,   106,     0,     0,   159,   140,   119,
       0,     0,   129,     0,   132,   134,   147,   148,   149,   150,
       0,     0,   145,     0,    90,   182,     0,   184,   186,   171,
     173,     0,   177,   179,   183,   180,   181,   169,   152,   108,
     104,     0,   127,   125,   126,     0,   123,   155,    28,   135,
     142,     0,     0,   146,     0,   185,     0,   178,   110,   109,
     131,   133,   141,   188,   174,     0,   200,   199,     0,     0,
       0,   194,   234,     0,     0,     0,   195,   197,   198,   209,
       0,   201,     0,     0,   205,   227,   215,   228,   229,     0,
     224,   226,     0,   236,   189,     0,   196,   219,     0,   204,
     261,   262,   263,   302,     0,     0,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   303,   304,   305,   208,   210,   212,
     211,     0,   225,     0,     0,   216,   222,   223,   221,   218,
     220,     0,     0,   202,   232,   233,     0,     0,   245,   256,
     238,   240,   237,     0,   235,     0,   252,   213,   214,     0,
     231,     0,     0,     0,     0,     0,   246,   244,   248,   247,
     251,   203,   255,   260,   254,   258,   259,   257,     0,   239,
     241,     0,     0,     0,   249,   250,   242
  };

  // YYPGOTO[NTERM-NUM].
  const short yypgoto[] =
  {
    -276,  -276,  -276,  -276,  -276,  -276,  -276,  -276,  -276,  -276,
    -276,  -276,  -276,  -276,  -276,  -276,  -276,  -276,  -276,   333,
    -276,   297,   303,   305,   -61,   844,  -276,  -276,  -276,   347,
     -37,   -15,  -136,  -276,  -276,   290,    79,   -18,  -276,   348,
    -276,   332,  -276,   411,  -276,  -276,   360,   383,  -118,   -62,
     376,  -276,  -276,  -276,    55,  -276,  -276,   -45,   -51,  -276,
    -276,   273,  -276,   228,   249,  -276,  -276,   200,   -29,   -14,
    -276,  -276,  -276,   231,  -276,   259,  -276,  -276,  -276,   287,
    -276,  -276,   353,  -276,  -276,  -276,   269,  -276,  -276,  -276,
     227,  -276,  -276,  -276,  -276,  -276,  -276,  -276,  -276,   187,
     -71,  -276,  -158,  -276,   157,  -275,  -191,  -259,   159,  -276,
    -276,   197,   -58,  -159,   101,  -276,  -276,  -276,  -276,  -276,
    -276,  -276,    86,  -178,    91,  -276,  -276,  -276,    94,  -276,
    -276,  -268,  -266
  };

  // YYDEFGOTO[NTERM-NUM].
  const short yydefgoto[] =
  {
       0,     1,     2,     6,    43,   139,     3,    91,   175,     4,
      19,    20,    35,    21,    22,   148,    53,    29,   111,    26,
      31,    32,    33,    70,    71,    72,   125,    23,    40,    82,
      83,    87,   217,    24,    42,    88,    89,   218,    77,    78,
      49,    50,    51,    52,    74,    75,   130,    61,    62,    63,
      64,    65,   170,   150,   151,   152,   100,   153,   154,   163,
     164,   165,   193,   235,   201,   202,   203,   204,   205,   118,
     119,   210,   211,   212,   185,   186,   156,    54,   158,   159,
     112,    93,    94,   178,   177,    95,   219,   246,   220,   221,
     222,   223,   224,   225,   226,   254,   255,   263,   264,   265,
     266,   267,   271,   272,   273,   337,   278,   274,   288,   349,
     350,   279,   280,   281,   356,   357,   268,   283,   344,   362,
     372,   373,   389,   363,   377,   364,   365,   385,   366,   371,
     387,   378,   379
  };

  // YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
// positive, shift that token.  If negative, reduce the rule whose
// number is the opposite.  If YYTABLE_NINF, syntax error.
  const short yytable[] =
  {
     121,    66,   169,   101,  -143,   339,   213,   340,    46,   127,
     117,   358,   184,   347,     5,  -243,  -243,  -243,  -243,   359,
     339,  -243,   340,  -137,   114,  -137,   275,   275,    92,   348,
     276,   276,    36,    37,   253,  -138,   167,  -138,   168,  -122,
     360,   361,  -187,   146,  -143,   134,   277,   277,    25,   184,
     188,   141,  -243,  -243,   176,  -243,  -143,   -36,   -36,   -36,
     -36,   -36,   127,   117,    99,   171,   117,    28,  -243,    27,
    -122,   190,  -122,   191,   147,    34,   347,   214,    92,    46,
     245,   189,   338,   339,   339,   340,   340,   115,   116,   206,
     207,   208,   348,   209,  -137,   244,   172,   338,   134,    44,
     160,   149,   179,   166,    45,  -143,  -138,   121,  -243,  -243,
    -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,
    -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,
    -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,
    -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,   287,   343,
    -187,   192,  -217,  -217,  -217,  -217,  -217,  -217,  -217,   142,
     338,   338,   142,    30,   115,   116,    30,   137,   215,    55,
    -175,   239,   376,   180,   181,   182,    44,    85,  -175,    -8,
     376,   -36,   121,   353,   355,    85,   180,   181,   182,  -217,
    -217,    -8,  -217,    73,   286,    -9,   391,   392,   355,    76,
     376,   376,   376,   256,   187,  -217,  -190,   174,   275,   194,
     393,   381,   276,   257,   286,   173,    56,   137,   341,   183,
     195,   342,   196,    86,   342,    68,    69,   -36,   277,    98,
     216,    86,   183,   114,  -137,    68,    79,    80,   258,   259,
     260,   261,    99,   262,   230,  -217,  -217,  -217,  -217,  -217,
    -217,  -217,  -217,  -217,  -217,  -217,  -217,  -217,  -217,  -217,
    -217,  -217,  -217,  -217,  -217,  -217,  -217,  -217,  -217,  -217,
    -217,  -217,  -217,  -217,  -217,  -217,  -217,  -217,  -217,  -217,
    -217,  -217,  -217,  -217,  -217,   287,  -175,    30,    55,  -217,
    -217,  -217,  -217,  -217,   105,  -217,   115,   116,   241,   354,
    -130,    44,   145,   276,   122,   215,   128,  -176,   143,  -230,
     180,   181,   182,    44,   256,  -176,   144,  -192,   -30,   277,
      39,    41,   256,   232,   257,  -191,  -217,  -217,  -217,  -217,
     250,   155,   257,   157,    67,    56,   236,   198,   106,   107,
     108,   109,  -217,    84,   110,    90,   229,   237,   238,   258,
     259,   260,    96,   240,   262,   248,   183,   258,   259,   260,
     -32,   -32,   262,  -124,   249,   252,   284,   216,   289,   369,
     380,   388,   123,    57,    58,   233,   200,    97,    59,    60,
     138,   103,  -217,  -217,  -217,  -217,  -217,  -217,  -217,  -217,
    -217,  -217,  -217,  -217,  -217,  -217,  -217,  -217,  -217,  -217,
    -217,  -217,  -217,  -217,  -217,  -217,  -217,  -217,  -217,  -217,
    -217,  -217,  -217,  -217,  -217,  -217,  -217,  -217,  -217,  -217,
    -217,  -217,   269,  -176,   234,   132,  -207,  -207,  -207,  -207,
     270,   135,  -207,    38,   104,   131,   113,   199,   242,   231,
     256,   251,   243,  -193,   228,   197,   140,   227,   247,   -45,
     257,   285,   352,   351,   -45,   -45,   -45,   282,   370,   390,
     -45,   -45,   384,  -207,  -207,   386,  -207,     0,     0,     0,
     -45,   -45,     0,   -45,     0,   258,   259,   260,     0,  -207,
     262,   -45,   -45,     0,     0,     0,     0,     0,     0,     0,
     -45,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   124,   -45,   -45,   -45,
     -45,     0,   -45,     0,   -45,   -45,     0,     0,     0,  -207,
    -207,  -207,  -207,  -207,  -207,  -207,  -207,  -207,  -207,  -207,
    -207,  -207,  -207,  -207,  -207,  -207,  -207,  -207,  -207,  -207,
    -207,  -207,  -207,  -207,  -207,  -207,  -207,  -207,  -207,  -207,
    -207,  -207,  -207,  -207,  -207,  -207,  -207,  -207,  -207,   269,
     -45,     0,     0,  -207,  -207,  -207,  -207,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   -50,     0,     0,     0,
       0,    68,    79,    80,     0,     0,     0,   -50,   -50,     0,
    -207,  -207,     0,  -207,  -207,     0,     0,   -50,   -50,     0,
     -50,     0,     0,     0,     0,     0,  -207,     0,   -50,   -50,
       0,     0,     0,     0,     0,     0,     0,   133,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   -50,   -50,   -50,   -50,     0,   -50,
       0,   -50,   -50,     0,     0,     0,  -207,  -207,  -207,  -207,
    -207,  -207,  -207,  -207,  -207,  -207,  -207,  -207,  -207,  -207,
    -207,  -207,  -207,  -207,  -207,  -207,  -207,  -207,  -207,  -207,
    -207,  -207,  -207,  -207,  -207,  -207,  -207,  -207,  -207,  -207,
    -207,  -207,  -207,  -207,  -207,  -207,   358,   -50,     0,     0,
    -243,  -243,  -243,  -243,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   -51,     0,     0,     0,     0,    68,    79,
      80,     0,     0,     0,   -51,   -51,     0,  -243,  -243,  -243,
    -243,     0,     0,     0,   -51,   -51,     0,   -51,     0,     0,
       0,     0,     0,  -243,     0,   -51,   -51,     0,     0,     0,
       0,     0,     0,     0,   133,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   -51,   -51,   -51,   -51,     0,   -51,     0,   -51,   -51,
       0,     0,     0,  -243,  -243,  -243,  -243,  -243,  -243,  -243,
    -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,
    -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,
    -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,
    -243,  -243,  -243,   358,   -51,     0,   -26,  -243,  -243,  -243,
    -243,   180,   181,   182,     0,     0,     0,   -26,   -26,     0,
       0,     0,     0,     0,     0,     0,     0,   -26,   -26,     0,
     -26,     0,     0,     0,     0,     0,     0,     0,   -26,   -26,
       0,     0,     0,     0,  -243,  -243,     0,  -243,  -243,     0,
       0,     0,     0,    81,     0,     0,     0,   183,     0,     0,
    -243,     0,     0,     0,   -26,   -26,   -26,   -26,     0,   -26,
       0,   -26,   -26,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    81,     0,    81,     0,
    -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,
    -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,
    -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,
    -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,  -243,
     276,   290,   291,   292,   270,   345,   346,    81,     0,    81,
     -24,     0,     0,     0,     0,    76,     0,     0,     0,     0,
       0,   -24,   -24,     0,   -31,     0,     0,     0,     0,   157,
       0,   -24,   -24,     0,   -24,   -31,   -31,   293,   294,     0,
     295,     0,   -24,   -24,     0,   -31,   -31,     0,   -31,     0,
       0,     0,     0,   296,     0,     0,   -31,   -31,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   -24,   -24,
     -24,   -24,     0,   -24,     0,   -24,   -24,     0,     0,     0,
       0,     0,   -31,   -31,   -31,   -31,     0,   -31,     0,   -31,
     -31,    55,     0,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   276,   290,   291,   292,   270,    56,   346,
       0,     0,     7,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    -7,     8,     0,     0,     0,     0,     0,
       0,     0,     0,     9,    10,     0,    11,     0,     0,     0,
     293,   294,   367,   295,   -23,   -23,    57,    58,     0,     0,
       0,    59,    60,     0,     0,     0,   296,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      12,    13,    14,    15,     0,    16,     0,    17,    18,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   276,   290,   291,   292,
     359,   382,   383,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   293,   374,     0,   375,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   296,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   276,
     290,   291,   292,     0,     0,  -206,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   293,   294,     0,   295,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  -116,   296,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  -116,  -116,  -116,
       0,     0,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   276,   290,   291,   292,   161,     0,   162,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  -116,  -116,     0,     0,     0,     0,     0,  -116,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   293,
     294,     0,   295,   368,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   296,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   276,   290,   291,   292,     0,
       0,  -253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   293,   374,     0,   375,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  -117,   296,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  -117,  -117,  -117,     0,     0,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   276,   290,
     291,   292,   161,     0,   162,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  -117,  -117,     0,
       0,     0,     0,     0,  -117,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   293,   374,   394,   375,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   296,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   276,   290,   291,   292,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   293,   374,
       0,   375,   395,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   296,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   276,   290,   291,   292,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   -34,     0,     0,     0,
       0,    68,    69,     0,     0,     0,     0,   -34,   -34,     0,
       0,   293,   374,   396,   375,     0,     0,   -34,   -34,     0,
     -34,     0,     0,     0,     0,     0,     0,   296,   -34,   -34,
       0,     0,     0,     0,     0,     0,     0,   126,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   -34,   -34,   -34,   -34,     0,   -34,
       0,   -34,   -34,     0,     0,     0,     0,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   -34,   -65,     0,
       0,     0,     0,    85,     0,     0,     0,     0,     0,   -65,
     -65,     0,   -35,     0,     0,     0,     0,    68,    69,   -65,
     -65,     0,   -65,   -35,   -35,     0,     0,     0,     0,     0,
     -65,   -65,     0,   -35,   -35,     0,   -35,     0,     0,   136,
       0,     0,     0,     0,   -35,   -35,     0,     0,     0,    86,
       0,     0,     0,   126,     0,     0,   -65,   -65,   -65,   -65,
       0,   -65,     0,   -65,   -65,     0,     0,     0,     0,   -66,
     -35,   -35,   -35,   -35,    85,   -35,     0,   -35,   -35,     0,
     -66,   -66,     0,   -20,     0,     0,     0,     0,     0,     0,
     -66,   -66,     0,   -66,   -20,   -20,     0,     0,     0,     0,
       0,   -66,   -66,     0,   -20,   -20,     0,   -20,     0,   -65,
     136,     0,     0,     0,     0,   -20,   -20,     0,     0,     0,
      86,     0,     0,   -35,     0,     0,     0,   -66,   -66,   -66,
     -66,     0,   -66,     0,   -66,   -66,     0,    55,     0,   -21,
       0,   -20,   -20,   -20,   -20,    55,   -20,     0,   -20,   -20,
     -21,   -21,     0,   -22,     0,     0,     0,     0,     0,     0,
     -21,   -21,     0,   -21,   -22,   -22,     0,     0,     0,     0,
      55,   -21,   -21,  -101,   -22,   -22,     0,   -22,     0,     0,
     -66,   -89,   -89,   -89,    56,   -22,   -22,     0,     0,  -144,
       0,     0,    56,     0,    30,     0,    55,   -21,   -21,   -21,
     -21,     0,   -21,     0,   -21,   -21,  -102,     0,     0,     0,
     -87,   -22,   -22,   -22,   -22,    47,   -22,    56,   -22,   -22,
     -81,     0,    57,    58,   102,     0,     0,    59,    60,  -144,
      57,    58,     0,    47,  -128,    59,    60,     0,   -81,   129,
       0,  -144,     0,    56,  -101,   -89,   -89,    36,    37,     0,
      30,   120,   -89,     0,    48,    57,    58,   -87,     0,     0,
      59,    60,     0,     0,    30,    36,    37,   -81,     0,     0,
       0,     0,    48,     0,   206,   207,   208,  -102,   209,     0,
       0,    57,    58,     0,   200,   -81,    59,    60,     0,     0,
    -144,     0,     0,     0,     0,   -87,   -87,     0,     0,     0,
     -87,   -87,     0,     0,     0,   -81,   -81,     0,     0,     0,
     -81,   -81,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   -81,   -81,     0,     0,     0,   -81,   -81
  };

  const short yycheck[] =
  {
      62,    30,   120,    48,     6,   273,    42,   273,    26,    70,
      61,     1,   148,   288,     0,     5,     6,     7,     8,     9,
     288,    11,   288,    42,    43,    44,     1,     1,    43,   288,
       5,     5,    33,    34,     3,    42,    43,    44,    45,    11,
      30,    31,    11,    11,    46,    82,    21,    21,    12,   185,
      11,    11,    42,    43,    11,    45,    58,     6,     7,     8,
       6,     7,   123,   114,     6,   126,   117,     6,    58,     9,
      42,    43,    44,    45,    42,    52,   351,   113,    93,    97,
     216,    42,   273,   351,   352,   351,   352,   106,   107,    91,
      92,    93,   351,    95,   113,   213,   133,   288,   135,     9,
     114,    43,   147,   117,    14,   107,   113,   169,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,     1,   123,
     119,   123,     5,     6,     7,     8,     9,    10,    11,   119,
     351,   352,   119,   112,   106,   107,   112,    88,     1,     6,
       3,   200,   363,     6,     7,     8,     9,     6,    11,     0,
     371,     6,   244,   341,   343,     6,     6,     7,     8,    42,
      43,    12,    45,     9,   265,     0,   374,   375,   357,     6,
     391,   392,   393,     1,   149,    58,     4,    12,     1,   154,
     388,   369,     5,    11,   285,   136,    53,   138,    11,    52,
      42,   279,    44,    52,   282,     6,     7,    52,    21,    11,
      63,    52,    52,    43,    44,     6,     7,     8,    36,    37,
      38,    39,     6,    41,   189,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,     1,   119,   112,     6,     5,
       6,     7,     8,     9,    43,    11,   106,   107,    42,     1,
      44,     9,    10,     5,   113,     1,    10,     3,   123,    11,
       6,     7,     8,     9,     1,    11,    10,     4,     6,    21,
      23,    24,     1,     6,    11,     4,    42,    43,    44,    45,
      48,     6,    11,     6,    31,    53,    58,    44,    26,    27,
      28,    29,    58,    40,    32,    42,    44,     6,    24,    36,
      37,    38,     1,    44,    41,    44,    52,    36,    37,    38,
       9,    10,    41,    46,    46,    46,     4,    63,    11,    11,
      11,    43,    67,    91,    92,    58,    94,    44,    96,    97,
      90,    49,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,     1,   119,   107,    77,     5,     6,     7,     8,
       9,    84,    11,    22,    51,    75,    60,   164,   210,   190,
       1,   241,   211,     4,   185,   158,    93,   178,   221,     1,
      11,   264,   295,   294,     6,     7,     8,   260,   357,   373,
      12,    13,   371,    42,    43,   371,    45,    -1,    -1,    -1,
      22,    23,    -1,    25,    -1,    36,    37,    38,    -1,    58,
      41,    33,    34,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    58,    59,    60,    61,
      62,    -1,    64,    -1,    66,    67,    -1,    -1,    -1,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,     1,
     112,    -1,    -1,     5,     6,     7,     8,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     1,    -1,    -1,    -1,
      -1,     6,     7,     8,    -1,    -1,    -1,    12,    13,    -1,
      42,    43,    -1,    45,    46,    -1,    -1,    22,    23,    -1,
      25,    -1,    -1,    -1,    -1,    -1,    58,    -1,    33,    34,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    59,    60,    61,    62,    -1,    64,
      -1,    66,    67,    -1,    -1,    -1,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,     1,   112,    -1,    -1,
       5,     6,     7,     8,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     1,    -1,    -1,    -1,    -1,     6,     7,
       8,    -1,    -1,    -1,    12,    13,    -1,    42,    43,    44,
      45,    -1,    -1,    -1,    22,    23,    -1,    25,    -1,    -1,
      -1,    -1,    -1,    58,    -1,    33,    34,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    59,    60,    61,    62,    -1,    64,    -1,    66,    67,
      -1,    -1,    -1,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,     1,   112,    -1,     1,     5,     6,     7,
       8,     6,     7,     8,    -1,    -1,    -1,    12,    13,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    22,    23,    -1,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    -1,    -1,    -1,    42,    43,    -1,    45,    46,    -1,
      -1,    -1,    -1,    39,    -1,    -1,    -1,    52,    -1,    -1,
      58,    -1,    -1,    -1,    59,    60,    61,    62,    -1,    64,
      -1,    66,    67,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    82,    -1,    84,    -1,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
       5,     6,     7,     8,     9,    10,    11,   133,    -1,   135,
       1,    -1,    -1,    -1,    -1,     6,    -1,    -1,    -1,    -1,
      -1,    12,    13,    -1,     1,    -1,    -1,    -1,    -1,     6,
      -1,    22,    23,    -1,    25,    12,    13,    42,    43,    -1,
      45,    -1,    33,    34,    -1,    22,    23,    -1,    25,    -1,
      -1,    -1,    -1,    58,    -1,    -1,    33,    34,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,    60,
      61,    62,    -1,    64,    -1,    66,    67,    -1,    -1,    -1,
      -1,    -1,    59,    60,    61,    62,    -1,    64,    -1,    66,
      67,     6,    -1,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,     5,     6,     7,     8,     9,    53,    11,
      -1,    -1,     1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    12,    13,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    22,    23,    -1,    25,    -1,    -1,    -1,
      42,    43,    44,    45,    33,    34,    91,    92,    -1,    -1,
      -1,    96,    97,    -1,    -1,    -1,    58,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      59,    60,    61,    62,    -1,    64,    -1,    66,    67,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,     5,     6,     7,     8,
       9,    10,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    42,    43,    -1,    45,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    58,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,     5,
       6,     7,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    42,    43,    -1,    45,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     6,    58,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    42,    43,    44,
      -1,    -1,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,     5,     6,     7,     8,    91,    -1,    93,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   106,   107,    -1,    -1,    -1,    -1,    -1,   113,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    42,
      43,    -1,    45,    46,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    58,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,     5,     6,     7,     8,    -1,
      -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    42,    43,    -1,    45,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     6,    58,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    42,    43,    44,    -1,    -1,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,     5,     6,
       7,     8,    91,    -1,    93,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   106,   107,    -1,
      -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    42,    43,    44,    45,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    58,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,     5,     6,     7,     8,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    42,    43,
      -1,    45,    46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    58,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,     5,     6,     7,     8,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     1,    -1,    -1,    -1,
      -1,     6,     7,    -1,    -1,    -1,    -1,    12,    13,    -1,
      -1,    42,    43,    44,    45,    -1,    -1,    22,    23,    -1,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    58,    33,    34,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    59,    60,    61,    62,    -1,    64,
      -1,    66,    67,    -1,    -1,    -1,    -1,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   112,     1,    -1,
      -1,    -1,    -1,     6,    -1,    -1,    -1,    -1,    -1,    12,
      13,    -1,     1,    -1,    -1,    -1,    -1,     6,     7,    22,
      23,    -1,    25,    12,    13,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    22,    23,    -1,    25,    -1,    -1,    42,
      -1,    -1,    -1,    -1,    33,    34,    -1,    -1,    -1,    52,
      -1,    -1,    -1,    42,    -1,    -1,    59,    60,    61,    62,
      -1,    64,    -1,    66,    67,    -1,    -1,    -1,    -1,     1,
      59,    60,    61,    62,     6,    64,    -1,    66,    67,    -1,
      12,    13,    -1,     1,    -1,    -1,    -1,    -1,    -1,    -1,
      22,    23,    -1,    25,    12,    13,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    22,    23,    -1,    25,    -1,   112,
      42,    -1,    -1,    -1,    -1,    33,    34,    -1,    -1,    -1,
      52,    -1,    -1,   112,    -1,    -1,    -1,    59,    60,    61,
      62,    -1,    64,    -1,    66,    67,    -1,     6,    -1,     1,
      -1,    59,    60,    61,    62,     6,    64,    -1,    66,    67,
      12,    13,    -1,     1,    -1,    -1,    -1,    -1,    -1,    -1,
      22,    23,    -1,    25,    12,    13,    -1,    -1,    -1,    -1,
       6,    33,    34,    42,    22,    23,    -1,    25,    -1,    -1,
     112,    42,    43,    44,    53,    33,    34,    -1,    -1,     6,
      -1,    -1,    53,    -1,   112,    -1,     6,    59,    60,    61,
      62,    -1,    64,    -1,    66,    67,    42,    -1,    -1,    -1,
       6,    59,    60,    61,    62,     1,    64,    53,    66,    67,
       6,    -1,    91,    92,    10,    -1,    -1,    96,    97,    46,
      91,    92,    -1,     1,    44,    96,    97,    -1,     6,    35,
      -1,    58,    -1,    53,   113,   106,   107,    33,    34,    -1,
     112,   112,   113,    -1,    40,    91,    92,    53,    -1,    -1,
      96,    97,    -1,    -1,   112,    33,    34,    53,    -1,    -1,
      -1,    -1,    40,    -1,    91,    92,    93,   113,    95,    -1,
      -1,    91,    92,    -1,    94,    53,    96,    97,    -1,    -1,
     107,    -1,    -1,    -1,    -1,    91,    92,    -1,    -1,    -1,
      96,    97,    -1,    -1,    -1,    91,    92,    -1,    -1,    -1,
      96,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    -1,    -1,    -1,    96,    97
  };

  // YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
// state STATE-NUM.
  const short yystos[] =
  {
       0,   139,   140,   144,   147,     0,   141,     1,    13,    22,
      23,    25,    59,    60,    61,    62,    64,    66,    67,   148,
     149,   151,   152,   165,   171,    12,   157,     9,     6,   155,
     112,   158,   159,   160,    52,   150,    33,    34,   181,   159,
     166,   159,   172,   142,     9,    14,   175,     1,    40,   178,
     179,   180,   181,   154,   215,     6,    53,    91,    92,    96,
      97,   185,   186,   187,   188,   189,   206,   160,     6,     7,
     161,   162,   163,     9,   182,   183,     6,   176,   177,     7,
       8,   163,   167,   168,   160,     6,    52,   169,   173,   174,
     160,   145,   169,   219,   220,   223,     1,   157,    11,     6,
     194,   195,    10,   179,   185,    43,    26,    27,    28,    29,
      32,   156,   218,   188,    43,   106,   107,   196,   207,   208,
     112,   187,   113,   161,    58,   164,    42,   162,    10,    35,
     184,   184,   177,    42,   168,   167,    42,   174,   173,   143,
     220,    11,   119,   123,    10,    10,    11,    42,   153,    43,
     191,   192,   193,   195,   196,     6,   214,     6,   216,   217,
     207,    91,    93,   197,   198,   199,   207,    43,    45,   186,
     190,   162,   168,   174,    12,   146,    11,   222,   221,   195,
       6,     7,     8,    52,   170,   212,   213,   192,    11,    42,
      43,    45,   123,   200,   192,    42,    44,   217,    44,   199,
      94,   202,   203,   204,   205,   206,    91,    92,    93,    95,
     209,   210,   211,    42,   113,     1,    63,   170,   175,   224,
     226,   227,   228,   229,   230,   231,   232,   224,   213,    44,
     192,   202,     6,    58,   107,   201,    58,     6,    24,   206,
      44,    42,   201,   211,   186,   170,   225,   228,    44,    46,
      48,   205,    46,     3,   233,   234,     1,    11,    36,    37,
      38,    39,    41,   235,   236,   237,   238,   239,   254,     1,
       9,   240,   241,   242,   245,     1,     5,    21,   244,   249,
     250,   251,   249,   255,     4,   237,   238,     1,   246,    11,
       6,     7,     8,    42,    43,    45,    58,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   243,   244,   269,
     270,    11,   250,   123,   256,    10,    11,   243,   245,   247,
     248,   246,   242,   240,     1,   251,   252,   253,     1,     9,
      30,    31,   257,   261,   263,   264,   266,    44,    46,    11,
     252,   267,   258,   259,    43,    45,   244,   262,   269,   270,
      11,   240,    10,    11,   262,   265,   266,   268,    43,   260,
     260,   261,   261,   261,    44,    46,    44
  };

  // YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.
  const short yyr1[] =
  {
       0,   138,   139,   141,   142,   143,   140,   144,   145,   146,
     146,   147,   147,   148,   148,   148,   148,   149,   150,   149,
     149,   149,   149,   152,   151,   153,   151,   154,   151,   155,
     156,   151,   157,   157,   158,   158,   159,   159,   160,   161,
     161,   161,   162,   162,   163,   164,   164,   165,   165,   165,
     166,   166,   167,   167,   167,   168,   168,   168,   169,   169,
     170,   170,   170,   170,   171,   172,   172,   173,   173,   173,
     174,   175,   175,   176,   176,   177,   178,   178,   179,   179,
     179,   180,   180,   182,   181,   183,   181,   184,   184,   185,
     185,   186,   186,   187,   187,   187,   187,   187,   188,   188,
     189,   190,   190,   191,   191,   192,   192,   193,   193,   193,
     193,   194,   194,   195,   196,   196,   197,   197,   198,   198,
     199,   199,   200,   200,   201,   201,   201,   201,   202,   202,
     203,   203,   204,   204,   205,   205,   206,   207,   207,   207,
     208,   208,   208,   209,   209,   210,   210,   211,   211,   211,
     211,   212,   212,   213,   214,   214,   215,   215,   216,   216,
     217,   218,   218,   218,   218,   218,   219,   219,   221,   220,
     222,   220,   223,   225,   224,   226,   226,   227,   227,   228,
     228,   228,   228,   229,   230,   231,   232,   233,   234,   233,
     235,   235,   235,   235,   236,   237,   237,   238,   238,   238,
     238,   239,   239,   239,   240,   240,   241,   242,   242,   242,
     243,   243,   243,   243,   243,   244,   245,   246,   246,   246,
     247,   247,   247,   248,   249,   249,   250,   250,   251,   251,
     252,   252,   252,   253,   255,   254,   256,   256,   258,   257,
     259,   257,   260,   261,   261,   261,   262,   262,   262,   262,
     262,   263,   263,   264,   265,   266,   267,   267,   268,   268,
     268,   269,   269,   269,   269,   270,   270,   270,   270,   270,
     270,   270,   270,   270,   270,   270,   270,   270,   270,   270,
     270,   270,   270,   270,   270,   270,   270,   270,   270,   270,
     270,   270,   270,   270,   270,   270,   270,   270,   270,   270,
     270,   270,   270,   270,   270,   270
  };

  // YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.
  const signed char yyr2[] =
  {
       0,     2,     1,     0,     0,     0,     7,     1,     1,     0,
       1,     0,     2,     1,     3,     1,     1,     2,     0,     4,
       2,     2,     2,     0,     3,     0,     6,     0,     7,     0,
       0,     5,     0,     2,     2,     3,     0,     1,     3,     1,
       2,     3,     1,     1,     2,     0,     1,     1,     1,     1,
       2,     3,     1,     2,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     3,     1,     2,     3,
       1,     3,     3,     1,     2,     1,     1,     2,     4,     3,
       2,     0,     1,     0,     3,     0,     3,     0,     1,     1,
       4,     1,     2,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     3,     1,     3,     2,     2,     1,     3,     4,
       4,     1,     3,     1,     2,     1,     0,     1,     1,     2,
       1,     1,     0,     2,     0,     1,     1,     1,     0,     1,
       1,     3,     1,     3,     1,     2,     2,     0,     1,     2,
       3,     5,     4,     0,     1,     1,     2,     1,     1,     1,
       1,     1,     2,     1,     1,     3,     0,     2,     1,     2,
       1,     1,     1,     1,     1,     1,     2,     3,     0,     4,
       0,     4,     1,     0,     3,     0,     1,     1,     2,     1,
       1,     1,     1,     1,     1,     2,     1,     0,     0,     4,
       0,     1,     1,     2,     1,     1,     2,     1,     1,     1,
       1,     2,     4,     6,     2,     1,     1,     0,     2,     1,
       1,     1,     1,     3,     3,     1,     3,     0,     2,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       0,     2,     1,     1,     0,     4,     0,     2,     0,     3,
       0,     3,     3,     0,     2,     1,     1,     1,     1,     3,
       3,     2,     1,     1,     1,     3,     0,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1
  };


  /* YYDPREC[RULE-NUM] -- Dynamic precedence of rule #RULE-NUM (0 if none).  */
  const signed char yydprec[] =
  {
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0
  };

  /* YYMERGER[RULE-NUM] -- Index of merging function for rule #RULE-NUM.  */
  const signed char yymerger[] =
  {
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0
  };

  /* YYIMMEDIATE[RULE-NUM] -- True iff rule #RULE-NUM is not to be deferred, as
     in the case of predicates.  */
  const bool yyimmediate[] =
  {
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0
  };

  /* YYCONFLP[YYPACT[STATE-NUM]] -- Pointer into YYCONFL of start of
     list of conflicting reductions corresponding to action entry for
     state STATE-NUM in yytable.  0 means no conflicts.  The list in
     yyconfl is terminated by a rule number of 0.  */
  const signed char yyconflp[] =
  {
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     1,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0
  };

  /* YYCONFL[I] -- lists of conflicting rule numbers, each terminated by
     0, pointed into by YYCONFLP.  */
        const short yyconfl[] =
  {
       0,    89,     0
  };
} // namespace


/* Error token number */
#define YYTERROR 1


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

# ifndef YYLLOC_DEFAULT
#  define YYLLOC_DEFAULT(Current, Rhs, N)                               \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).begin  = YYRHSLOC (Rhs, 1).begin;                   \
          (Current).end    = YYRHSLOC (Rhs, N).end;                     \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).begin = (Current).end = YYRHSLOC (Rhs, 0).end;      \
        }                                                               \
    while (false)
# endif

# define YYRHSLOC(Rhs, K) ((Rhs)[K].getState().yyloc)


enum YYRESULTTAG { yyok, yyaccept, yyabort, yyerr };

#define YYCHK(YYE)                              \
  do {                                          \
    YYRESULTTAG yychk_flag = YYE;               \
    if (yychk_flag != yyok)                     \
      return yychk_flag;                        \
  } while (false)

#if YYDEBUG

#define YYCDEBUG if (!yydebug) {} else std::cerr

# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                  \
  do {                                                                  \
    if (yydebug)                                                        \
      {                                                                 \
        std::cerr << Title << ' ';                                      \
        yyparser.yy_symbol_print_ (Kind, Value, Location); \
        std::cerr << '\n';                                              \
      }                                                                 \
  } while (false)

# define YY_REDUCE_PRINT(Args)                  \
  do {                                          \
    if (yydebug)                                \
      yystateStack.yy_reduce_print Args;        \
  } while (false)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;

namespace
{
  using glr_stack = AGC::yacc::glr_stack;
  using glr_state = AGC::yacc::glr_state;

  void yypstack (const glr_stack& yystack, size_t yyk)
    YY_ATTRIBUTE_UNUSED;
  void yypdumpstack (const glr_stack& yystack)
    YY_ATTRIBUTE_UNUSED;
}

#else /* !YYDEBUG */

# define YYCDEBUG if (true) {} else std::cerr
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location) {}
# define YY_REDUCE_PRINT(Args) {}

#endif /* !YYDEBUG */

/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   SIZE_MAX < YYMAXDEPTH * sizeof (GLRStackItem)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif

/* Minimum number of free items on the stack allowed after an
   allocation.  This is to allow allocation and initialization
   to be completed by functions that call yyexpandGLRStack before the
   stack is expanded, thus insuring that all necessary pointers get
   properly redirected to new data.  */
#define YYHEADROOM 2

#ifndef YYSTACKEXPANDABLE
# define YYSTACKEXPANDABLE 1
#endif

namespace
{
  template <typename Parameter>
  class strong_index_alias
  {
  public:
    static strong_index_alias create (std::ptrdiff_t value)
    {
      strong_index_alias result;
      result.value_ = value;
      return result;
    }

    std::ptrdiff_t const& get () const { return value_; }

    size_t uget () const { return static_cast<size_t> (value_); }

    strong_index_alias operator+ (std::ptrdiff_t other) const
    {
      return strong_index_alias (get () + other);
    }

    void operator+= (std::ptrdiff_t other)
    {
      value_ += other;
    }

    strong_index_alias operator- (std::ptrdiff_t other)
    {
      return strong_index_alias (get () - other);
    }

    void operator-= (std::ptrdiff_t other)
    {
      value_ -= other;
    }

    size_t operator- (strong_index_alias other)
    {
      return strong_index_alias (get () - other.get ());
    }

    strong_index_alias& operator++ ()
    {
      ++value_;
      return *this;
    }

    bool isValid () const
    {
      return value_ != INVALID_INDEX;
    }

    void setInvalid()
    {
      value_ = INVALID_INDEX;
    }

    bool operator== (strong_index_alias other)
    {
      return get () == other.get ();
    }

    bool operator!= (strong_index_alias other)
    {
      return get () != other.get ();
    }

    bool operator< (strong_index_alias other)
    {
      return get () < other.get ();
    }

  private:
    static const std::ptrdiff_t INVALID_INDEX;

    // WARNING: 0-initialized.
    std::ptrdiff_t value_;
  }; // class strong_index_alias

  template<typename T>
  const std::ptrdiff_t strong_index_alias<T>::INVALID_INDEX =
    std::numeric_limits<std::ptrdiff_t>::max ();

  using state_set_index = strong_index_alias<struct glr_state_set_tag>;

  state_set_index create_state_set_index (std::ptrdiff_t value)
  {
    return state_set_index::create (value);
  }

  /** State numbers, as in LALR(1) machine */
  using state_num = int;

  /** Rule numbers, as in LALR(1) machine */
  using rule_num = int;

  using parser_type = AGC::yacc;
  using glr_state = parser_type::glr_state;
  using symbol_kind = parser_type::symbol_kind;
  using symbol_kind_type = parser_type::symbol_kind_type;
  using symbol_type = parser_type::symbol_type;
  using value_type = parser_type::value_type;
  using location_type = parser_type::location_type;

  // Forward declarations.
  class glr_stack_item;
  class semantic_option;
} // namespace

namespace
{
  /** Accessing symbol of state YYSTATE.  */
  inline symbol_kind_type
  yy_accessing_symbol (state_num yystate)
  {
    return YY_CAST (symbol_kind_type, yystos[yystate]);
  }

  /** Left-hand-side symbol for rule #YYRULE.  */
  inline symbol_kind_type
  yylhsNonterm (rule_num yyrule)
  {
    return static_cast<symbol_kind_type>(yyr1[yyrule]);
  }

  /** Number of symbols composing the right hand side of rule #RULE.  */
  inline int
  yyrhsLength (rule_num yyrule)
  {
    return yyr2[yyrule];
  }
}

namespace AGC
{
  class yacc::glr_state
  {
  public:
    glr_state ()
      : yyresolved (false)
      , yylrState (0)
      , yyposn (0)
      , yypred (0)
      , yyfirstVal (0)
      , yyloc ()
    {}

    /// Build with a semantic value.
    glr_state (state_num lrState, size_t posn, const value_type& val, const location_type& loc)
      : yyresolved (true)
      , yylrState (lrState)
      , yyposn (posn)
      , yypred (0)
      , yyval ()
      , yyloc (loc)
    {
      switch (yy_accessing_symbol (lrState))
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        yyval.copy< attrbPair > (val);
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        yyval.copy< attrbRefSeq > (val);
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        yyval.copy< attrbTriple > (val);
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        yyval.copy< char_literal > (val);
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        yyval.copy< keyword > (val);
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        yyval.copy< name_literal > (val);
        break;

      case symbol_kind::S_NUM: // "number"
        yyval.copy< numberRep > (val);
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        yyval.copy< symDeclSeq > (val);
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        yyval.copy< symSeq > (val);
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        yyval.copy< typeSeq > (val);
        break;

      default:
        break;
    }
}

    /// Build with a semantic option.
    glr_state (state_num lrState, size_t posn)
      : yyresolved (false)
      , yylrState (lrState)
      , yyposn (posn)
      , yypred (0)
      , yyfirstVal (0)
      , yyloc ()
    {}

    glr_state (const glr_state& other)
      : yyresolved (other.yyresolved)
      , yylrState (other.yylrState)
      , yyposn (other.yyposn)
      , yypred (0)
      , yyloc (other.yyloc)
    {
      setPred (other.pred ());
      if (other.yyresolved)
        {
          new (&yyval) value_type ();
          switch (yy_accessing_symbol (other.yylrState))
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        yyval.copy< attrbPair > (other.value ());
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        yyval.copy< attrbRefSeq > (other.value ());
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        yyval.copy< attrbTriple > (other.value ());
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        yyval.copy< char_literal > (other.value ());
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        yyval.copy< keyword > (other.value ());
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        yyval.copy< name_literal > (other.value ());
        break;

      case symbol_kind::S_NUM: // "number"
        yyval.copy< numberRep > (other.value ());
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        yyval.copy< symDeclSeq > (other.value ());
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        yyval.copy< symSeq > (other.value ());
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        yyval.copy< typeSeq > (other.value ());
        break;

      default:
        break;
    }

        }
      else
        {
          yyfirstVal = 0;
          setFirstVal (other.firstVal ());
        }
    }

    ~glr_state ()
    {
      if (yyresolved)
        {
          symbol_kind_type yykind = yy_accessing_symbol (yylrState);
          // FIXME: User destructors.
          // Value type destructor.
          switch (yykind)
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        yyval.template destroy< attrbPair > ();
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        yyval.template destroy< attrbRefSeq > ();
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        yyval.template destroy< attrbTriple > ();
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        yyval.template destroy< char_literal > ();
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        yyval.template destroy< keyword > ();
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        yyval.template destroy< name_literal > ();
        break;

      case symbol_kind::S_NUM: // "number"
        yyval.template destroy< numberRep > ();
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        yyval.template destroy< symDeclSeq > ();
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        yyval.template destroy< symSeq > ();
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        yyval.template destroy< typeSeq > ();
        break;

      default:
        break;
    }

          yyval.~value_type ();
        }
    }

    glr_state& operator= (const glr_state& other)
    {
      if (!yyresolved && other.yyresolved)
        new (&yyval) value_type;
      yyresolved = other.yyresolved;
      yylrState = other.yylrState;
      yyposn = other.yyposn;
      setPred (other.pred ());
      if (other.yyresolved)
        switch (yy_accessing_symbol (other.yylrState))
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        yyval.copy< attrbPair > (other.value ());
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        yyval.copy< attrbRefSeq > (other.value ());
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        yyval.copy< attrbTriple > (other.value ());
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        yyval.copy< char_literal > (other.value ());
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        yyval.copy< keyword > (other.value ());
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        yyval.copy< name_literal > (other.value ());
        break;

      case symbol_kind::S_NUM: // "number"
        yyval.copy< numberRep > (other.value ());
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        yyval.copy< symDeclSeq > (other.value ());
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        yyval.copy< symSeq > (other.value ());
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        yyval.copy< typeSeq > (other.value ());
        break;

      default:
        break;
    }

      else
        setFirstVal (other.firstVal ());
      yyloc = other.yyloc;
      return *this;
    }

    /** Type tag for the semantic value.  If true, yyval applies, otherwise
     *  yyfirstVal applies.  */
    bool yyresolved;
    /** Number of corresponding LALR(1) machine state.  */
    state_num yylrState;
    /** Source position of the last token produced by my symbol */
    size_t yyposn;

    /// Only call pred() and setPred() on objects in yyitems, not temporaries.
    glr_state* pred ();
    const glr_state* pred () const;
    void setPred (const glr_state* state);

    /// Only call firstVal() and setFirstVal() on objects in yyitems, not
    /// temporaries.
    semantic_option* firstVal ();
    const semantic_option* firstVal () const;
    void setFirstVal (const semantic_option* option);

    value_type& value ()
    {
      return yyval;
    }

    const value_type& value () const
    {
      return yyval;
    }

    void
    destroy (char const *yymsg, AGC::yacc& yyparser);

    /* DEBUGGING ONLY */
  #if YYDEBUG
    void yy_yypstack () const
    {
      if (pred () != YY_NULLPTR)
        {
          pred ()->yy_yypstack ();
          std::cerr << " -> ";
        }
      std::cerr << yylrState << "@" << yyposn;
    }
  #endif

    std::ptrdiff_t indexIn (const glr_stack_item* array) const YY_ATTRIBUTE_UNUSED;

    glr_stack_item* asItem ()
    {
      return asItem(this);
    }

    const glr_stack_item* asItem () const
    {
      return asItem (this);
    }

  private:
    template <typename T>
    static const glr_stack_item* asItem (const T* state)
    {
      return reinterpret_cast<const glr_stack_item*>(state);
    }
    template <typename T>
    static glr_stack_item* asItem (T* state)
    {
      return reinterpret_cast<glr_stack_item*> (state);
    }
    static const char *as_pointer_ (const glr_state *state)
    {
      return reinterpret_cast<const char *> (state);
    }
    static char *as_pointer_ (glr_state *state)
    {
      return reinterpret_cast<char *> (state);
    }
    /** Preceding state in this stack */
    std::ptrdiff_t yypred;
    union {
      /** First in a chain of alternative reductions producing the
       *  nonterminal corresponding to this state, threaded through
       *  yyfirstVal.  Value "0" means empty.  */
      std::ptrdiff_t yyfirstVal;
      /** Semantic value for this state.  */
      value_type yyval;
    };
   // FIXME: Why public?
   public:
    /** Source location for this state.  */
    location_type yyloc;


  }; // class yacc::glr_state
} // namespace AGC


namespace
{
  /** A stack of GLRState representing the different heads during
    * nondeterministic evaluation. */
  class glr_state_set
  {
  public:
    /** Initialize YYSET to a singleton set containing an empty stack.  */
    glr_state_set ()
      : yylastDeleted (YY_NULLPTR)
    {
      yystates.push_back (YY_NULLPTR);
      yylookaheadNeeds.push_back (false);
    }

    // Behave like a vector of states.
    glr_state*& operator[] (state_set_index index)
    {
      return yystates[index.uget()];
    }

    glr_state* operator[] (state_set_index index) const
    {
      return yystates[index.uget()];
    }

    size_t size () const
    {
      return yystates.size ();
    }

    std::vector<glr_state*>::iterator begin ()
    {
      return yystates.begin ();
    }

    std::vector<glr_state*>::iterator end ()
    {
      return yystates.end ();
    }

    bool lookaheadNeeds (state_set_index index) const
    {
      return yylookaheadNeeds[index.uget ()];
    }

    bool setLookaheadNeeds (state_set_index index, bool value)
    {
      return yylookaheadNeeds[index.uget ()] = value;
    }

    /** Invalidate stack #YYK.  */
    void
    yymarkStackDeleted (state_set_index yyk)
    {
      size_t k = yyk.uget ();
      if (yystates[k] != YY_NULLPTR)
        yylastDeleted = yystates[k];
      yystates[k] = YY_NULLPTR;
    }

    /** Undelete the last stack in *this that was marked as deleted.  Can
        only be done once after a deletion, and only when all other stacks have
        been deleted.  */
    void
    yyundeleteLastStack ()
    {
      if (yylastDeleted == YY_NULLPTR || !yystates.empty ())
        return;
      yystates.push_back (yylastDeleted);
      YYCDEBUG << "Restoring last deleted stack as stack #0.\n";
      clearLastDeleted ();
    }

    /** Remove the dead stacks (yystates[i] == YY_NULLPTR) and shift the later
     * ones.  */
    void
    yyremoveDeletes ()
    {
      size_t newsize = yystates.size ();
      /* j is the number of live stacks we have seen.  */
      for (size_t i = 0, j = 0; j < newsize; ++i)
        {
          if (yystates[i] == YY_NULLPTR)
            {
              if (i == j)
                {
                  YYCDEBUG << "Removing dead stacks.\n";
                }
              newsize -= 1;
            }
          else
            {
              yystates[j] = yystates[i];
              /* In the current implementation, it's unnecessary to copy
                 yylookaheadNeeds[i] since, after
                 yyremoveDeletes returns, the parser immediately either enters
                 deterministic operation or shifts a token.  However, it doesn't
                 hurt, and the code might evolve to need it.  */
              yylookaheadNeeds[j] = yylookaheadNeeds[i];
              if (j != i)
                {
                  YYCDEBUG << "Rename stack " << i << " -> " << j << ".\n";
                }
              j += 1;
            }
        }
      yystates.resize (newsize);
      yylookaheadNeeds.resize (newsize);
    }


    state_set_index
    yysplitStack (state_set_index yyk)
    {
      const size_t k = yyk.uget ();
      yystates.push_back (yystates[k]);
      yylookaheadNeeds.push_back (yylookaheadNeeds[k]);
      return create_state_set_index (static_cast<std::ptrdiff_t> (yystates.size () - 1));
    }

    void clearLastDeleted ()
    {
      yylastDeleted = YY_NULLPTR;
    }

  private:

    std::vector<glr_state*> yystates;
    /** During nondeterministic operation, yylookaheadNeeds tracks which
     *  stacks have actually needed the current lookahead.  During deterministic
     *  operation, yylookaheadNeeds[0] is not maintained since it would merely
     *  duplicate !yyla.empty ().  */
    std::vector<bool> yylookaheadNeeds;

    /** The last stack we invalidated.  */
    glr_state* yylastDeleted;
  }; // class glr_state_set
} // namespace

namespace
{
  class semantic_option
  {
  public:
    semantic_option ()
      : yyrule (0)
      , yystate (0)
      , yynext (0)
      , yyla ()
    {}

    semantic_option (rule_num rule)
      : yyrule (rule)
      , yystate (0)
      , yynext (0)
      , yyla ()
    {}

    semantic_option (const semantic_option& that)
      : yyrule (that.yyrule)
      , yystate (that.yystate)
      , yynext (that.yynext)
      , yyla (that.yyla)
    {
    }

    // Needed for the assignment in yynewSemanticOption.
    semantic_option& operator= (const semantic_option& that)
    {
      yyrule = that.yyrule;
      yystate = that.yystate;
      yynext = that.yynext;
      yyla = that.yyla;
      return *this;
    }

    /// Only call state() and setState() on objects in yyitems, not temporaries.
    glr_state* state();
    const glr_state* state() const;
    void setState(const glr_state* s);

    const semantic_option* next () const YY_ATTRIBUTE_UNUSED;
    semantic_option* next ();
    void setNext (const semantic_option* s);

    std::ptrdiff_t indexIn (const glr_stack_item* array) const YY_ATTRIBUTE_UNUSED;

    /** True iff YYY0 and YYY1 represent identical options at the top level.
     *  That is, they represent the same rule applied to RHS symbols
     *  that produce the same terminal symbols.  */
    bool
    isIdenticalTo (const semantic_option& yyy1) const
    {
      if (this->yyrule == yyy1.yyrule)
        {
          const glr_state *yys0, *yys1;
          int yyn;
          for (yys0 = this->state(),
               yys1 = yyy1.state(),
               yyn = yyrhsLength (this->yyrule);
               yyn > 0;
               yys0 = yys0->pred(),
               yys1 = yys1->pred(), yyn -= 1)
            if (yys0->yyposn != yys1->yyposn)
              return false;
          return true;
        }
      else
        return false;
    }

    /** Assuming identicalOptions (YYY0,YYY1), destructively merge the
     *  alternative semantic values for the RHS-symbols of YYY1 and YYY0.  */
    void
    mergeWith (semantic_option& yyy1)
    {
      glr_state *yys0 = this->state ();
      glr_state *yys1 = yyy1.state ();
      for (int yyn = yyrhsLength (this->yyrule);
           yyn > 0;
           yyn -= 1, yys0 = yys0->pred (), yys1 = yys1->pred ())
        {
          if (yys0 == yys1)
            break;
          else if (yys0->yyresolved)
            {
              yys1->yyresolved = true;
              YYASSERT (yys1->yylrState == yys0->yylrState);
              switch (yy_accessing_symbol (yys0->yylrState))
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        yys1->value ().copy< attrbPair > (yys0->value ());
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        yys1->value ().copy< attrbRefSeq > (yys0->value ());
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        yys1->value ().copy< attrbTriple > (yys0->value ());
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        yys1->value ().copy< char_literal > (yys0->value ());
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        yys1->value ().copy< keyword > (yys0->value ());
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        yys1->value ().copy< name_literal > (yys0->value ());
        break;

      case symbol_kind::S_NUM: // "number"
        yys1->value ().copy< numberRep > (yys0->value ());
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        yys1->value ().copy< symDeclSeq > (yys0->value ());
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        yys1->value ().copy< symSeq > (yys0->value ());
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        yys1->value ().copy< typeSeq > (yys0->value ());
        break;

      default:
        break;
    }

            }
          else if (yys1->yyresolved)
            {
              yys0->yyresolved = true;
              YYASSERT (yys0->yylrState == yys1->yylrState);
              switch (yy_accessing_symbol (yys1->yylrState))
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        yys0->value ().copy< attrbPair > (yys1->value ());
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        yys0->value ().copy< attrbRefSeq > (yys1->value ());
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        yys0->value ().copy< attrbTriple > (yys1->value ());
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        yys0->value ().copy< char_literal > (yys1->value ());
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        yys0->value ().copy< keyword > (yys1->value ());
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        yys0->value ().copy< name_literal > (yys1->value ());
        break;

      case symbol_kind::S_NUM: // "number"
        yys0->value ().copy< numberRep > (yys1->value ());
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        yys0->value ().copy< symDeclSeq > (yys1->value ());
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        yys0->value ().copy< symSeq > (yys1->value ());
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        yys0->value ().copy< typeSeq > (yys1->value ());
        break;

      default:
        break;
    }

            }
          else
            {
              semantic_option* yyz0prev = YY_NULLPTR;
              semantic_option* yyz0 = yys0->firstVal();
              semantic_option* yyz1 = yys1->firstVal();
              while (true)
                {
                  if (yyz1 == yyz0 || yyz1 == YY_NULLPTR)
                    break;
                  else if (yyz0 == YY_NULLPTR)
                    {
                      if (yyz0prev != YY_NULLPTR)
                        yyz0prev->setNext (yyz1);
                      else
                        yys0->setFirstVal (yyz1);
                      break;
                    }
                  else if (yyz0 < yyz1)
                    {
                      semantic_option* yyz = yyz0;
                      if (yyz0prev != YY_NULLPTR)
                        yyz0prev->setNext(yyz1);
                      else
                        yys0->setFirstVal(yyz1);
                      yyz1 = yyz1->next();
                      yyz0->setNext(yyz);
                    }
                  yyz0prev = yyz0;
                  yyz0 = yyz0->next();
                }
              yys1->setFirstVal(yys0->firstVal());
            }
        }
    }

#if YYDEBUG
    void yyreportTree (size_t yyindent = 2) const
    {
      int yynrhs = yyrhsLength (this->yyrule);
      const glr_state* yystates[1 + YYMAXRHS];
      glr_state yyleftmost_state;

      {
        const glr_state* yys = this->state();
        for (int yyi = yynrhs; 0 < yyi; yyi -= 1)
          {
            yystates[yyi] = yys;
            yys = yys->pred();
          }
        if (yys == YY_NULLPTR)
          {
            yyleftmost_state.yyposn = 0;
            yystates[0] = &yyleftmost_state;
          }
        else
          yystates[0] = yys;
      }

      std::string yylhs = AGC::yacc::symbol_name (yylhsNonterm (this->yyrule));
      YYASSERT(this->state());
      if (this->state()->yyposn < yystates[0]->yyposn + 1)
        std::cerr << std::string(yyindent, ' ') << yylhs << " -> <Rule "
                  << this->yyrule - 1 << ", empty>\n";
      else
        std::cerr << std::string(yyindent, ' ') << yylhs << " -> <Rule "
                  << this->yyrule - 1 << ", tokens "
                  << yystates[0]->yyposn + 1 << " .. "
                  << this->state()->yyposn << ">\n";
      for (int yyi = 1; yyi <= yynrhs; yyi += 1)
        {
          if (yystates[yyi]->yyresolved)
            {
              std::string yysym = AGC::yacc::symbol_name (yy_accessing_symbol (yystates[yyi]->yylrState));
              if (yystates[yyi-1]->yyposn+1 > yystates[yyi]->yyposn)
                std::cerr << std::string(yyindent + 2, ' ') << yysym
                          << " <empty>\n";
              else
                std::cerr << std::string(yyindent + 2, ' ') << yysym
                          << " <tokens " << yystates[yyi-1]->yyposn + 1
                          << " .. " << yystates[yyi]->yyposn << ">\n";
            }
          else
            yystates[yyi]->firstVal ()->yyreportTree (yyindent+2);
        }
    }
#endif

    /** Rule number for this reduction */
    rule_num yyrule;

  private:
    template <typename T>
    static const glr_stack_item* asItem(const T* state)
    {
      return reinterpret_cast<const glr_stack_item*>(state);
    }
    template <typename T>
    static glr_stack_item* asItem(T* state)
    {
      return reinterpret_cast<glr_stack_item*>(state);
    }
    /** The last RHS state in the list of states to be reduced.  */
    std::ptrdiff_t yystate;
    /** Next sibling in chain of options.  To facilitate merging,
     *  options are chained in decreasing order by address.  */
    std::ptrdiff_t yynext;

  public:
    /** The lookahead for this reduction.  */
    symbol_type yyla;


  }; // class semantic_option
} // namespace

namespace
{
  /** Type of the items in the GLR stack.
   *  It can be either a glr_state or a semantic_option. The is_state_ field
   *  indicates which item of the union is valid.  */
  class glr_stack_item
  {
  public:
    glr_stack_item (bool state = true)
      : is_state_ (state)
    {
      if (is_state_)
        new (&raw_) glr_state;
      else
        new (&raw_) semantic_option;
    }

    glr_stack_item (const glr_stack_item& other) YY_NOEXCEPT YY_NOTHROW
      : is_state_ (other.is_state_)
    {
      std::memcpy (raw_, other.raw_, union_size);
    }

    glr_stack_item& operator= (glr_stack_item other)
    {
      std::swap (is_state_, other.is_state_);
      std::swap (raw_, other.raw_);
      return *this;
    }

    ~glr_stack_item ()
    {
      if (is_state ())
        getState ().~glr_state ();
      else
        getOption ().~semantic_option ();
    }

    void setState (const glr_state &state)
    {
      if (this != state.asItem ())
        {
          if (is_state_)
            getState ().~glr_state ();
          else
            getOption ().~semantic_option ();
          new (&raw_) glr_state (state);
          is_state_ = true;
        }
    }

    glr_state& getState ()
    {
      YYDASSERT (is_state ());
      void *yyp = raw_;
      glr_state& res = *static_cast<glr_state*> (yyp);
      return res;
    }

    const glr_state& getState () const
    {
      YYDASSERT (is_state ());
      const void *yyp = raw_;
      const glr_state& res = *static_cast<const glr_state*> (yyp);
      return res;
    }

    semantic_option& getOption ()
    {
      YYDASSERT (!is_state ());
      void *yyp = raw_;
      return *static_cast<semantic_option*> (yyp);
    }
    const semantic_option& getOption () const
    {
      YYDASSERT (!is_state ());
      const void *yyp = raw_;
      return *static_cast<const semantic_option*> (yyp);
    }
    bool is_state () const
    {
      return is_state_;
    }

  private:
    /// The possible contents of raw_. Since they have constructors, they cannot
    /// be directly included in the union.
    union contents
    {
      char yystate[sizeof (glr_state)];
      char yyoption[sizeof (semantic_option)];
    };
    enum { union_size = sizeof (contents) };
    union {
      /// Strongest alignment constraints.
      long double yyalign_me;
      /// A buffer large enough to store the contents.
      char raw_[union_size];
    };
    /** Type tag for the union. */
    bool is_state_;

  }; // class glr_stack_item
} // namespace

glr_state* glr_state::pred ()
{
  YY_IGNORE_NULL_DEREFERENCE_BEGIN
  return yypred ? &asItem (as_pointer_ (this) - yypred)->getState () : YY_NULLPTR;
  YY_IGNORE_NULL_DEREFERENCE_END
}

const glr_state* glr_state::pred () const
{
  YY_IGNORE_NULL_DEREFERENCE_BEGIN
  return yypred ? &asItem (as_pointer_ (this) - yypred)->getState () : YY_NULLPTR;
  YY_IGNORE_NULL_DEREFERENCE_END
}

void glr_state::setPred (const glr_state* state)
{
  yypred = state ? as_pointer_ (this) - as_pointer_ (state) : 0;
}

semantic_option* glr_state::firstVal ()
{
  return yyfirstVal ? &(asItem(this) - yyfirstVal)->getOption() : YY_NULLPTR;
}

const semantic_option* glr_state::firstVal () const
{
  return yyfirstVal ? &(asItem(this) - yyfirstVal)->getOption() : YY_NULLPTR;
}

void glr_state::setFirstVal (const semantic_option* option)
{
  yyfirstVal = option ? asItem(this) - asItem(option) : 0;
}

std::ptrdiff_t glr_state::indexIn (const glr_stack_item* array) const
{
  return asItem(this) - array;
}

std::ptrdiff_t semantic_option::indexIn (const glr_stack_item* array) const
{
  return asItem(this) - array;
}

glr_state* semantic_option::state ()
{
  YY_IGNORE_NULL_DEREFERENCE_BEGIN
  return yystate ? &(asItem(this) - yystate)->getState() : YY_NULLPTR;
  YY_IGNORE_NULL_DEREFERENCE_END
}

const glr_state* semantic_option::state () const
{
  return yystate ? &(asItem(this) - yystate)->getState() : YY_NULLPTR;
}

void semantic_option::setState (const glr_state* s)
{
  yystate = s ? asItem(this) - asItem(s) : 0;
}

const semantic_option* semantic_option::next () const
{
  return yynext ? &(asItem(this) - yynext)->getOption() : YY_NULLPTR;
}

semantic_option* semantic_option::next ()
{
  return yynext ? &(asItem(this) - yynext)->getOption() : YY_NULLPTR;
}

void semantic_option::setNext (const semantic_option* s)
{
  yynext = s ? asItem(this) - asItem(s) : 0;
}

void glr_state::destroy (char const* yymsg, AGC::yacc& yyparser)
{
  if (yyresolved)
    yyparser.yy_destroy_ (yymsg, yy_accessing_symbol(yylrState),
                          value (), yyloc);
  else
    {
#if YYDEBUG
      YYCDEBUG << yymsg
               << (firstVal() ? " unresolved " : " incomplete ")
               << (yy_accessing_symbol (yylrState) < YYNTOKENS ? "token" : "nterm")
               << ' ' << yyparser.symbol_name (yy_accessing_symbol (yylrState))
               << " ("
               << yyloc << ": "
               << ")\n";
#endif
      if (firstVal() != YY_NULLPTR)
        {
          semantic_option& yyoption = *firstVal ();
          glr_state *yyrh = yyoption.state ();
          for (int yyn = yyrhsLength (yyoption.yyrule); yyn > 0; yyn -= 1)
            {
              yyrh->destroy (yymsg, yyparser);
              yyrh = yyrh->pred();
            }
        }
    }
}


#undef YYFILL
#define YYFILL(N) yyfill (yyvsp, yylow, (N), yynormal)

namespace
{
  class state_stack
  {
  public:
    using parser_type = AGC::yacc;
    using symbol_kind = parser_type::symbol_kind;
    using value_type = parser_type::value_type;
    using location_type = parser_type::location_type;

    /** Initialize to a single empty stack, with total maximum
     *  capacity for all stacks of YYSIZE.  */
    state_stack (size_t yysize)
      : yysplitPoint (YY_NULLPTR)
    {
      yyitems.reserve (yysize);
    }

#if YYSTACKEXPANDABLE
    /** Returns false if it tried to expand but could not. */
    bool
    yyexpandGLRStackIfNeeded ()
    {
      return YYHEADROOM <= spaceLeft () || yyexpandGLRStack ();
    }

  private:
    /** If *this is expandable, extend it.  WARNING: Pointers into the
        stack from outside should be considered invalid after this call.
        We always expand when there are 1 or fewer items left AFTER an
        allocation, so that we can avoid having external pointers exist
        across an allocation.  */
    bool
    yyexpandGLRStack ()
    {
      const size_t oldsize = yyitems.size();
      if (YYMAXDEPTH - YYHEADROOM < oldsize)
        return false;
      const size_t yynewSize = YYMAXDEPTH < 2 * oldsize ? YYMAXDEPTH : 2 * oldsize;
      const glr_stack_item *oldbase = &yyitems[0];

      yyitems.reserve (yynewSize);
      const glr_stack_item *newbase = &yyitems[0];

      // Adjust the pointers.  Perform raw pointer arithmetic, as there
      // is no reason for objects to be aligned on their size.
      const ptrdiff_t disp
        = reinterpret_cast<const char*> (newbase) - reinterpret_cast<const char*> (oldbase);
      if (yysplitPoint)
        const_cast<glr_state*&> (yysplitPoint)
          = reinterpret_cast<glr_state*> (reinterpret_cast<char*> (const_cast<glr_state*> (yysplitPoint)) + disp);

      for (std::vector<glr_state*>::iterator
             i = yytops.begin (),
             yyend = yytops.end ();
           i != yyend; ++i)
        if (glr_state_not_null (*i))
          *i = reinterpret_cast<glr_state*>(reinterpret_cast<char*>(*i) + disp);

      return true;
    }

  public:
#else
    bool yyexpandGLRStackIfNeeded ()
    {
      return YYHEADROOM <= spaceLeft ();
    }
#endif
#undef YYSTACKEXPANDABLE

    static bool glr_state_not_null (glr_state* s)
    {
      return s != YY_NULLPTR;
    }

    bool
    reduceToOneStack ()
    {
      using iterator = std::vector<glr_state*>::iterator;
      const iterator yybegin = yytops.begin();
      const iterator yyend = yytops.end();
      const iterator yyit = std::find_if(yybegin, yyend, glr_state_not_null);
      if (yyit == yyend)
        return false;
      for (state_set_index yyk = create_state_set_index(yyit + 1 - yybegin);
           yyk.uget() != numTops(); ++yyk)
        yytops.yymarkStackDeleted (yyk);
      yytops.yyremoveDeletes ();
      yycompressStack ();
      return true;
    }

    /** Called when returning to deterministic operation to clean up the extra
     * stacks. */
    void
    yycompressStack ()
    {
      if (yytops.size() != 1 || !isSplit())
        return;

      // yyr is the state after the split point.
      glr_state* yyr = YY_NULLPTR;
      for (glr_state *yyp = firstTop(), *yyq = yyp->pred();
           yyp != yysplitPoint;
           yyr = yyp, yyp = yyq, yyq = yyp->pred())
        yyp->setPred(yyr);

      // This const_cast is okay, since anyway we have access to the mutable
      // yyitems into which yysplitPoint points.
      glr_stack_item* nextFreeItem
        = const_cast<glr_state*> (yysplitPoint)->asItem () + 1;
      yysplitPoint = YY_NULLPTR;
      yytops.clearLastDeleted ();

      while (yyr != YY_NULLPTR)
        {
          nextFreeItem->setState (*yyr);
          glr_state& nextFreeState = nextFreeItem->getState();
          yyr = yyr->pred();
          nextFreeState.setPred(&(nextFreeItem - 1)->getState());
          setFirstTop (&nextFreeState);
          ++nextFreeItem;
        }
      yyitems.resize(static_cast<size_t>(nextFreeItem - yyitems.data()));
    }

    bool isSplit() const {
      return yysplitPoint != YY_NULLPTR;
    }

    // Present the interface of a vector of glr_stack_item.
    std::vector<glr_stack_item>::const_iterator begin () const
    {
      return yyitems.begin ();
    }

    std::vector<glr_stack_item>::const_iterator end () const
    {
      return yyitems.end ();
    }

    size_t size() const
    {
      return yyitems.size ();
    }

    glr_stack_item& operator[] (size_t i)
    {
      return yyitems[i];
    }

    glr_stack_item& stackItemAt (size_t index)
    {
      return yyitems[index];
    }

    size_t numTops () const
    {
      return yytops.size ();
    }

    glr_state* firstTop () const
    {
      return yytops[create_state_set_index (0)];
    }

    glr_state* topAt (state_set_index i) const
    {
      return yytops[i];
    }

    void setFirstTop (glr_state* value)
    {
      yytops[create_state_set_index (0)] = value;
    }

    void setTopAt (state_set_index i, glr_state* value)
    {
      yytops[i] = value;
    }

    void pop_back ()
    {
      yyitems.pop_back ();
    }

    void pop_back (size_t n)
    {
      yyitems.resize (yyitems.size () - n);
    }

    state_set_index
    yysplitStack (state_set_index yyk)
    {
      if (!isSplit ())
        {
          YYASSERT (yyk.get () == 0);
          yysplitPoint = topAt (yyk);
        }
      return yytops.yysplitStack (yyk);
    }

    /** Assuming that YYS is a GLRState somewhere on *this, update the
     *  splitpoint of *this, if needed, so that it is at least as deep as
     *  YYS.  */
    void
    yyupdateSplit (glr_state& yys)
    {
      if (isSplit() && &yys < yysplitPoint)
        yysplitPoint = &yys;
    }

    /** Return a fresh GLRState.
     * Callers should call yyreserveStack afterwards to make sure there is
     * sufficient headroom.  */
    glr_state& yynewGLRState (const glr_state& newState)
    {
      glr_state& state = yyitems[yynewGLRStackItem (true)].getState ();
#if false && 201103L <= YY_CPLUSPLUS
      state = std::move (newState);
#else
      state = newState;
#endif
      return state;
    }

    /** Return a fresh SemanticOption.
     * Callers should call yyreserveStack afterwards to make sure there is
     * sufficient headroom.  */
    semantic_option& yynewSemanticOption (semantic_option newOption)
    {
      semantic_option& option = yyitems[yynewGLRStackItem (false)].getOption ();
      option = std::move (newOption);
      return option;
    }

    /* Do nothing if YYNORMAL or if *YYLOW <= YYLOW1.  Otherwise, fill in
     * YYVSP[YYLOW1 .. *YYLOW-1] as in yyfillin and set *YYLOW = YYLOW1.
     * For convenience, always return YYLOW1.  */
    int
    yyfill (glr_stack_item *yyvsp, int &yylow, int yylow1, bool yynormal)
    {
      if (!yynormal && yylow1 < yylow)
        {
          yyfillin (yyvsp, yylow, yylow1);
          yylow = yylow1;
        }
      return yylow1;
    }

    /** Fill in YYVSP[YYLOW1 .. YYLOW0-1] from the chain of states starting
     *  at YYVSP[YYLOW0].getState().pred().  Leaves YYVSP[YYLOW1].getState().pred()
     *  containing the pointer to the next state in the chain.  */
    void
    yyfillin (glr_stack_item *yyvsp, int yylow0, int yylow1)
    {
      glr_state* s = yyvsp[yylow0].getState().pred();
      YYASSERT(s != YY_NULLPTR);
      for (int i = yylow0-1; i >= yylow1; i -= 1, s = s->pred())
        {
          glr_state& yys = yyvsp[i].getState();
#if YYDEBUG
          yys.yylrState = s->yylrState;
#endif
          yys.yyresolved = s->yyresolved;
          if (s->yyresolved)
            {
              new (&yys.value ()) value_type ();
              switch (yy_accessing_symbol (s->yylrState))
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        yys.value ().copy< attrbPair > (s->value ());
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        yys.value ().copy< attrbRefSeq > (s->value ());
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        yys.value ().copy< attrbTriple > (s->value ());
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        yys.value ().copy< char_literal > (s->value ());
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        yys.value ().copy< keyword > (s->value ());
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        yys.value ().copy< name_literal > (s->value ());
        break;

      case symbol_kind::S_NUM: // "number"
        yys.value ().copy< numberRep > (s->value ());
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        yys.value ().copy< symDeclSeq > (s->value ());
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        yys.value ().copy< symSeq > (s->value ());
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        yys.value ().copy< typeSeq > (s->value ());
        break;

      default:
        break;
    }

            }
          else
            /* The effect of using yyval or yyloc (in an immediate
             * rule) is undefined.  */
            yys.setFirstVal (YY_NULLPTR);
          yys.yyloc = s->yyloc;
          yys.setPred(s->pred());
        }
    }

#if YYDEBUG

    /*----------------------------------------------------------------------.
    | Report that stack #YYK of *YYSTACKP is going to be reduced by YYRULE. |
    `----------------------------------------------------------------------*/

    void
    yy_reduce_print (bool yynormal, glr_stack_item* yyvsp, state_set_index yyk,
                     rule_num yyrule, parser_type& yyparser)
    {
      int yynrhs = yyrhsLength (yyrule);
      int yylow = 1;
      int yyi;
      std::cerr << "Reducing stack " << yyk.get() << " by rule " << yyrule - 1
                << " (line " << int (yyrline[yyrule]) << "):\n";
      if (! yynormal)
        yyfillin (yyvsp, 1, -yynrhs);
      /* The symbols being reduced.  */
      for (yyi = 0; yyi < yynrhs; yyi++)
        {
          std::cerr << "   $" << yyi + 1 << " = ";
          yyparser.yy_symbol_print_
            (yy_accessing_symbol (yyvsp[yyi - yynrhs + 1].getState().yylrState),
             yyvsp[yyi - yynrhs + 1].getState().value (),
             ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL ((yyi + 1) - (yynrhs))].getState().yyloc));
          if (!yyvsp[yyi - yynrhs + 1].getState().yyresolved)
            std::cerr << " (unresolved)";
          std::cerr << '\n';
        }
    }


#define YYINDEX(YYX)                                                         \
      ((YYX) == YY_NULLPTR ? -1 : (YYX)->indexIn (yyitems.data ()))

    void
    dumpStack () const
    {
      for (size_t yyi = 0; yyi < size(); ++yyi)
        {
          const glr_stack_item& item = yyitems[yyi];
          std::cerr << std::setw(3) << yyi << ". ";
          if (item.is_state())
            {
              std::cerr << "Res: " << item.getState().yyresolved
                        << ", LR State: " << item.getState().yylrState
                        << ", posn: " << item.getState().yyposn
                        << ", pred: " << YYINDEX(item.getState().pred());
              if (! item.getState().yyresolved)
                std::cerr << ", firstVal: "
                          << YYINDEX(item.getState().firstVal());
            }
          else
            {
              std::cerr << "Option. rule: " << item.getOption().yyrule - 1
                        << ", state: " << YYINDEX(item.getOption().state())
                        << ", next: " << YYINDEX(item.getOption().next());
            }
          std::cerr << '\n';
        }
      std::cerr << "Tops:";
      for (state_set_index yyi = create_state_set_index(0); yyi.uget() < numTops(); ++yyi) {
        std::cerr << yyi.get() << ": " << YYINDEX(topAt(yyi)) << "; ";
      }
      std::cerr << '\n';
    }

#undef YYINDEX
#endif

    YYRESULTTAG
    yyreportAmbiguity (const semantic_option& yyx0,
                       const semantic_option& yyx1, parser_type& yyparser, const location_type& yyloc)
    {
      YY_USE (yyx0);
      YY_USE (yyx1);

#if YYDEBUG
      std::cerr << "Ambiguity detected.\n"
        "Option 1,\n";
      yyx0.yyreportTree ();
      std::cerr << "\nOption 2,\n";
      yyx1.yyreportTree ();
      std::cerr << '\n';
#endif

      yyparser.error (yyloc, YY_("syntax is ambiguous"));
      return yyabort;
    }

#if YYDEBUG
    /* Print YYS (possibly NULL) and its predecessors. */
    void
    yypstates (const glr_state* yys) const
    {
      if (yys != YY_NULLPTR)
        yys->yy_yypstack();
      else
        std::cerr << "<null>";
      std::cerr << '\n';
    }
#endif

  private:
    size_t spaceLeft() const
    {
      return yyitems.capacity() - yyitems.size();
    }

    /** Return a fresh GLRStackItem in this.  The item is an LR state
     *  if YYIS_STATE, and otherwise a semantic option.  Callers should call
     *  yyreserveStack afterwards to make sure there is sufficient
     *  headroom.  */
    size_t
    yynewGLRStackItem (bool yyis_state)
    {
      YYDASSERT(yyitems.size() < yyitems.capacity());
      yyitems.push_back(glr_stack_item(yyis_state));
      return yyitems.size() - 1;
    }


  public:
    std::vector<glr_stack_item> yyitems;
    // Where the stack splits. Anything below this address is deterministic.
    const glr_state* yysplitPoint;
    glr_state_set yytops;
  }; // class state_stack
} // namespace

#undef YYFILL
#define YYFILL(N) yystateStack.yyfill (yyvsp, yylow, (N), yynormal)

namespace AGC
{
  class yacc::glr_stack
  {
  public:

    // Needs access to yypact_value_is_default, etc.
    friend context;


    glr_stack (size_t yysize, parser_type& yyparser_yyarg, AGC::yaccLexer& theLexer_yyarg, yoxControl& ctrl_yyarg, specIO& theFiles_yyarg)
      : yyerrState (0)
      , yystateStack (yysize)
      , yyerrcnt (0)
      , yyla ()
      , yyparser (yyparser_yyarg),
      theLexer (theLexer_yyarg),
      ctrl (ctrl_yyarg),
      theFiles (theFiles_yyarg)
    {}

    ~glr_stack ()
    {
      if (!this->yyla.empty ())
        yyparser.yy_destroy_ ("Cleanup: discarding lookahead",
                              this->yyla.kind (), this->yyla.value, this->yyla.location);
      popall_ ();
    }

    int yyerrState;
  /* To compute the location of the error token.  */
    glr_stack_item yyerror_range[3];
    state_stack yystateStack;
    int yyerrcnt;
    symbol_type yyla;
    YYJMP_BUF yyexception_buffer;
    parser_type& yyparser;

  #define YYCHK1(YYE)                                                          \
    do {                                                                       \
      switch (YYE) {                                                           \
      case yyok:                                                               \
        break;                                                                 \
      case yyabort:                                                            \
        goto yyabortlab;                                                       \
      case yyaccept:                                                           \
        goto yyacceptlab;                                                      \
      case yyerr:                                                              \
        goto yyuser_error;                                                     \
      default:                                                                 \
        goto yybuglab;                                                         \
      }                                                                        \
    } while (false)

    int
    parse ()
    {
      int yyresult;
      size_t yyposn;

      YYCDEBUG << "Starting parse\n";

      this->yyla.clear ();

      // User initialization code.
#line 19 "agc-yacc.yy"
{
  yyla.location.initialize (&theFiles.inName);

  yoxOutGdefs.setCurPos (yyla.location.begin);
  yoxOutG.setCurPos (yyla.location.begin);
  yoxOutGimport.setCurPos (yyla.location.begin);

  yoxOutH.setCurPos (yyla.location.begin);
  yoxOutHrequires.setCurPos (yyla.location.begin);
  yoxOutHprovides.setCurPos (yyla.location.begin);

  actionCLOSER.setCurPos (yyla.location.begin);
  attrDECL.setCurPos (yyla.location.begin);
  possibleLHS.setCurPos (yyla.location.begin);
  ruleDIRECTIVE.setCurPos (yyla.location.begin);
  unionBODY.setCurPos (yyla.location.begin);
  yaccCODE.setCurPos (yyla.location.begin);

  separatorMARK.setCurPos (yyla.location.begin);
}

#line 4095 "agc-yacc.cc"


      switch (YYSETJMP (this->yyexception_buffer))
        {
        case 0: break;
        case 1: goto yyabortlab;
        case 2: goto yyexhaustedlab;
        default: goto yybuglab;
        }
      this->yyglrShift (create_state_set_index(0), 0, 0, this->yyla.value, this->yyla.location);
      yyposn = 0;

      while (true)
        {
          /* For efficiency, we have two loops, the first of which is
             specialized to deterministic operation (single stack, no
             potential ambiguity).  */
          /* Standard mode */
          while (true)
            {
              const state_num yystate = this->firstTopState()->yylrState;
              YYCDEBUG << "Entering state " << yystate << '\n';
              if (yystate == YYFINAL)
                goto yyacceptlab;
              if (yy_is_defaulted_state (yystate))
                {
                  const rule_num yyrule = yy_default_action (yystate);
                  if (yyrule == 0)
                    {
                      this->yyerror_range[1].getState().yyloc = this->yyla.location;
                      this->yyreportSyntaxError ();
                      goto yyuser_error;
                    }
                  YYCHK1 (this->yyglrReduce (create_state_set_index(0), yyrule, true));
                }
              else
                {
                  yyget_token ();
                  const short* yyconflicts;
                  const int yyaction = yygetLRActions (yystate, this->yyla.kind (), yyconflicts);
                  if (*yyconflicts != 0)
                    break;
                  if (yy_is_shift_action (yyaction))
                    {
                      YY_SYMBOL_PRINT ("Shifting", this->yyla.kind (), this->yyla.value, this->yyla.location);
                      yyposn += 1;
                      // FIXME: we should move yylval.
                      this->yyglrShift (create_state_set_index(0), yyaction, yyposn, this->yyla.value, this->yyla.location);
                      yyla.clear ();
                      if (0 < this->yyerrState)
                        this->yyerrState -= 1;
                    }
                  else if (yy_is_error_action (yyaction))
                    {
                      this->yyerror_range[1].getState().yyloc = this->yyla.location;
                      /* Don't issue an error message again for exceptions
                         thrown from the scanner.  */
                      if (this->yyla.kind () != symbol_kind::S_YYerror)
                        this->yyreportSyntaxError ();
                      goto yyuser_error;
                    }
                  else
                    YYCHK1 (this->yyglrReduce (create_state_set_index(0), -yyaction, true));
                }
            }

          while (true)
            {
              for (state_set_index yys = create_state_set_index(0); yys.uget() < this->yystateStack.numTops(); ++yys)
                this->yystateStack.yytops.setLookaheadNeeds(yys, !this->yyla.empty ());

              /* yyprocessOneStack returns one of three things:

                  - An error flag.  If the caller is yyprocessOneStack, it
                    immediately returns as well.  When the caller is finally
                    yyparse, it jumps to an error label via YYCHK1.

                  - yyok, but yyprocessOneStack has invoked yymarkStackDeleted
                    (yys), which sets the top state of yys to NULL.  Thus,
                    yyparse's following invocation of yyremoveDeletes will remove
                    the stack.

                  - yyok, when ready to shift a token.

                 Except in the first case, yyparse will invoke yyremoveDeletes and
                 then shift the next token onto all remaining stacks.  This
                 synchronization of the shift (that is, after all preceding
                 reductions on all stacks) helps prevent double destructor calls
                 on yylval in the event of memory exhaustion.  */

              for (state_set_index yys = create_state_set_index (0); yys.uget () < this->yystateStack.numTops (); ++yys)
                YYCHK1 (this->yyprocessOneStack (yys, yyposn, &this->yyla.location));
              this->yystateStack.yytops.yyremoveDeletes ();
              if (this->yystateStack.yytops.size() == 0)
                {
                  this->yystateStack.yytops.yyundeleteLastStack ();
                  if (this->yystateStack.yytops.size() == 0)
                    this->yyFail (&this->yyla.location, YY_("syntax error"));
                  YYCHK1 (this->yyresolveStack ());
                  YYCDEBUG << "Returning to deterministic operation.\n";
                  this->yyerror_range[1].getState ().yyloc = this->yyla.location;
                  this->yyreportSyntaxError ();
                  goto yyuser_error;
                }

              /* If any yyglrShift call fails, it will fail after shifting.  Thus,
                 a copy of yylval will already be on stack 0 in the event of a
                 failure in the following loop.  Thus, yyla is emptied
                 before the loop to make sure the user destructor for yylval isn't
                 called twice.  */
              symbol_kind_type yytoken_to_shift = this->yyla.kind ();
              this->yyla.kind_ = symbol_kind::S_YYEMPTY;
              yyposn += 1;
              for (state_set_index yys = create_state_set_index (0); yys.uget () < this->yystateStack.numTops (); ++yys)
                {
                  const state_num yystate = this->topState (yys)->yylrState;
                  const short* yyconflicts;
                  const int yyaction = yygetLRActions (yystate, yytoken_to_shift, yyconflicts);
                  /* Note that yyconflicts were handled by yyprocessOneStack.  */
                  YYCDEBUG << "On stack " << yys.get() << ", ";
                  YY_SYMBOL_PRINT ("shifting", yytoken_to_shift, this->yyla.value, this->yyla.location);
                  this->yyglrShift (yys, yyaction, yyposn, this->yyla.value, this->yyla.location);
                  YYCDEBUG << "Stack " << yys.get() << " now in state "
                           << this->topState(yys)->yylrState << '\n';
                }

                // FIXME: User destructors.
                // Value type destructor.
                switch (yytoken_to_shift)
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        this->yyla.value.template destroy< attrbPair > ();
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        this->yyla.value.template destroy< attrbRefSeq > ();
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        this->yyla.value.template destroy< attrbTriple > ();
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        this->yyla.value.template destroy< char_literal > ();
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        this->yyla.value.template destroy< keyword > ();
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        this->yyla.value.template destroy< name_literal > ();
        break;

      case symbol_kind::S_NUM: // "number"
        this->yyla.value.template destroy< numberRep > ();
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        this->yyla.value.template destroy< symDeclSeq > ();
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        this->yyla.value.template destroy< symSeq > ();
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        this->yyla.value.template destroy< typeSeq > ();
        break;

      default:
        break;
    }


              if (this->yystateStack.yytops.size () == 1)
                {
                  YYCHK1 (this->yyresolveStack ());
                  YYCDEBUG << "Returning to deterministic operation.\n";
                  this->yystateStack.yycompressStack ();
                  break;
                }
            }
          continue;
        yyuser_error:
          this->yyrecoverSyntaxError (&this->yyla.location);
          yyposn = this->firstTopState()->yyposn;
        }

    yyacceptlab:
      yyresult = 0;
      goto yyreturn;

    yybuglab:
      YYASSERT (false);
      goto yyabortlab;

    yyabortlab:
      yyresult = 1;
      goto yyreturn;

    yyexhaustedlab:
      yyparser.error (this->yyla.location, YY_("memory exhausted"));
      yyresult = 2;
      goto yyreturn;

    yyreturn:
      return yyresult;
    }
  #undef YYCHK1

    void yyreserveGlrStack ()
    {
      if (!yystateStack.yyexpandGLRStackIfNeeded ())
        yyMemoryExhausted ();
    }

    _Noreturn void
    yyMemoryExhausted ()
    {
      YYLONGJMP (yyexception_buffer, 2);
    }

    _Noreturn void
    yyFail (location_type* yylocp, const char* yymsg)
    {
      if (yymsg != YY_NULLPTR)
        yyparser.error (*yylocp, yymsg);
      YYLONGJMP (yyexception_buffer, 1);
    }

                                  /* GLRStates */


    /** Add a new semantic action that will execute the action for rule
     *  YYRULE on the semantic values in YYRHS to the list of
     *  alternative actions for YYSTATE.  Assumes that YYRHS comes from
     *  stack #YYK of *this. */
    void
    yyaddDeferredAction (state_set_index yyk, glr_state* yystate,
                         glr_state* yyrhs, rule_num yyrule)
    {
      semantic_option& yyopt = yystateStack.yynewSemanticOption (semantic_option (yyrule));
      yyopt.setState (yyrhs);
      yyopt.setNext (yystate->firstVal ());
      if (yystateStack.yytops.lookaheadNeeds (yyk))
        yyopt.yyla = this->yyla;
      yystate->setFirstVal (&yyopt);

      yyreserveGlrStack ();
    }

  #if YYDEBUG
    void yypdumpstack () const
    {
      yystateStack.dumpStack();
    }
  #endif

    void
    yyreportSyntaxError ()
    {
      if (yyerrState != 0)
        return;

      context yyctx (*this, yyla);
      yyparser.report_syntax_error (yyctx);
      yyerrcnt += 1;
    }

    /* Recover from a syntax error on this, assuming that yytoken,
       yylval, and yylloc are the syntactic category, semantic value, and location
       of the lookahead.  */
    void
    yyrecoverSyntaxError (location_type* yylocp)
    {
      if (yyerrState == 3)
        /* We just shifted the error token and (perhaps) took some
           reductions.  Skip tokens until we can proceed.  */
        while (true)
          {
            if (this->yyla.kind () == symbol_kind::S_YYEOF)
              yyFail (yylocp, YY_NULLPTR);
            if (this->yyla.kind () != symbol_kind::S_YYEMPTY)
              {
                /* We throw away the lookahead, but the error range
                   of the shifted error token must take it into account.  */
                glr_state *yys = firstTopState();
                yyerror_range[1].getState().yyloc = yys->yyloc;
                yyerror_range[2].getState().yyloc = this->yyla.location;
                YYLLOC_DEFAULT ((yys->yyloc), yyerror_range, 2);
                yyparser.yy_destroy_ ("Error: discarding",
                                      this->yyla.kind (), this->yyla.value, this->yyla.location);
                // Value type destructor.
                switch (this->yyla.kind ())
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        this->yyla.value.template destroy< attrbPair > ();
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        this->yyla.value.template destroy< attrbRefSeq > ();
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        this->yyla.value.template destroy< attrbTriple > ();
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        this->yyla.value.template destroy< char_literal > ();
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        this->yyla.value.template destroy< keyword > ();
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        this->yyla.value.template destroy< name_literal > ();
        break;

      case symbol_kind::S_NUM: // "number"
        this->yyla.value.template destroy< numberRep > ();
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        this->yyla.value.template destroy< symDeclSeq > ();
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        this->yyla.value.template destroy< symSeq > ();
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        this->yyla.value.template destroy< typeSeq > ();
        break;

      default:
        break;
    }

                this->yyla.kind_ = symbol_kind::S_YYEMPTY;
              }
            yyget_token ();
            int yyj = yypact[firstTopState()->yylrState];
            if (yypact_value_is_default (yyj))
              return;
            yyj += this->yyla.kind ();
            if (yyj < 0 || YYLAST < yyj || yycheck[yyj] != this->yyla.kind ())
              {
                if (yydefact[firstTopState()->yylrState] != 0)
                  return;
              }
            else if (! yytable_value_is_error (yytable[yyj]))
              return;
          }

      if (!yystateStack.reduceToOneStack())
        yyFail (yylocp, YY_NULLPTR);

      /* Now pop stack until we find a state that shifts the error token.  */
      yyerrState = 3;
      while (firstTopState () != YY_NULLPTR)
        {
          glr_state *yys = firstTopState ();
          int yyj = yypact[yys->yylrState];
          if (! yypact_value_is_default (yyj))
            {
              yyj += YYTERROR;
              if (0 <= yyj && yyj <= YYLAST && yycheck[yyj] == YYTERROR
                  && yy_is_shift_action (yytable[yyj]))
                {
                  /* Shift the error token.  */
                  /* First adjust its location.*/
                  location_type yyerrloc;
                  yyerror_range[2].getState().yyloc = this->yyla.location;
                  YYLLOC_DEFAULT (yyerrloc, (yyerror_range), 2);
                  YY_SYMBOL_PRINT ("Shifting", yy_accessing_symbol (yytable[yyj]),
                                   this->yyla.value, yyerrloc);
                  yyglrShift (create_state_set_index(0), yytable[yyj],
                              yys->yyposn, yyla.value, yyerrloc);
                  yys = firstTopState();
                  break;
                }
            }
          yyerror_range[1].getState().yyloc = yys->yyloc;
          if (yys->pred() != YY_NULLPTR)
            yys->destroy ("Error: popping", yyparser);
          yystateStack.setFirstTop(yys->pred());
          yystateStack.pop_back();
        }
      if (firstTopState() == YY_NULLPTR)
        yyFail (yylocp, YY_NULLPTR);
    }

    YYRESULTTAG
    yyprocessOneStack (state_set_index yyk,
                       size_t yyposn, location_type* yylocp)
    {
      while (yystateStack.topAt(yyk) != YY_NULLPTR)
        {
          const state_num yystate = topState(yyk)->yylrState;
          YYCDEBUG << "Stack " << yyk.get()
                   << " Entering state " << yystate << '\n';

          YYASSERT (yystate != YYFINAL);

          if (yy_is_defaulted_state (yystate))
            {
              const rule_num yyrule = yy_default_action (yystate);
              if (yyrule == 0)
                {
                  YYCDEBUG << "Stack " << yyk.get() << " dies.\n";
                  yystateStack.yytops.yymarkStackDeleted (yyk);
                  return yyok;
                }
              const YYRESULTTAG yyflag
                = yyglrReduce (yyk, yyrule, yyimmediate[yyrule]);
              if (yyflag == yyerr)
                {
                  YYCDEBUG << "Stack " << yyk.get() << " dies"
                    " (predicate failure or explicit user error).\n";
                  yystateStack.yytops.yymarkStackDeleted (yyk);
                  return yyok;
                }
              if (yyflag != yyok)
                return yyflag;
            }
          else
            {
              yystateStack.yytops.setLookaheadNeeds(yyk, true);
              yyget_token ();
              const short* yyconflicts;
              const int yyaction = yygetLRActions (yystate, this->yyla.kind (), yyconflicts);

              for (; *yyconflicts != 0; ++yyconflicts)
                {
                  state_set_index yynewStack = yystateStack.yysplitStack (yyk);
                  YYCDEBUG << "Splitting off stack " << yynewStack.get()
                           << " from " << yyk.get() << ".\n";
                  YYRESULTTAG yyflag =
                    yyglrReduce (yynewStack, *yyconflicts, yyimmediate[*yyconflicts]);
                  if (yyflag == yyok)
                    YYCHK (yyprocessOneStack (yynewStack,
                                              yyposn, yylocp));
                  else if (yyflag == yyerr)
                    {
                      YYCDEBUG << "Stack " << yynewStack.get() << " dies.\n";
                      yystateStack.yytops.yymarkStackDeleted (yynewStack);
                    }
                  else
                    return yyflag;
                }

              if (yy_is_shift_action (yyaction))
                break;
              else if (yy_is_error_action (yyaction))
                {
                  YYCDEBUG << "Stack " << yyk.get() << " dies.\n";
                  yystateStack.yytops.yymarkStackDeleted (yyk);
                  break;
                }
              else
                {
                  YYRESULTTAG yyflag
                    = yyglrReduce (yyk, -yyaction, yyimmediate[-yyaction]);
                  if (yyflag == yyerr)
                    {
                      YYCDEBUG << "Stack " << yyk.get() << " dies"
                        " (predicate failure or explicit user error).\n";
                      yystateStack.yytops.yymarkStackDeleted (yyk);
                      break;
                    }
                  else if (yyflag != yyok)
                    return yyflag;
                }
            }
        }
      return yyok;
    }

    /** Perform user action for rule number YYN, with RHS length YYRHSLEN,
     *  and top stack item YYVSP.  YYVALP points to place to put semantic
     *  value ($$), and yylocp points to place for location information
     *  (@$).  Returns yyok for normal return, yyaccept for YYACCEPT,
     *  yyerr for YYERROR, yyabort for YYABORT.  */
    YYRESULTTAG
    yyuserAction (rule_num yyrule, int yyrhslen, glr_stack_item* yyvsp, state_set_index yyk,
                  value_type* yyvalp, location_type* yylocp)
    {
      bool yynormal YY_ATTRIBUTE_UNUSED = !yystateStack.isSplit();
      int yylow = 1;
  YY_USE (yyvalp);
  YY_USE (yylocp);
  YY_USE (theLexer);
  YY_USE (ctrl);
  YY_USE (theFiles);
      YY_USE (yyk);
      YY_USE (yyrhslen);
    # undef yyerrok
    # define yyerrok (yyerrState = 0)
    # undef YYACCEPT
    # define YYACCEPT return yyaccept
    # undef YYABORT
    # define YYABORT return yyabort
    # undef YYERROR
    # define YYERROR return yyerrok, yyerr
    # undef YYRECOVERING
    # define YYRECOVERING() (yyerrState != 0)
    # undef yytoken
    # define yytoken this->yyla.kind_
    # undef yyclearin
    # define yyclearin (yytoken = symbol_kind::S_YYEMPTY)
    # undef YYBACKUP
    # define YYBACKUP(Token, Value)                                              \
      return yyparser.error (*yylocp, YY_("syntax error: cannot back up")),     \
             yyerrok, yyerr


      /* Variants are always initialized to an empty instance of the
         correct type. The default '$$ = $1' action is NOT applied
         when using variants.  */
      // However we really need to prepare yyvsp now if we want to get
      // correct locations, so invoke YYFILL for $1 anyway.
      (void) YYFILL (1-yyrhslen);
      switch (yylhsNonterm (yyrule))
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        (*yyvalp).emplace< attrbPair > ();
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        (*yyvalp).emplace< attrbRefSeq > ();
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        (*yyvalp).emplace< attrbTriple > ();
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        (*yyvalp).emplace< char_literal > ();
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        (*yyvalp).emplace< keyword > ();
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        (*yyvalp).emplace< name_literal > ();
        break;

      case symbol_kind::S_NUM: // "number"
        (*yyvalp).emplace< numberRep > ();
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        (*yyvalp).emplace< symDeclSeq > ();
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        (*yyvalp).emplace< symSeq > ();
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        (*yyvalp).emplace< typeSeq > ();
        break;

      default:
        break;
    }

      /* Default location. */
      YYLLOC_DEFAULT ((*yylocp), (yyvsp - yyrhslen), yyrhslen);
      yyerror_range[1].getState().yyloc = *yylocp;

    /* If yyk == -1, we are running a deferred action on a temporary
       stack.  In that case, YY_REDUCE_PRINT must not play with YYFILL,
       so pretend the stack is "normal". */
    YY_REDUCE_PRINT ((yynormal || yyk == create_state_set_index (-1), yyvsp, yyk, yyrule, yyparser));
    #if YY_EXCEPTIONS
      try
      {
    #endif // YY_EXCEPTIONS
      switch (yyrule)
        {
      case 3: // $@1: %empty
#line 532 "agc-yacc.yy"
      {
        finishYfileDefinitionSection (sortTable);
      }
#line 4976 "agc-yacc.cc"
    break;

  case 4: // $@2: %empty
#line 536 "agc-yacc.yy"
      {
        yoxOutG.append (separatorMARK); // holds the 1st "%%" line
        separatorMARK.clear ();

        // add the 'omitted Lexer return' token & memoize its index
        setupOmittedRetSym ();

        // add the 'error' token & memoize its index
        setupErrorSym ();
      }
#line 4991 "agc-yacc.cc"
    break;

  case 5: // $@3: %empty
#line 547 "agc-yacc.yy"
      {
        temp1Out.putSolveAndSignalTrailer ();
        temp1Out.putTravCode ();
        temp1Out.putRootAttrbRefSection ();
      }
#line 5001 "agc-yacc.cc"
    break;

  case 6: // parser_spec: parser_spec_definition_section $@1 "%%" $@2 parser_spec_rules_section $@3 tail
#line 553 "agc-yacc.yy"
      {
        finishYfileRulesSection ();
      }
#line 5009 "agc-yacc.cc"
    break;

  case 9: // tail: %empty
#line 568 "agc-yacc.yy"
      {
        yoxOutG.gen ().put ("\n%%\n");
      }
#line 5017 "agc-yacc.cc"
    break;

  case 10: // tail: "%%"
#line 572 "agc-yacc.yy"
      {
        yoxOutG.append (separatorMARK); // holds the 2nd "%%" line
        separatorMARK.clear ();
      }
#line 5026 "agc-yacc.cc"
    break;

  case 11: // definition_seq: %empty
#line 580 "agc-yacc.yy"
      {
        (*yylocp) = yyla.location;
      }
#line 5034 "agc-yacc.cc"
    break;

  case 13: // definition: yacc_directive
#line 588 "agc-yacc.yy"
      {
        if (oxAttrbsDecl)
          {
            agc_syntax_error (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                              "syntax error, "
                              "\"" + (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > () + "\""
                              " directive follows an Ox declaration.");
            yyerrcnt++;
          }
      }
#line 5049 "agc-yacc.cc"
    break;

  case 15: // definition: ox_directive
#line 600 "agc-yacc.yy"
      {
        oxAttrbsDecl = true;
      }
#line 5057 "agc-yacc.cc"
    break;

  case 16: // definition: error
#line 604 "agc-yacc.yy"
      {
        yyclearin;
      }
#line 5065 "agc-yacc.cc"
    break;

  case 17: // yacc_directive: "%start" "nonterminal symbol"
#line 611 "agc-yacc.yy"
      {
        yoxOutGdefs.gen ().put (yoxPrefix (augNstr));

        installStartSym (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ());

        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < keyword > ();
      }
#line 5077 "agc-yacc.cc"
    break;

  case 18: // $@4: %empty
#line 619 "agc-yacc.yy"
      {
        if (yaccUnionDefined++ == 0)
          yoxOutGdefs.gen ()
              .put ("/* `%union\' declaration was here */\n");
        else
          yoxOutGdefs.gen ()
              .put ("/* `%union\' "
                    "#" + std::to_string (yaccUnionDefined) +
                    " declaration was here */\n");
      }
#line 5092 "agc-yacc.cc"
    break;

  case 19: // yacc_directive: "%union" $@4 "{" "}"
#line 632 "agc-yacc.yy"
      {
        if (yaccUnionDefined > 1)
          multipleYYSTYPEdefinitions ((*yylocp), "%union");

        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-3)].getState().value ().as < keyword > ();
      }
#line 5103 "agc-yacc.cc"
    break;

  case 20: // yacc_directive: "%token" token_decl_list
#line 639 "agc-yacc.yy"
      {
        const symDeclSeq& token_decl_list = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < symDeclSeq > ();

        try
          {
            global_symDeclSeq.insert (global_symDeclSeq.end (),
                                      token_decl_list.cbegin (),
                                      token_decl_list.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < keyword > ();
      }
#line 5124 "agc-yacc.cc"
    break;

  case 21: // yacc_directive: precedence_declarer precedence_decl_list
#line 656 "agc-yacc.yy"
      {
        const symDeclSeq& precedence_decl_list = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < symDeclSeq > ();

        try
          {
            global_symDeclSeq.insert (global_symDeclSeq.end (),
                                      precedence_decl_list.cbegin (),
                                      precedence_decl_list.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < keyword > ();
      }
#line 5145 "agc-yacc.cc"
    break;

  case 22: // yacc_directive: nonterminal_declarer nonterminal_decl_list
#line 673 "agc-yacc.yy"
      {
        const symDeclSeq& nonterminal_decl_list = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < symDeclSeq > ();

        try
          {
            global_symDeclSeq.insert (global_symDeclSeq.end (),
                                      nonterminal_decl_list.cbegin (),
                                      nonterminal_decl_list.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < keyword > ();
      }
#line 5166 "agc-yacc.cc"
    break;

  case 23: // $@5: %empty
#line 692 "agc-yacc.yy"
      {
        // Y-file lexer hack: suppress copying attribute names onto the output
        // file when processing a global automatic copy rule attribute modifier
        // declaration
        ctrl.process_autoSynOrInh = true;
      }
#line 5177 "agc-yacc.cc"
    break;

  case 24: // ox_directive: $@5 attrb_modifier autoIDseq
#line 699 "agc-yacc.yy"
      {
        // reset globals for the next autoIDseq
        autoDef = undefined;
        autoWarning = false;
        ctrl.process_autoSynOrInh = false;

        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < keyword > ();
        (*yylocp).begin = ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().yyloc).begin;
      }
#line 5191 "agc-yacc.cc"
    break;

  case 25: // $@6: %empty
#line 709 "agc-yacc.yy"
      {
        gSymSort.typeNum = sortTypeNumSeq; // sort serial #

        if (hasConcreteType)
          {
            // create a unique C/C++ type name for the new sort
            gSymSort.typeName =
                yoxPrefix ("T") + std::to_string (sortTypeNumSeq);
          }

        sortTypeNumSeq++;

        yoxOutHrequires.putAttrbTypeDecl (gSymSort.typeNum,
                                          gSymSort.typeName,
                                          hasConcreteType);

        try
          {
            // Allocate a permanent list of attributes for the completed
            // @attributes declaration, to be pointed to by the grammar symbol
            // table entry of each grammar symbol of the sort.
            gSymSort.attrbSeq = new sortAttrbSeq (sortSeq);
          }
        catch (std::bad_alloc const&)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        gSymSort.nAttrbs = sortSeq.size ();

        try
          {
            // keep track of all of the attribute sorts
            sortTable.push_back (gSymSort);
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        putAttrbSort (gSymSort);
      }
#line 5238 "agc-yacc.cc"
    break;

  case 26: // ox_directive: "@attributes" "{" attribute_decl_list "}" $@6 attributed_symbol_list
#line 752 "agc-yacc.yy"
      {
        // reset globals for the next @attributes declaration
        gSymSort = sort ();      // undefined
        sortSeq.clear ();        // empty
        hasConcreteType = false; // all attributes are '@void'

        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-5)].getState().value ().as < keyword > ();
      }
#line 5251 "agc-yacc.cc"
    break;

  case 27: // $@7: %empty
#line 761 "agc-yacc.yy"
      {
        if (!initMacroDef ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ()))
          yox_error (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), "macro multiply defined: \"" + (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > () + "\".\n");
      }
#line 5260 "agc-yacc.cc"
    break;

  case 28: // ox_directive: "@macro" "identifier" $@7 "(" macroFormalList ")" "@end"
#line 768 "agc-yacc.yy"
      {
        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-6)].getState().value ().as < keyword > ();
      }
#line 5268 "agc-yacc.cc"
    break;

  case 29: // $@8: %empty
#line 772 "agc-yacc.yy"
      {
        clearTravBuf ();
      }
#line 5276 "agc-yacc.cc"
    break;

  case 30: // $@9: %empty
#line 776 "agc-yacc.yy"
      {
        if (travSpecConflict ())
          yox_error (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                     "contradictory traversal declaration.\n");
      }
#line 5286 "agc-yacc.cc"
    break;

  case 31: // ox_directive: "@traversal" $@8 travSpecSeq $@9 travIDseq
#line 782 "agc-yacc.yy"
      {
        // suppress pruning if any @traversal is enabled
        ctrl.suppressPruning |= (!travDisabled ());

        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-4)].getState().value ().as < keyword > ();
      }
#line 5297 "agc-yacc.cc"
    break;

  case 32: // code_seq: %empty
#line 793 "agc-yacc.yy"
      {
        (*yylocp) = yyla.location;
      }
#line 5305 "agc-yacc.cc"
    break;

  case 34: // token_decl_list: tag_opt token_list
#line 801 "agc-yacc.yy"
      {
        const typeSeq& tag_opt = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > ();

        if (tag_opt.empty ())
          (*yyvalp).as < symDeclSeq > () = symDeclSeq ();
        else
          (*yyvalp).as < symDeclSeq > () = symDeclSeq (1, symDeclSeqElem (tag_opt, (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < symSeq > ()));
      }
#line 5318 "agc-yacc.cc"
    break;

  case 35: // token_decl_list: token_decl_list tag token_list
#line 810 "agc-yacc.yy"
      {
        symDeclSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-2)].getState().value ().as < symDeclSeq > ();

        try
          {
            new_seq.push_back (symDeclSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > (), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < symSeq > ()));
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < symDeclSeq > () = new_seq;
      }
#line 5337 "agc-yacc.cc"
    break;

  case 36: // tag_opt: %empty
#line 828 "agc-yacc.yy"
      {
        (*yylocp) = yyla.location;
        (*yyvalp).as < typeSeq > () = typeSeq (); // empty sequence
      }
#line 5346 "agc-yacc.cc"
    break;

  case 37: // tag_opt: tag
#line 833 "agc-yacc.yy"
      {
        (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();
      }
#line 5354 "agc-yacc.cc"
    break;

  case 38: // tag: "<" formal_type_specifier ">"
#line 840 "agc-yacc.yy"
      {
        // Bison expects a C/C++ type if "%define api.value.type variant",
        // however Ox doesn't currently support code generation for this
        (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > ();
      }
#line 5364 "agc-yacc.cc"
    break;

  case 39: // token_list: token
#line 849 "agc-yacc.yy"
      {
        (*yyvalp).as < symSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < symSeq > ();
      }
#line 5372 "agc-yacc.cc"
    break;

  case 40: // token_list: token_list token
#line 853 "agc-yacc.yy"
      {
        symSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < symSeq > ();

        const symSeq& token = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < symSeq > ();

        try
          {
            new_seq.insert (new_seq.end (), token.cbegin (), token.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < symSeq > () = new_seq;
      }
#line 5393 "agc-yacc.cc"
    break;

  case 41: // token_list: token_list "," token
#line 870 "agc-yacc.yy"
      {
        symSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-2)].getState().value ().as < symSeq > ();

        const symSeq& token = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < symSeq > ();

        try
          {
            new_seq.insert (new_seq.end (), token.cbegin (), token.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < symSeq > () = new_seq;
      }
#line 5414 "agc-yacc.cc"
    break;

  case 42: // token: named_token
#line 890 "agc-yacc.yy"
      {
        // Yacc will report an error if 'named_token' is a nonterminal
        const std::string& named_token = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ();

        installGsymAsTokenIfNew (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), named_token);
        (*yyvalp).as < symSeq > () = symSeq (1, named_token);
      }
#line 5426 "agc-yacc.cc"
    break;

  case 43: // token: "character literal"
#line 898 "agc-yacc.yy"
      {
        const std::string& LITERAL_CHAR = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < char_literal > ();

        installGsymAsTokenIfNew (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), LITERAL_CHAR);
        (*yyvalp).as < symSeq > () = symSeq (1, LITERAL_CHAR);
      }
#line 5437 "agc-yacc.cc"
    break;

  case 44: // named_token: "identifier" NUM_opt
#line 908 "agc-yacc.yy"
      {
        (*yyvalp).as < name_literal > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < name_literal > ();
      }
#line 5445 "agc-yacc.cc"
    break;

  case 47: // precedence_declarer: "%left"
#line 920 "agc-yacc.yy"
      {
        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > ();
      }
#line 5453 "agc-yacc.cc"
    break;

  case 48: // precedence_declarer: "%right"
#line 924 "agc-yacc.yy"
      {
        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > ();
      }
#line 5461 "agc-yacc.cc"
    break;

  case 49: // precedence_declarer: "%nonassoc"
#line 928 "agc-yacc.yy"
      {
        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > ();
      }
#line 5469 "agc-yacc.cc"
    break;

  case 50: // precedence_decl_list: tag_opt terminal_list
#line 935 "agc-yacc.yy"
      {
        const typeSeq& tag_opt = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > ();

        if (tag_opt.empty ())
          (*yyvalp).as < symDeclSeq > () = symDeclSeq ();
        else
          (*yyvalp).as < symDeclSeq > () = symDeclSeq (1, symDeclSeqElem (tag_opt, (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < symSeq > ()));
      }
#line 5482 "agc-yacc.cc"
    break;

  case 51: // precedence_decl_list: precedence_decl_list tag terminal_list
#line 944 "agc-yacc.yy"
      {
        symDeclSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-2)].getState().value ().as < symDeclSeq > ();

        try
          {
            new_seq.push_back (symDeclSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > (), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < symSeq > ()));
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < symDeclSeq > () = new_seq;
      }
#line 5501 "agc-yacc.cc"
    break;

  case 52: // terminal_list: terminal_symbol
#line 962 "agc-yacc.yy"
      {
        (*yyvalp).as < symSeq > () = symSeq (1, (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ());
      }
#line 5509 "agc-yacc.cc"
    break;

  case 53: // terminal_list: terminal_list terminal_symbol
#line 966 "agc-yacc.yy"
      {
        symSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < symSeq > ();

        try
          {
            new_seq.push_back ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
    }

        (*yyvalp).as < symSeq > () = new_seq;
      }
#line 5528 "agc-yacc.cc"
    break;

  case 54: // terminal_list: terminal_list "," terminal_symbol
#line 981 "agc-yacc.yy"
      {
        symSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-2)].getState().value ().as < symSeq > ();

        try
          {
            new_seq.push_back ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < symSeq > () = new_seq;
      }
#line 5547 "agc-yacc.cc"
    break;

  case 55: // terminal_symbol: named_token
#line 999 "agc-yacc.yy"
      {
        // Yacc will report an error if 'named_token' is a nonterminal
        installGsymAsTokenIfNew (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ());
      }
#line 5556 "agc-yacc.cc"
    break;

  case 56: // terminal_symbol: "character literal"
#line 1004 "agc-yacc.yy"
      {
        installGsymAsTokenIfNew (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < char_literal > ());
      }
#line 5564 "agc-yacc.cc"
    break;

  case 57: // terminal_symbol: "string literal"
#line 1008 "agc-yacc.yy"
      {
        installGsymAsTokenIfNew (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < char_literal > ());
      }
#line 5572 "agc-yacc.cc"
    break;

  case 58: // nonterminal_symbol: "nonterminal symbol"
#line 1015 "agc-yacc.yy"
      {
        (*yyvalp).as < name_literal > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ();
      }
#line 5580 "agc-yacc.cc"
    break;

  case 59: // nonterminal_symbol: "identifier"
#line 1019 "agc-yacc.yy"
      {
        (*yyvalp).as < name_literal > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ();
      }
#line 5588 "agc-yacc.cc"
    break;

  case 60: // symbol: "nonterminal symbol"
#line 1026 "agc-yacc.yy"
      {
        (*yyvalp).as < name_literal > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ();
      }
#line 5596 "agc-yacc.cc"
    break;

  case 61: // symbol: "identifier"
#line 1030 "agc-yacc.yy"
      {
        (*yyvalp).as < name_literal > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ();
      }
#line 5604 "agc-yacc.cc"
    break;

  case 62: // symbol: "character literal"
#line 1034 "agc-yacc.yy"
      {
        (*yyvalp).as < name_literal > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < char_literal > ();
      }
#line 5612 "agc-yacc.cc"
    break;

  case 63: // symbol: "string literal"
#line 1038 "agc-yacc.yy"
      {
        (*yyvalp).as < name_literal > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < char_literal > ();
      }
#line 5620 "agc-yacc.cc"
    break;

  case 64: // nonterminal_declarer: "%type"
#line 1045 "agc-yacc.yy"
      {
        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > ();
      }
#line 5628 "agc-yacc.cc"
    break;

  case 65: // nonterminal_decl_list: tag_opt nonterminal_list
#line 1052 "agc-yacc.yy"
      {
        const typeSeq& tag_opt = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > ();

        if (tag_opt.empty ())
          (*yyvalp).as < symDeclSeq > () = symDeclSeq ();
        else
          (*yyvalp).as < symDeclSeq > () = symDeclSeq (1, symDeclSeqElem (tag_opt, (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < symSeq > ()));
      }
#line 5641 "agc-yacc.cc"
    break;

  case 66: // nonterminal_decl_list: nonterminal_decl_list tag nonterminal_list
#line 1061 "agc-yacc.yy"
      {
        symDeclSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-2)].getState().value ().as < symDeclSeq > ();

        try
          {
            new_seq.push_back (symDeclSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > (), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < symSeq > ()));
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < symDeclSeq > () = new_seq;
      }
#line 5660 "agc-yacc.cc"
    break;

  case 67: // nonterminal_list: nonterminal
#line 1079 "agc-yacc.yy"
      {
        (*yyvalp).as < symSeq > () = symSeq (1, (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ());
      }
#line 5668 "agc-yacc.cc"
    break;

  case 68: // nonterminal_list: nonterminal_list nonterminal
#line 1083 "agc-yacc.yy"
      {
        symSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < symSeq > ();

        try
          {
            new_seq.push_back ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < symSeq > () = new_seq;
      }
#line 5687 "agc-yacc.cc"
    break;

  case 69: // nonterminal_list: nonterminal_list "," nonterminal
#line 1098 "agc-yacc.yy"
      {
        symSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-2)].getState().value ().as < symSeq > ();

        try
          {
            new_seq.push_back ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < symSeq > () = new_seq;
      }
#line 5706 "agc-yacc.cc"
    break;

  case 70: // nonterminal: nonterminal_symbol
#line 1116 "agc-yacc.yy"
      {
        (*yyvalp).as < name_literal > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ();
      }
#line 5714 "agc-yacc.cc"
    break;

  case 75: // autoID: "identifier"
#line 1133 "agc-yacc.yy"
      {
        attrbAutoDef (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > (), autoDef, autoWarning);
      }
#line 5722 "agc-yacc.cc"
    break;

  case 78: // attribute_decl: attrb_modifier_opt type_specifier id_seq ";"
#line 1145 "agc-yacc.yy"
      {
        hasConcreteType = true; // at least one attribute is not '@void'

        // reset globals for the next autoIDseq
        autoDef = undefined;
        autoWarning = false;
      }
#line 5734 "agc-yacc.cc"
    break;

  case 81: // attrb_modifier_opt: %empty
#line 1158 "agc-yacc.yy"
      {
        (*yylocp) = yyla.location;

        // no automatic copy rule attribute modifier declaration
        autoDef = undefined;
        autoWarning = false;
      }
#line 5746 "agc-yacc.cc"
    break;

  case 83: // $@10: %empty
#line 1170 "agc-yacc.yy"
      {
        switch (autoDef)
          {
          case inherited:
            yox_error (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                       "@autosyn conflicts with preceding @autoinh.\n");
            break;

          case synthesized:
            yox_warning (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), "repeated @autosyn (ignored).\n");
            break;

          case undefined:
            autoDef = synthesized;
            break;
          }
      }
#line 5768 "agc-yacc.cc"
    break;

  case 84: // attrb_modifier: "@autosyn" $@10 atWarn_opt
#line 1188 "agc-yacc.yy"
      {
        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-2)].getState().value ().as < keyword > ();
      }
#line 5776 "agc-yacc.cc"
    break;

  case 85: // $@11: %empty
#line 1192 "agc-yacc.yy"
      {
        switch (autoDef)
          {
          case inherited:
            yox_warning (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), "repeated @autoinh (ignored).\n");
            break;

          case synthesized:
            yox_error (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                       "@autoihn conflicts with preceding @autosyn.\n");
            break;

          case undefined:
            autoDef = inherited;
            break;
          }
      }
#line 5798 "agc-yacc.cc"
    break;

  case 86: // attrb_modifier: "@autoinh" $@11 atWarn_opt
#line 1210 "agc-yacc.yy"
      {
        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-2)].getState().value ().as < keyword > ();
      }
#line 5806 "agc-yacc.cc"
    break;

  case 87: // atWarn_opt: %empty
#line 1217 "agc-yacc.yy"
      {
        autoWarning = false;
      }
#line 5814 "agc-yacc.cc"
    break;

  case 88: // atWarn_opt: "@warn"
#line 1221 "agc-yacc.yy"
      {
        autoWarning = true;
      }
#line 5822 "agc-yacc.cc"
    break;

  case 89: // type_specifier: type
#line 1228 "agc-yacc.yy"
      {
        (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();
      }
#line 5830 "agc-yacc.cc"
    break;

  case 90: // type_specifier: type "<" type_list ">"
#line 1233 "agc-yacc.yy"
      {
        typeSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-3)].getState().value ().as < typeSeq > ();

        const typeSeq& type_list = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.push_back (typeSeqElem ("<"));

            new_seq.insert (new_seq.end (),
                            type_list.cbegin (),
                            type_list.cend ());

            new_seq.push_back (typeSeqElem (">"));
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 5857 "agc-yacc.cc"
    break;

  case 91: // type: type_component
#line 1259 "agc-yacc.yy"
      {
       (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();
      }
#line 5865 "agc-yacc.cc"
    break;

  case 92: // type: type type_component
#line 1263 "agc-yacc.yy"
      {
        typeSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > ();

        const typeSeq& type_component = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.insert (new_seq.end (),
                            type_component.cbegin (),
                            type_component.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 5888 "agc-yacc.cc"
    break;

  case 93: // type_component: TYPE_KEYWORD
#line 1285 "agc-yacc.yy"
      {
        (*yyvalp).as < typeSeq > () =
            typeSeq (1, typeSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > (), is_TYPE_KEYWORD));
      }
#line 5897 "agc-yacc.cc"
    break;

  case 94: // type_component: "const"
#line 1290 "agc-yacc.yy"
      {
        (*yyvalp).as < typeSeq > () = typeSeq (1, typeSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > (), is_TYPE_KEYWORD));
      }
#line 5905 "agc-yacc.cc"
    break;

  case 95: // type_component: "volatile"
#line 1294 "agc-yacc.yy"
      {
        (*yyvalp).as < typeSeq > () = typeSeq (1, typeSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > (), is_TYPE_KEYWORD));
      }
#line 5913 "agc-yacc.cc"
    break;

  case 96: // type_component: type_name
#line 1298 "agc-yacc.yy"
      {
        (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();
      }
#line 5921 "agc-yacc.cc"
    break;

  case 97: // type_component: elaborated_type_name
#line 1302 "agc-yacc.yy"
      {
        (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();
      }
#line 5929 "agc-yacc.cc"
    break;

  case 98: // type_name: "identifier"
#line 1309 "agc-yacc.yy"
      {
        (*yyvalp).as < typeSeq > () = typeSeq (1, typeSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > (), is_ID));
      }
#line 5937 "agc-yacc.cc"
    break;

  case 99: // type_name: "C++ qualified name"
#line 1313 "agc-yacc.yy"
      {
        (*yyvalp).as < typeSeq > () = typeSeq (1, typeSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > (), is_NAMESPACE_ID));
      }
#line 5945 "agc-yacc.cc"
    break;

  case 100: // elaborated_type_name: ELABORATED_TYPE_KEYWORD type_name
#line 1320 "agc-yacc.yy"
      {
        typeSeq new_seq =
            typeSeq (1, typeSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < keyword > (),
                                     is_TYPE_KEYWORD));

        const typeSeq& type_name = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.insert (new_seq.end (),
                            type_name.cbegin (),
                            type_name.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 5970 "agc-yacc.cc"
    break;

  case 101: // type_list: type
#line 1344 "agc-yacc.yy"
      {
        (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();
      }
#line 5978 "agc-yacc.cc"
    break;

  case 102: // type_list: type_list "," type
#line 1348 "agc-yacc.yy"
      {
        typeSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-2)].getState().value ().as < typeSeq > ();

        const typeSeq& type = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.push_back (typeSeqElem (","));

            new_seq.insert (new_seq.end (),
                            type.cbegin (),
                            type.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 6003 "agc-yacc.cc"
    break;

  case 113: // attribute_id: "identifier"
#line 1394 "agc-yacc.yy"
      {
        const sortAttrb attribute_id =
            newAttrbID (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > (), autoDef, autoWarning);

        bool add_OK = true;

        // The original order of appearance of each attribute in the
        // declaration list is preserved, with the exception that
        // duplicates are deleted.

        // check for duplicated attribute name in the sort
        const std::string& attrbName = attribute_id.id;

        for (const sortAttrb& attrb : sortSeq)
          if (attrb.id == attrbName)
            {
              yox_error (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                         "duplicated attribute: \"" + attrbName + "\""
                         ".\n");
              add_OK = false;
              break;
            }

        if (add_OK)
          try
            {
              // if attribute isn't duplicate, add it to the list
              sortSeq.push_back (attribute_id);
            }
          catch (...)
            {
              yox_alloc_fail (__FILE__, __LINE__);
            }
      }
#line 6042 "agc-yacc.cc"
    break;

  case 114: // ptr_operator: "*" ptr_type_qualifier_seq_opt
#line 1432 "agc-yacc.yy"
      {
        typeSeq new_seq = typeSeq (1, typeSeqElem ("*"));

        const typeSeq& ptr_type_qualifier_seq_opt = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.insert (new_seq.end (),
                            ptr_type_qualifier_seq_opt.cbegin (),
                            ptr_type_qualifier_seq_opt.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 6065 "agc-yacc.cc"
    break;

  case 115: // ptr_operator: "&"
#line 1451 "agc-yacc.yy"
      {
        (*yyvalp).as < typeSeq > () = typeSeq (1, typeSeqElem ("&"));
      }
#line 6073 "agc-yacc.cc"
    break;

  case 116: // ptr_type_qualifier_seq_opt: %empty
#line 1458 "agc-yacc.yy"
      {
        (*yyvalp).as < typeSeq > () = typeSeq (); // empty sequence
      }
#line 6081 "agc-yacc.cc"
    break;

  case 117: // ptr_type_qualifier_seq_opt: ptr_type_qualifier_seq
#line 1462 "agc-yacc.yy"
      {
        (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();
      }
#line 6089 "agc-yacc.cc"
    break;

  case 118: // ptr_type_qualifier_seq: ptr_type_qualifier
#line 1469 "agc-yacc.yy"
      {
        (*yyvalp).as < typeSeq > () = typeSeq (1, typeSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > (), is_TYPE_KEYWORD));
      }
#line 6097 "agc-yacc.cc"
    break;

  case 119: // ptr_type_qualifier_seq: ptr_type_qualifier_seq ptr_type_qualifier
#line 1473 "agc-yacc.yy"
      {
        typeSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.push_back (typeSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > (),
                                            is_TYPE_KEYWORD));
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 6117 "agc-yacc.cc"
    break;

  case 120: // ptr_type_qualifier: "const"
#line 1492 "agc-yacc.yy"
      {
        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > ();
      }
#line 6125 "agc-yacc.cc"
    break;

  case 121: // ptr_type_qualifier: "restrict"
#line 1496 "agc-yacc.yy"
      {
        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > ();
      }
#line 6133 "agc-yacc.cc"
    break;

  case 124: // array_size_opt: %empty
#line 1508 "agc-yacc.yy"
      {
        (*yylocp) = yyla.location;
        (*yyvalp).as < keyword > () = nullptr;
      }
#line 6142 "agc-yacc.cc"
    break;

  case 125: // array_size_opt: "number"
#line 1513 "agc-yacc.yy"
      {
        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < numberRep > ().spelling;
      }
#line 6150 "agc-yacc.cc"
    break;

  case 126: // array_size_opt: "*"
#line 1517 "agc-yacc.yy"
      {
        // treat it like a 'type_keyword' for the moment
        (*yyvalp).as < keyword > () = const_cast<char*> ("*");
      }
#line 6159 "agc-yacc.cc"
    break;

  case 127: // array_size_opt: "identifier"
#line 1522 "agc-yacc.yy"
      {
        // treat it like a 'type_keyword' for the moment
        (*yyvalp).as < keyword > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ();
      }
#line 6168 "agc-yacc.cc"
    break;

  case 128: // parameter_list_opt: %empty
#line 1530 "agc-yacc.yy"
      {
        (*yyvalp).as < typeSeq > () = typeSeq (); // empty sequence
      }
#line 6176 "agc-yacc.cc"
    break;

  case 129: // parameter_list_opt: parameter_list
#line 1534 "agc-yacc.yy"
      {
        (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();
      }
#line 6184 "agc-yacc.cc"
    break;

  case 130: // parameter_list: parameter_type_list
#line 1541 "agc-yacc.yy"
      {
        (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();
      }
#line 6192 "agc-yacc.cc"
    break;

  case 131: // parameter_list: parameter_type_list "," "..."
#line 1545 "agc-yacc.yy"
      {
        typeSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-2)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.push_back (typeSeqElem (","));
            new_seq.push_back (typeSeqElem ("..."));
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 6212 "agc-yacc.cc"
    break;

  case 132: // parameter_type_list: parameter_type
#line 1564 "agc-yacc.yy"
      {
        (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();
      }
#line 6220 "agc-yacc.cc"
    break;

  case 133: // parameter_type_list: parameter_type_list "," parameter_type
#line 1568 "agc-yacc.yy"
      {
        typeSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-2)].getState().value ().as < typeSeq > ();

        const typeSeq& parameter_type = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.push_back (typeSeqElem (","));

            new_seq.insert (new_seq.end (),
                            parameter_type.cbegin (),
                            parameter_type.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 6245 "agc-yacc.cc"
    break;

  case 134: // parameter_type: formal_type_specifier
#line 1592 "agc-yacc.yy"
      {
        (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();
      }
#line 6253 "agc-yacc.cc"
    break;

  case 135: // parameter_type: "register" formal_type_specifier
#line 1596 "agc-yacc.yy"
      {
        typeSeq new_seq = typeSeq (1, typeSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < keyword > (), is_TYPE_KEYWORD));

        const typeSeq& formal_type_specifier = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.insert (new_seq.end (),
                            formal_type_specifier.cbegin (),
                            formal_type_specifier.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 6276 "agc-yacc.cc"
    break;

  case 136: // formal_type_specifier: type_specifier abstract_declarator
#line 1618 "agc-yacc.yy"
      {
        typeSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > ();

        const typeSeq& abstract_declarator = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.insert (new_seq.end (),
                            abstract_declarator.cbegin (),
                            abstract_declarator.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 6299 "agc-yacc.cc"
    break;

  case 137: // abstract_declarator: %empty
#line 1640 "agc-yacc.yy"
      {
        (*yyvalp).as < typeSeq > () = typeSeq (); // empty sequence
      }
#line 6307 "agc-yacc.cc"
    break;

  case 138: // abstract_declarator: direct_abstract_declarator
#line 1644 "agc-yacc.yy"
      {
        (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();
      }
#line 6315 "agc-yacc.cc"
    break;

  case 139: // abstract_declarator: ptr_operator abstract_declarator
#line 1648 "agc-yacc.yy"
      {
        typeSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > ();

        const typeSeq& right = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.insert (new_seq.end (), right.cbegin (), right.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 6336 "agc-yacc.cc"
    break;

  case 140: // direct_abstract_declarator: "(" abstract_declarator ")"
#line 1668 "agc-yacc.yy"
      {
        typeSeq new_seq = typeSeq (1, typeSeqElem ("(" /*)*/));

        const typeSeq& abstract_declarator = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.insert (new_seq.end (),
                            abstract_declarator.cbegin (),
                            abstract_declarator.cend ());

            new_seq.push_back (typeSeqElem (/*(*/ ")"));
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 6361 "agc-yacc.cc"
    break;

  case 141: // direct_abstract_declarator: direct_abstract_declarator "[" formal_array_qualifier_list_opt array_size_opt "]"
#line 1690 "agc-yacc.yy"
      {
        typeSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-4)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.push_back (typeSeqElem ("["));

            const typeSeq& formal_array_qualifier_list_opt =
                (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-2)].getState().value ().as < typeSeq > ();

            new_seq.insert (new_seq.end (),
                            formal_array_qualifier_list_opt.cbegin (),
                            formal_array_qualifier_list_opt.cend ());

            const std::string& array_size = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < keyword > ();

            if (!array_size.empty ())
              new_seq.push_back (typeSeqElem (array_size));

            new_seq.push_back (typeSeqElem ("]"));
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 6394 "agc-yacc.cc"
    break;

  case 142: // direct_abstract_declarator: direct_abstract_declarator "(" parameter_list_opt ")"
#line 1719 "agc-yacc.yy"
      {
        typeSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-3)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.push_back (typeSeqElem ("(" /*)*/));

            const typeSeq& parameter_list_opt = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > ();

            new_seq.insert (new_seq.end (),
                            parameter_list_opt.cbegin (),
                            parameter_list_opt.cend ());

            new_seq.push_back (typeSeqElem (/*(*/ ")"));
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 6421 "agc-yacc.cc"
    break;

  case 143: // formal_array_qualifier_list_opt: %empty
#line 1746 "agc-yacc.yy"
      {
        (*yylocp) = yyla.location;
        (*yyvalp).as < typeSeq > () = typeSeq (); // empty sequence
      }
#line 6430 "agc-yacc.cc"
    break;

  case 144: // formal_array_qualifier_list_opt: formal_array_qualifier_list
#line 1751 "agc-yacc.yy"
      {
        (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();
      }
#line 6438 "agc-yacc.cc"
    break;

  case 145: // formal_array_qualifier_list: formal_array_qualifier
#line 1758 "agc-yacc.yy"
      {
        (*yyvalp).as < typeSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();
      }
#line 6446 "agc-yacc.cc"
    break;

  case 146: // formal_array_qualifier_list: formal_array_qualifier_list formal_array_qualifier
#line 1762 "agc-yacc.yy"
      {
        typeSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < typeSeq > ();

        const typeSeq& formal_array_qualifier = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < typeSeq > ();

        try
          {
            new_seq.insert (new_seq.end (),
                            formal_array_qualifier.cbegin (),
                            formal_array_qualifier.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < typeSeq > () = new_seq;
      }
#line 6469 "agc-yacc.cc"
    break;

  case 147: // formal_array_qualifier: "const"
#line 1784 "agc-yacc.yy"
      {
        (*yyvalp).as < typeSeq > () =
            typeSeq (1, typeSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > (), is_TYPE_KEYWORD));
      }
#line 6478 "agc-yacc.cc"
    break;

  case 148: // formal_array_qualifier: "volatile"
#line 1789 "agc-yacc.yy"
      {
        (*yyvalp).as < typeSeq > () =
            typeSeq (1, typeSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > (), is_TYPE_KEYWORD));
      }
#line 6487 "agc-yacc.cc"
    break;

  case 149: // formal_array_qualifier: "restrict"
#line 1794 "agc-yacc.yy"
      {
        (*yyvalp).as < typeSeq > () =
            typeSeq (1, typeSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > (), is_TYPE_KEYWORD));
      }
#line 6496 "agc-yacc.cc"
    break;

  case 150: // formal_array_qualifier: "static"
#line 1799 "agc-yacc.yy"
      {
        (*yyvalp).as < typeSeq > () =
            typeSeq (1, typeSeqElem ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < keyword > (), is_TYPE_KEYWORD));
      }
#line 6505 "agc-yacc.cc"
    break;

  case 153: // attributed_symbol: symbol
#line 1812 "agc-yacc.yy"
      {
        std::string symbol = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ();

        installGsymIfNew (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), symbol);
        // if 'symbol' is an alias, 'installGsymIfNew ()' replaced it
        // with the base symbol

        addAttrbsToGsym (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), symbol, gSymSort);
      }
#line 6519 "agc-yacc.cc"
    break;

  case 154: // macroFormalList: "identifier"
#line 1825 "agc-yacc.yy"
      {
        (void)macro.installMacroFormal ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ());
      }
#line 6527 "agc-yacc.cc"
    break;

  case 155: // macroFormalList: macroFormalList "," "identifier"
#line 1829 "agc-yacc.yy"
      {
        const std::string& ID = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ();
        if (!macro.installMacroFormal (ID))
          yox_error (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                     "duplicated macro formal parameter: "
                     "\"" + ID + "\".\n");
      }
#line 6539 "agc-yacc.cc"
    break;

  case 160: // travID: "identifier"
#line 1850 "agc-yacc.yy"
      {
        newTrav (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ());
      }
#line 6547 "agc-yacc.cc"
    break;

  case 161: // travSpec: "@preorder"
#line 1857 "agc-yacc.yy"
      {
        travSetPreorder ();
      }
#line 6555 "agc-yacc.cc"
    break;

  case 162: // travSpec: "@postorder"
#line 1861 "agc-yacc.yy"
      {
        travSetPostorder ();
      }
#line 6563 "agc-yacc.cc"
    break;

  case 163: // travSpec: "@lefttoright"
#line 1865 "agc-yacc.yy"
      {
        travSetLeftToRight ();
      }
#line 6571 "agc-yacc.cc"
    break;

  case 164: // travSpec: "@righttoleft"
#line 1869 "agc-yacc.yy"
      {
        travSetRightToLeft ();
      }
#line 6579 "agc-yacc.cc"
    break;

  case 165: // travSpec: "@disable"
#line 1873 "agc-yacc.yy"
      {
        travSetDisable ();
      }
#line 6587 "agc-yacc.cc"
    break;

  case 168: // $@12: %empty
#line 1885 "agc-yacc.yy"
      {
        const std::string& left_hand_side = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < name_literal > ();

        static bool alreadyAugmented = false;

        if (!alreadyAugmented)
          {
            if (startSymLexeme.empty ())
              installStartSym (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().yyloc), left_hand_side);

            // Yacc pseudo variable '$1' is the original user-defined
            // start symbol; use '$<yyyOxAttrbs>1' since the Yacc
            // semantic type may be unknown

            const std::string rootNodeReference =
                "$<" + yoxPrefix ("OxAttrbs") + ">1.semEl->node";

            yoxOutG.gen ()
                .put ("\n" + yoxPrefix (augNstr) + "\n"
                      "\t:\t\t" + startSymLexeme + "\n"
                      "\t\t{if(" + yoxPrefix ("Yok") + ")\n"
                      "\t\t   {").putDecorateCall ("true") // -> pruning
                .put ("\t\t    " +
                      yoxPrefix ("ExecuteRRsection") +
                      "(" + rootNodeReference + ");\n")
                .putDoTraversals (rootNodeReference)
                .put ("\t\t   }\n"
                      "\t\t}\n\t;\n");

            alreadyAugmented = true;
          }

        yoxOutG.append (possibleLHS); // dump the pending LHS text
        possibleLHS.clear ();

        prodBufferPointer2 = 0;
        incProdNumSeq ();

        yaccSemIndex = 0; // 0 for LHS symbol; ignored

        installGsymAsNontermIfNew (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().yyloc), left_hand_side);

        putSymbolInProdBuffer2 (left_hand_side);
      }
#line 6636 "agc-yacc.cc"
    break;

  case 170: // $@13: %empty
#line 1931 "agc-yacc.yy"
      {
        prodBufferPointer2 = 1; // keep LHS from prior rule
        incProdNumSeq ();

        yaccSemIndex = 1; // 1st RHS symbol
      }
#line 6647 "agc-yacc.cc"
    break;

  case 172: // left_hand_side: nonterminal_symbol
#line 1942 "agc-yacc.yy"
      {
        (*yyvalp).as < name_literal > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ();
      }
#line 6655 "agc-yacc.cc"
    break;

  case 173: // $@14: %empty
#line 1949 "agc-yacc.yy"
      {
        initLDG ();
      }
#line 6663 "agc-yacc.cc"
    break;

  case 174: // right_hand_side: rhs_body $@14 attrb_ref_section
#line 1953 "agc-yacc.yy"
      {
        finishYfileAttrbRefSection ((*yylocp));
      }
#line 6671 "agc-yacc.cc"
    break;

  case 175: // rhs_body: %empty
#line 1960 "agc-yacc.yy"
      {
        (*yylocp) = yyla.location;
      }
#line 6679 "agc-yacc.cc"
    break;

  case 181: // rhs_component: parser_action
#line 1975 "agc-yacc.yy"
      {
        // Yacc will generate a nonterminal here and a corresponding empty rule
        // with the semantic action for that nonterminal; Ox semantic action
        // processing doesn't know about this rule, and so doesn't know about
        // this entry on the Yacc semantic stack; this offset calculation keeps
        // track of where RHS symbols occur in the Yacc semantic stack

        yaccSemIndex++; // account for the fake RHS symbol
      }
#line 6693 "agc-yacc.cc"
    break;

  case 182: // rhs_component: error
#line 1985 "agc-yacc.yy"
      {
        yyclearin;
      }
#line 6701 "agc-yacc.cc"
    break;

  case 183: // rhs_item: rhs_symbol
#line 1992 "agc-yacc.yy"
      {
        std::string rhs_symbol = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ();

        installGsymIfNew (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), rhs_symbol);
        // if 'rhs_symbol' is an alias, 'installGsymIfNew ()' replaced it
        // with the base symbol

        putSymbolInProdBuffer2 (rhs_symbol);
      }
#line 6715 "agc-yacc.cc"
    break;

  case 184: // rhs_symbol: symbol
#line 2005 "agc-yacc.yy"
      {
        (*yyvalp).as < name_literal > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ();
      }
#line 6723 "agc-yacc.cc"
    break;

  case 187: // attrb_ref_section: %empty
#line 2021 "agc-yacc.yy"
      {
        (*yylocp) = AGC::location (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL ((-1) - (0))].getState().yyloc).end); // @rhs_body.end
      }
#line 6731 "agc-yacc.cc"
    break;

  case 188: // $@15: %empty
#line 2025 "agc-yacc.yy"
      {
        // setup for checking dynamic traversal modifier restrictions
        dynTravModSeq = -1;
        dynTravModArr.clear ();

        decorationRequested = false; // default: no decoration
      }
#line 6743 "agc-yacc.cc"
    break;

  case 189: // attrb_ref_section: "@{" $@15 attrb_ref_section_body "@}"
#line 2034 "agc-yacc.yy"
      {
        // if @revdirection occurs in multiple actions, the actions must have
        // different annunciators

        for (int i = 0; i <= dynTravModSeq; i++)
          {
            for (int j = i + 1; j <= dynTravModSeq; j++)
              {
                if (dynTravModArr[i].id == dynTravModArr[j].id &&
                    dynTravModArr[i].dirRev > 0 &&
                    dynTravModArr[j].dirRev > 0)
                  {
                    if (dynTravModArr[dynTravModSeq].id != errTravID)
                      yox_error (dynTravModArr[j].dirRevLoc,
                                 "multiple @revdirection modifiers for "
                                 "traversal "
                                 "\"" + dynTravModArr[j].id + "\".\n");
                  }
              }
          }
      }
#line 6769 "agc-yacc.cc"
    break;

  case 194: // decorate_cmd: "@decorate"
#line 2066 "agc-yacc.yy"
      {
        decorationRequested = true;
      }
#line 6777 "agc-yacc.cc"
    break;

  case 197: // attrb_ref_section_item: attrb_def
#line 2078 "agc-yacc.yy"
      {
        processAdepSpec ();
      }
#line 6785 "agc-yacc.cc"
    break;

  case 200: // attrb_ref_section_item: error
#line 2084 "agc-yacc.yy"
      {
        yyclearin;
      }
#line 6793 "agc-yacc.cc"
    break;

  case 201: // attrb_def: "@i" attrb_evaluation
#line 2093 "agc-yacc.yy"
      {
        const attrbRefSeq& attrbRefs = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbRefSeq > ();

        if (attrbRefs.empty ()) // no attribute occurrences
          yox_warning (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                       "attribute definition doesn\'t define an attribute");
        else
          {
            // find the first non-NIO attribute occurrence => the dependent
            attrbRefSeq::const_iterator it = attrbRefs.cbegin ();
            while (it != attrbRefs.cend () &&
                   it->attrbRef.num == NIOsymAttrbNum)
              ++it;

            if (it == attrbRefs.cend ())
              {
                // only NIO pseudo attribute occurrences were found, none of
                // which can be the dependent attribute; issue an error message
                // for the first occurrence

                const attrbPair& attref = attrbRefs.front ().attrbRef;

                const prodSymbol& symbol = prodBuffer2[attref.pos];

                yox_error (attrbRefs.front ().loc,
                           "\"" +
                               symbol.lexeme + "." +
                               std::to_string (symbol.symOccr) + "." +
                               NIOsym +
                           "\""
                           " cannot be a dependent.\n");
              }
            else
              {
                // register the dependent occurrence
                (void)memberDepend (it->attrbRef, true, true);
              }

            // remaining non-NIO attribute occurrences are the dependees
            while (++it != attrbRefs.cend ())
              {
                const attrbPair& attref = it->attrbRef;

                if (attref.num == NIOsymAttrbNum)
                  continue; // skip any NIO pseudo attribute occurrences

                if (!memberDepend (attref, true, false))
                  {
                    (void)memberDepend (attref, false, true);
                    continue;
                  }

                const prodSymbol& symbol = prodBuffer2[attref.pos];

                yox_error (it->loc,
                           "\"" +
                               symbol.lexeme + "." +
                               std::to_string (symbol.symOccr) + "." +
                               (*(gSymTable[symbol.lexeme]
                                      .symSort.attrbSeq))[attref.num].id +
                           "\""
                           " depends on itself.\n");
              }
          }
      }
#line 6863 "agc-yacc.cc"
    break;

  case 202: // attrb_def: "@m" dependent_name_seq ";" attrb_evaluation
#line 2159 "agc-yacc.yy"
      {
        const attrbRefSeq& attrbRefs = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbRefSeq > ();

        for (const attrbRefSeqElem& it : attrbRefs)
          {
            const attrbPair& attref = it.attrbRef;

            if (attref.num == NIOsymAttrbNum)
              continue; // skip any NIO pseudo attribute occurrences

            if (!memberDepend (attref, true, false))
              (void)memberDepend (attref, false, true);
          }
      }
#line 6882 "agc-yacc.cc"
    break;

  case 203: // attrb_def: "@e" dependent_name_seq ":" dependee_name_seq ";" attrb_evaluation
#line 2174 "agc-yacc.yy"
      {
        const attrbRefSeq& attrbRefs = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbRefSeq > ();

        for (const attrbRefSeqElem& it : attrbRefs)
          {
            const attrbPair& attref = it.attrbRef;

            if (attref.num == NIOsymAttrbNum)
              continue; // skip any NIO pseudo attribute occurrences

            // attribute is explicitly named as a dependent or a dependee
            if (memberDepend (attref, false, false)
                || memberDepend (attref, true, false))
              continue;

            // attribute is already known to be bogus
            if (attref.pos == -1 || attref.num == -1)
              continue;

            const prodSymbol& symbol = prodBuffer2[attref.pos];

            yox_error (it.loc,
                       "\"" +
                           symbol.lexeme + "." +
                           std::to_string (symbol.symOccr) + "." +
                           (*(gSymTable[symbol.lexeme]
                                  .symSort.attrbSeq))[attref.num].id +
                       "\""
                       " is not explicitly named.\n");
          }
      }
#line 6918 "agc-yacc.cc"
    break;

  case 204: // attrb_evaluation: attrb_evaluation_stmt ";"
#line 2209 "agc-yacc.yy"
      {
        (*yyvalp).as < attrbRefSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < attrbRefSeq > ();
      }
#line 6926 "agc-yacc.cc"
    break;

  case 205: // attrb_evaluation: attrb_evaluation_compound_stmt
#line 2213 "agc-yacc.yy"
      {
        (*yyvalp).as < attrbRefSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbRefSeq > ();
      }
#line 6934 "agc-yacc.cc"
    break;

  case 206: // attrb_evaluation_stmt: attrb_evaluation_expr
#line 2220 "agc-yacc.yy"
      {
        (*yyvalp).as < attrbRefSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbRefSeq > ();
      }
#line 6942 "agc-yacc.cc"
    break;

  case 207: // attrb_evaluation_expr: %empty
#line 2235 "agc-yacc.yy"
      {
        (*yylocp) = yyla.location;
        (*yyvalp).as < attrbRefSeq > () = attrbRefSeq (); // empty sequence
      }
#line 6951 "agc-yacc.cc"
    break;

  case 208: // attrb_evaluation_expr: attrb_evaluation_expr attrb_evaluation_expr_component
#line 2240 "agc-yacc.yy"
      {
        attrbRefSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < attrbRefSeq > ();

        const attrbRefSeq& component = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbRefSeq > ();

        try
          {
            new_seq.insert (new_seq.end (),
                            component.cbegin (),
                            component.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < attrbRefSeq > () = new_seq;
      }
#line 6974 "agc-yacc.cc"
    break;

  case 209: // attrb_evaluation_expr: error
#line 2259 "agc-yacc.yy"
      {
        yyclearin;
        (*yyvalp).as < attrbRefSeq > () = attrbRefSeq (); // empty sequence
      }
#line 6983 "agc-yacc.cc"
    break;

  case 210: // attrb_evaluation_expr_component: attrb_ref
#line 2267 "agc-yacc.yy"
      {
        const attrbPair& attrb_ref = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbPair > ();

        rsBuffer.putAttrbPair (attrb_ref);

        attrbRefSeq new_seq = attrbRefSeq (); // empty sequence

        try
          {
            new_seq.push_front (attrbRefSeqElem (attrb_ref, ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc)));
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < attrbRefSeq > () = new_seq;
      }
#line 7006 "agc-yacc.cc"
    break;

  case 211: // attrb_evaluation_expr_component: expr_operator
#line 2286 "agc-yacc.yy"
      {
        (*yyvalp).as < attrbRefSeq > () = attrbRefSeq (); // empty sequence
      }
#line 7014 "agc-yacc.cc"
    break;

  case 212: // attrb_evaluation_expr_component: expr_value
#line 2290 "agc-yacc.yy"
      {
        (*yyvalp).as < attrbRefSeq > () = attrbRefSeq (); // empty sequence
      }
#line 7022 "agc-yacc.cc"
    break;

  case 213: // attrb_evaluation_expr_component: "(" attrb_evaluation_stmt_seq ")"
#line 2295 "agc-yacc.yy"
      {
        (*yyvalp).as < attrbRefSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < attrbRefSeq > ();
      }
#line 7030 "agc-yacc.cc"
    break;

  case 214: // attrb_evaluation_expr_component: "[" attrb_evaluation_expr "]"
#line 2299 "agc-yacc.yy"
      {
        (*yyvalp).as < attrbRefSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < attrbRefSeq > ();
      }
#line 7038 "agc-yacc.cc"
    break;

  case 215: // attrb_ref: "attribute reference"
#line 2306 "agc-yacc.yy"
      {
        (*yyvalp).as < attrbPair > () = transAttrbTripleToAttrbPair (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc), (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbTriple > ());
      }
#line 7046 "agc-yacc.cc"
    break;

  case 216: // attrb_evaluation_compound_stmt: "{" attrb_evaluation_stmt_seq "}"
#line 2313 "agc-yacc.yy"
      {
  (*yyvalp).as < attrbRefSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < attrbRefSeq > ();
      }
#line 7054 "agc-yacc.cc"
    break;

  case 217: // attrb_evaluation_stmt_seq: %empty
#line 2328 "agc-yacc.yy"
      {
        (*yylocp) = yyla.location;
        (*yyvalp).as < attrbRefSeq > () = attrbRefSeq (); // empty sequence
      }
#line 7063 "agc-yacc.cc"
    break;

  case 218: // attrb_evaluation_stmt_seq: attrb_evaluation_stmt_seq attrb_evaluation_stmt_seq_component
#line 2333 "agc-yacc.yy"
      {
        attrbRefSeq new_seq = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (-1)].getState().value ().as < attrbRefSeq > ();

        const attrbRefSeq& component = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbRefSeq > ();

        try
          {
            new_seq.insert (new_seq.end (),
                            component.cbegin (),
                            component.cend ());
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        (*yyvalp).as < attrbRefSeq > () = new_seq;
      }
#line 7086 "agc-yacc.cc"
    break;

  case 219: // attrb_evaluation_stmt_seq: error
#line 2352 "agc-yacc.yy"
      {
        yyclearin;
        (*yyvalp).as < attrbRefSeq > () = attrbRefSeq (); // empty sequence
      }
#line 7095 "agc-yacc.cc"
    break;

  case 220: // attrb_evaluation_stmt_seq_component: attrb_evaluation_stmt_component
#line 2360 "agc-yacc.yy"
      {
        (*yyvalp).as < attrbRefSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbRefSeq > ();
      }
#line 7103 "agc-yacc.cc"
    break;

  case 221: // attrb_evaluation_stmt_seq_component: attrb_evaluation_compound_stmt
#line 2364 "agc-yacc.yy"
      {
        (*yyvalp).as < attrbRefSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbRefSeq > ();
      }
#line 7111 "agc-yacc.cc"
    break;

  case 222: // attrb_evaluation_stmt_seq_component: ";"
#line 2368 "agc-yacc.yy"
      {
        (*yyvalp).as < attrbRefSeq > () = attrbRefSeq (); // empty sequence
      }
#line 7119 "agc-yacc.cc"
    break;

  case 223: // attrb_evaluation_stmt_component: attrb_evaluation_expr_component
#line 2375 "agc-yacc.yy"
      {
        (*yyvalp).as < attrbRefSeq > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbRefSeq > ();
      }
#line 7127 "agc-yacc.cc"
    break;

  case 226: // dependent_name: attrb_occur
#line 2389 "agc-yacc.yy"
      {
        const attrbPair& attref = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbPair > ();

        if (attref.num == NIOsymAttrbNum)
          {
            // NIO pseudo attribute reference

            const prodSymbol& symbol = prodBuffer2[attref.pos];

            yox_error (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                       "\"" +
                           symbol.lexeme + "." +
                           std::to_string (symbol.symOccr) + "." +
                           NIOsym +
                       "\""
                       " cannot be a dependent.\n");
          }
        else if (memberDepend (attref, true, true))
          {
            const prodSymbol& symbol = prodBuffer2[attref.pos];

            yox_error (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                       "duplicate dependent "
                       "\"" +
                           symbol.lexeme + "." +
                           std::to_string (symbol.symOccr) + "." +
                           (*(gSymTable[symbol.lexeme]
                                  .symSort.attrbSeq))[attref.num].id +
                       "\".\n");
          }
      }
#line 7163 "agc-yacc.cc"
    break;

  case 227: // dependent_name: error
#line 2421 "agc-yacc.yy"
      {
        yyclearin;
      }
#line 7171 "agc-yacc.cc"
    break;

  case 228: // attrb_occur: "attribute occurrence"
#line 2428 "agc-yacc.yy"
      {
        (*yyvalp).as < attrbPair > () = transAttrbTripleToAttrbPair (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                                                    (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbTriple > ());
      }
#line 7180 "agc-yacc.cc"
    break;

  case 229: // attrb_occur: attrb_ref
#line 2433 "agc-yacc.yy"
      {
        (*yyvalp).as < attrbPair > () = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbPair > ();
      }
#line 7188 "agc-yacc.cc"
    break;

  case 232: // dependee_name_seq: error
#line 2444 "agc-yacc.yy"
      {
        yyclearin;
      }
#line 7196 "agc-yacc.cc"
    break;

  case 233: // dependee_name: attrb_occur
#line 2451 "agc-yacc.yy"
      {
        const attrbPair& attref = (static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbPair > ();

        if (attref.num == NIOsymAttrbNum)
          {
            // NIO pseudo attribute reference

            const prodSymbol& symbol = prodBuffer2[attref.pos];

            yox_error (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                       "\"" +
                           symbol.lexeme + "." +
                           std::to_string (symbol.symOccr) + "." +
                           NIOsym +
                       "\""
                       " cannot be a dependee.\n");
          }
        else if (memberDepend (attref, true, false))
          {
            const prodSymbol& symbol = prodBuffer2[attref.pos];

            yox_error (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                       "\"" +
                           symbol.lexeme + "." +
                           std::to_string (symbol.symOccr) + "." +
                           (*(gSymTable[symbol.lexeme]
                                  .symSort.attrbSeq))[attref.num].id +
                       "\""
                       " depends immediately on itself.\n");
          }
        else if (memberDepend (attref, false, true))
          {
            const prodSymbol& symbol = prodBuffer2[attref.pos];

            yox_error (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                       "duplicate dependee "
                       "\"" +
                           symbol.lexeme + "." +
                           std::to_string (symbol.symOccr) + "." +
                           (*(gSymTable[symbol.lexeme]
                                  .symSort.attrbSeq))[attref.num] .id +
                       "\".\n");
          }
      }
#line 7245 "agc-yacc.cc"
    break;

  case 234: // $@16: %empty
#line 2501 "agc-yacc.yy"
      {
        ++dynTravModSeq;

        try
          {
            dynTravModArr.push_back (dynTravMod ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < name_literal > ()));
          }
        catch (...)
          {
            yox_alloc_fail (__FILE__, __LINE__);
          }

        // throw away any pending comments & white space

        startTravAction (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc)); // overwritten if next is a traversal modifier
      }
#line 7266 "agc-yacc.cc"
    break;

  case 235: // traversal_segment: "traversal mode annunciator" $@16 traversal_modifier_seq traversal_action
#line 2519 "agc-yacc.yy"
      {
        wrapUpTravAction ();
      }
#line 7274 "agc-yacc.cc"
    break;

  case 236: // traversal_modifier_seq: %empty
#line 2526 "agc-yacc.yy"
      {
        (*yylocp) = yyla.location;
      }
#line 7282 "agc-yacc.cc"
    break;

  case 238: // $@17: %empty
#line 2534 "agc-yacc.yy"
      {
        // @revorder may occur once per traversal action

        if (++dynTravModArr[dynTravModSeq].orderRev > 1)
          yox_error (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                     "multiple @revorder modifiers for traversal "
                     "\"" + dynTravModArr[dynTravModSeq].id + "\".\n");

        // throw away any pending comments & white space

        startTravCondition (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc));
      }
#line 7299 "agc-yacc.cc"
    break;

  case 239: // traversal_modifier: "@revorder" $@17 traversal_modifier_expr
#line 2547 "agc-yacc.yy"
      {
        wrapUpTravOrderCond ();

        // throw away any pending comments & white space

        startTravAction (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc));
        // overwritten if next is a traversal modifier
      }
#line 7312 "agc-yacc.cc"
    break;

  case 240: // $@18: %empty
#line 2556 "agc-yacc.yy"
      {
        // @revdirection may occur once per traversal action

        if (++dynTravModArr[dynTravModSeq].dirRev == 1)
          dynTravModArr[dynTravModSeq].dirRevLoc = ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc);
        else if (dynTravModArr[dynTravModSeq].id != errTravID)
          yox_error (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc),
                     "multiple @revdirection modifiers for traversal "
                     "\"" + dynTravModArr[dynTravModSeq].id + "\".\n");

        // throw away any pending comments & white space

        startTravCondition (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc));
      }
#line 7331 "agc-yacc.cc"
    break;

  case 241: // traversal_modifier: "@revdirection" $@18 traversal_modifier_expr
#line 2571 "agc-yacc.yy"
      {
        wrapUpTravDirCond ();

        // throw away any pending comments & white space

        startTravAction (((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().yyloc));
        // overwritten if next is a traversal modifier
      }
#line 7344 "agc-yacc.cc"
    break;

  case 243: // traversal_expr: %empty
#line 2595 "agc-yacc.yy"
      {
        (*yylocp) = yyla.location;
      }
#line 7352 "agc-yacc.cc"
    break;

  case 245: // traversal_expr: error
#line 2600 "agc-yacc.yy"
      {
        yyclearin;
      }
#line 7360 "agc-yacc.cc"
    break;

  case 246: // traversal_expr_component: attrb_ref
#line 2607 "agc-yacc.yy"
      {
        rsBuffer.putAttrbPair ((static_cast<glr_stack_item const *>(yyvsp))[YYFILL (0)].getState().value ().as < attrbPair > ());
      }
#line 7368 "agc-yacc.cc"
    break;

  case 256: // traversal_stmt_seq: %empty
#line 2643 "agc-yacc.yy"
      {
        (*yylocp) = yyla.location;
      }
#line 7376 "agc-yacc.cc"
    break;


#line 7380 "agc-yacc.cc"

          default: break;
        }
    #if YY_EXCEPTIONS
      }
      catch (const syntax_error& yyexc)
        {
          YYCDEBUG << "Caught exception: " << yyexc.what() << '\n';
          *yylocp = yyexc.location;
          yyparser.error (*yylocp, yyexc.what ());
          YYERROR;
        }
    #endif // YY_EXCEPTIONS
    YY_SYMBOL_PRINT ("-> $$ =", yylhsNonterm (yyrule), *yyvalp, *yylocp);

      return yyok;
    # undef yyerrok
    # undef YYABORT
    # undef YYACCEPT
    # undef YYERROR
    # undef YYBACKUP
    # undef yytoken
    # undef yyclearin
    # undef YYRECOVERING
    }

    YYRESULTTAG
    yyresolveStack ()
    {
      if (yystateStack.isSplit ())
        {
          int yyn = 0;
          for (glr_state* yys = firstTopState ();
               yys != yystateStack.yysplitPoint;
               yys = yys->pred ())
            yyn += 1;
          YYCHK (yyresolveStates (*firstTopState (), yyn));
        }
      return yyok;
    }

    /** Pop the symbols consumed by reduction #YYRULE from the top of stack
     *  #YYK of *YYSTACKP, and perform the appropriate semantic action on their
     *  semantic values.  Assumes that all ambiguities in semantic values
     *  have been previously resolved.  Set *YYVALP to the resulting value,
     *  and *YYLOCP to the computed location (if any).  Return value is as
     *  for userAction.  */
    YYRESULTTAG
    yydoAction (state_set_index yyk, rule_num yyrule,
                value_type* yyvalp, location_type* yylocp)
    {
      const int yynrhs = yyrhsLength (yyrule);

      if (!yystateStack.isSplit())
        {
          /* Standard special case: single stack.  */
          YYASSERT (yyk.get() == 0);
          glr_stack_item* yyrhs = yystateStack.firstTop()->asItem();
          const YYRESULTTAG res
            = yyuserAction (yyrule, yynrhs, yyrhs, yyk, yyvalp, yylocp);
          yystateStack.pop_back(static_cast<size_t>(yynrhs));
          yystateStack.setFirstTop(&yystateStack[yystateStack.size() - 1].getState());
          return res;
        }
      else
        {
          glr_stack_item yyrhsVals[YYMAXRHS + YYMAXLEFT + 1];
          glr_state* yys = yystateStack.topAt(yyk);
          yyrhsVals[YYMAXRHS + YYMAXLEFT].getState().setPred(yys);
          if (yynrhs == 0)
            /* Set default location.  */
            yyrhsVals[YYMAXRHS + YYMAXLEFT - 1].getState().yyloc = yys->yyloc;
          for (int yyi = 0; yyi < yynrhs; yyi += 1)
            {
              yys = yys->pred();
              YYASSERT (yys != YY_NULLPTR);
            }
          yystateStack.yyupdateSplit (*yys);
          yystateStack.setTopAt(yyk, yys);
          return yyuserAction (yyrule, yynrhs, yyrhsVals + YYMAXRHS + YYMAXLEFT - 1,
                               yyk,
                               yyvalp, yylocp);
        }
    }

    /** Pop items off stack #YYK of *YYSTACKP according to grammar rule YYRULE,
     *  and push back on the resulting nonterminal symbol.  Perform the
     *  semantic action associated with YYRULE and store its value with the
     *  newly pushed state, if YYFORCEEVAL or if *YYSTACKP is currently
     *  unambiguous.  Otherwise, store the deferred semantic action with
     *  the new state.  If the new state would have an identical input
     *  position, LR state, and predecessor to an existing state on the stack,
     *  it is identified with that existing state, eliminating stack #YYK from
     *  *YYSTACKP.  In this case, the semantic value is
     *  added to the options for the existing state's semantic value.
     */
    YYRESULTTAG
    yyglrReduce (state_set_index yyk, rule_num yyrule, bool yyforceEval)
    {
      size_t yyposn = topState(yyk)->yyposn;

      if (yyforceEval || !yystateStack.isSplit())
        {
          value_type val;
          location_type loc;

          YYRESULTTAG yyflag = yydoAction (yyk, yyrule, &val, &loc);
          if (yyflag == yyerr && yystateStack.isSplit())
            {
              YYCDEBUG << "Parse on stack " << yyk.get ()
                       << " rejected by rule " << yyrule - 1
                       << " (line " << int (yyrline[yyrule]) << ").\n";
            }
          if (yyflag != yyok)
            return yyflag;
          yyglrShift (yyk,
                      yyLRgotoState (topState(yyk)->yylrState,
                                     yylhsNonterm (yyrule)),
                      yyposn, val, loc);
          // FIXME: User destructors.
          // Value type destructor.
          switch (yylhsNonterm (yyrule))
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        val.template destroy< attrbPair > ();
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        val.template destroy< attrbRefSeq > ();
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        val.template destroy< attrbTriple > ();
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        val.template destroy< char_literal > ();
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        val.template destroy< keyword > ();
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        val.template destroy< name_literal > ();
        break;

      case symbol_kind::S_NUM: // "number"
        val.template destroy< numberRep > ();
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        val.template destroy< symDeclSeq > ();
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        val.template destroy< symSeq > ();
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        val.template destroy< typeSeq > ();
        break;

      default:
        break;
    }

        }
      else
        {
          glr_state *yys = yystateStack.topAt(yyk);
          glr_state *yys0 = yys;
          for (int yyn = yyrhsLength (yyrule); 0 < yyn; yyn -= 1)
            {
              yys = yys->pred();
              YYASSERT (yys != YY_NULLPTR);
            }
          yystateStack.yyupdateSplit (*yys);
          state_num yynewLRState = yyLRgotoState (yys->yylrState, yylhsNonterm (yyrule));
          YYCDEBUG << "Reduced stack " << yyk.get ()
                   << " by rule " << yyrule - 1 << " (line " << int (yyrline[yyrule])
                   << "); action deferred.  Now in state " << yynewLRState
                   << ".\n";
          for (state_set_index yyi = create_state_set_index(0); yyi.uget() < yystateStack.numTops(); ++yyi)
            if (yyi != yyk && yystateStack.topAt(yyi) != YY_NULLPTR)
              {
                const glr_state* yysplit = yystateStack.yysplitPoint;
                glr_state* yyp = yystateStack.topAt(yyi);
                while (yyp != yys && yyp != yysplit
                       && yyp->yyposn >= yyposn)
                  {
                    if (yyp->yylrState == yynewLRState
                        && yyp->pred() == yys)
                      {
                        yyaddDeferredAction (yyk, yyp, yys0, yyrule);
                        yystateStack.yytops.yymarkStackDeleted (yyk);
                        YYCDEBUG << "Merging stack " << yyk.get ()
                                 << " into stack " << yyi.get () << ".\n";
                        return yyok;
                      }
                    yyp = yyp->pred();
                  }
              }
          yystateStack.setTopAt(yyk, yys);
          yyglrShiftDefer (yyk, yynewLRState, yyposn, yys0, yyrule);
        }
      return yyok;
    }

    /** Shift stack #YYK of *YYSTACKP, to a new state corresponding to LR
     *  state YYLRSTATE, at input position YYPOSN, with the (unresolved)
     *  semantic value of YYRHS under the action for YYRULE.  */
    void
    yyglrShiftDefer (state_set_index yyk, state_num yylrState,
                     size_t yyposn, glr_state* yyrhs, rule_num yyrule)
    {
      glr_state& yynewState = yystateStack.yynewGLRState (
        glr_state (yylrState, yyposn));
      yynewState.setPred (yystateStack.topAt (yyk));
      yystateStack.setTopAt (yyk, &yynewState);

      /* Invokes yyreserveStack.  */
      yyaddDeferredAction (yyk, &yynewState, yyrhs, yyrule);
    }

    /** Shift to a new state on stack #YYK of *YYSTACKP, corresponding to LR
     * state YYLRSTATE, at input position YYPOSN, with (resolved) semantic
     * value YYVAL_ARG and source location YYLOC_ARG.  */
    void
    yyglrShift (state_set_index yyk, state_num yylrState,
                size_t yyposn,
                const value_type& yyval_arg, const location_type& yyloc_arg)
    {
      glr_state& yynewState = yystateStack.yynewGLRState (
        glr_state (yylrState, yyposn, yyval_arg, yyloc_arg));
      yynewState.setPred (yystateStack.topAt(yyk));
      yystateStack.setTopAt (yyk, &yynewState);
      yyreserveGlrStack ();
    }

#if YYDEBUG
    void
    yypstack (state_set_index yyk) const
    {
      yystateStack.yypstates (yystateStack.topAt (yyk));
    }
#endif

    glr_state* topState(state_set_index i) {
      return yystateStack.topAt(i);
    }

    glr_state* firstTopState() {
      return yystateStack.firstTop();
    }

  private:

    void popall_ ()
    {
      /* If the stack is well-formed, pop the stack until it is empty,
         destroying its entries as we go.  But free the stack regardless
         of whether it is well-formed.  */
      for (state_set_index k = create_state_set_index(0); k.uget() < yystateStack.numTops(); k += 1)
        if (yystateStack.topAt(k) != YY_NULLPTR)
          {
            while (yystateStack.topAt(k) != YY_NULLPTR)
              {
                glr_state* state = topState(k);
                yyerror_range[1].getState().yyloc = state->yyloc;
                if (state->pred() != YY_NULLPTR)
                  state->destroy ("Cleanup: popping", yyparser);
                yystateStack.setTopAt(k, state->pred());
                yystateStack.pop_back();
              }
              break;
          }
    }

    /** Resolve the previous YYN states starting at and including state YYS
     *  on *YYSTACKP. If result != yyok, some states may have been left
     *  unresolved possibly with empty semantic option chains.  Regardless
     *  of whether result = yyok, each state has been left with consistent
     *  data so that destroy can be invoked if necessary.  */
    YYRESULTTAG
    yyresolveStates (glr_state& yys, int yyn)
    {
      if (0 < yyn)
        {
          YYASSERT (yys.pred() != YY_NULLPTR);
          YYCHK (yyresolveStates (*yys.pred(), yyn-1));
          if (! yys.yyresolved)
            YYCHK (yyresolveValue (yys));
        }
      return yyok;
    }

    static void
    yyuserMerge (int yyn, value_type& yy0, value_type& yy1)
    {
      YY_USE (yy0);
      YY_USE (yy1);

      switch (yyn)
        {

          default: break;
        }
    }

    /** Resolve the ambiguity represented in state YYS in *YYSTACKP,
     *  perform the indicated actions, and set the semantic value of YYS.
     *  If result != yyok, the chain of semantic options in YYS has been
     *  cleared instead or it has been left unmodified except that
     *  redundant options may have been removed.  Regardless of whether
     *  result = yyok, YYS has been left with consistent data so that
     *  destroy can be invoked if necessary.  */
    YYRESULTTAG
    yyresolveValue (glr_state& yys)
    {
      semantic_option* yybest = yys.firstVal();
      YYASSERT(yybest != YY_NULLPTR);
      bool yymerge = false;
      YYRESULTTAG yyflag;
      location_type *yylocp = &yys.yyloc;

      semantic_option* yypPrev = yybest;
      for (semantic_option* yyp = yybest->next();
           yyp != YY_NULLPTR; )
        {
          if (yybest->isIdenticalTo (*yyp))
            {
              yybest->mergeWith (*yyp);
              yypPrev->setNext(yyp->next());
              yyp = yypPrev->next();
            }
          else
            {
              switch (yypreference (*yybest, *yyp))
                {
                case 0:
                  yyresolveLocations (yys, 1);
                  return yystateStack.yyreportAmbiguity (*yybest, *yyp, yyparser, *yylocp);
                  break;
                case 1:
                  yymerge = true;
                  break;
                case 2:
                  break;
                case 3:
                  yybest = yyp;
                  yymerge = false;
                  break;
                default:
                  /* This cannot happen so it is not worth a YYASSERT (false),
                     but some compilers complain if the default case is
                     omitted.  */
                  break;
                }
              yypPrev = yyp;
              yyp = yyp->next();
            }
        }

      value_type val;
      if (yymerge)
        {
          int yyprec = yydprec[yybest->yyrule];
          yyflag = yyresolveAction (*yybest, &val, yylocp);
          if (yyflag == yyok)
            for (semantic_option* yyp = yybest->next();
                 yyp != YY_NULLPTR;
                 yyp = yyp->next())
              {
                if (yyprec == yydprec[yyp->yyrule])
                  {
                    value_type yyval_other;
                    location_type yydummy;
                    yyflag = yyresolveAction (*yyp, &yyval_other, &yydummy);
                    if (yyflag != yyok)
                      {
                        yyparser.yy_destroy_ ("Cleanup: discarding incompletely merged value for",
                                              yy_accessing_symbol (yys.yylrState),
                                              this->yyla.value, *yylocp);
                        break;
                      }
                    yyuserMerge (yymerger[yyp->yyrule], val, yyval_other);
                    // FIXME: User destructors.
                    // Value type destructor.
                    switch (yy_accessing_symbol (yys.yylrState))
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        yyval_other.template destroy< attrbPair > ();
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        yyval_other.template destroy< attrbRefSeq > ();
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        yyval_other.template destroy< attrbTriple > ();
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        yyval_other.template destroy< char_literal > ();
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        yyval_other.template destroy< keyword > ();
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        yyval_other.template destroy< name_literal > ();
        break;

      case symbol_kind::S_NUM: // "number"
        yyval_other.template destroy< numberRep > ();
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        yyval_other.template destroy< symDeclSeq > ();
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        yyval_other.template destroy< symSeq > ();
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        yyval_other.template destroy< typeSeq > ();
        break;

      default:
        break;
    }

                  }
              }
        }
      else
        yyflag = yyresolveAction (*yybest, &val, yylocp);

      if (yyflag == yyok)
        {
          yys.yyresolved = true;
          YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
          new (&yys.value ()) value_type ();
          switch (yy_accessing_symbol (yys.yylrState))
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        yys.value ().copy< attrbPair > (val);
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        yys.value ().copy< attrbRefSeq > (val);
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        yys.value ().copy< attrbTriple > (val);
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        yys.value ().copy< char_literal > (val);
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        yys.value ().copy< keyword > (val);
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        yys.value ().copy< name_literal > (val);
        break;

      case symbol_kind::S_NUM: // "number"
        yys.value ().copy< numberRep > (val);
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        yys.value ().copy< symDeclSeq > (val);
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        yys.value ().copy< symSeq > (val);
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        yys.value ().copy< typeSeq > (val);
        break;

      default:
        break;
    }


          YY_IGNORE_MAYBE_UNINITIALIZED_END
        }
      else
        yys.setFirstVal(YY_NULLPTR);

      // FIXME: User destructors.
      // Value type destructor.
      switch (yy_accessing_symbol (yys.yylrState))
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        val.template destroy< attrbPair > ();
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        val.template destroy< attrbRefSeq > ();
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        val.template destroy< attrbTriple > ();
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        val.template destroy< char_literal > ();
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        val.template destroy< keyword > ();
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        val.template destroy< name_literal > ();
        break;

      case symbol_kind::S_NUM: // "number"
        val.template destroy< numberRep > ();
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        val.template destroy< symDeclSeq > ();
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        val.template destroy< symSeq > ();
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        val.template destroy< typeSeq > ();
        break;

      default:
        break;
    }

      return yyflag;
    }

    /** Resolve the states for the RHS of YYOPT on *YYSTACKP, perform its
     *  user action, and return the semantic value and location in *YYVALP
     *  and *YYLOCP.  Regardless of whether result = yyok, all RHS states
     *  have been destroyed (assuming the user action destroys all RHS
     *  semantic values if invoked).  */
    YYRESULTTAG
    yyresolveAction (semantic_option& yyopt, value_type* yyvalp, location_type* yylocp)
    {
      glr_state* yyoptState = yyopt.state();
      YYASSERT(yyoptState != YY_NULLPTR);
      int yynrhs = yyrhsLength (yyopt.yyrule);
      YYRESULTTAG yyflag = yyresolveStates (*yyoptState, yynrhs);
      if (yyflag != yyok)
        {
          for (glr_state *yys = yyoptState; yynrhs > 0; yys = yys->pred(), yynrhs -= 1)
            yys->destroy ("Cleanup: popping", yyparser);
          return yyflag;
        }

      glr_stack_item yyrhsVals[YYMAXRHS + YYMAXLEFT + 1];
      yyrhsVals[YYMAXRHS + YYMAXLEFT].getState().setPred(yyopt.state());
      if (yynrhs == 0)
        /* Set default location.  */
        yyrhsVals[YYMAXRHS + YYMAXLEFT - 1].getState().yyloc = yyoptState->yyloc;
      {
        symbol_type yyla_current = std::move (this->yyla);
        this->yyla = std::move (yyopt.yyla);
        yyflag = yyuserAction (yyopt.yyrule, yynrhs,
                               yyrhsVals + YYMAXRHS + YYMAXLEFT - 1,
                               create_state_set_index (-1),
                               yyvalp, yylocp);
        this->yyla = std::move (yyla_current);
      }
      return yyflag;
    }

    /** Resolve the locations for each of the YYN1 states in *YYSTACKP,
     *  ending at YYS1.  Has no effect on previously resolved states.
     *  The first semantic option of a state is always chosen.  */
    void
    yyresolveLocations (glr_state &yys1, int yyn1)
    {
      if (0 < yyn1)
        {
          yyresolveLocations (*yys1.pred(), yyn1 - 1);
          if (!yys1.yyresolved)
            {
              glr_stack_item yyrhsloc[1 + YYMAXRHS];
              YYASSERT (yys1.firstVal() != YY_NULLPTR);
              semantic_option& yyoption = *yys1.firstVal();
              const int yynrhs = yyrhsLength (yyoption.yyrule);
              if (0 < yynrhs)
                {
                  yyresolveLocations (*yyoption.state(), yynrhs);
                  const glr_state *yys = yyoption.state();
                  for (int yyn = yynrhs; yyn > 0; yyn -= 1)
                  {
                    yyrhsloc[yyn].getState().yyloc = yys->yyloc;
                    yys = yys->pred();
                  }
                }
              else
                {
                  /* Both yyresolveAction and yyresolveLocations traverse the GSS
                     in reverse rightmost order.  It is only necessary to invoke
                     yyresolveLocations on a subforest for which yyresolveAction
                     would have been invoked next had an ambiguity not been
                     detected.  Thus the location of the previous state (but not
                     necessarily the previous state itself) is guaranteed to be
                     resolved already.  */
                  YY_IGNORE_NULL_DEREFERENCE_BEGIN
                  yyrhsloc[0].getState().yyloc = yyoption.state()->yyloc;
                  YY_IGNORE_NULL_DEREFERENCE_END
                }
              YYLLOC_DEFAULT ((yys1.yyloc), yyrhsloc, yynrhs);
            }
        }
    }

    /** If yytoken is empty, fetch the next token.  */
    void
    yyget_token ()
    {
  YY_USE (theLexer);
  YY_USE (ctrl);
  YY_USE (theFiles);
      if (this->yyla.empty ())
        {
          YYCDEBUG << "Reading a token\n";
#if YY_EXCEPTIONS
          try
#endif // YY_EXCEPTIONS
            {
              yyla.kind_ = yyparser.yytranslate_ (yylex (&this->yyla.value, &this->yyla.location));
            }
#if YY_EXCEPTIONS
          catch (const parser_type::syntax_error& yyexc)
            {
              YYCDEBUG << "Caught exception: " << yyexc.what () << '\n';
              this->yyla.location = yyexc.location;
              yyparser.error (this->yyla.location, yyexc.what ());
              // Map errors caught in the scanner to the error token, so that error
              // handling is started.
              this->yyla.kind_ = symbol_kind::S_YYerror;
            }
        }
#endif // YY_EXCEPTIONS
      if (this->yyla.kind () == symbol_kind::S_YYEOF)
        YYCDEBUG << "Now at end of input.\n";
      else
        YY_SYMBOL_PRINT ("Next token is", this->yyla.kind (), this->yyla.value, this->yyla.location);
    }


                                /* Bison grammar-table manipulation.  */

    /** The action to take in YYSTATE on seeing YYTOKEN.
     *  Result R means
     *    R < 0:  Reduce on rule -R.
     *    R = 0:  Error.
     *    R > 0:  Shift to state R.
     *  Set *YYCONFLICTS to a pointer into yyconfl to a 0-terminated list
     *  of conflicting reductions.
     */
    static int
    yygetLRActions (state_num yystate, symbol_kind_type yytoken, const short*& yyconflicts)
    {
      int yyindex = yypact[yystate] + yytoken;
      if (yytoken == symbol_kind::S_YYerror)
        {
          // This is the error token.
          yyconflicts = yyconfl;
          return 0;
        }
      else if (yy_is_defaulted_state (yystate)
               || yyindex < 0 || YYLAST < yyindex || yycheck[yyindex] != yytoken)
        {
          yyconflicts = yyconfl;
          return -yydefact[yystate];
        }
      else if (! yytable_value_is_error (yytable[yyindex]))
        {
          yyconflicts = yyconfl + yyconflp[yyindex];
          return yytable[yyindex];
        }
      else
        {
          yyconflicts = yyconfl + yyconflp[yyindex];
          return 0;
        }
    }

    /** Compute post-reduction state.
     * \param yystate   the current state
     * \param yysym     the nonterminal to push on the stack
     */
    static state_num
    yyLRgotoState (state_num yystate, symbol_kind_type yysym)
    {
      const int yyr = yypgoto[yysym - YYNTOKENS] + yystate;
      if (0 <= yyr && yyr <= YYLAST && yycheck[yyr] == yystate)
        return yytable[yyr];
      else
        return yydefgoto[yysym - YYNTOKENS];
    }

    static bool
    yypact_value_is_default (state_num yystate)
    {
      return ((yystate) == YYPACT_NINF);
    }

    static bool
    yytable_value_is_error (int yytable_value YY_ATTRIBUTE_UNUSED)
    {
      return 0;
    }

    static bool
    yy_is_shift_action (int yyaction) YY_NOEXCEPT
    {
      return 0 < yyaction;
    }

    static bool
    yy_is_error_action (int yyaction) YY_NOEXCEPT
    {
      return yyaction == 0;
    }

    /** Whether LR state YYSTATE has only a default reduction
     *  (regardless of token).  */
    static bool
    yy_is_defaulted_state (state_num yystate)
    {
      return yypact_value_is_default (yypact[yystate]);
    }

    /** The default reduction for YYSTATE, assuming it has one.  */
    static rule_num
    yy_default_action (state_num yystate)
    {
      return yydefact[yystate];
    }

                                    /* GLRStacks */

    /** Y0 and Y1 represent two possible actions to take in a given
     *  parsing state; return 0 if no combination is possible,
     *  1 if user-mergeable, 2 if Y0 is preferred, 3 if Y1 is preferred.  */
    static int
    yypreference (const semantic_option& y0, const semantic_option& y1)
    {
      const rule_num r0 = y0.yyrule, r1 = y1.yyrule;
      const int p0 = yydprec[r0], p1 = yydprec[r1];

      if (p0 == p1)
        {
          if (yymerger[r0] == 0 || yymerger[r0] != yymerger[r1])
            return 0;
          else
            return 1;
        }
      else if (p0 == 0 || p1 == 0)
        return 0;
      else if (p0 < p1)
        return 3;
      else if (p1 < p0)
        return 2;
      else
        return 0;
    }


    // User arguments.
    AGC::yaccLexer& theLexer;
    yoxControl& ctrl;
    specIO& theFiles;
  }; // class yacc::glr_stack
} // namespace AGC


#if YYDEBUG
namespace
{
  void
  yypstack (const glr_stack& yystack, size_t yyk)
  {
    yystack.yypstack (create_state_set_index (static_cast<std::ptrdiff_t> (yyk)));
  }

  void
  yypdumpstack (const glr_stack& yystack)
  {
    yystack.yypdumpstack ();
  }
}
#endif

#line 41 "agc-yacc.yy"
namespace AGC {
#line 8579 "agc-yacc.cc"

  /// Build a parser object.
  yacc::yacc (AGC::yaccLexer& theLexer_yyarg, yoxControl& ctrl_yyarg, specIO& theFiles_yyarg)
    :
#if YYDEBUG
      yycdebug_ (&std::cerr),
#endif
      theLexer (theLexer_yyarg),
      ctrl (ctrl_yyarg),
      theFiles (theFiles_yyarg)
  {}

  yacc::~yacc ()
  {}

  yacc::syntax_error::~syntax_error () YY_NOEXCEPT YY_NOTHROW
  {}

  int
  yacc::operator() ()
  {
    return parse ();
  }

  int
  yacc::parse ()
  {
    glr_stack yystack(YYINITDEPTH, *this, theLexer, ctrl, theFiles);
    return yystack.parse ();
  }

  const char *
  yacc::symbol_name (symbol_kind_type yysymbol)
  {
    static const char *const yy_sname[] =
    {
    "end of file", "error", "invalid token", "@{", "@}",
  "attribute reference", "identifier", "character literal",
  "string literal", "{", "}", ";", "%%", "%{", "%}", "terminal symbol",
  "terminal literal", "return", "\\n",
  "start of generic scanner source file", "no attribute reference section",
  "attribute occurrence", "@attributes", "@macro", "@end", "@traversal",
  "@preorder", "@postorder", "@lefttoright", "@righttoleft", "@revorder",
  "@revdirection", "@disable", "@autosyn", "@autoinh", "@warn", "@i", "@m",
  "@e", "@decorate", "@void", "traversal mode annunciator", ",", "(", ")",
  "[", "]", "@", "...", "<-", "<->", "%?", "nonterminal symbol",
  "C++ qualified name", "literal path name", "inherited attribute",
  "bison API variable", "bison API value", "number", "%left", "%right",
  "%nonassoc", "%token", "%prec", "%type", "%nterm", "%start", "%union",
  "%empty", "%expect", "%expect-rr", "%pure-parser", "%dprec", "%merge",
  "%precedence", "%la", "%scanner", "CODE", "LOCATION", "%destructor",
  "%lex-param", "%parse-param", "%define", "%language", "%name-prefix",
  "%param", "%printer", "%skeleton", "%local", "%export", "%import",
  "const", "volatile", "restrict", "register", "static", "TYPE_KEYWORD",
  "ELABORATED_TYPE_KEYWORD", ".", "->", "++", "--", "~", "!", "-", "+",
  "&", "*", "/", "%", "<<", ">>", "<", ">", "<=", ">=", "==", "!=", "^",
  "|", "&&", "||", "?", ":", "=", "+=", "-=", "*=", "/=", "%=", "<<=",
  ">>=", "&=", "^=", "|=", "->*", ".*", "::", "$accept", "AG_spec",
  "parser_spec", "$@1", "$@2", "$@3", "parser_spec_definition_section",
  "parser_spec_rules_section", "tail", "definition_seq", "definition",
  "yacc_directive", "$@4", "ox_directive", "$@5", "$@6", "$@7", "$@8",
  "$@9", "code_seq", "token_decl_list", "tag_opt", "tag", "token_list",
  "token", "named_token", "NUM_opt", "precedence_declarer",
  "precedence_decl_list", "terminal_list", "terminal_symbol",
  "nonterminal_symbol", "symbol", "nonterminal_declarer",
  "nonterminal_decl_list", "nonterminal_list", "nonterminal", "code_block",
  "autoIDseq", "autoID", "attribute_decl_list", "attribute_decl",
  "attrb_modifier_opt", "attrb_modifier", "$@10", "$@11", "atWarn_opt",
  "type_specifier", "type", "type_component", "type_name",
  "elaborated_type_name", "type_list", "id_seq", "declarator",
  "direct_declarator", "id_seq2", "attribute_id", "ptr_operator",
  "ptr_type_qualifier_seq_opt", "ptr_type_qualifier_seq",
  "ptr_type_qualifier", "field_length_spec", "array_size_opt",
  "parameter_list_opt", "parameter_list", "parameter_type_list",
  "parameter_type", "formal_type_specifier", "abstract_declarator",
  "direct_abstract_declarator", "formal_array_qualifier_list_opt",
  "formal_array_qualifier_list", "formal_array_qualifier",
  "attributed_symbol_list", "attributed_symbol", "macroFormalList",
  "travSpecSeq", "travIDseq", "travID", "travSpec", "rule_seq", "rule_set",
  "$@12", "$@13", "left_hand_side", "right_hand_side", "$@14", "rhs_body",
  "rhs_seq", "rhs_component", "rhs_item", "rhs_symbol", "rule_directive",
  "parser_action", "attrb_ref_section", "$@15", "attrb_ref_section_body",
  "decorate_cmd", "attrb_ref_section_seq", "attrb_ref_section_item",
  "attrb_def", "attrb_evaluation", "attrb_evaluation_stmt",
  "attrb_evaluation_expr", "attrb_evaluation_expr_component", "attrb_ref",
  "attrb_evaluation_compound_stmt", "attrb_evaluation_stmt_seq",
  "attrb_evaluation_stmt_seq_component", "attrb_evaluation_stmt_component",
  "dependent_name_seq", "dependent_name", "attrb_occur",
  "dependee_name_seq", "dependee_name", "traversal_segment", "$@16",
  "traversal_modifier_seq", "traversal_modifier", "$@17", "$@18",
  "traversal_modifier_expr", "traversal_expr", "traversal_expr_component",
  "traversal_action", "traversal_stmt", "traversal_stmt_component",
  "traversal_compound_stmt", "traversal_stmt_seq",
  "traversal_stmt_seq_component", "expr_value", "expr_operator", YY_NULLPTR
    };
    return yy_sname[yysymbol];
  }





  // yacc::context.
  yacc::context::context (glr_stack& yystack, const symbol_type& yyla)
    : yystack_ (yystack)
    , yyla_ (yyla)
  {}

  int
  yacc::context::expected_tokens (symbol_kind_type yyarg[], int yyargn) const
  {
    // Actual number of expected tokens
    int yycount = 0;
    const int yyn = yypact[yystack_.firstTopState()->yylrState];
    if (!yystack_.yypact_value_is_default (yyn))
      {
        /* Start YYX at -YYN if negative to avoid negative indexes in
           YYCHECK.  In other words, skip the first -YYN actions for this
           state because they are default actions.  */
        const int yyxbegin = yyn < 0 ? -yyn : 0;
        /* Stay within bounds of both yycheck and yytname.  */
        const int yychecklim = YYLAST - yyn + 1;
        const int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
        for (int yyx = yyxbegin; yyx < yyxend; ++yyx)
          if (yycheck[yyx + yyn] == yyx && yyx != symbol_kind::S_YYerror
              && !yystack_.yytable_value_is_error (yytable[yyx + yyn]))
            {
              if (!yyarg)
                ++yycount;
              else if (yycount == yyargn)
                return 0;
              else
                yyarg[yycount++] = YY_CAST (symbol_kind_type, yyx);
            }
      }
    if (yyarg && yycount == 0 && 0 < yyargn)
      yyarg[0] = symbol_kind::S_YYEMPTY;
    return yycount;
  }





  void
  yacc::yy_destroy_ (const char* yymsg, symbol_kind_type yykind,
                           value_type& yyval,
                           location_type& yyloc)
  {
    YY_USE (yyval);
    YY_USE (yyloc);
    if (!yymsg)
      yymsg = "Deleting";
    yacc& yyparser = *this;
    YY_USE (yyparser);
    YY_SYMBOL_PRINT (yymsg, yykind, yyval, yyloc);

    YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
    YY_USE (yykind);
    YY_IGNORE_MAYBE_UNINITIALIZED_END
  }

#if YYDEBUG
  /*--------------------.
  | Print this symbol.  |
  `--------------------*/

  void
  yacc::yy_symbol_value_print_ (symbol_kind_type yykind,
                           const value_type& yyval,
                           const location_type& yyloc) const
  {
    YY_USE (yyloc);
    YY_USE (yyval);
    std::ostream& yyo = debug_stream ();
    YY_USE (yyo);
    switch (yykind)
    {
      case symbol_kind::S_ID: // "identifier"
#line 352 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 8763 "agc-yacc.cc"
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
#line 356 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < char_literal > () + "\"";
}
#line 8771 "agc-yacc.cc"
        break;

      case symbol_kind::S_LITERAL_STRING: // "string literal"
#line 356 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < char_literal > () + "\"";
}
#line 8779 "agc-yacc.cc"
        break;

      case symbol_kind::S_TERM_ID: // "terminal symbol"
#line 352 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 8787 "agc-yacc.cc"
        break;

      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
#line 356 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < char_literal > () + "\"";
}
#line 8795 "agc-yacc.cc"
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 8803 "agc-yacc.cc"
        break;

      case symbol_kind::S_OX_MACRO: // "@macro"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 8811 "agc-yacc.cc"
        break;

      case symbol_kind::S_OX_TRAV: // "@traversal"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 8819 "agc-yacc.cc"
        break;

      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 8827 "agc-yacc.cc"
        break;

      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 8835 "agc-yacc.cc"
        break;

      case symbol_kind::S_OX_WARN: // "@warn"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 8843 "agc-yacc.cc"
        break;

      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
#line 352 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 8851 "agc-yacc.cc"
        break;

      case symbol_kind::S_GS_ID: // "nonterminal symbol"
#line 352 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 8859 "agc-yacc.cc"
        break;

      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
#line 352 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 8867 "agc-yacc.cc"
        break;

      case symbol_kind::S_LITERAL_PATH: // "literal path name"
#line 356 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < char_literal > () + "\"";
}
#line 8875 "agc-yacc.cc"
        break;

      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
#line 352 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 8883 "agc-yacc.cc"
        break;

      case symbol_kind::S_API_VARIABLE: // "bison API variable"
#line 352 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 8891 "agc-yacc.cc"
        break;

      case symbol_kind::S_API_VALUE: // "bison API value"
#line 352 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 8899 "agc-yacc.cc"
        break;

      case symbol_kind::S_LEFT: // "%left"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 8907 "agc-yacc.cc"
        break;

      case symbol_kind::S_RIGHT: // "%right"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 8915 "agc-yacc.cc"
        break;

      case symbol_kind::S_NONASSOC: // "%nonassoc"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 8923 "agc-yacc.cc"
        break;

      case symbol_kind::S_TOKEN: // "%token"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 8931 "agc-yacc.cc"
        break;

      case symbol_kind::S_TYPE: // "%type"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 8939 "agc-yacc.cc"
        break;

      case symbol_kind::S_NTERM: // "%nterm"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 8947 "agc-yacc.cc"
        break;

      case symbol_kind::S_START: // "%start"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 8955 "agc-yacc.cc"
        break;

      case symbol_kind::S_UNION: // "%union"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 8963 "agc-yacc.cc"
        break;

      case symbol_kind::S_EXPECT: // "%expect"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 8971 "agc-yacc.cc"
        break;

      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 8979 "agc-yacc.cc"
        break;

      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 8987 "agc-yacc.cc"
        break;

      case symbol_kind::S_PRECEDENCE: // "%precedence"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 8995 "agc-yacc.cc"
        break;

      case symbol_kind::S_SCANNER: // "%scanner"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9003 "agc-yacc.cc"
        break;

      case symbol_kind::S_CODE: // CODE
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9011 "agc-yacc.cc"
        break;

      case symbol_kind::S_LOCATION: // LOCATION
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9019 "agc-yacc.cc"
        break;

      case symbol_kind::S_DESTRUCTOR: // "%destructor"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9027 "agc-yacc.cc"
        break;

      case symbol_kind::S_LEX_PARAM: // "%lex-param"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9035 "agc-yacc.cc"
        break;

      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9043 "agc-yacc.cc"
        break;

      case symbol_kind::S_DEFINE: // "%define"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9051 "agc-yacc.cc"
        break;

      case symbol_kind::S_LANGUAGE: // "%language"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9059 "agc-yacc.cc"
        break;

      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9067 "agc-yacc.cc"
        break;

      case symbol_kind::S_PARAM: // "%param"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9075 "agc-yacc.cc"
        break;

      case symbol_kind::S_PRINTER: // "%printer"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9083 "agc-yacc.cc"
        break;

      case symbol_kind::S_SKELETON: // "%skeleton"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9091 "agc-yacc.cc"
        break;

      case symbol_kind::S_LOCAL: // "%local"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9099 "agc-yacc.cc"
        break;

      case symbol_kind::S_EXPORT: // "%export"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9107 "agc-yacc.cc"
        break;

      case symbol_kind::S_IMPORT: // "%import"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9115 "agc-yacc.cc"
        break;

      case symbol_kind::S_CONST: // "const"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9123 "agc-yacc.cc"
        break;

      case symbol_kind::S_VOLATILE: // "volatile"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9131 "agc-yacc.cc"
        break;

      case symbol_kind::S_RESTRICT: // "restrict"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9139 "agc-yacc.cc"
        break;

      case symbol_kind::S_REGISTER: // "register"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9147 "agc-yacc.cc"
        break;

      case symbol_kind::S_STATIC: // "static"
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9155 "agc-yacc.cc"
        break;

      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9163 "agc-yacc.cc"
        break;

      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9171 "agc-yacc.cc"
        break;

      case symbol_kind::S_yacc_directive: // yacc_directive
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9179 "agc-yacc.cc"
        break;

      case symbol_kind::S_ox_directive: // ox_directive
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9187 "agc-yacc.cc"
        break;

      case symbol_kind::S_named_token: // named_token
#line 352 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 9195 "agc-yacc.cc"
        break;

      case symbol_kind::S_precedence_declarer: // precedence_declarer
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9203 "agc-yacc.cc"
        break;

      case symbol_kind::S_terminal_symbol: // terminal_symbol
#line 352 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 9211 "agc-yacc.cc"
        break;

      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
#line 352 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 9219 "agc-yacc.cc"
        break;

      case symbol_kind::S_symbol: // symbol
#line 352 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 9227 "agc-yacc.cc"
        break;

      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9235 "agc-yacc.cc"
        break;

      case symbol_kind::S_nonterminal: // nonterminal
#line 352 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 9243 "agc-yacc.cc"
        break;

      case symbol_kind::S_attrb_modifier: // attrb_modifier
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9251 "agc-yacc.cc"
        break;

      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9259 "agc-yacc.cc"
        break;

      case symbol_kind::S_array_size_opt: // array_size_opt
#line 360 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < keyword > () + "\"";
}
#line 9267 "agc-yacc.cc"
        break;

      case symbol_kind::S_left_hand_side: // left_hand_side
#line 352 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 9275 "agc-yacc.cc"
        break;

      case symbol_kind::S_rhs_symbol: // rhs_symbol
#line 352 "agc-yacc.yy"
        {
  yyo << "\"" + yyval.as < name_literal > () + "\"";
}
#line 9283 "agc-yacc.cc"
        break;

      default:
        break;
    }
  }

  void
  yacc::yy_symbol_print_ (symbol_kind_type yykind,
                           const value_type& yyval,
                           const location_type& yyloc) const
  {
    *yycdebug_ << (yykind < YYNTOKENS ? "token" : "nterm")
               << ' ' << symbol_name (yykind) << " ("
               << yyloc << ": ";
    yy_symbol_value_print_ (yykind, yyval, yyloc);
    *yycdebug_ << ')';
  }

  std::ostream&
  yacc::debug_stream () const
  {
    return *yycdebug_;
  }

  void
  yacc::set_debug_stream (std::ostream& o)
  {
    yycdebug_ = &o;
  }


  yacc::debug_level_type
  yacc::debug_level () const
  {
    return yydebug;
  }

  void
  yacc::set_debug_level (debug_level_type l)
  {
    // Actually, it is yydebug which is really used.
    yydebug = l;
  }
#endif // YYDEBUG

  yacc::symbol_kind_type
  yacc::yytranslate_ (int t) YY_NOEXCEPT
  {
    return static_cast<symbol_kind_type> (t);
  }



  /*---------.
  | symbol.  |
  `---------*/
  // basic_symbol.
  template <typename Base>
  yacc::basic_symbol<Base>::basic_symbol (const basic_symbol& that)
    : Base (that)
    , value ()
    , location (that.location)
  {
    switch (this->kind ())
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        value.copy< attrbPair > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        value.copy< attrbRefSeq > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        value.copy< attrbTriple > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        value.copy< char_literal > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        value.copy< keyword > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        value.copy< name_literal > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_NUM: // "number"
        value.copy< numberRep > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        value.copy< symDeclSeq > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        value.copy< symSeq > (YY_MOVE (that.value));
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        value.copy< typeSeq > (YY_MOVE (that.value));
        break;

      default:
        break;
    }

  }





  template <typename Base>
  bool
  yacc::basic_symbol<Base>::empty () const YY_NOEXCEPT
  {
    return this->kind () == symbol_kind::S_YYEMPTY;
  }

  template <typename Base>
  void
  yacc::basic_symbol<Base>::move (basic_symbol& s)
  {
    super_type::move (s);
    switch (this->kind ())
    {
      case symbol_kind::S_attrb_ref: // attrb_ref
      case symbol_kind::S_attrb_occur: // attrb_occur
        value.move< attrbPair > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_attrb_evaluation: // attrb_evaluation
      case symbol_kind::S_attrb_evaluation_stmt: // attrb_evaluation_stmt
      case symbol_kind::S_attrb_evaluation_expr: // attrb_evaluation_expr
      case symbol_kind::S_attrb_evaluation_expr_component: // attrb_evaluation_expr_component
      case symbol_kind::S_attrb_evaluation_compound_stmt: // attrb_evaluation_compound_stmt
      case symbol_kind::S_attrb_evaluation_stmt_seq: // attrb_evaluation_stmt_seq
      case symbol_kind::S_attrb_evaluation_stmt_seq_component: // attrb_evaluation_stmt_seq_component
      case symbol_kind::S_attrb_evaluation_stmt_component: // attrb_evaluation_stmt_component
        value.move< attrbRefSeq > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_OX_ATTRB_REF: // "attribute reference"
      case symbol_kind::S_OX_ATTRB_OCCUR: // "attribute occurrence"
        value.move< attrbTriple > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_LITERAL_CHAR: // "character literal"
      case symbol_kind::S_LITERAL_STRING: // "string literal"
      case symbol_kind::S_TERM_LITERAL: // "terminal literal"
      case symbol_kind::S_LITERAL_PATH: // "literal path name"
        value.move< char_literal > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_OX_ATTRIBUTES: // "@attributes"
      case symbol_kind::S_OX_MACRO: // "@macro"
      case symbol_kind::S_OX_TRAV: // "@traversal"
      case symbol_kind::S_OX_AUTOSYN: // "@autosyn"
      case symbol_kind::S_OX_AUTOINH: // "@autoinh"
      case symbol_kind::S_OX_WARN: // "@warn"
      case symbol_kind::S_LEFT: // "%left"
      case symbol_kind::S_RIGHT: // "%right"
      case symbol_kind::S_NONASSOC: // "%nonassoc"
      case symbol_kind::S_TOKEN: // "%token"
      case symbol_kind::S_TYPE: // "%type"
      case symbol_kind::S_NTERM: // "%nterm"
      case symbol_kind::S_START: // "%start"
      case symbol_kind::S_UNION: // "%union"
      case symbol_kind::S_EXPECT: // "%expect"
      case symbol_kind::S_EXPECT_RR: // "%expect-rr"
      case symbol_kind::S_PURE_PARSER: // "%pure-parser"
      case symbol_kind::S_PRECEDENCE: // "%precedence"
      case symbol_kind::S_SCANNER: // "%scanner"
      case symbol_kind::S_CODE: // CODE
      case symbol_kind::S_LOCATION: // LOCATION
      case symbol_kind::S_DESTRUCTOR: // "%destructor"
      case symbol_kind::S_LEX_PARAM: // "%lex-param"
      case symbol_kind::S_PARSE_PARAM: // "%parse-param"
      case symbol_kind::S_DEFINE: // "%define"
      case symbol_kind::S_LANGUAGE: // "%language"
      case symbol_kind::S_NAME_PREFIX: // "%name-prefix"
      case symbol_kind::S_PARAM: // "%param"
      case symbol_kind::S_PRINTER: // "%printer"
      case symbol_kind::S_SKELETON: // "%skeleton"
      case symbol_kind::S_LOCAL: // "%local"
      case symbol_kind::S_EXPORT: // "%export"
      case symbol_kind::S_IMPORT: // "%import"
      case symbol_kind::S_CONST: // "const"
      case symbol_kind::S_VOLATILE: // "volatile"
      case symbol_kind::S_RESTRICT: // "restrict"
      case symbol_kind::S_REGISTER: // "register"
      case symbol_kind::S_STATIC: // "static"
      case symbol_kind::S_TYPE_KEYWORD: // TYPE_KEYWORD
      case symbol_kind::S_ELABORATED_TYPE_KEYWORD: // ELABORATED_TYPE_KEYWORD
      case symbol_kind::S_yacc_directive: // yacc_directive
      case symbol_kind::S_ox_directive: // ox_directive
      case symbol_kind::S_precedence_declarer: // precedence_declarer
      case symbol_kind::S_nonterminal_declarer: // nonterminal_declarer
      case symbol_kind::S_attrb_modifier: // attrb_modifier
      case symbol_kind::S_ptr_type_qualifier: // ptr_type_qualifier
      case symbol_kind::S_array_size_opt: // array_size_opt
        value.move< keyword > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_ID: // "identifier"
      case symbol_kind::S_TERM_ID: // "terminal symbol"
      case symbol_kind::S_OX_ID: // "traversal mode annunciator"
      case symbol_kind::S_GS_ID: // "nonterminal symbol"
      case symbol_kind::S_NAMESPACE_ID: // "C++ qualified name"
      case symbol_kind::S_INHATTR_ID: // "inherited attribute"
      case symbol_kind::S_API_VARIABLE: // "bison API variable"
      case symbol_kind::S_API_VALUE: // "bison API value"
      case symbol_kind::S_named_token: // named_token
      case symbol_kind::S_terminal_symbol: // terminal_symbol
      case symbol_kind::S_nonterminal_symbol: // nonterminal_symbol
      case symbol_kind::S_symbol: // symbol
      case symbol_kind::S_nonterminal: // nonterminal
      case symbol_kind::S_left_hand_side: // left_hand_side
      case symbol_kind::S_rhs_symbol: // rhs_symbol
        value.move< name_literal > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_NUM: // "number"
        value.move< numberRep > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_token_decl_list: // token_decl_list
      case symbol_kind::S_precedence_decl_list: // precedence_decl_list
      case symbol_kind::S_nonterminal_decl_list: // nonterminal_decl_list
        value.move< symDeclSeq > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_token_list: // token_list
      case symbol_kind::S_token: // token
      case symbol_kind::S_terminal_list: // terminal_list
      case symbol_kind::S_nonterminal_list: // nonterminal_list
        value.move< symSeq > (YY_MOVE (s.value));
        break;

      case symbol_kind::S_tag_opt: // tag_opt
      case symbol_kind::S_tag: // tag
      case symbol_kind::S_type_specifier: // type_specifier
      case symbol_kind::S_type: // type
      case symbol_kind::S_type_component: // type_component
      case symbol_kind::S_type_name: // type_name
      case symbol_kind::S_elaborated_type_name: // elaborated_type_name
      case symbol_kind::S_type_list: // type_list
      case symbol_kind::S_ptr_operator: // ptr_operator
      case symbol_kind::S_ptr_type_qualifier_seq_opt: // ptr_type_qualifier_seq_opt
      case symbol_kind::S_ptr_type_qualifier_seq: // ptr_type_qualifier_seq
      case symbol_kind::S_parameter_list_opt: // parameter_list_opt
      case symbol_kind::S_parameter_list: // parameter_list
      case symbol_kind::S_parameter_type_list: // parameter_type_list
      case symbol_kind::S_parameter_type: // parameter_type
      case symbol_kind::S_formal_type_specifier: // formal_type_specifier
      case symbol_kind::S_abstract_declarator: // abstract_declarator
      case symbol_kind::S_direct_abstract_declarator: // direct_abstract_declarator
      case symbol_kind::S_formal_array_qualifier_list_opt: // formal_array_qualifier_list_opt
      case symbol_kind::S_formal_array_qualifier_list: // formal_array_qualifier_list
      case symbol_kind::S_formal_array_qualifier: // formal_array_qualifier
        value.move< typeSeq > (YY_MOVE (s.value));
        break;

      default:
        break;
    }

    location = YY_MOVE (s.location);
  }

  // by_kind.
  yacc::by_kind::by_kind () YY_NOEXCEPT
    : kind_ (symbol_kind::S_YYEMPTY)
  {}

#if 201103L <= YY_CPLUSPLUS
  yacc::by_kind::by_kind (by_kind&& that) YY_NOEXCEPT
    : kind_ (that.kind_)
  {
    that.clear ();
  }
#endif

  yacc::by_kind::by_kind (const by_kind& that) YY_NOEXCEPT
    : kind_ (that.kind_)
  {}

  yacc::by_kind::by_kind (token_kind_type t) YY_NOEXCEPT
    : kind_ (yytranslate_ (t))
  {}


  yacc::by_kind&
  yacc::by_kind::by_kind::operator= (const by_kind& that)
  {
    kind_ = that.kind_;
    return *this;
  }

  yacc::by_kind&
  yacc::by_kind::by_kind::operator= (by_kind&& that)
  {
    kind_ = that.kind_;
    that.clear ();
    return *this;
  }


  void
  yacc::by_kind::clear () YY_NOEXCEPT
  {
    kind_ = symbol_kind::S_YYEMPTY;
  }

  void
  yacc::by_kind::move (by_kind& that)
  {
    kind_ = that.kind_;
    that.clear ();
  }

  yacc::symbol_kind_type
  yacc::by_kind::kind () const YY_NOEXCEPT
  {
    return kind_;
  }



#line 41 "agc-yacc.yy"
} // AGC
#line 9716 "agc-yacc.cc"
#line 2706 "agc-yacc.yy"


// called from 'main ()'
extern "C" void
agc_yacc_parse (
#if defined(WITH_REFLEX)
                          const reflex::Input& yoxIn,
#else // defined(WITH_FLEX)
                          std::ifstream& yoxIn,
#endif
                          Yfile_specIO& Yfile,
                          int debug)
{
  AGC::yaccLexer agc_Yfile_lexer (Yfile, yoxIn);
  agc_Yfile_lexer.set_debug (debug >> 1);
  AGC::yacc parser (agc_Yfile_lexer, outMgr::ctrl, Yfile);
  parser.set_debug_level (debug & 0x1);
  (void)parser ();
}

void
AGC::yacc::error (const AGC::location& locp, const std::string& msg)
{
  agc_syntax_error (locp, msg);
}

void
AGC::yacc::report_syntax_error (const context& yyctx) const
{
  // # of expected tokens
  enum
  {
    YYARGS_MAX = 4
  };

  symbol_kind_type yyarg[YYARGS_MAX] = { symbol_kind::S_YYEMPTY };

  // Actual size of yyarg[]
  int yycount = yyctx.expected_tokens (yyarg, YYARGS_MAX);

  if (yycount < 0)
    return;
  if ((yycount == 0) && (yyarg[0] != (symbol_kind_type)symbol_kind::S_YYEMPTY))
    yycount = YYARGS_MAX;

  const std::string token_name = std::string (symbol_name (yyctx.token ()));

  std::ostringstream yymsg;

  yymsg << "syntax error";

  if (yycount > 0)
    {
      yymsg << ", unexpected ";

      switch (yyctx.token ())
        {
        case symbol_kind::S_ID:             // identifier
        case symbol_kind::S_GS_ID:          // Yacc symbol name
        case symbol_kind::S_OX_ID:          // traversal mode annunciator
        case symbol_kind::S_NAMESPACE_ID:   // C++ qualified name
        case symbol_kind::S_INHATTR_ID:     // inherited attribute
        case symbol_kind::S_API_VALUE:      // API value
        case symbol_kind::S_API_VARIABLE:   // API variable
          yymsg << "\'" + token_name + "\' "
                       "[" +
                       yyctx.lookahead ().value.as<name_literal> () +
                       "]";
          break;

        case symbol_kind::S_LITERAL_CHAR:
        case symbol_kind::S_LITERAL_STRING:
        case symbol_kind::S_LITERAL_PATH:   // literal path name
          yymsg << "\'" + token_name + "\' "
                       "[" +
                       yyctx.lookahead ().value.as<char_literal> () +
                       "]";
          break;

        case symbol_kind::S_NUM:            // number
          yymsg << "\'" + token_name + "\' "
                       "[" +
                       yyctx.lookahead ().value.as<numberRep> ().spelling +
                       "]";
          break;

        case symbol_kind::S_OX_ATTRB_REF:   // attribute reference
        case symbol_kind::S_OX_ATTRB_OCCUR: // attribute occurrence
          yymsg << "\'" + token_name + "\' "
                       "[" +
                       yyctx.lookahead ().value.as<attrbTriple> ().gsName +
                       "." +
                       std::to_string (yyctx.lookahead ()
                                           .value.as<attrbTriple> ()
                                           .occurrence) +
                       "." +
                       yyctx.lookahead ().value.as<attrbTriple> ().atName +
                       "]";
          break;

        case symbol_kind::S_CODE:           // %code, %initial-action
        case symbol_kind::S_DESTRUCTOR:     // %destructor
        case symbol_kind::S_EXPECT:         // %expect
        case symbol_kind::S_EXPECT_RR:      // %expect_rr
        case symbol_kind::S_LEX_PARAM:      // %lex-param
        case symbol_kind::S_PARSE_PARAM:    // %parse-param
        case symbol_kind::S_PURE_PARSER:    // %pure-parser
        case symbol_kind::S_DEFINE:         // %define
        case symbol_kind::S_DPREC:          // %dprec
        case symbol_kind::S_EMPTY:          // %empty
        case symbol_kind::S_LANGUAGE:       // %language
        case symbol_kind::S_MERGE:          // %merge
        case symbol_kind::S_NAME_PREFIX:    // %name-prefix
        case symbol_kind::S_NTERM:          // %nterm
        case symbol_kind::S_PARAM:          // %param
        case symbol_kind::S_PRECEDENCE:     // %precedence
        case symbol_kind::S_PRINTER:        // %printer
        case symbol_kind::S_SKELETON:       // %skeleton
        case symbol_kind::S_LOCATION:       // %location, %position, %@
        case symbol_kind::S_EXPORT:         // %export
        case symbol_kind::S_IMPORT:         // %import
        case symbol_kind::S_LOCAL:          // %local
        case symbol_kind::S_LOOKAHEAD:      // %lookahead
          yymsg << "\'" + token_name + "\'";
          break;

        default:
          yymsg << "\'" + token_name + "\'";
          break;
        }

      std::string trailing_list;
      for (int i = yycount; --i > 0;)
        {
          std::string temp;

          if (i + 1 == yycount)
            temp = " or";
          else
            temp = ",";

          trailing_list =
              temp + " \'" + symbol_name (yyarg[i]) + "\'" + trailing_list;
        }

      yymsg << ", expecting \'" << symbol_name (yyarg[0]) << "\'"
            << trailing_list;
    }
  yymsg << ".";

  AGC::location loc = yyctx.location ();
  agc_syntax_error (loc, yymsg);
}
